/**
 * stylelint-bundle.min.js
 * 
 * NOTE: This is a modified and bundled version of Stylelint, created to:
 * - Allow bundling of the code
 * - Reduce the file size of the standalone version
 * - Make it efficient for use in browser environments
 * 
 * This bundle includes the sugarss syntax (used when config.customSyntax === "sugarss").
 * 
 * Limitations:
 * - Exposes only the standalone version of Stylelint
 * - Does not work from the command line
 * - Node.js file system (fs) and path operations are removed or bypassed
 * - CLI code is removed or bypassed
 * 
 * For usage details and API options, refer to the Stylelint Node API documentation,
 * keeping in mind the limitations of this bundle.
 * 
 * Source: https://github.com/openstyles/stylelint-bundle
 */
var stylelint=function(){"use strict";class e{constructor(e,t={}){if(this.type="warning",this.text=e,t.node&&t.node.source){let e=t.node.rangeBy(t);this.line=e.start.line,this.column=e.start.column,this.endLine=e.end.line,this.endColumn=e.end.column}for(let e in t)this[e]=t[e]}toString(){return this.node?this.node.error(this.text,{index:this.index,plugin:this.plugin,word:this.word}).message:this.plugin?this.plugin+": "+this.text:this.text}}e.default=e;class t{constructor(e,t,n){this.processor=e,this.messages=[],this.root=t,this.opts=n,this.css=void 0,this.map=void 0}toString(){return this.css}warn(t,n={}){n.plugin||this.lastPlugin&&this.lastPlugin.postcssPlugin&&(n.plugin=this.lastPlugin.postcssPlugin);let r=new e(t,n);return this.messages.push(r),r}warnings(){return this.messages.filter((e=>"warning"===e.type))}get content(){return this.css}}t.default=t;var n="(".charCodeAt(0),r=")".charCodeAt(0),o="'".charCodeAt(0),i='"'.charCodeAt(0),s="\\".charCodeAt(0),a="/".charCodeAt(0),l=",".charCodeAt(0),c=":".charCodeAt(0),u="*".charCodeAt(0),d="u".charCodeAt(0),p="U".charCodeAt(0),h="+".charCodeAt(0),f=/^[a-f0-9?-]+$/i;var m=function e(t,n,r){var o,i,s,a;for(o=0,i=t.length;o<i;o+=1)s=t[o],r||(a=n(s,o,t)),!1!==a&&"function"===s.type&&Array.isArray(s.nodes)&&e(s.nodes,n,r),r&&n(s,o,t)};function g(e,t){var n,r,o=e.type,i=e.value;return t&&void 0!==(r=t(e))?r:"word"===o||"space"===o?i:"string"===o?(n=e.quote||"")+i+(e.unclosed?"":n):"comment"===o?"/*"+i+(e.unclosed?"":"*/"):"div"===o?(e.before||"")+i+(e.after||""):Array.isArray(e.nodes)?(n=b(e.nodes,t),"function"!==o?n:i+"("+(e.before||"")+n+(e.after||"")+(e.unclosed?"":")")):i}function b(e,t){var n,r;if(Array.isArray(e)){for(n="",r=e.length-1;~r;r-=1)n=g(e[r],t)+n;return n}return g(e,t)}var w="-".charCodeAt(0),y="+".charCodeAt(0),v=".".charCodeAt(0),k="e".charCodeAt(0),x="E".charCodeAt(0);function S(e){return this instanceof S?(this.nodes=function(e){for(var t,m,g,b,w,y,v,k,x,S=[],C=e,O=0,A=C.charCodeAt(O),z=C.length,E=[{nodes:S}],N=0,P="",T="",I="";O<z;)if(A<=32){t=O;do{t+=1,A=C.charCodeAt(t)}while(A<=32);b=C.slice(O,t),g=S[S.length-1],A===r&&N?I=b:g&&"div"===g.type?(g.after=b,g.sourceEndIndex+=b.length):A===l||A===c||A===a&&C.charCodeAt(t+1)!==u&&(!x||x&&"function"===x.type&&"calc"!==x.value)?T=b:S.push({type:"space",sourceIndex:O,sourceEndIndex:t,value:b}),O=t}else if(A===o||A===i){t=O,b={type:"string",sourceIndex:O,quote:m=A===o?"'":'"'};do{if(w=!1,~(t=C.indexOf(m,t+1)))for(y=t;C.charCodeAt(y-1)===s;)y-=1,w=!w;else t=(C+=m).length-1,b.unclosed=!0}while(w);b.value=C.slice(O+1,t),b.sourceEndIndex=b.unclosed?t:t+1,S.push(b),O=t+1,A=C.charCodeAt(O)}else if(A===a&&C.charCodeAt(O+1)===u)b={type:"comment",sourceIndex:O,sourceEndIndex:(t=C.indexOf("*/",O))+2},-1===t&&(b.unclosed=!0,t=C.length,b.sourceEndIndex=t),b.value=C.slice(O+2,t),S.push(b),O=t+2,A=C.charCodeAt(O);else if(A!==a&&A!==u||!x||"function"!==x.type||"calc"!==x.value)if(A===a||A===l||A===c)b=C[O],S.push({type:"div",sourceIndex:O-T.length,sourceEndIndex:O+b.length,value:b,before:T,after:""}),T="",O+=1,A=C.charCodeAt(O);else if(n===A){t=O;do{t+=1,A=C.charCodeAt(t)}while(A<=32);if(k=O,b={type:"function",sourceIndex:O-P.length,value:P,before:C.slice(k+1,t)},O=t,"url"===P&&A!==o&&A!==i){t-=1;do{if(w=!1,~(t=C.indexOf(")",t+1)))for(y=t;C.charCodeAt(y-1)===s;)y-=1,w=!w;else t=(C+=")").length-1,b.unclosed=!0}while(w);v=t;do{v-=1,A=C.charCodeAt(v)}while(A<=32);k<v?(b.nodes=O!==v+1?[{type:"word",sourceIndex:O,sourceEndIndex:v+1,value:C.slice(O,v+1)}]:[],b.unclosed&&v+1!==t?(b.after="",b.nodes.push({type:"space",sourceIndex:v+1,sourceEndIndex:t,value:C.slice(v+1,t)})):(b.after=C.slice(v+1,t),b.sourceEndIndex=t)):(b.after="",b.nodes=[]),O=t+1,b.sourceEndIndex=b.unclosed?t:O,A=C.charCodeAt(O),S.push(b)}else N+=1,b.after="",b.sourceEndIndex=O+1,S.push(b),E.push(b),S=b.nodes=[],x=b;P=""}else if(r===A&&N)O+=1,A=C.charCodeAt(O),x.after=I,x.sourceEndIndex+=I.length,I="",N-=1,E[E.length-1].sourceEndIndex=O,E.pop(),S=(x=E[N]).nodes;else{t=O;do{A===s&&(t+=1),t+=1,A=C.charCodeAt(t)}while(t<z&&!(A<=32||A===o||A===i||A===l||A===c||A===a||A===n||A===u&&x&&"function"===x.type&&"calc"===x.value||A===a&&"function"===x.type&&"calc"===x.value||A===r&&N));b=C.slice(O,t),n===A?P=b:d!==b.charCodeAt(0)&&p!==b.charCodeAt(0)||h!==b.charCodeAt(1)||!f.test(b.slice(2))?S.push({type:"word",sourceIndex:O,sourceEndIndex:t,value:b}):S.push({type:"unicode-range",sourceIndex:O,sourceEndIndex:t,value:b}),O=t}else b=C[O],S.push({type:"word",sourceIndex:O-T.length,sourceEndIndex:O+b.length,value:b}),O+=1,A=C.charCodeAt(O);for(O=E.length-1;O;O-=1)E[O].unclosed=!0,E[O].sourceEndIndex=C.length;return E[0].nodes}(e),this):new S(e)}
/*!
 * is-plain-object <https://github.com/jonschlinkert/is-plain-object>
 *
 * Copyright (c) 2014-2017, Jon Schlinkert.
 * Released under the MIT License.
 */
function C(e){return"[object Object]"===Object.prototype.toString.call(e)}function O(e){var t,n;return!1!==C(e)&&(void 0===(t=e.constructor)||!1!==C(n=t.prototype)&&!1!==n.hasOwnProperty("isPrototypeOf"))}function A(e){return"boolean"==typeof e||e instanceof Boolean}function z(e){return"number"==typeof e||e instanceof Number}function E(e){return null!==e&&"object"==typeof e}function N(e){return e instanceof RegExp}function P(e){return"string"==typeof e||e instanceof String}function T(e){return O(e)}function I(e,t){t?console.assert(e,t):console.assert(e)}function j(e){console.assert(z(e),'"'.concat(e,'" must be a number'))}function L(e){console.assert(P(e),'"'.concat(e,'" must be a string'))}function M(e){const t=e.raws,n=t.prop;return[E(n)&&"prefix"in n&&n.prefix,E(n)&&"raw"in n&&n.raw||e.prop,E(n)&&"suffix"in n&&n.suffix,t.between||":",t.value&&"prefix"in t.value&&t.value.prefix].reduce(((e,t)=>P(t)?e+t.length:e),0)}function _(e){const t=e.raws;return t.value&&t.value.raw||e.value}S.prototype.toString=function(){return Array.isArray(this.nodes)?b(this.nodes):""},S.prototype.walk=function(e,t){return m(this.nodes,e,t),this},S.unit=function(e){var t,n,r,o=0,i=e.length;if(0===i||!function(e){var t,n=e.charCodeAt(0);if(n===y||n===w){if((t=e.charCodeAt(1))>=48&&t<=57)return!0;var r=e.charCodeAt(2);return t===v&&r>=48&&r<=57}return n===v?(t=e.charCodeAt(1))>=48&&t<=57:n>=48&&n<=57}(e))return!1;for((t=e.charCodeAt(o))!==y&&t!==w||o++;o<i&&!((t=e.charCodeAt(o))<48||t>57);)o+=1;if(t=e.charCodeAt(o),n=e.charCodeAt(o+1),t===v&&n>=48&&n<=57)for(o+=2;o<i&&!((t=e.charCodeAt(o))<48||t>57);)o+=1;if(t=e.charCodeAt(o),n=e.charCodeAt(o+1),r=e.charCodeAt(o+2),(t===k||t===x)&&(n>=48&&n<=57||(n===y||n===w)&&r>=48&&r<=57))for(o+=n===y||n===w?3:2;o<i&&!((t=e.charCodeAt(o))<48||t>57);)o+=1;return{number:e.slice(0,o),unit:e.slice(o)}},S.walk=m,S.stringify=b;const R=/@\{.+?\}/;function F(e){return R.test(e)}const D=/\$\(.+?\)/;function U(e){return D.test(e)}const q=/#\{[\s\S]+?\}/;function W(e){return q.test(e)}const B=/\{[\s\S]+?\}/;function $(e){return B.test(e)}function Q(e){return!!(F(e)||W(e)||$(e)||U(e))}function V(e){let t=e;return/^[-+*/]/.test(e.charAt(0))&&(t=t.slice(1)),!t.startsWith("$")&&(!/^.+\.\$/.test(e)&&(!/^.+\.[-\w]+\(/.test(e)&&(!t.startsWith("@")&&(!Q(t)&&!/__MSG_\S+__/.test(e)))))}function G(e,t){if(!Array.isArray(e))return Y(e,t);for(const n of e){const e=Y(n,t);if(e)return e}return!1}function Y(e,t){if(!Array.isArray(t))return K(e,t);for(const n of t){const t=K(e,n);if(t)return t}return!1}function J(e,t){var n;const r=e.match(t);return!!r&&{match:e,pattern:t,substring:null!==(n=r[0])&&void 0!==n?n:""}}function K(e,t){if(t instanceof RegExp)return J(e,t);if(t.startsWith("/")&&(t.endsWith("/")||t.endsWith("/".concat("i")))){const n=J(e,t.endsWith("i")?new RegExp(t.slice(1,-2),"i"):new RegExp(t.slice(1,-1)));return n&&(n.pattern=t),n}return e===t&&{match:e,pattern:t,substring:e}}function H(e,t,n){return Boolean(e&&e[t]&&"string"==typeof n&&G(n,e[t]))}function X(e){var t,n;const{ruleName:r,result:o,message:i,messageArgs:s,line:a,node:l,index:c,endIndex:u,word:d,severity:p}=e;o.stylelint=o.stylelint||{ruleSeverities:{},customMessages:{},ruleMetadata:{}};const h=p||(null===(t=o.stylelint.ruleSeverities)||void 0===t?void 0:t[r]),f=(null===(n=o.stylelint.config)||void 0===n?void 0:n.defaultSeverity)||"error",m="function"==typeof h?h(...s||[])||f:h;if(o.stylelint.quiet&&"error"!==m)return;const{start:g}=l&&l.rangeBy({index:c,endIndex:u})||{},b=a||g&&g.line;if(!b)throw new Error('The "'.concat(r,'" rule failed to pass either a node or a line number to the `report()` function.'));const{ignoreDisables:w}=o.stylelint.config||{};if(o.stylelint.disabledRanges){const e=o.stylelint.disabledRanges[r]||o.stylelint.disabledRanges.all||[];for(const t of e)if(t.start<=b&&(void 0===t.end||t.end>=b)&&(!t.rules||t.rules.includes(r))){if((o.stylelint.disabledWarnings||(o.stylelint.disabledWarnings=[])).push({rule:r,line:b}),!w)return;break}}o.stylelint.stylelintError||"error"!==m||(o.stylelint.stylelintError=!0),o.stylelint.stylelintWarning||"warning"!==m||(o.stylelint.stylelintWarning=!0);const y={severity:m,rule:r};l&&(y.node=l),e.start?y.start=e.start:"number"==typeof c&&(y.index=c),e.end?y.end=e.end:"number"==typeof u&&(y.endIndex=u),d&&(y.word=d);const{customMessages:v}=o.stylelint,k=function(e,t){const n=t||[];if("string"==typeof e)return function(e,...t){return t.reduce(((e,t)=>e.replace(/%[ds]/,String(t))),e)}(e,...n);return e(...n)}(v&&v[r]||i,s);o.warn(k,y)}function Z(e,t){const n={};for(const[r,o]of Object.entries(t))n[r]="string"==typeof o?"".concat(o," (").concat(e,")"):(...t)=>"".concat(o(...t)," (").concat(e,")");return n}function ee(e,t){const n=e.raws;return n.value?n.value.raw=t:e.value=t,e}function te(e,t){return!(!Array.isArray(e)||!Array.isArray(t))&&(e.length===t.length&&e.every(((e,n)=>e===t[n])))}const ne=new Set(["severity","message","reportDisables","disableFix"]);function re(e,t,...n){let r=!0;for(const e of n)oe(e,t,o);function o(t){r=!1,e.warn(t,{stylelintType:"invalidOption"}),e.stylelint=e.stylelint||{disabledRanges:{},ruleSeverities:{},customMessages:{},ruleMetadata:{}},e.stylelint.stylelintError=!0}return r}function oe({possible:e,actual:t,optional:n},r,o){if(!1===t&&!r.startsWith("report"))return o('Invalid option value "false" for rule "'.concat(r,'". Are you trying to disable this rule? If so use "null" instead'));if(null===t||te(t,[null]))return;const i=null==e||Array.isArray(e)&&0===e.length||T(e)&&0===Object.keys(e).length;if(!i||!0!==t)if(void 0!==t){if(i)return n?void o('Incorrect configuration for rule "'.concat(r,'". Rule should have "possible" values for options validation')):void o("Unexpected option value ".concat(se(t),' for rule "').concat(r,'"'));if("function"!=typeof e)if(Array.isArray(e))for(const n of[t].flat())ie(e,n)||o("Invalid option value ".concat(se(n),' for rule "').concat(r,'"'));else if(T(t)&&"object"==typeof t&&null!==t)for(const[n,i]of Object.entries(t)){if(ne.has(n))continue;const t=e&&e[n];if(t)for(const e of[i].flat())ie(t,e)||o("Invalid value ".concat(se(e),' for option "').concat(n,'" of rule "').concat(r,'"'));else o('Invalid option name "'.concat(n,'" for rule "').concat(r,'"'))}else o("Invalid option value ".concat(se(t),' for rule "').concat(r,'": should be an object'));else e(t)||o("Invalid option ".concat(se(t),' for rule "').concat(r,'"'))}else{if(i||n)return;o('Expected option value for rule "'.concat(r,'"'))}}function ie(e,t){for(const n of[e].flat()){if("function"==typeof n&&n(t))return!0;if(t===n)return!0}return!1}function se(e){return'"'.concat("string"==typeof e?e:JSON.stringify(e),'"')}const ae="alpha-value-notation",le=Z(ae,{expected:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),ce=/^(?:opacity|shape-image-threshold|fill-opacity|flood-opacity|stop-opacity|stroke-opacity)$/i,ue=/(?:color|hsla?|rgba?|hwb|lab|lch|oklab|oklch)\(/i,de=/^(?:color|hsla?|rgba?|hwb|lab|lch|oklab|oklch)$/i,pe=/\d/,he=(e,t,n)=>(r,o)=>{if(!re(o,ae,{actual:e,possible:["number","percentage"]},{actual:t,possible:{exceptProperties:[P,N]},optional:!0}))return;const i=Object.freeze({number:{expFunc:be,fixFunc:me},percentage:{expFunc:ge,fixFunc:fe}});r.walkDecls((r=>{const s=_(r),a=ce.test(r.prop);if(!a&&!ue.test(s)||!pe.test(s))return;let l=!1;const c=S(s);c.walk((s=>{let c;if(a&&pe.test(s.value)?c=function(e){return"word"===e.type||"function"===e.type?e:void 0}(s):"function"===s.type&&de.test(s.value)&&(c=function(e){const t=e.nodes.some((({type:e,value:t})=>"div"===e&&","===t));if(t){const t=e.nodes.filter((({type:e})=>"word"===e||"function"===e));return 4===t.length?t[3]:void 0}const n=e.nodes.findIndex((({type:e,value:t})=>"div"===e&&"/"===t));if(-1!==n){return e.nodes.slice(n+1,e.nodes.length).find((({type:e})=>"word"===e))}return}(s)),!c)return;const{value:u}=c;if(!V(u))return;if(!be(u)&&!ge(u))return;let d=e;if(H(t,"exceptProperties",r.prop)&&("number"===d?d="percentage":"percentage"===d&&(d="number")),i[d].expFunc(u))return;const p=i[d].fixFunc(u),h=u;if(n.fix)return c.value=String(p),void(l=!0);const f=M(r)+c.sourceIndex,m=f+c.value.length;X({message:le.expected,messageArgs:[h,p],node:r,index:f,endIndex:m,result:o,ruleName:ae})})),l&&ee(r,c.toString())}))};function fe(e){const t=Number(e);return"".concat(Number((100*t).toPrecision(3)),"%")}function me(e){const t=S.unit(e);I(t);const n=Number(t.number);return Number((n/100).toPrecision(3)).toString()}function ge(e){const t=S.unit(e);return t&&"%"===t.unit}function be(e){const t=S.unit(e);return t&&""===t.unit}he.ruleName=ae,he.messages=le,he.meta={url:"https://stylelint.io/user-guide/rules/alpha-value-notation",fixable:!0};const we="annotation-no-unknown",ye=Z(we,{rejected:e=>'Unexpected unknown annotation "'.concat(e,'"')}),ve=(e,t)=>(n,r)=>{re(r,we,{actual:e},{actual:t,possible:{ignoreAnnotations:[P,N]},optional:!0})&&n.walkDecls((function(e){if(!V(e.value))return;if(e.important)return;if(!e.value.includes("!"))return;S(_(e)).walk((n=>{if(!function(e){return"word"===e.type&&e.value.startsWith("!")}(n))return;const o=n.value,i=o.slice(1);H(t,"ignoreAnnotations",i)||X({message:ye.rejected,messageArgs:[o],node:e,result:r,ruleName:we,word:o})}))}))};function ke(e){return!(!e.nodes&&""===e.params)&&((!("mixin"in e)||!e.mixin)&&!("variable"in e&&e.variable||!e.nodes&&""===e.raws.afterName&&"("===e.params[0]))}ve.ruleName=we,ve.messages=ye,ve.meta={url:"https://stylelint.io/user-guide/rules/annotation-no-unknown"};var xe={prefix(e){const t=e.match(/^(-\w+-)/);return t&&t[0]||""},unprefixed:e=>e.replace(/^-\w+-/,"")};const Se="at-rule-allowed-list",Ce=Z(Se,{rejected:e=>'Unexpected at-rule "'.concat(e,'"')}),Oe=e=>(t,n)=>{if(!re(n,Se,{actual:e,possible:[P]}))return;const r=[e].flat();t.walkAtRules((e=>{const t=e.name;ke(e)&&(r.includes(xe.unprefixed(t).toLowerCase())||X({message:Ce.rejected,messageArgs:[t],node:e,result:n,ruleName:Se,word:"@".concat(t)}))}))};Oe.primaryOptionArray=!0,Oe.ruleName=Se,Oe.messages=Ce,Oe.meta={url:"https://stylelint.io/user-guide/rules/at-rule-allowed-list"};const Ae="at-rule-disallowed-list",ze=Z(Ae,{rejected:e=>'Unexpected at-rule "'.concat(e,'"')}),Ee=e=>(t,n)=>{if(!re(n,Ae,{actual:e,possible:[P]}))return;const r=[e].flat();t.walkAtRules((e=>{const t=e.name;ke(e)&&r.includes(xe.unprefixed(t).toLowerCase())&&X({message:ze.rejected,messageArgs:[t],node:e,result:n,ruleName:Ae,word:"@".concat(e.name)})}))};function Ne(e,t){const{raws:n}=e;return"string"!=typeof n.before||(n.before=/\r?\n/.test(n.before)?n.before.replace(/(\r?\n)/,"".concat(t,"$1")):t.repeat(2)+n.before),e}function Pe(e){return e.source&&e.source.start&&e.source.start.line}function Te(e){if(void 0===e)return;const t=e.prev();if(!t||"comment"!==t.type)return t;if(Pe(e)===Pe(t))return Te(t);const n=t.prev();return n&&Pe(t)===Pe(n)?Te(t):t}Ee.primaryOptionArray=!0,Ee.ruleName=Ae,Ee.messages=ze,Ee.meta={url:"https://stylelint.io/user-guide/rules/at-rule-disallowed-list"};const Ie=/\n[\r\t ]*\n/;function je(e){return""!==e&&void 0!==e&&Ie.test(e)}function Le(e){return"root"===e.type}function Me(e){return"rule"===e.type}function _e(e){return"atrule"===e.type}function Re(e){return"comment"===e.type}function Fe(e){return"decl"===e.type}function De(e){return"function"===e.type}function Ue(e){return"space"===e.type}function qe({type:e}){return"word"===e}function We(e){return Boolean(e.source)}function Be(e){return e&&e.source&&e.source.start&&e.source.start.line}function $e(e){if(void 0===e)return;const t=e.next();return t&&"comment"===t.type&&(Be(e)===Be(t)||Be(t)===Be(t.next()))?$e(t):t}function Qe(e,t){return(e&&e.source&&e.source.end&&e.source.end.line)===(t&&t.source&&t.source.start&&t.source.start.line)}function Ve(e){if(!Re(e))return!1;if(Qe(Te(e),e))return!0;const t=$e(e);if(t&&Qe(e,t))return!0;const n=e.parent;return void 0!==n&&!Le(n)&&0===n.index(e)&&void 0!==e.raws.before&&!e.raws.before.includes("\n")}function Ge(e){const t=e.prev();return!(!t||"comment"!==t.type)&&!Ve(t)}function Ye(e){return void 0!==e.nodes}function Je(e){if("atrule"!==e.type)return!1;const t=Te(e);return void 0!==t&&(_e(t)&&!Ye(t)&&!Ye(e))}function Ke(e){if(!Je(e))return!1;const t=Te(e);return!(!t||!_e(t))&&t.name===e.name}function He(e){const t=e.parent;if(void 0===t)return!1;if(Le(t)&&!function({parent:e}){return Boolean(e&&(t=e,"document"===t.type));var t}(t))return!1;if(e===t.first)return!0;const n=t.nodes;if(!n)return!1;const r=n[0];if(!r)return!1;if(!Re(r)||"string"==typeof r.raws.before&&r.raws.before.includes("\n"))return!1;if(!We(r)||!r.source.start)return!1;const o=r.source.start.line;if(!r.source.end||o!==r.source.end.line)return!1;for(const[t,r]of n.entries())if(0!==t){if(r===e)return!0;if(!Re(r)||We(r)&&r.source.end&&r.source.end.line!==o)return!1}return!1}function Xe(e){if(Le(e))return!1;const t=e.parent;return!!t&&(Le(t)&&e===t.first)}function Ze(e,t){return e.raws.before=e.raws.before?e.raws.before.replace(/(\r?\n\s*\n)+/g,t):"",e}const et="at-rule-empty-line-before",tt=Z(et,{expected:"Expected empty line before at-rule",rejected:"Unexpected empty line before at-rule"}),nt=(e,t,n)=>(r,o)=>{if(!re(o,et,{actual:e,possible:["always","never"]},{actual:t,possible:{except:["after-same-name","inside-block","blockless-after-same-name-blockless","blockless-after-blockless","first-nested"],ignore:["after-comment","first-nested","inside-block","blockless-after-same-name-blockless","blockless-after-blockless"],ignoreAtRules:[P]},optional:!0}))return;const i=e;r.walkAtRules((e=>{const r=e.parent&&"root"!==e.parent.type;if(Xe(e))return;if(!ke(e))return;if(H(t,"ignoreAtRules",e.name))return;if(H(t,"ignore","blockless-after-blockless")&&Je(e))return;if(H(t,"ignore","first-nested")&&He(e))return;if(H(t,"ignore","blockless-after-same-name-blockless")&&Ke(e))return;if(H(t,"ignore","inside-block")&&r)return;if(H(t,"ignore","after-comment")&&Ge(e))return;const s=je(e.raws.before);let a="always"===i;if((H(t,"except","after-same-name")&&function(e){const t=Te(e);return t&&_e(t)&&t.name===e.name}(e)||H(t,"except","inside-block")&&r||H(t,"except","first-nested")&&He(e)||H(t,"except","blockless-after-blockless")&&Je(e)||H(t,"except","blockless-after-same-name-blockless")&&Ke(e))&&(a=!a),a===s)return;if(n.fix&&n.newline)return void(a?Ne(e,n.newline):Ze(e,n.newline));X({message:a?tt.expected:tt.rejected,node:e,result:o,ruleName:et})}))};function rt(...e){return new Set([...e].reduce(((e,t)=>[...e,...t]),[]))}nt.ruleName=et,nt.messages=tt,nt.meta={url:"https://stylelint.io/user-guide/rules/at-rule-empty-line-before",fixable:!0};const ot=new Set(["container","layer","media","scope","starting-style","supports"]),it=new Set(["top-left-corner","top-left","top-center","top-right","top-right-corner","bottom-left-corner","bottom-left","bottom-center","bottom-right","bottom-right-corner","left-top","left-middle","left-bottom","right-top","right-middle","right-bottom"]),st=rt(ot,it,["annotation","apply","character-variant","charset","counter-style","custom-media","custom-selector","document","font-face","font-feature-values","import","keyframes","namespace","nest","ornaments","page","property","scroll-timeline","styleset","stylistic","swash","viewport"]),at="at-rule-no-unknown",lt=Z(at,{rejected:e=>'Unexpected unknown at-rule "'.concat(e,'"')}),ct=(e,t)=>(n,r)=>{re(r,at,{actual:e},{actual:t,possible:{ignoreAtRules:[P,N]},optional:!0})&&n.walkAtRules((e=>{if(!ke(e))return;const n=e.name;if(H(t,"ignoreAtRules",e.name))return;if(xe.prefix(n)||st.has(n.toLowerCase()))return;const o="@".concat(n);X({message:lt.rejected,messageArgs:[o],node:e,ruleName:at,result:r,word:o})}))};ct.ruleName=at,ct.messages=lt,ct.meta={url:"https://stylelint.io/user-guide/rules/at-rule-no-unknown"};const ut=new Set(["@-khtml-keyframes","@-moz-keyframes","@-ms-keyframes","@-ms-viewport","@-o-keyframes","@-o-viewport","@-webkit-keyframes","@resolution"]),dt=new Set([":-moz-any-link",":-moz-full-screen",":-moz-placeholder",":-moz-placeholder-shown",":-moz-read-only",":-moz-read-write",":-ms-fullscreen",":-ms-input-placeholder",":-webkit-any-link",":-webkit-full-screen","::-moz-placeholder","::-moz-selection","::-ms-input-placeholder","::-webkit-backdrop","::-webkit-input-placeholder"]),pt=new Set(["align-content","align-items","align-self","animation","animation-delay","animation-direction","animation-duration","animation-fill-mode","animation-iteration-count","animation-name","animation-play-state","animation-timing-function","appearance","backdrop-filter","backface-visibility","background-clip","background-origin","background-size","border-block-end","border-block-start","border-bottom-left-radius","border-bottom-right-radius","border-image","border-inline-end","border-inline-start","border-radius","border-top-left-radius","border-top-right-radius","box-decoration-break","box-shadow","box-sizing","break-after","break-before","break-inside","clip-path","color-adjust","column-count","column-fill","column-gap","column-rule","column-rule-color","column-rule-style","column-rule-width","column-span","column-width","columns","filter","flex","flex-basis","flex-direction","flex-flow","flex-grow","flex-shrink","flex-wrap","flow-from","flow-into","font-feature-settings","font-kerning","font-language-override","font-variant-ligatures","grid-area","grid-column","grid-column-align","grid-column-end","grid-column-start","grid-row","grid-row-align","grid-row-end","grid-row-start","grid-template","grid-template-areas","grid-template-columns","grid-template-rows","hyphens","image-rendering","justify-content","margin-block-end","margin-block-start","margin-inline-end","margin-inline-start","mask","mask-border","mask-border-outset","mask-border-repeat","mask-border-slice","mask-border-source","mask-border-width","mask-clip","mask-composite","mask-image","mask-origin","mask-position","mask-repeat","mask-size","object-fit","object-position","order","overscroll-behavior","padding-block-end","padding-block-start","padding-inline-end","padding-inline-start","perspective","perspective-origin","place-self","region-fragment","scroll-snap-coordinate","scroll-snap-destination","scroll-snap-points-x","scroll-snap-points-y","scroll-snap-type","shape-image-threshold","shape-margin","shape-outside","tab-size","text-align-last","text-decoration","text-decoration-color","text-decoration-line","text-decoration-skip","text-decoration-skip-ink","text-decoration-style","text-emphasis","text-emphasis-color","text-emphasis-position","text-emphasis-style","text-orientation","text-overflow","text-size-adjust","text-spacing","touch-action","transform","transform-origin","transform-style","transition","transition-delay","transition-duration","transition-property","transition-timing-function","user-select","writing-mode"]),ht=new Set(["-moz-all","-moz-calc","-moz-crisp-edges","-moz-element","-moz-fit-content","-moz-grab","-moz-grabbing","-moz-initial","-moz-isolate","-moz-isolate-override","-moz-linear-gradient","-moz-max-content","-moz-min-content","-moz-pre-wrap","-moz-plaintext","-moz-radial-gradient","-moz-repeating-linear-gradient","-moz-repeating-radial-gradient","-moz-zoom-in","-moz-zoom-out","-ms-flexbox","-ms-grid","-ms-inline-grid","-ms-linear-gradient","-ms-radial-gradient","-ms-repeating-linear-gradient","-ms-repeating-radial-gradient","-o-crisp-edges","-o-linear-gradient","-o-pre-wrap","-o-radial-gradient","-o-repeating-linear-gradient","-o-repeating-radial-gradient","-webkit-calc","-webkit-cross-fade","-webkit-filter","-webkit-fit-content","-webkit-flex","-webkit-grab","-webkit-grabbing","-webkit-image-set","-webkit-inline-flex","-webkit-isolate","-webkit-linear-gradient","-webkit-max-content","-webkit-min-content","-webkit-plaintext","-webkit-radial-gradient","-webkit-repeating-linear-gradient","-webkit-repeating-radial-gradient","-webkit-sticky","-webkit-zoom-in","-webkit-zoom-out","-xv-digits","-xv-literal-punctuation","-xv-no-punctuation","-moz-arabic-indic","-moz-bengali","-moz-cjk-earthly-branch","-moz-cjk-heavenly-stem","-moz-devanagari","-moz-ethiopic-numeric","-moz-gujarati","-moz-gurmukhi","-moz-hangul","-moz-hangul-consonant","-moz-japanese-formal","-moz-japanese-informal","-moz-kannada","-moz-khmer","-moz-lao","-moz-malayalam","-moz-myanmar","-moz-oriya","-moz-persian","-moz-simp-chinese-formal","-moz-simp-chinese-informal","-moz-tamil","-moz-telugu","-moz-thai","-moz-trad-chinese-formal","-moz-trad-chinese-informal"]);var ft={atRuleName:e=>ut.has("@".concat(e.toLowerCase())),selector:e=>dt.has(e.toLowerCase()),mediaFeatureName:e=>e.toLowerCase().includes("device-pixel-ratio"),property(e){const t=e.toLowerCase();return"-ms-interpolation-mode"===t||0!==xe.prefix(t).length&&pt.has(xe.unprefixed(t))},propertyValue:e=>ht.has(e.toLowerCase()),unprefix:e=>e.replace(/-\w+-/,"")};const mt="at-rule-no-vendor-prefix",gt=Z(mt,{rejected:e=>'Unexpected vendor-prefixed at-rule "@'.concat(e,'"')}),bt=(e,t,n)=>(t,r)=>{re(r,mt,{actual:e})&&t.walkAtRules((e=>{if(!ke(e))return;const t=e.name;t.startsWith("-")&&ft.atRuleName(t)&&(n.fix?e.name=ft.unprefix(e.name):X({message:gt.rejected,messageArgs:[t],node:e,word:"@".concat(t),result:r,ruleName:mt}))}))};function wt(...e){return t=>!!T(t)&&Object.values(t).flat().every((t=>e.some((e=>e(t)))))}bt.ruleName=mt,bt.messages=gt,bt.meta={url:"https://stylelint.io/user-guide/rules/at-rule-no-vendor-prefix",fixable:!0};const yt="at-rule-property-required-list",vt=Z(yt,{expected:(e,t)=>'Expected property "'.concat(t,'" for at-rule "').concat(e,'"')}),kt=e=>(t,n)=>{if(!re(n,yt,{actual:e,possible:[wt(P)]}))return;const r=function(e){const t=new Map;for(const[n,r]of Object.entries(e)){const e=Array.isArray(r)?r:[r];t.set(n,new Set(e))}return t}(e),o=new Set;t.walkAtRules((e=>{if(!ke(e))return;const{name:t,nodes:i}=e;if(!i)return;const s=t.toLowerCase(),a=r.get(s);if(a){o.clear();for(const e of i){if(!e||"decl"!==e.type)continue;const t=e.prop.toLowerCase();a.has(t)&&o.add(t)}if(o.size!==a.size)for(const t of a)o.has(t)||X({message:vt.expected,messageArgs:[s,t],node:e,word:"@".concat(e.name),result:n,ruleName:yt})}}))};function xt(e,{noRawBefore:t}={noRawBefore:!1}){let n="";const r=e.raws.before||"";if(t||(n+=r),Me(e))n+=e.selector;else{if(!_e(e))return"";n+="@".concat(e.name).concat(e.raws.afterName||"").concat(e.params)}return n+=e.raws.between||"",n}kt.ruleName=yt,kt.messages=vt,kt.meta={url:"https://stylelint.io/user-guide/rules/at-rule-property-required-list"};const St="-disable",Ct="-disable-line",Ot="-disable-next-line",At="-enable",zt=new Set([St,Ct,Ot,At]),Et="stylelint";function Nt(e,t="stylelint"){const[n]=e.text.split(/\s/,1);return L(n),n.replace(t,"")}function Pt(e,t="stylelint"){const n=Nt(e,t);return void 0!==n&&zt.has(n)}const Tt="block-no-empty",It=Z(Tt,{rejected:"Unexpected empty block"}),jt=(e,t,n)=>(r,o)=>{if(!re(o,Tt,{actual:e,possible:A},{actual:t,possible:{ignore:["comments"]},optional:!0}))return;const i=H(t,"ignore","comments");function s(e){if(!Ye(e))return;if(function(e){var t;return(null!==(t=e.nodes)&&void 0!==t?t:[]).some((e=>{if(Re(e)){if(i)return!1;if(Pt(e,n.configurationComment))return!1}return!0}))}(e))return;if(function(e){const{after:t}=e.raws;return"string"==typeof t&&/\S/.test(t)}(e))return;let t=xt(e,{noRawBefore:!0}).length;void 0===e.raws.between&&t--,X({message:It.rejected,node:e,start:e.positionBy({index:t}),result:o,ruleName:Tt})}r.walkRules(s),r.walkAtRules(s)};function Lt(e){return!!e.value&&(!e.value.startsWith("#{")&&(!e.value.startsWith("${")&&!e.value.startsWith("`")))}function Mt(e){if(!Lt(e))return!1;for(const t of e.nodes){if("function"===t.type)return Mt(t);if("word"===t.type&&(t.value.startsWith("#")||t.value.startsWith("$")||t.value.includes(".$")))return!1}return!0}jt.ruleName=Tt,jt.messages=It,jt.meta={url:"https://stylelint.io/user-guide/rules/block-no-empty"};const _t="color-function-notation",Rt=Z(_t,{expected:e=>"Expected ".concat(e," color-function notation")}),Ft=/^(?:rgba|hsla)$/i,Dt=/\b(?:rgba?|hsla?)\(/i,Ut=/^(?:rgba?|hsla?)$/i,qt=(e,t,n)=>(r,o)=>{if(!re(o,_t,{actual:e,possible:["modern","legacy"]},{actual:t,possible:{ignore:["with-var-inside"]},optional:!0}))return;const i=H(t,"ignore","with-var-inside");r.walkDecls((t=>{if(!Dt.test(t.value))return;if("modern"===e&&!t.value.includes(","))return;let r=!1;const s=S(_(t));s.walk((s=>{if(!De(s))return;if(!Mt(s))return;const{value:a,sourceIndex:l,sourceEndIndex:c,nodes:u}=s;if(i&&function(e){return e.some((({type:e,value:t})=>"function"===e&&"var"===t.toLowerCase()))}(u))return;if(!Ut.test(a))return;if("modern"===e&&!$t(s))return;if("legacy"===e&&$t(s))return;if(n.fix&&"modern"===e){let e=0;return s.nodes=u.map((t=>(Bt(t)&&(e<2?(t.type="space",t.value=Wt(t.after),e++):(t.value="/",t.before=Wt(t.before),t.after=Wt(t.after))),t))),Ft.test(a)&&(s.value=a.slice(0,-1)),void(r=!0)}const d=M(t)+l,p=d+(c-l);X({message:Rt.expected,messageArgs:[e],node:t,index:d,endIndex:p,result:o,ruleName:_t})})),r&&ee(t,s.toString())}))};function Wt(e){return""!==e?e:" "}function Bt(e){return"div"===e.type&&","===e.value}function $t(e){return e.nodes&&e.nodes.some((e=>Bt(e)))}qt.ruleName=_t,qt.messages=Rt,qt.meta={url:"https://stylelint.io/user-guide/rules/color-function-notation",fixable:!0};const Qt=/#(?:[\da-f]{3,4}|[\da-f]{6}|[\da-f]{8})(?:$|[^\da-f])/i;function Vt(e){return Qt.test(e)}const Gt=/^#(?:[\da-f]{3,4}|[\da-f]{6}|[\da-f]{8})$/i;function Yt(e){return Gt.test(e)}function Jt({type:e,value:t}){return"word"===e&&Yt(t)}const Kt="color-hex-alpha",Ht=Z(Kt,{expected:e=>'Expected alpha channel in "'.concat(e,'"'),unexpected:e=>'Unexpected alpha channel in "'.concat(e,'"')}),Xt=e=>(t,n)=>{re(n,Kt,{actual:e,possible:["always","never"]})&&t.walkDecls((t=>{if(!Vt(t.value))return;S(t.value).walk((r=>{if(function({type:e,value:t}){return"function"===e&&"url"===t}(r))return!1;if(!Jt(r))return;const{value:o}=r;if("always"===e&&Zt(o))return;if("never"===e&&!Zt(o))return;const i=M(t)+r.sourceIndex,s=i+o.length;X({message:"never"===e?Ht.unexpected:Ht.expected,messageArgs:[o],node:t,index:i,endIndex:s,result:n,ruleName:Kt})}))}))};function Zt(e){return 5===e.length||9===e.length}Xt.ruleName=Kt,Xt.messages=Ht,Xt.meta={url:"https://stylelint.io/user-guide/rules/color-hex-alpha"};const en=new Set(["url"]);function tn({type:e,value:t}){return"function"===e&&en.has(t.toLowerCase())}const nn="color-hex-length",rn=Z(nn,{expected:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),on=/#[\da-z]+/i,sn=(e,t,n)=>(t,r)=>{re(r,nn,{actual:e,possible:["short","long"]})&&t.walkDecls((t=>{if(!on.test(t.value))return;const o=S(_(t));let i=!1;o.walk((o=>{const{value:s}=o;if(tn(o))return!1;if(!Jt(o))return;if("long"===e&&4!==s.length&&5!==s.length)return;if("short"===e&&(s.length<6||!function(e){return(e=e.toLowerCase())[1]===e[2]&&e[3]===e[4]&&e[5]===e[6]&&(7===e.length||9===e.length&&e[7]===e[8])}(s)))return;const a=("long"===e?ln:an)(s);if(n.fix)return o.value=a,void(i=!0);const l=M(t)+o.sourceIndex,c=l+o.value.length;X({message:rn.expected,messageArgs:[s,a],node:t,index:l,endIndex:c,result:r,ruleName:nn})})),i&&ee(t,o.toString())}))};function an(e){let t="#";for(let n=1;n<e.length;n+=2)t+=e[n];return t}function ln(e){let t="#";for(let n=1;n<e.length;n++)t+=e.charAt(n).repeat(2);return t}sn.ruleName=nn,sn.messages=rn,sn.meta={url:"https://stylelint.io/user-guide/rules/color-hex-length",fixable:!0};const cn=new Set(["animation","animation-name","font","font-family","counter-increment","grid-row","grid-column","grid-area","list-style","list-style-type"]),un=new Map([["border",new Set(["border-image","border-image-outset","border-image-repeat","border-image-slice","border-image-source","border-image-width"])],["font",new Set(["font-feature-settings","font-kerning","font-language-override","font-optical-sizing","font-size-adjust","font-variant-alternates","font-variant-caps","font-variant-east-asian","font-variant-emoji","font-variant-ligatures","font-variant-numeric","font-variant-position","font-variation-settings"])]]),dn=new Map([["animation",new Set(["animation-name","animation-duration","animation-timing-function","animation-delay","animation-iteration-count","animation-direction","animation-fill-mode","animation-play-state"])],["background",new Set(["background-image","background-size","background-position","background-repeat","background-origin","background-clip","background-attachment","background-color"])],["border",new Set(["border-top-width","border-right-width","border-bottom-width","border-left-width","border-top-style","border-right-style","border-bottom-style","border-left-style","border-top-color","border-right-color","border-bottom-color","border-left-color","border-width","border-style","border-color"])],["border-block",new Set(["border-block-width","border-block-style","border-block-color"])],["border-block-end",new Set(["border-block-end-width","border-block-end-style","border-block-end-color"])],["border-block-start",new Set(["border-block-start-width","border-block-start-style","border-block-start-color"])],["border-bottom",new Set(["border-bottom-width","border-bottom-style","border-bottom-color"])],["border-color",new Set(["border-top-color","border-right-color","border-bottom-color","border-left-color"])],["border-image",new Set(["border-image-source","border-image-slice","border-image-width","border-image-outset","border-image-repeat"])],["border-inline",new Set(["border-inline-width","border-inline-style","border-inline-color"])],["border-inline-end",new Set(["border-inline-end-width","border-inline-end-style","border-inline-end-color"])],["border-inline-start",new Set(["border-inline-start-width","border-inline-start-style","border-inline-start-color"])],["border-left",new Set(["border-left-width","border-left-style","border-left-color"])],["border-radius",new Set(["border-top-left-radius","border-top-right-radius","border-bottom-right-radius","border-bottom-left-radius"])],["border-right",new Set(["border-right-width","border-right-style","border-right-color"])],["border-style",new Set(["border-top-style","border-right-style","border-bottom-style","border-left-style"])],["border-top",new Set(["border-top-width","border-top-style","border-top-color"])],["border-width",new Set(["border-top-width","border-right-width","border-bottom-width","border-left-width"])],["column-rule",new Set(["column-rule-width","column-rule-style","column-rule-color"])],["columns",new Set(["column-width","column-count"])],["flex",new Set(["flex-grow","flex-shrink","flex-basis"])],["flex-flow",new Set(["flex-direction","flex-wrap"])],["font",new Set(["font-style","font-variant","font-weight","font-stretch","font-size","line-height","font-family"])],["font-synthesis",new Set(["font-synthesis-weight","font-synthesis-style","font-synthesis-small-caps"])],["gap",new Set(["row-gap","column-gap"])],["grid",new Set(["grid-template-rows","grid-template-columns","grid-template-areas","grid-auto-rows","grid-auto-columns","grid-auto-flow","grid-column-gap","grid-row-gap"])],["grid-area",new Set(["grid-row-start","grid-column-start","grid-row-end","grid-column-end"])],["grid-column",new Set(["grid-column-start","grid-column-end"])],["grid-gap",new Set(["grid-row-gap","grid-column-gap"])],["grid-row",new Set(["grid-row-start","grid-row-end"])],["grid-template",new Set(["grid-template-columns","grid-template-rows","grid-template-areas"])],["inset",new Set(["top","right","bottom","left"])],["inset-block",new Set(["inset-block-start","inset-block-end"])],["inset-inline",new Set(["inset-inline-start","inset-inline-end"])],["list-style",new Set(["list-style-type","list-style-position","list-style-image"])],["margin",new Set(["margin-top","margin-right","margin-bottom","margin-left"])],["margin-block",new Set(["margin-block-start","margin-block-end"])],["margin-inline",new Set(["margin-inline-start","margin-inline-end"])],["mask",new Set(["mask-image","mask-mode","mask-position","mask-size","mask-repeat","mask-origin","mask-clip","mask-composite"])],["outline",new Set(["outline-color","outline-style","outline-width"])],["overflow",new Set(["overflow-x","overflow-y"])],["overscroll-behavior",new Set(["overscroll-behavior-x","overscroll-behavior-y"])],["padding",new Set(["padding-top","padding-right","padding-bottom","padding-left"])],["padding-block",new Set(["padding-block-start","padding-block-end"])],["padding-inline",new Set(["padding-inline-start","padding-inline-end"])],["place-content",new Set(["align-content","justify-content"])],["place-items",new Set(["align-items","justify-items"])],["place-self",new Set(["align-self","justify-self"])],["scroll-margin",new Set(["scroll-margin-top","scroll-margin-right","scroll-margin-bottom","scroll-margin-left"])],["scroll-margin-block",new Set(["scroll-margin-block-start","scroll-margin-block-end"])],["scroll-margin-inline",new Set(["scroll-margin-inline-start","scroll-margin-inline-end"])],["scroll-padding",new Set(["scroll-padding-top","scroll-padding-right","scroll-padding-bottom","scroll-padding-left"])],["scroll-padding-block",new Set(["scroll-padding-block-start","scroll-padding-block-end"])],["scroll-padding-inline",new Set(["scroll-padding-inline-start","scroll-padding-inline-end"])],["text-decoration",new Set(["text-decoration-line","text-decoration-style","text-decoration-color","text-decoration-thickness"])],["text-emphasis",new Set(["text-emphasis-style","text-emphasis-color"])],["transition",new Set(["transition-property","transition-duration","transition-timing-function","transition-delay"])]]),pn=new Set(["transition-duration","transition-delay","animation-duration","animation-delay"]),hn=new Set(["transition","animation"]);function fn(e,t){var n=Object.keys(e);if(Object.getOwnPropertySymbols){var r=Object.getOwnPropertySymbols(e);t&&(r=r.filter((function(t){return Object.getOwnPropertyDescriptor(e,t).enumerable}))),n.push.apply(n,r)}return n}function mn(e){for(var t=1;t<arguments.length;t++){var n=null!=arguments[t]?arguments[t]:{};t%2?fn(Object(n),!0).forEach((function(t){bn(e,t,n[t])})):Object.getOwnPropertyDescriptors?Object.defineProperties(e,Object.getOwnPropertyDescriptors(n)):fn(Object(n)).forEach((function(t){Object.defineProperty(e,t,Object.getOwnPropertyDescriptor(n,t))}))}return e}function gn(e){var t=function(e,t){if("object"!=typeof e||!e)return e;var n=e[Symbol.toPrimitive];if(void 0!==n){var r=n.call(e,t||"default");if("object"!=typeof r)return r;throw new TypeError("@@toPrimitive must return a primitive value.")}return("string"===t?String:Number)(e)}(e,"string");return"symbol"==typeof t?t:t+""}function bn(e,t,n){return(t=gn(t))in e?Object.defineProperty(e,t,{value:n,enumerable:!0,configurable:!0,writable:!0}):e[t]=n,e}function wn(e,t){if(null==e)return{};var n,r,o=function(e,t){if(null==e)return{};var n={};for(var r in e)if(Object.prototype.hasOwnProperty.call(e,r)){if(t.indexOf(r)>=0)continue;n[r]=e[r]}return n}(e,t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(e);for(r=0;r<i.length;r++)n=i[r],t.indexOf(n)>=0||Object.prototype.propertyIsEnumerable.call(e,n)&&(o[n]=e[n])}return o}var yn={grad:.9,turn:360,rad:360/(2*Math.PI)},vn=function(e){return"string"==typeof e?e.length>0:"number"==typeof e},kn=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=Math.pow(10,t)),Math.round(n*e)/n+0},xn=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=1),e>n?n:e>t?e:t},Sn=function(e){return(e=isFinite(e)?e%360:0)>0?e:e+360},Cn=function(e){return{r:xn(e.r,0,255),g:xn(e.g,0,255),b:xn(e.b,0,255),a:xn(e.a)}},On=function(e){return{r:kn(e.r),g:kn(e.g),b:kn(e.b),a:kn(e.a,3)}},An=/^#([0-9a-f]{3,8})$/i,zn=function(e){var t=e.toString(16);return t.length<2?"0"+t:t},En=function(e){var t=e.r,n=e.g,r=e.b,o=e.a,i=Math.max(t,n,r),s=i-Math.min(t,n,r),a=s?i===t?(n-r)/s:i===n?2+(r-t)/s:4+(t-n)/s:0;return{h:60*(a<0?a+6:a),s:i?s/i*100:0,v:i/255*100,a:o}},Nn=function(e){var t=e.h,n=e.s,r=e.v,o=e.a;t=t/360*6,n/=100,r/=100;var i=Math.floor(t),s=r*(1-n),a=r*(1-(t-i)*n),l=r*(1-(1-t+i)*n),c=i%6;return{r:255*[r,a,s,s,l,r][c],g:255*[l,r,r,a,s,s][c],b:255*[s,s,l,r,r,a][c],a:o}},Pn=function(e){return{h:Sn(e.h),s:xn(e.s,0,100),l:xn(e.l,0,100),a:xn(e.a)}},Tn=function(e){return{h:kn(e.h),s:kn(e.s),l:kn(e.l),a:kn(e.a,3)}},In=function(e){return Nn((n=(t=e).s,{h:t.h,s:(n*=((r=t.l)<50?r:100-r)/100)>0?2*n/(r+n)*100:0,v:r+n,a:t.a}));var t,n,r},jn=function(e){return{h:(t=En(e)).h,s:(o=(200-(n=t.s))*(r=t.v)/100)>0&&o<200?n*r/100/(o<=100?o:200-o)*100:0,l:o/2,a:t.a};var t,n,r,o},Ln=/^hsla?\(\s*([+-]?\d*\.?\d+)(deg|rad|grad|turn)?\s*,\s*([+-]?\d*\.?\d+)%\s*,\s*([+-]?\d*\.?\d+)%\s*(?:,\s*([+-]?\d*\.?\d+)(%)?\s*)?\)$/i,Mn=/^hsla?\(\s*([+-]?\d*\.?\d+)(deg|rad|grad|turn)?\s+([+-]?\d*\.?\d+)%\s+([+-]?\d*\.?\d+)%\s*(?:\/\s*([+-]?\d*\.?\d+)(%)?\s*)?\)$/i,_n=/^rgba?\(\s*([+-]?\d*\.?\d+)(%)?\s*,\s*([+-]?\d*\.?\d+)(%)?\s*,\s*([+-]?\d*\.?\d+)(%)?\s*(?:,\s*([+-]?\d*\.?\d+)(%)?\s*)?\)$/i,Rn=/^rgba?\(\s*([+-]?\d*\.?\d+)(%)?\s+([+-]?\d*\.?\d+)(%)?\s+([+-]?\d*\.?\d+)(%)?\s*(?:\/\s*([+-]?\d*\.?\d+)(%)?\s*)?\)$/i,Fn={string:[[function(e){var t=An.exec(e);return t?(e=t[1]).length<=4?{r:parseInt(e[0]+e[0],16),g:parseInt(e[1]+e[1],16),b:parseInt(e[2]+e[2],16),a:4===e.length?kn(parseInt(e[3]+e[3],16)/255,2):1}:6===e.length||8===e.length?{r:parseInt(e.substr(0,2),16),g:parseInt(e.substr(2,2),16),b:parseInt(e.substr(4,2),16),a:8===e.length?kn(parseInt(e.substr(6,2),16)/255,2):1}:null:null},"hex"],[function(e){var t=_n.exec(e)||Rn.exec(e);return t?t[2]!==t[4]||t[4]!==t[6]?null:Cn({r:Number(t[1])/(t[2]?100/255:1),g:Number(t[3])/(t[4]?100/255:1),b:Number(t[5])/(t[6]?100/255:1),a:void 0===t[7]?1:Number(t[7])/(t[8]?100:1)}):null},"rgb"],[function(e){var t=Ln.exec(e)||Mn.exec(e);if(!t)return null;var n,r,o=Pn({h:(n=t[1],r=t[2],void 0===r&&(r="deg"),Number(n)*(yn[r]||1)),s:Number(t[3]),l:Number(t[4]),a:void 0===t[5]?1:Number(t[5])/(t[6]?100:1)});return In(o)},"hsl"]],object:[[function(e){var t=e.r,n=e.g,r=e.b,o=e.a,i=void 0===o?1:o;return vn(t)&&vn(n)&&vn(r)?Cn({r:Number(t),g:Number(n),b:Number(r),a:Number(i)}):null},"rgb"],[function(e){var t=e.h,n=e.s,r=e.l,o=e.a,i=void 0===o?1:o;if(!vn(t)||!vn(n)||!vn(r))return null;var s=Pn({h:Number(t),s:Number(n),l:Number(r),a:Number(i)});return In(s)},"hsl"],[function(e){var t=e.h,n=e.s,r=e.v,o=e.a,i=void 0===o?1:o;if(!vn(t)||!vn(n)||!vn(r))return null;var s=function(e){return{h:Sn(e.h),s:xn(e.s,0,100),v:xn(e.v,0,100),a:xn(e.a)}}({h:Number(t),s:Number(n),v:Number(r),a:Number(i)});return Nn(s)},"hsv"]]},Dn=function(e,t){for(var n=0;n<t.length;n++){var r=t[n][0](e);if(r)return[r,t[n][1]]}return[null,void 0]},Un=function(e,t){var n=jn(e);return{h:n.h,s:xn(n.s+100*t,0,100),l:n.l,a:n.a}},qn=function(e){return(299*e.r+587*e.g+114*e.b)/1e3/255},Wn=function(e,t){var n=jn(e);return{h:n.h,s:n.s,l:xn(n.l+100*t,0,100),a:n.a}},Bn=function(){function e(e){this.parsed=function(e){return"string"==typeof e?Dn(e.trim(),Fn.string):"object"==typeof e&&null!==e?Dn(e,Fn.object):[null,void 0]}(e)[0],this.rgba=this.parsed||{r:0,g:0,b:0,a:1}}return e.prototype.isValid=function(){return null!==this.parsed},e.prototype.brightness=function(){return kn(qn(this.rgba),2)},e.prototype.isDark=function(){return qn(this.rgba)<.5},e.prototype.isLight=function(){return qn(this.rgba)>=.5},e.prototype.toHex=function(){return t=(e=On(this.rgba)).r,n=e.g,r=e.b,i=(o=e.a)<1?zn(kn(255*o)):"","#"+zn(t)+zn(n)+zn(r)+i;var e,t,n,r,o,i},e.prototype.toRgb=function(){return On(this.rgba)},e.prototype.toRgbString=function(){return t=(e=On(this.rgba)).r,n=e.g,r=e.b,(o=e.a)<1?"rgba("+t+", "+n+", "+r+", "+o+")":"rgb("+t+", "+n+", "+r+")";var e,t,n,r,o},e.prototype.toHsl=function(){return Tn(jn(this.rgba))},e.prototype.toHslString=function(){return t=(e=Tn(jn(this.rgba))).h,n=e.s,r=e.l,(o=e.a)<1?"hsla("+t+", "+n+"%, "+r+"%, "+o+")":"hsl("+t+", "+n+"%, "+r+"%)";var e,t,n,r,o},e.prototype.toHsv=function(){return e=En(this.rgba),{h:kn(e.h),s:kn(e.s),v:kn(e.v),a:kn(e.a,3)};var e},e.prototype.invert=function(){return $n({r:255-(e=this.rgba).r,g:255-e.g,b:255-e.b,a:e.a});var e},e.prototype.saturate=function(e){return void 0===e&&(e=.1),$n(Un(this.rgba,e))},e.prototype.desaturate=function(e){return void 0===e&&(e=.1),$n(Un(this.rgba,-e))},e.prototype.grayscale=function(){return $n(Un(this.rgba,-1))},e.prototype.lighten=function(e){return void 0===e&&(e=.1),$n(Wn(this.rgba,e))},e.prototype.darken=function(e){return void 0===e&&(e=.1),$n(Wn(this.rgba,-e))},e.prototype.rotate=function(e){return void 0===e&&(e=15),this.hue(this.hue()+e)},e.prototype.alpha=function(e){return"number"==typeof e?$n({r:(t=this.rgba).r,g:t.g,b:t.b,a:e}):kn(this.rgba.a,3);var t},e.prototype.hue=function(e){var t=jn(this.rgba);return"number"==typeof e?$n({h:e,s:t.s,l:t.l,a:t.a}):kn(t.h)},e.prototype.isEqual=function(e){return this.toHex()===$n(e).toHex()},e}(),$n=function(e){return e instanceof Bn?e:new Bn(e)},Qn=[];var Vn={grad:.9,turn:360,rad:360/(2*Math.PI)},Gn=function(e){return"string"==typeof e?e.length>0:"number"==typeof e},Yn=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=Math.pow(10,t)),Math.round(n*e)/n+0},Jn=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=1),e>n?n:e>t?e:t},Kn=function(e){return{h:(t=e.h,(t=isFinite(t)?t%360:0)>0?t:t+360),w:Jn(e.w,0,100),b:Jn(e.b,0,100),a:Jn(e.a)};var t},Hn=function(e){return{h:Yn(e.h),w:Yn(e.w),b:Yn(e.b),a:Yn(e.a,3)}},Xn=function(e){return{h:function(e){var t=e.r,n=e.g,r=e.b,o=e.a,i=Math.max(t,n,r),s=i-Math.min(t,n,r),a=s?i===t?(n-r)/s:i===n?2+(r-t)/s:4+(t-n)/s:0;return{h:60*(a<0?a+6:a),s:i?s/i*100:0,v:i/255*100,a:o}}(e).h,w:Math.min(e.r,e.g,e.b)/255*100,b:100-Math.max(e.r,e.g,e.b)/255*100,a:e.a}},Zn=function(e){return function(e){var t=e.h,n=e.s,r=e.v,o=e.a;t=t/360*6,n/=100,r/=100;var i=Math.floor(t),s=r*(1-n),a=r*(1-(t-i)*n),l=r*(1-(1-t+i)*n),c=i%6;return{r:255*[r,a,s,s,l,r][c],g:255*[l,r,r,a,s,s][c],b:255*[s,s,l,r,r,a][c],a:o}}({h:e.h,s:100===e.b?0:100-e.w/(100-e.b)*100,v:100-e.b,a:e.a})},er=function(e){var t=e.h,n=e.w,r=e.b,o=e.a,i=void 0===o?1:o;if(!Gn(t)||!Gn(n)||!Gn(r))return null;var s=Kn({h:Number(t),w:Number(n),b:Number(r),a:Number(i)});return Zn(s)},tr=/^hwb\(\s*([+-]?\d*\.?\d+)(deg|rad|grad|turn)?\s+([+-]?\d*\.?\d+)%\s+([+-]?\d*\.?\d+)%\s*(?:\/\s*([+-]?\d*\.?\d+)(%)?\s*)?\)$/i,nr=function(e){var t=tr.exec(e);if(!t)return null;var n,r,o=Kn({h:(n=t[1],r=t[2],void 0===r&&(r="deg"),Number(n)*(Vn[r]||1)),w:Number(t[3]),b:Number(t[4]),a:void 0===t[5]?1:Number(t[5])/(t[6]?100:1)});return Zn(o)};var rr=function(e){return"string"==typeof e?e.length>0:"number"==typeof e},or=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=Math.pow(10,t)),Math.round(n*e)/n+0},ir=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=1),e>n?n:e>t?e:t},sr=function(e){var t=e/255;return t<.04045?t/12.92:Math.pow((t+.055)/1.055,2.4)},ar=function(e){return 255*(e>.0031308?1.055*Math.pow(e,1/2.4)-.055:12.92*e)},lr=96.422,cr=82.521,ur=216/24389,dr=24389/27,pr=function(e){var t=e.l,n=e.a,r=e.b,o=e.alpha,i=void 0===o?1:o;if(!rr(t)||!rr(n)||!rr(r))return null;var s=function(e){return{l:ir(e.l,0,400),a:e.a,b:e.b,alpha:ir(e.alpha)}}({l:Number(t),a:Number(n),b:Number(r),alpha:Number(i)});return hr(s)},hr=function(e){var t=(e.l+16)/116,n=e.a/500+t,r=t-e.b/200;return function(e){var t,n,r=.9555766*(t=e).x+-.0230393*t.y+.0631636*t.z,o=-.0282895*t.x+1.0099416*t.y+.0210077*t.z,i=.0122982*t.x+-.020483*t.y+1.3299098*t.z;return n={r:ar(.032404542*r-.015371385*o-.004985314*i),g:ar(-.00969266*r+.018760108*o+41556e-8*i),b:ar(556434e-9*r-.002040259*o+.010572252*i),a:e.a},{r:ir(n.r,0,255),g:ir(n.g,0,255),b:ir(n.b,0,255),a:ir(n.a)}}({x:(Math.pow(n,3)>ur?Math.pow(n,3):(116*n-16)/dr)*lr,y:100*(e.l>8?Math.pow((e.l+16)/116,3):e.l/dr),z:(Math.pow(r,3)>ur?Math.pow(r,3):(116*r-16)/dr)*cr,a:e.alpha})};var fr={grad:.9,turn:360,rad:360/(2*Math.PI)},mr=function(e){return"string"==typeof e?e.length>0:"number"==typeof e},gr=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=Math.pow(10,t)),Math.round(n*e)/n+0},br=function(e,t,n){return void 0===t&&(t=0),void 0===n&&(n=1),e>n?n:e>t?e:t},wr=function(e){var t=e/255;return t<.04045?t/12.92:Math.pow((t+.055)/1.055,2.4)},yr=function(e){return 255*(e>.0031308?1.055*Math.pow(e,1/2.4)-.055:12.92*e)},vr=96.422,kr=82.521,xr=216/24389,Sr=24389/27,Cr=function(e){return{l:br(e.l,0,100),c:e.c,h:(t=e.h,(t=isFinite(t)?t%360:0)>0?t:t+360),a:e.a};var t},Or=function(e){return{l:gr(e.l,2),c:gr(e.c,2),h:gr(e.h,2),a:gr(e.a,3)}},Ar=function(e){var t=e.l,n=e.c,r=e.h,o=e.a,i=void 0===o?1:o;if(!mr(t)||!mr(n)||!mr(r))return null;var s=Cr({l:Number(t),c:Number(n),h:Number(r),a:Number(i)});return Er(s)},zr=function(e){var t=function(e){var t=function(e){var t=wr(e.r),n=wr(e.g),r=wr(e.b);return function(e){return{x:br(e.x,0,vr),y:br(e.y,0,100),z:br(e.z,0,kr),a:br(e.a)}}(function(e){return{x:1.0478112*e.x+.0228866*e.y+-.050127*e.z,y:.0295424*e.x+.9904844*e.y+-.0170491*e.z,z:-.0092345*e.x+.0150436*e.y+.7521316*e.z,a:e.a}}({x:100*(.4124564*t+.3575761*n+.1804375*r),y:100*(.2126729*t+.7151522*n+.072175*r),z:100*(.0193339*t+.119192*n+.9503041*r),a:e.a}))}(e),n=t.x/vr,r=t.y/100,o=t.z/kr;return n=n>xr?Math.cbrt(n):(Sr*n+16)/116,{l:116*(r=r>xr?Math.cbrt(r):(Sr*r+16)/116)-16,a:500*(n-r),b:200*(r-(o=o>xr?Math.cbrt(o):(Sr*o+16)/116)),alpha:t.a}}(e),n=gr(t.a,3),r=gr(t.b,3),o=Math.atan2(r,n)/Math.PI*180;return{l:t.l,c:Math.sqrt(n*n+r*r),h:o<0?o+360:o,a:t.alpha}},Er=function(e){return r=(t={l:e.l,a:e.c*Math.cos(e.h*Math.PI/180),b:e.c*Math.sin(e.h*Math.PI/180),alpha:e.a}).a/500+(n=(t.l+16)/116),o=n-t.b/200,function(e){var t,n,r=.9555766*(t=e).x+-.0230393*t.y+.0631636*t.z,o=-.0282895*t.x+1.0099416*t.y+.0210077*t.z,i=.0122982*t.x+-.020483*t.y+1.3299098*t.z;return n={r:yr(.032404542*r-.015371385*o-.004985314*i),g:yr(-.00969266*r+.018760108*o+41556e-8*i),b:yr(556434e-9*r-.002040259*o+.010572252*i),a:e.a},{r:br(n.r,0,255),g:br(n.g,0,255),b:br(n.b,0,255),a:br(n.a)}}({x:(Math.pow(r,3)>xr?Math.pow(r,3):(116*r-16)/Sr)*vr,y:100*(t.l>8?Math.pow((t.l+16)/116,3):t.l/Sr),z:(Math.pow(o,3)>xr?Math.pow(o,3):(116*o-16)/Sr)*kr,a:t.alpha});var t,n,r,o},Nr=/^lch\(\s*([+-]?\d*\.?\d+)%\s+([+-]?\d*\.?\d+)\s+([+-]?\d*\.?\d+)(deg|rad|grad|turn)?\s*(?:\/\s*([+-]?\d*\.?\d+)(%)?\s*)?\)$/i,Pr=function(e){var t=Nr.exec(e);if(!t)return null;var n,r,o=Cr({l:Number(t[1]),c:Number(t[2]),h:(n=t[3],r=t[4],void 0===r&&(r="deg"),Number(n)*(fr[r]||1)),a:void 0===t[5]?1:Number(t[5])/(t[6]?100:1)});return Er(o)};!function(e){e.forEach((function(e){Qn.indexOf(e)<0&&(e(Bn,Fn),Qn.push(e))}))}([function(e,t){var n={white:"#ffffff",bisque:"#ffe4c4",blue:"#0000ff",cadetblue:"#5f9ea0",chartreuse:"#7fff00",chocolate:"#d2691e",coral:"#ff7f50",antiquewhite:"#faebd7",aqua:"#00ffff",azure:"#f0ffff",whitesmoke:"#f5f5f5",papayawhip:"#ffefd5",plum:"#dda0dd",blanchedalmond:"#ffebcd",black:"#000000",gold:"#ffd700",goldenrod:"#daa520",gainsboro:"#dcdcdc",cornsilk:"#fff8dc",cornflowerblue:"#6495ed",burlywood:"#deb887",aquamarine:"#7fffd4",beige:"#f5f5dc",crimson:"#dc143c",cyan:"#00ffff",darkblue:"#00008b",darkcyan:"#008b8b",darkgoldenrod:"#b8860b",darkkhaki:"#bdb76b",darkgray:"#a9a9a9",darkgreen:"#006400",darkgrey:"#a9a9a9",peachpuff:"#ffdab9",darkmagenta:"#8b008b",darkred:"#8b0000",darkorchid:"#9932cc",darkorange:"#ff8c00",darkslateblue:"#483d8b",gray:"#808080",darkslategray:"#2f4f4f",darkslategrey:"#2f4f4f",deeppink:"#ff1493",deepskyblue:"#00bfff",wheat:"#f5deb3",firebrick:"#b22222",floralwhite:"#fffaf0",ghostwhite:"#f8f8ff",darkviolet:"#9400d3",magenta:"#ff00ff",green:"#008000",dodgerblue:"#1e90ff",grey:"#808080",honeydew:"#f0fff0",hotpink:"#ff69b4",blueviolet:"#8a2be2",forestgreen:"#228b22",lawngreen:"#7cfc00",indianred:"#cd5c5c",indigo:"#4b0082",fuchsia:"#ff00ff",brown:"#a52a2a",maroon:"#800000",mediumblue:"#0000cd",lightcoral:"#f08080",darkturquoise:"#00ced1",lightcyan:"#e0ffff",ivory:"#fffff0",lightyellow:"#ffffe0",lightsalmon:"#ffa07a",lightseagreen:"#20b2aa",linen:"#faf0e6",mediumaquamarine:"#66cdaa",lemonchiffon:"#fffacd",lime:"#00ff00",khaki:"#f0e68c",mediumseagreen:"#3cb371",limegreen:"#32cd32",mediumspringgreen:"#00fa9a",lightskyblue:"#87cefa",lightblue:"#add8e6",midnightblue:"#191970",lightpink:"#ffb6c1",mistyrose:"#ffe4e1",moccasin:"#ffe4b5",mintcream:"#f5fffa",lightslategray:"#778899",lightslategrey:"#778899",navajowhite:"#ffdead",navy:"#000080",mediumvioletred:"#c71585",powderblue:"#b0e0e6",palegoldenrod:"#eee8aa",oldlace:"#fdf5e6",paleturquoise:"#afeeee",mediumturquoise:"#48d1cc",mediumorchid:"#ba55d3",rebeccapurple:"#663399",lightsteelblue:"#b0c4de",mediumslateblue:"#7b68ee",thistle:"#d8bfd8",tan:"#d2b48c",orchid:"#da70d6",mediumpurple:"#9370db",purple:"#800080",pink:"#ffc0cb",skyblue:"#87ceeb",springgreen:"#00ff7f",palegreen:"#98fb98",red:"#ff0000",yellow:"#ffff00",slateblue:"#6a5acd",lavenderblush:"#fff0f5",peru:"#cd853f",palevioletred:"#db7093",violet:"#ee82ee",teal:"#008080",slategray:"#708090",slategrey:"#708090",aliceblue:"#f0f8ff",darkseagreen:"#8fbc8f",darkolivegreen:"#556b2f",greenyellow:"#adff2f",seagreen:"#2e8b57",seashell:"#fff5ee",tomato:"#ff6347",silver:"#c0c0c0",sienna:"#a0522d",lavender:"#e6e6fa",lightgreen:"#90ee90",orange:"#ffa500",orangered:"#ff4500",steelblue:"#4682b4",royalblue:"#4169e1",turquoise:"#40e0d0",yellowgreen:"#9acd32",salmon:"#fa8072",saddlebrown:"#8b4513",sandybrown:"#f4a460",rosybrown:"#bc8f8f",darksalmon:"#e9967a",lightgoldenrodyellow:"#fafad2",snow:"#fffafa",lightgrey:"#d3d3d3",lightgray:"#d3d3d3",dimgray:"#696969",dimgrey:"#696969",olivedrab:"#6b8e23",olive:"#808000"},r={};for(var o in n)r[n[o]]=o;var i={};e.prototype.toName=function(t){if(!(this.rgba.a||this.rgba.r||this.rgba.g||this.rgba.b))return"transparent";var o,s,a=r[this.toHex()];if(a)return a;if(null==t?void 0:t.closest){var l=this.toRgb(),c=1/0,u="black";if(!i.length)for(var d in n)i[d]=new e(n[d]).toRgb();for(var p in n){var h=(o=l,s=i[p],Math.pow(o.r-s.r,2)+Math.pow(o.g-s.g,2)+Math.pow(o.b-s.b,2));h<c&&(c=h,u=p)}return u}},t.string.push([function(t){var r=t.toLowerCase(),o="transparent"===r?"#0000":n[r];return o?new e(o).toRgb():null},"name"])},function(e,t){e.prototype.toHwb=function(){return Hn(Xn(this.rgba))},e.prototype.toHwbString=function(){return t=(e=Hn(Xn(this.rgba))).h,n=e.w,r=e.b,(o=e.a)<1?"hwb("+t+" "+n+"% "+r+"% / "+o+")":"hwb("+t+" "+n+"% "+r+"%)";var e,t,n,r,o},t.string.push([nr,"hwb"]),t.object.push([er,"hwb"])},function(e,t){e.prototype.toLab=function(){return t=function(e){var t=sr(e.r),n=sr(e.g),r=sr(e.b);return function(e){return{x:ir(e.x,0,lr),y:ir(e.y,0,100),z:ir(e.z,0,cr),a:ir(e.a)}}(function(e){return{x:1.0478112*e.x+.0228866*e.y+-.050127*e.z,y:.0295424*e.x+.9904844*e.y+-.0170491*e.z,z:-.0092345*e.x+.0150436*e.y+.7521316*e.z,a:e.a}}({x:100*(.4124564*t+.3575761*n+.1804375*r),y:100*(.2126729*t+.7151522*n+.072175*r),z:100*(.0193339*t+.119192*n+.9503041*r),a:e.a}))}(this.rgba),r=t.y/100,o=t.z/cr,n=(n=t.x/lr)>ur?Math.cbrt(n):(dr*n+16)/116,e={l:116*(r=r>ur?Math.cbrt(r):(dr*r+16)/116)-16,a:500*(n-r),b:200*(r-(o=o>ur?Math.cbrt(o):(dr*o+16)/116)),alpha:t.a},{l:or(e.l,2),a:or(e.a,2),b:or(e.b,2),alpha:or(e.alpha,3)};var e,t,n,r,o},e.prototype.delta=function(t){void 0===t&&(t="#FFF");var n=t instanceof e?t:new e(t),r=function(e,t){var n=e.l,r=e.a,o=e.b,i=t.l,s=t.a,a=t.b,l=180/Math.PI,c=Math.PI/180,u=Math.pow(Math.pow(r,2)+Math.pow(o,2),.5),d=Math.pow(Math.pow(s,2)+Math.pow(a,2),.5),p=(n+i)/2,h=Math.pow((u+d)/2,7),f=.5*(1-Math.pow(h/(h+Math.pow(25,7)),.5)),m=r*(1+f),g=s*(1+f),b=Math.pow(Math.pow(m,2)+Math.pow(o,2),.5),w=Math.pow(Math.pow(g,2)+Math.pow(a,2),.5),y=(b+w)/2,v=0===m&&0===o?0:Math.atan2(o,m)*l,k=0===g&&0===a?0:Math.atan2(a,g)*l;v<0&&(v+=360),k<0&&(k+=360);var x=k-v,S=Math.abs(k-v);S>180&&k<=v?x+=360:S>180&&k>v&&(x-=360);var C=v+k;S<=180?C/=2:C=(v+k<360?C+360:C-360)/2;var O=1-.17*Math.cos(c*(C-30))+.24*Math.cos(2*c*C)+.32*Math.cos(c*(3*C+6))-.2*Math.cos(c*(4*C-63)),A=i-n,z=w-b,E=2*Math.sin(c*x/2)*Math.pow(b*w,.5),N=1+.015*Math.pow(p-50,2)/Math.pow(20+Math.pow(p-50,2),.5),P=1+.045*y,T=1+.015*y*O,I=30*Math.exp(-1*Math.pow((C-275)/25,2)),j=-2*Math.pow(h/(h+Math.pow(25,7)),.5)*Math.sin(2*c*I);return Math.pow(Math.pow(A/1/N,2)+Math.pow(z/1/P,2)+Math.pow(E/1/T,2)+j*z*E/(1*P*1*T),.5)}(this.toLab(),n.toLab())/100;return ir(or(r,3))},t.object.push([pr,"lab"])},function(e,t){e.prototype.toLch=function(){return Or(zr(this.rgba))},e.prototype.toLchString=function(){return t=(e=Or(zr(this.rgba))).l,n=e.c,r=e.h,(o=e.a)<1?"lch("+t+"% "+n+" "+r+" / "+o+")":"lch("+t+"% "+n+" "+r+")";var e,t,n,r,o},t.string.push([Pr,"lch"]),t.object.push([Ar,"lch"])},(e,t)=>{t.string.push([Ir,"hwb-with-comma"])},(e,t)=>{t.string.push([jr,"gray"])}]);const Tr=$n;function Ir(e){if(!(e=e.toLowerCase()).startsWith("hwb(")||!e.endsWith(")")||e.includes("/"))return null;const[t,n="",r="",o,...i]=e.slice(4,-1).split(",");if(!t||!t.trim()||!n.trim()||!r.trim()||i.length>0)return null;const s=Tr("hwb(".concat(t," ").concat(n," ").concat(r).concat(o?" / ".concat(o):"",")"));return s.isValid()?s.rgba:null}function jr(e){if(!(e=e.toLowerCase()).startsWith("gray(")||!e.endsWith(")"))return null;const[t,n,...r]=e.slice(5,-1).split(",");if(!t||r.length>0)return null;const o=S.unit(t.trim());if(!o||!["","%"].includes(o.unit))return null;let i={l:Number(o.number),a:0,b:0};if(n){const e=S.unit(n.trim());if(!e||!["","%"].includes(e.unit))return null;i=mn(mn({},i),{},{alpha:Number(e.number)/(e.unit?100:1)})}return Tr(i).rgba}const Lr=new Set(["translateX","translateY","translateZ","scaleX","scaleY","scaleZ","rotateX","rotateY","rotateZ","skewX","skewY"]),Mr=new Set(["color","color-mix","hsl","hsla","hwb","lab","lch","oklab","oklch","rgb","rgba"]),_r=new Set(["abs","acos","asin","atan","calc","cos","exp","sign","sin","sqrt","tan"]),Rr=new Set([..._r,"atan2","clamp","hypot","log","max","min","mod","pow","rem","round"]),Fr=new RegExp("\\b(?:".concat([...Mr.values()].join("|"),")\\("),"i");const Dr=new Set(["initial","inherit","revert","revert-layer","unset"]),Ur=rt(Dr,["caption","icon","menu","message-box","small-caption","status-bar"]),qr=rt(Dr,["serif","sans-serif","cursive","fantasy","monospace","system-ui","ui-serif","ui-sans-serif","ui-monospace","ui-rounded"]),Wr=new Set(["bolder","lighter"]),Br=new Set(["normal","bold"]),$r=rt(Wr,Br),Qr=new Set(["100","200","300","400","500","600","700","800","900"]),Vr=rt(Dr,$r,Qr),Gr=rt(Dr,["normal","italic","oblique"]),Yr=rt(Dr,["normal","none","historical-forms","none","common-ligatures","no-common-ligatures","discretionary-ligatures","no-discretionary-ligatures","historical-ligatures","no-historical-ligatures","contextual","no-contextual","small-caps","small-caps","all-small-caps","petite-caps","all-petite-caps","unicase","titling-caps","lining-nums","oldstyle-nums","proportional-nums","tabular-nums","diagonal-fractions","stacked-fractions","ordinal","slashed-zero","jis78","jis83","jis90","jis04","simplified","traditional","full-width","proportional-width","ruby"]),Jr=rt(Dr,["semi-condensed","condensed","extra-condensed","ultra-condensed","semi-expanded","expanded","extra-expanded","ultra-expanded"]),Kr=rt(Dr,["xx-small","x-small","small","medium","large","x-large","xx-large","larger","smaller"]),Hr=rt(Dr,["normal"]),Xr=rt(Dr,Gr,Yr,Vr,Jr,Kr,Hr,qr),Zr=rt(Dr,["none"]),eo=rt(Dr,["linear","ease","ease-in","ease-in-out","ease-out","step-start","step-end","steps","cubic-bezier"]),to=new Set(["infinite"]),no=rt(Dr,["normal","reverse","alternate","alternate-reverse"]),ro=new Set(["none","forwards","backwards","both"]),oo=rt(Dr,["running","paused"]),io=rt(Dr,Zr,eo,to,no,ro,oo),so=rt(Dr,["auto","span"]),ao=rt(Dr,["auto","span"]),lo=rt(Dr,["auto","span"]),co=rt(Dr,["none"]),uo=rt(Dr,["none"]),po=rt(Dr,["none","disc","circle","square","decimal","cjk-decimal","decimal-leading-zero","lower-roman","upper-roman","lower-greek","lower-alpha","lower-latin","upper-alpha","upper-latin","arabic-indic","armenian","bengali","cambodian","cjk-earthly-branch","cjk-ideographic","devanagari","ethiopic-numeric","georgian","gujarati","gurmukhi","hebrew","hiragana","hiragana-iroha","japanese-formal","japanese-informal","kannada","katakana","katakana-iroha","khmer","korean-hangul-formal","korean-hanja-formal","korean-hanja-informal","lao","lower-armenian","malayalam","mongolian","myanmar","oriya","persian","simp-chinese-formal","simp-chinese-informal","tamil","telugu","thai","tibetan","trad-chinese-formal","trad-chinese-informal","upper-armenian","disclosure-open","disclosure-closed","ethiopic-halehame","ethiopic-halehame-am","ethiopic-halehame-ti-er","ethiopic-halehame-ti-et","hangul","hangul-consonant","urdu"]),ho=rt(Dr,["inside","outside"]),fo=rt(Dr,["none"]),mo=rt(Dr,po,ho,fo),go=new Set(["optimizeSpeed","optimizeQuality","optimizeLegibility","geometricPrecision","currentColor","crispEdges","visiblePainted","visibleFill","visibleStroke","sRGB","linearRGB"]),bo=new Set(["from","to"]),wo=new Set(["activeborder","activecaption","appworkspace","background","buttonface","buttonhighlight","buttonshadow","buttontext","captiontext","graytext","highlight","highlighttext","inactiveborder","inactivecaption","inactivecaptiontext","infobackground","infotext","menu","menutext","scrollbar","threeddarkshadow","threedface","threedhighlight","threedlightshadow","threedshadow","window","windowframe","windowtext","accentcolor","accentcolortext","activetext","buttonborder","buttonface","buttontext","canvas","canvastext","field","fieldtext","graytext","highlight","highlighttext","linktext","mark","marktext","selecteditem","selecteditemtext","visitedtext"]),yo=new Set(["aliceblue","antiquewhite","aqua","aquamarine","azure","beige","bisque","black","blanchedalmond","blue","blueviolet","brown","burlywood","cadetblue","chartreuse","chocolate","coral","cornflowerblue","cornsilk","crimson","cyan","darkblue","darkcyan","darkgoldenrod","darkgray","darkgreen","darkgrey","darkkhaki","darkmagenta","darkolivegreen","darkorange","darkorchid","darkred","darksalmon","darkseagreen","darkslateblue","darkslategray","darkslategrey","darkturquoise","darkviolet","deeppink","deepskyblue","dimgray","dimgrey","dodgerblue","firebrick","floralwhite","forestgreen","fuchsia","gainsboro","ghostwhite","gold","goldenrod","gray","green","greenyellow","grey","honeydew","hotpink","indianred","indigo","ivory","khaki","lavender","lavenderblush","lawngreen","lemonchiffon","lightblue","lightcoral","lightcyan","lightgoldenrodyellow","lightgray","lightgreen","lightgrey","lightpink","lightsalmon","lightseagreen","lightskyblue","lightslategray","lightslategrey","lightsteelblue","lightyellow","lime","limegreen","linen","magenta","maroon","mediumaquamarine","mediumblue","mediumorchid","mediumpurple","mediumseagreen","mediumslateblue","mediumspringgreen","mediumturquoise","mediumvioletred","midnightblue","mintcream","mistyrose","moccasin","navajowhite","navy","oldlace","olive","olivedrab","orange","orangered","orchid","palegoldenrod","palegreen","paleturquoise","palevioletred","papayawhip","peachpuff","peru","pink","plum","powderblue","purple","rebeccapurple","red","rosybrown","royalblue","saddlebrown","salmon","sandybrown","seagreen","seashell","sienna","silver","skyblue","slateblue","slategray","slategrey","snow","springgreen","steelblue","tan","teal","thistle","tomato","turquoise","violet","wheat","white","whitesmoke","yellow","yellowgreen"]),vo=new RegExp("\\b(?:".concat([...yo.values()].join("|"),")\\b"),"i");const ko="color-named",xo=Z(ko,{expected:(e,t)=>'Expected "'.concat(t,'" to be "').concat(e,'"'),rejected:e=>'Unexpected named color "'.concat(e,'"')}),So=new Set(["word","function"]),Co=/\bgray\(/i,Oo=(e,t)=>(n,r)=>{function o(e,t,n,o){X({result:r,ruleName:ko,message:e,node:t,index:n,endIndex:n+o})}re(r,ko,{actual:e,possible:["never","always-where-possible"]},{actual:t,possible:{ignoreProperties:[P,N],ignore:["inside-function"]},optional:!0})&&n.walkDecls((n=>{if(cn.has(n.prop))return;if(H(t,"ignoreProperties",n.prop))return;const{value:r}=n;var i;("never"!==e||(i=r,vo.test(i)))&&(("always-where-possible"!==e||Vt(r)||function(e){return Fr.test(e)}(r)||Co.test(r))&&S(r).walk((r=>{const i=r.value,s=r.type,a=r.sourceIndex;if(H(t,"ignore","inside-function")&&"function"===s)return!1;if(!Lt(r))return!1;if(!V(i))return;if(!So.has(s))return;if("never"===e&&"word"===s&&yo.has(i.toLowerCase()))return void o(xo.rejected(i),n,M(n)+a,i.length);if("always-where-possible"!==e)return;let l=null,c=null;if("function"===s)l=S.stringify(r),c=l.replace(/\s*([,/()])\s*/g,"$1").replace(/\s{2,}/g," ");else{if("word"!==s||!i.startsWith("#"))return;l=c=i}const u=Tr(c);if(!u.isValid())return;const d=u.toName();d&&"transparent"!==d.toLowerCase()&&o(xo.expected(d,c),n,M(n)+a,l.length)})))}))};Oo.ruleName=ko,Oo.messages=xo,Oo.meta={url:"https://stylelint.io/user-guide/rules/color-named"};const Ao="color-no-hex",zo=Z(Ao,{rejected:e=>'Unexpected hex color "'.concat(e,'"')}),Eo=/^#[\da-z]+$/i,No=/#[\da-z]+/i,Po=e=>(t,n)=>{re(n,Ao,{actual:e})&&t.walkDecls((e=>{if(!No.test(e.value))return;S(_(e)).walk((t=>{if(tn(t))return!1;if(!function({type:e,value:t}){return"word"===e&&Eo.test(t)}(t))return;const r=M(e)+t.sourceIndex,o=r+t.value.length;X({message:zo.rejected,messageArgs:[t.value],node:e,index:r,endIndex:o,result:n,ruleName:Ao})}))}))};Po.ruleName=Ao,Po.messages=zo,Po.meta={url:"https://stylelint.io/user-guide/rules/color-no-hex"};const To="color-no-invalid-hex",Io=Z(To,{rejected:e=>'Unexpected invalid hex color "'.concat(e,'"')}),jo=/#[\da-z]+/i,Lo=e=>(t,n)=>{re(n,To,{actual:e})&&t.walkDecls((e=>{(function(e){return!e.includes("[")})(e.value)&&jo.test(e.value)&&S(e.value).walk((({value:t,type:r,sourceIndex:o})=>{if("function"===r&&t.endsWith("url"))return!1;if("word"!==r)return;const i=/^#[\da-z]+/i.exec(t);if(!i)return;const s=i[0];if(!s||Yt(s))return;const a=M(e)+o,l=a+s.length;X({message:Io.rejected,messageArgs:[s],node:e,index:a,endIndex:l,result:n,ruleName:To})}))}))};function Mo(e){return!("inline"in e)&&!("inline"in e.raws)}Lo.ruleName=To,Lo.messages=Io,Lo.meta={url:"https://stylelint.io/user-guide/rules/color-no-invalid-hex"};const _o="comment-empty-line-before",Ro=Z(_o,{expected:"Expected empty line before comment",rejected:"Unexpected empty line before comment"}),Fo=(e,t,n)=>(r,o)=>{re(o,_o,{actual:e,possible:["always","never"]},{actual:t,possible:{except:["first-nested"],ignore:["stylelint-commands","after-comment"],ignoreComments:[P,N]},optional:!0})&&r.walkComments((r=>{if(Xe(r))return;if(Pt(r,n.configurationComment)&&H(t,"ignore","stylelint-commands"))return;if(H(t,"ignore","after-comment")&&Ge(r))return;if(H(t,"ignoreComments",r.text))return;if(Ve(r))return;if(!Mo(r))return;const i=!(H(t,"except","first-nested")&&He(r)||"always"!==e);if(i===je(r.raws.before||""))return;if(n.fix){if("string"!=typeof n.newline)return;return void(i?Ne(r,n.newline):Ze(r,n.newline))}X({message:i?Ro.expected:Ro.rejected,node:r,result:o,ruleName:_o})}))};Fo.ruleName=_o,Fo.messages=Ro,Fo.meta={url:"https://stylelint.io/user-guide/rules/comment-empty-line-before",fixable:!0};const Do="comment-no-empty",Uo=Z(Do,{rejected:"Unexpected empty comment"}),qo=e=>(t,n)=>{re(n,Do,{actual:e})&&t.walkComments((e=>{Mo(e)&&(e.text&&0!==e.text.length||X({message:Uo.rejected,node:e,result:n,ruleName:Do}))}))};qo.ruleName=Do,qo.messages=Uo,qo.meta={url:"https://stylelint.io/user-guide/rules/comment-no-empty"};const Wo="comment-pattern",Bo=Z(Wo,{expected:e=>'Expected comment to match pattern "'.concat(e,'"')}),$o=e=>(t,n)=>{if(!re(n,Wo,{actual:e,possible:[N,P]}))return;const r=P(e)?new RegExp(e):e;t.walkComments((t=>{const o=t.text;r.test(o)||X({message:Bo.expected,messageArgs:[e],node:t,result:n,ruleName:Wo})}))};function Qo(e){return[" ","\n","\t","\r","\f"].includes(e)}$o.ruleName=Wo,$o.messages=Bo,$o.meta={url:"https://stylelint.io/user-guide/rules/comment-pattern"};const Vo="comment-whitespace-inside",Go=Z(Vo,{expectedOpening:'Expected whitespace after "/*"',rejectedOpening:'Unexpected whitespace after "/*"',expectedClosing:'Expected whitespace before "*/"',rejectedClosing:'Unexpected whitespace before "*/"'});const Yo=(e,t,n)=>(t,r)=>{re(r,Vo,{actual:e,possible:["always","never"]})&&t.walkComments((t=>{if(!Mo(t))return;const o=t.toString(),i=o.slice(0,4);if(/^\/\*[#!]\s/.test(i))return;const s=o.match(/(^\/\*+)(\s)?/);if(null==s||null==s[1])throw new Error('Invalid comment: "'.concat(o,'"'));const a=o.match(/(\s)?(\*+\/)$/);if(null==a||null==a[2])throw new Error('Invalid comment: "'.concat(o,'"'));const l=s[1],c=s[2]||"",u=a[1]||"",d=a[2];function p(o,i){n.fix?"never"===e?(t.raws.left="",t.raws.right="",t.text=t.text.replace(/^(\*+)(\s+)?/,"$1").replace(/(\s+)?(\*+)$/,"$2")):(c||function(e){e.text.startsWith("*")?e.text=e.text.replace(/^(\*+)/,"$1 "):e.raws.left=" "}(t),u||function(e){"*"===e.text[e.text.length-1]?e.text=e.text.replace(/(\*+)$/," $1"):e.raws.right=" "}(t)):X({message:o,index:i,result:r,ruleName:Vo,node:t})}"never"===e&&""!==c&&p(Go.rejectedOpening,l.length),"always"!==e||Qo(c)||p(Go.expectedOpening,l.length),"never"===e&&""!==u&&p(Go.rejectedClosing,t.toString().length-d.length-1),"always"!==e||Qo(u)||p(Go.expectedClosing,t.toString().length-d.length-1)}))};function Jo(e,t){return!!t&&(!!P(t)&&((!t.startsWith("/")||!t.endsWith("/"))&&(!!e.includes(t)&&{match:e,pattern:t,substring:t})))}Yo.ruleName=Vo,Yo.messages=Go,Yo.meta={url:"https://stylelint.io/user-guide/rules/comment-whitespace-inside",fixable:!0};const Ko="comment-word-disallowed-list",Ho=Z(Ko,{rejected:e=>'Unexpected word matching pattern "'.concat(e,'"')}),Xo=e=>(t,n)=>{re(n,Ko,{actual:e,possible:[P,N]})&&t.walkComments((t=>{const r=t.text;if("/*# "===t.toString().slice(0,4))return;const o=G(r,e)||function(e,t){if(!Array.isArray(t))return Jo(e,t);for(const n of t){const t=Jo(e,n);if(t)return t}return!1}(r,e);o&&X({message:Ho.rejected,messageArgs:[o.pattern],node:t,word:o.substring,result:n,ruleName:Ko})}))};function Zo(e){let t=1+e.name.length;return e.raws.afterName&&(t+=e.raws.afterName.length),t}Xo.primaryOptionArray=!0,Xo.ruleName=Ko,Xo.messages=Ho,Xo.meta={url:"https://stylelint.io/user-guide/rules/comment-word-disallowed-list"};const ei="custom-media-pattern",ti=Z(ei,{expected:(e,t)=>'Expected "'.concat(e,'" to match pattern "').concat(t,'"')}),ni=e=>(t,n)=>{if(!re(n,ei,{actual:e,possible:[N,P]}))return;const r=P(e)?new RegExp(e):e;t.walkAtRules((t=>{if("custom-media"!==t.name.toLowerCase())return;const[o,i]=t.params.match(/^--(\S+)\b/)||[];if(void 0===o||void 0===i)throw new Error('Unexpected at-rule params: "'.concat(t.params,'"'));if(r.test(i))return;const s=Zo(t);X({message:ti.expected,messageArgs:[o,e],node:t,index:s,endIndex:s+o.length,result:n,ruleName:ei})}))};function ri(e){return Ye(e)?function(e){let t="";return e.raws.before&&(t+=e.raws.before),t+=e.toString(),t}(e).slice(xt(e).length):""}function oi(e){return e.startsWith("--")}function ii(e){return!/[\n\r]/.test(e)}function si(e){return!!e.startsWith("$")||!!e.includes(".$")}function ai(e){const t=e.prop,n=e.parent;return!si(t)&&(("@"!==t[0]||"{"===t[1])&&((!n||"atrule"!==n.type||":"!==n.raws.afterName)&&(!(n&&Me(n)&&n.selector&&n.selector.startsWith("#")&&n.selector.endsWith("()"))&&(!(n&&Me(n)&&n.selector&&":"===n.selector[n.selector.length-1]&&"--"!==n.selector.substring(0,2))&&(!("extend"in e)||!e.extend)))))}ni.ruleName=ei,ni.messages=ti,ni.meta={url:"https://stylelint.io/user-guide/rules/custom-media-pattern"};const li="custom-property-empty-line-before",ci=Z(li,{expected:"Expected empty line before custom property",rejected:"Unexpected empty line before custom property"}),ui=(e,t,n)=>(r,o)=>{re(o,li,{actual:e,possible:["always","never"]},{actual:t,possible:{except:["first-nested","after-comment","after-custom-property"],ignore:["after-comment","first-nested","inside-single-line-block"]},optional:!0})&&r.walkDecls((r=>{const i=r.prop,s=r.parent;if(!ai(r))return;if(!oi(i))return;if(H(t,"ignore","after-comment")&&Ge(r))return;if(H(t,"ignore","first-nested")&&He(r))return;if(H(t,"ignore","inside-single-line-block")&&null!=s&&(_e(s)||Me(s))&&ii(ri(s)))return;let a="always"===e;(H(t,"except","first-nested")&&He(r)||H(t,"except","after-comment")&&Ge(r)||H(t,"except","after-custom-property")&&function(e){const t=Te(e);return null!=t&&Fe(t)&&oi(t.prop)}(r))&&(a=!a);if(a===je(r.raws.before))return;if(n.fix){if(null==n.newline)return;return void(a?Ne(r,n.newline):Ze(r,n.newline))}X({message:a?ci.expected:ci.rejected,node:r,result:o,ruleName:li})}))};ui.ruleName=li,ui.messages=ci,ui.meta={url:"https://stylelint.io/user-guide/rules/custom-property-empty-line-before",fixable:!0};const di="custom-property-no-missing-var-function",pi=Z(di,{rejected:e=>'Unexpected missing var function for "'.concat(e,'"')}),hi=new Set(["animation","animation-name","counter-increment","counter-reset","counter-set","grid-column","grid-column-end","grid-column-start","grid-row","grid-row-end","grid-row-start","list-style","list-style-type","transition","transition-property","will-change"]),fi=e=>(t,n)=>{if(!re(n,di,{actual:e}))return;const r=new Set;t.walkAtRules(/^property$/i,(({params:e})=>{r.add(e)})),t.walkDecls(/^--/,(({prop:e})=>{r.add(e)})),t.walkDecls((e=>{const{prop:t,value:o}=e;o.includes("--")&&(hi.has(t.toLowerCase())||S(o).walk((t=>{if(function({type:e,value:t}){return"function"===e&&"var"===t}(t))return!1;if(!function({type:e,value:t}){return"word"===e&&t.startsWith("--")}(t))return;if(!r.has(t.value))return;const o=M(e)+t.sourceIndex,i=o+t.value.length;return X({message:pi.rejected,messageArgs:[t.value],node:e,index:o,endIndex:i,result:n,ruleName:di}),!1})))}))};function mi(e){return!si(e)&&(!e.startsWith("@")&&(!e.endsWith("+")&&!e.endsWith("+_")&&!Q(e)))}fi.ruleName=di,fi.messages=pi,fi.meta={url:"https://stylelint.io/user-guide/rules/custom-property-no-missing-var-function"};const gi="custom-property-pattern",bi=Z(gi,{expected:(e,t)=>'Expected "'.concat(e,'" to match pattern "').concat(t,'"')}),wi=/var\(/i,yi=e=>(t,n)=>{if(!re(n,gi,{actual:e,possible:[N,P]}))return;const r=P(e)?new RegExp(e):e;function o(e){return!oi(e)||!mi(e)||r.test(e.slice(2))}function i(t,r,o){X({result:n,ruleName:gi,message:bi.expected,messageArgs:[r,e],node:o,index:t,endIndex:t+r.length})}t.walkDecls((e=>{const{prop:t,value:n}=e;if(wi.test(n)){S(n).walk((t=>{if(!De(t))return;if("var"!==t.value.toLowerCase())return;const{nodes:n}=t,r=n[0];r&&!o(r.value)&&i(M(e)+r.sourceIndex,r.value,e)}))}o(t)||i(0,t,e)}))};function vi(e,t){!function e(n){var r;if((Me(r=n)||_e(r)||Le(r))&&n.nodes&&n.nodes.length){const r=[];for(const t of n.nodes)"decl"===t.type&&r.push(t),e(t);r.length&&t(r.forEach.bind(r))}}(e)}yi.ruleName=gi,yi.messages=bi,yi.meta={url:"https://stylelint.io/user-guide/rules/custom-property-pattern"};const ki="declaration-block-no-duplicate-custom-properties",xi=Z(ki,{rejected:e=>'Unexpected duplicate "'.concat(e,'"')}),Si=(e,t)=>(n,r)=>{re(r,ki,{actual:e},{actual:t,possible:{ignoreProperties:[P,N]},optional:!0})&&vi(n,(e=>{const n=new Set;e((e=>{const o=e.prop;if(!mi(o))return;if(!oi(o))return;if(H(t,"ignoreProperties",o))return;n.has(o)?X({message:xi.rejected,messageArgs:[o],node:e,result:r,ruleName:ki,word:o}):n.add(o)}))}))};Si.ruleName=ki,Si.messages=xi,Si.meta={url:"https://stylelint.io/user-guide/rules/declaration-block-no-duplicate-custom-properties"};var Ci=Object.create,Oi=Object.defineProperty,Ai=Object.getOwnPropertyDescriptor,zi=Object.getOwnPropertyNames,Ei=Object.getPrototypeOf,Ni=Object.prototype.hasOwnProperty,Pi=(e,t)=>()=>(t||e((t={exports:{}}).exports,t),t.exports),Ti=(e,t)=>{for(var n in t)Oi(e,n,{get:t[n],enumerable:!0})},Ii=Pi((e=>{var t="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/".split("");e.encode=function(e){if(0<=e&&e<t.length)return t[e];throw new TypeError("Must be between 0 and 63: "+e)},e.decode=function(e){return 65<=e&&e<=90?e-65:97<=e&&e<=122?e-97+26:48<=e&&e<=57?e-48+52:43==e?62:47==e?63:-1}})),ji=Pi((e=>{var t=Ii();e.encode=function(e){var n,r="",o=function(e){return e<0?1+(-e<<1):0+(e<<1)}(e);do{n=31&o,(o>>>=5)>0&&(n|=32),r+=t.encode(n)}while(o>0);return r},e.decode=function(e,n,r){var o,i,s=e.length,a=0,l=0;do{if(n>=s)throw new Error("Expected more digits in base 64 VLQ value.");if(-1===(i=t.decode(e.charCodeAt(n++))))throw new Error("Invalid base64 digit: "+e.charAt(n-1));o=!!(32&i),a+=(i&=31)<<l,l+=5}while(o);r.value=function(e){var t=e>>1;return 1==(1&e)?-t:t}(a),r.rest=n}})),Li=Pi((e=>{e.getArg=function(e,t,n){if(t in e)return e[t];if(3===arguments.length)return n;throw new Error('"'+t+'" is a required argument.')};var t=/^(?:([\w+\-.]+):)?\/\/(?:(\w+:\w+)@)?([\w.-]*)(?::(\d+))?(.*)$/,n=/^data:.+\,.+$/;function r(e){var n=e.match(t);return n?{scheme:n[1],auth:n[2],host:n[3],port:n[4],path:n[5]}:null}function o(e){var t="";return e.scheme&&(t+=e.scheme+":"),t+="//",e.auth&&(t+=e.auth+"@"),e.host&&(t+=e.host),e.port&&(t+=":"+e.port),e.path&&(t+=e.path),t}e.urlParse=r,e.urlGenerate=o;var i=function(e){var t=[];return function(n){for(var r=0;r<t.length;r++)if(t[r].input===n){var o=t[0];return t[0]=t[r],t[r]=o,t[0].result}var i=e(n);return t.unshift({input:n,result:i}),t.length>32&&t.pop(),i}}((function(t){var n=t,i=r(t);if(i){if(!i.path)return t;n=i.path}for(var s=e.isAbsolute(n),a=[],l=0,c=0;;){if(l=c,-1===(c=n.indexOf("/",l))){a.push(n.slice(l));break}for(a.push(n.slice(l,c));c<n.length&&"/"===n[c];)c++}var u,d=0;for(c=a.length-1;c>=0;c--)"."===(u=a[c])?a.splice(c,1):".."===u?d++:d>0&&(""===u?(a.splice(c+1,d),d=0):(a.splice(c,2),d--));return""===(n=a.join("/"))&&(n=s?"/":"."),i?(i.path=n,o(i)):n}));function s(e,t){""===e&&(e="."),""===t&&(t=".");var s=r(t),a=r(e);if(a&&(e=a.path||"/"),s&&!s.scheme)return a&&(s.scheme=a.scheme),o(s);if(s||t.match(n))return t;if(a&&!a.host&&!a.path)return a.host=t,o(a);var l="/"===t.charAt(0)?t:i(e.replace(/\/+$/,"")+"/"+t);return a?(a.path=l,o(a)):l}e.normalize=i,e.join=s,e.isAbsolute=function(e){return"/"===e.charAt(0)||t.test(e)},e.relative=function(e,t){""===e&&(e="."),e=e.replace(/\/$/,"");for(var n=0;0!==t.indexOf(e+"/");){var r=e.lastIndexOf("/");if(r<0||(e=e.slice(0,r)).match(/^([^\/]+:\/)?\/*$/))return t;++n}return Array(n+1).join("../")+t.substr(e.length+1)};var a=!("__proto__"in Object.create(null));function l(e){return e}function c(e){if(!e)return!1;var t=e.length;if(t<9||95!==e.charCodeAt(t-1)||95!==e.charCodeAt(t-2)||111!==e.charCodeAt(t-3)||116!==e.charCodeAt(t-4)||111!==e.charCodeAt(t-5)||114!==e.charCodeAt(t-6)||112!==e.charCodeAt(t-7)||95!==e.charCodeAt(t-8)||95!==e.charCodeAt(t-9))return!1;for(var n=t-10;n>=0;n--)if(36!==e.charCodeAt(n))return!1;return!0}function u(e,t){return e===t?0:null===e?1:null===t?-1:e>t?1:-1}e.toSetString=a?l:function(e){return c(e)?"$"+e:e},e.fromSetString=a?l:function(e){return c(e)?e.slice(1):e},e.compareByOriginalPositions=function(e,t,n){var r=u(e.source,t.source);return 0!==r||0!==(r=e.originalLine-t.originalLine)||(0!==(r=e.originalColumn-t.originalColumn)||n)||0!==(r=e.generatedColumn-t.generatedColumn)||0!==(r=e.generatedLine-t.generatedLine)?r:u(e.name,t.name)},e.compareByOriginalPositionsNoSource=function(e,t,n){var r;return 0!==(r=e.originalLine-t.originalLine)||(0!==(r=e.originalColumn-t.originalColumn)||n)||0!==(r=e.generatedColumn-t.generatedColumn)||0!==(r=e.generatedLine-t.generatedLine)?r:u(e.name,t.name)},e.compareByGeneratedPositionsDeflated=function(e,t,n){var r=e.generatedLine-t.generatedLine;return 0!==r||(0!==(r=e.generatedColumn-t.generatedColumn)||n)||0!==(r=u(e.source,t.source))||0!==(r=e.originalLine-t.originalLine)||0!==(r=e.originalColumn-t.originalColumn)?r:u(e.name,t.name)},e.compareByGeneratedPositionsDeflatedNoLine=function(e,t,n){var r=e.generatedColumn-t.generatedColumn;return 0!==r||n||0!==(r=u(e.source,t.source))||0!==(r=e.originalLine-t.originalLine)||0!==(r=e.originalColumn-t.originalColumn)?r:u(e.name,t.name)},e.compareByGeneratedPositionsInflated=function(e,t){var n=e.generatedLine-t.generatedLine;return 0!==n||0!==(n=e.generatedColumn-t.generatedColumn)||0!==(n=u(e.source,t.source))||0!==(n=e.originalLine-t.originalLine)||0!==(n=e.originalColumn-t.originalColumn)?n:u(e.name,t.name)},e.parseSourceMapInput=function(e){return JSON.parse(e.replace(/^\)]}'[^\n]*\n/,""))},e.computeSourceURL=function(e,t,n){if(t=t||"",e&&("/"!==e[e.length-1]&&"/"!==t[0]&&(e+="/"),t=e+t),n){var a=r(n);if(!a)throw new Error("sourceMapURL could not be parsed");if(a.path){var l=a.path.lastIndexOf("/");l>=0&&(a.path=a.path.substring(0,l+1))}t=s(o(a),t)}return i(t)}})),Mi=Pi((e=>{var t=Li(),n=Object.prototype.hasOwnProperty,r=typeof Map<"u";function o(){this._array=[],this._set=r?new Map:Object.create(null)}o.fromArray=function(e,t){for(var n=new o,r=0,i=e.length;r<i;r++)n.add(e[r],t);return n},o.prototype.size=function(){return r?this._set.size:Object.getOwnPropertyNames(this._set).length},o.prototype.add=function(e,o){var i=r?e:t.toSetString(e),s=r?this.has(e):n.call(this._set,i),a=this._array.length;(!s||o)&&this._array.push(e),s||(r?this._set.set(e,a):this._set[i]=a)},o.prototype.has=function(e){if(r)return this._set.has(e);var o=t.toSetString(e);return n.call(this._set,o)},o.prototype.indexOf=function(e){if(r){var o=this._set.get(e);if(o>=0)return o}else{var i=t.toSetString(e);if(n.call(this._set,i))return this._set[i]}throw new Error('"'+e+'" is not in the set.')},o.prototype.at=function(e){if(e>=0&&e<this._array.length)return this._array[e];throw new Error("No element indexed by "+e)},o.prototype.toArray=function(){return this._array.slice()},e.ArraySet=o})),_i=Pi((e=>{var t=Li();function n(){this._array=[],this._sorted=!0,this._last={generatedLine:-1,generatedColumn:0}}n.prototype.unsortedForEach=function(e,t){this._array.forEach(e,t)},n.prototype.add=function(e){!function(e,n){var r=e.generatedLine,o=n.generatedLine,i=e.generatedColumn,s=n.generatedColumn;return o>r||o==r&&s>=i||t.compareByGeneratedPositionsInflated(e,n)<=0}(this._last,e)?(this._sorted=!1,this._array.push(e)):(this._last=e,this._array.push(e))},n.prototype.toArray=function(){return this._sorted||(this._array.sort(t.compareByGeneratedPositionsInflated),this._sorted=!0),this._array},e.MappingList=n})),Ri=Pi((e=>{var t=ji(),n=Li(),r=Mi().ArraySet,o=_i().MappingList;function i(e){e||(e={}),this._file=n.getArg(e,"file",null),this._sourceRoot=n.getArg(e,"sourceRoot",null),this._skipValidation=n.getArg(e,"skipValidation",!1),this._sources=new r,this._names=new r,this._mappings=new o,this._sourcesContents=null}i.prototype._version=3,i.fromSourceMap=function(e){var t=e.sourceRoot,r=new i({file:e.file,sourceRoot:t});return e.eachMapping((function(e){var o={generated:{line:e.generatedLine,column:e.generatedColumn}};null!=e.source&&(o.source=e.source,null!=t&&(o.source=n.relative(t,o.source)),o.original={line:e.originalLine,column:e.originalColumn},null!=e.name&&(o.name=e.name)),r.addMapping(o)})),e.sources.forEach((function(o){var i=o;null!==t&&(i=n.relative(t,o)),r._sources.has(i)||r._sources.add(i);var s=e.sourceContentFor(o);null!=s&&r.setSourceContent(o,s)})),r},i.prototype.addMapping=function(e){var t=n.getArg(e,"generated"),r=n.getArg(e,"original",null),o=n.getArg(e,"source",null),i=n.getArg(e,"name",null);this._skipValidation||this._validateMapping(t,r,o,i),null!=o&&(o=String(o),this._sources.has(o)||this._sources.add(o)),null!=i&&(i=String(i),this._names.has(i)||this._names.add(i)),this._mappings.add({generatedLine:t.line,generatedColumn:t.column,originalLine:null!=r&&r.line,originalColumn:null!=r&&r.column,source:o,name:i})},i.prototype.setSourceContent=function(e,t){var r=e;null!=this._sourceRoot&&(r=n.relative(this._sourceRoot,r)),null!=t?(this._sourcesContents||(this._sourcesContents=Object.create(null)),this._sourcesContents[n.toSetString(r)]=t):this._sourcesContents&&(delete this._sourcesContents[n.toSetString(r)],0===Object.keys(this._sourcesContents).length&&(this._sourcesContents=null))},i.prototype.applySourceMap=function(e,t,o){var i=t;if(null==t){if(null==e.file)throw new Error('SourceMapGenerator.prototype.applySourceMap requires either an explicit source file, or the source map\'s "file" property. Both were omitted.');i=e.file}var s=this._sourceRoot;null!=s&&(i=n.relative(s,i));var a=new r,l=new r;this._mappings.unsortedForEach((function(t){if(t.source===i&&null!=t.originalLine){var r=e.originalPositionFor({line:t.originalLine,column:t.originalColumn});null!=r.source&&(t.source=r.source,null!=o&&(t.source=n.join(o,t.source)),null!=s&&(t.source=n.relative(s,t.source)),t.originalLine=r.line,t.originalColumn=r.column,null!=r.name&&(t.name=r.name))}var c=t.source;null!=c&&!a.has(c)&&a.add(c);var u=t.name;null!=u&&!l.has(u)&&l.add(u)}),this),this._sources=a,this._names=l,e.sources.forEach((function(t){var r=e.sourceContentFor(t);null!=r&&(null!=o&&(t=n.join(o,t)),null!=s&&(t=n.relative(s,t)),this.setSourceContent(t,r))}),this)},i.prototype._validateMapping=function(e,t,n,r){if(t&&"number"!=typeof t.line&&"number"!=typeof t.column)throw new Error("original.line and original.column are not numbers -- you probably meant to omit the original mapping entirely and only map the generated position. If so, pass null for the original mapping instead of an object with empty or null values.");if(!(e&&"line"in e&&"column"in e&&e.line>0&&e.column>=0)||t||n||r){if(e&&"line"in e&&"column"in e&&t&&"line"in t&&"column"in t&&e.line>0&&e.column>=0&&t.line>0&&t.column>=0&&n)return;throw new Error("Invalid mapping: "+JSON.stringify({generated:e,source:n,original:t,name:r}))}},i.prototype._serializeMappings=function(){for(var e,r,o,i,s=0,a=1,l=0,c=0,u=0,d=0,p="",h=this._mappings.toArray(),f=0,m=h.length;f<m;f++){if(e="",(r=h[f]).generatedLine!==a)for(s=0;r.generatedLine!==a;)e+=";",a++;else if(f>0){if(!n.compareByGeneratedPositionsInflated(r,h[f-1]))continue;e+=","}e+=t.encode(r.generatedColumn-s),s=r.generatedColumn,null!=r.source&&(i=this._sources.indexOf(r.source),e+=t.encode(i-d),d=i,e+=t.encode(r.originalLine-1-c),c=r.originalLine-1,e+=t.encode(r.originalColumn-l),l=r.originalColumn,null!=r.name&&(o=this._names.indexOf(r.name),e+=t.encode(o-u),u=o)),p+=e}return p},i.prototype._generateSourcesContent=function(e,t){return e.map((function(e){if(!this._sourcesContents)return null;null!=t&&(e=n.relative(t,e));var r=n.toSetString(e);return Object.prototype.hasOwnProperty.call(this._sourcesContents,r)?this._sourcesContents[r]:null}),this)},i.prototype.toJSON=function(){var e={version:this._version,sources:this._sources.toArray(),names:this._names.toArray(),mappings:this._serializeMappings()};return null!=this._file&&(e.file=this._file),null!=this._sourceRoot&&(e.sourceRoot=this._sourceRoot),this._sourcesContents&&(e.sourcesContent=this._generateSourcesContent(e.sources,e.sourceRoot)),e},i.prototype.toString=function(){return JSON.stringify(this.toJSON())},e.SourceMapGenerator=i}));Ti({},{AtKeyword:()=>qi,BadString:()=>$i,BadUrl:()=>Vi,CDC:()=>Zi,CDO:()=>Xi,Colon:()=>es,Comma:()=>ns,Comment:()=>cs,Delim:()=>Gi,Dimension:()=>Ki,EOF:()=>Fi,Function:()=>Ui,Hash:()=>Wi,Ident:()=>Di,LeftCurlyBracket:()=>as,LeftParenthesis:()=>is,LeftSquareBracket:()=>rs,Number:()=>Yi,Percentage:()=>Ji,RightCurlyBracket:()=>ls,RightParenthesis:()=>ss,RightSquareBracket:()=>os,Semicolon:()=>ts,String:()=>Bi,Url:()=>Qi,WhiteSpace:()=>Hi});var Fi=0,Di=1,Ui=2,qi=3,Wi=4,Bi=5,$i=6,Qi=7,Vi=8,Gi=9,Yi=10,Ji=11,Ki=12,Hi=13,Xi=14,Zi=15,es=16,ts=17,ns=18,rs=19,os=20,is=21,ss=22,as=23,ls=24,cs=25;function us(e){return e>=48&&e<=57}function ds(e){return us(e)||e>=65&&e<=70||e>=97&&e<=102}function ps(e){return e>=65&&e<=90}function hs(e){return function(e){return ps(e)||function(e){return e>=97&&e<=122}(e)}(e)||function(e){return e>=128}(e)||95===e}function fs(e){return hs(e)||us(e)||45===e}function ms(e){return e>=0&&e<=8||11===e||e>=14&&e<=31||127===e}function gs(e){return 10===e||13===e||12===e}function bs(e){return gs(e)||32===e||9===e}function ws(e,t){return!(92!==e||gs(t)||0===t)}function ys(e,t,n){return 45===e?hs(t)||45===t||ws(t,n):!!hs(e)||92===e&&ws(e,t)}function vs(e,t,n){return 43===e||45===e?us(t)?2:46===t&&us(n)?3:0:46===e?us(t)?2:0:us(e)?1:0}function ks(e){return 65279===e||65534===e?1:0}var xs=new Array(128),Ss=130;for(let e=0;e<xs.length;e++)xs[e]=(bs(e)?Ss:us(e)&&131)||hs(e)&&132||ms(e)&&133||e||128;function Cs(e){return e<128?xs[e]:132}function Os(e,t){return t<e.length?e.charCodeAt(t):0}function As(e,t,n){return 13===n&&10===Os(e,t+1)?2:1}function zs(e,t,n){let r=e.charCodeAt(t);return ps(r)&&(r|=32),r===n}function Es(e,t,n,r){if(n-t!==r.length||t<0||n>e.length)return!1;for(let o=t;o<n;o++){let n=r.charCodeAt(o-t),i=e.charCodeAt(o);if(ps(i)&&(i|=32),i!==n)return!1}return!0}function Ns(e,t){for(;t<e.length&&bs(e.charCodeAt(t));t++);return t}function Ps(e,t){for(;t<e.length&&us(e.charCodeAt(t));t++);return t}function Ts(e,t){if(ds(Os(e,(t+=2)-1))){for(let n=Math.min(e.length,t+5);t<n&&ds(Os(e,t));t++);let n=Os(e,t);bs(n)&&(t+=As(e,t,n))}return t}function Is(e,t){for(;t<e.length;t++){let n=e.charCodeAt(t);if(!fs(n)){if(ws(n,Os(e,t+1))){t=Ts(e,t)-1;continue}break}}return t}function js(e,t){let n=e.charCodeAt(t);if((43===n||45===n)&&(n=e.charCodeAt(t+=1)),us(n)&&(t=Ps(e,t+1),n=e.charCodeAt(t)),46===n&&us(e.charCodeAt(t+1))&&(t=Ps(e,t+=2)),zs(e,t,101)){let r=0;n=e.charCodeAt(t+1),(45===n||43===n)&&(r=1,n=e.charCodeAt(t+2)),us(n)&&(t=Ps(e,t+1+r+1))}return t}function Ls(e,t){for(;t<e.length;t++){let n=e.charCodeAt(t);if(41===n){t++;break}ws(n,Os(e,t+1))&&(t=Ts(e,t))}return t}function Ms(e){if(1===e.length&&!ds(e.charCodeAt(0)))return e[0];let t=parseInt(e,16);return(0===t||t>=55296&&t<=57343||t>1114111)&&(t=65533),String.fromCodePoint(t)}var _s=["EOF-token","ident-token","function-token","at-keyword-token","hash-token","string-token","bad-string-token","url-token","bad-url-token","delim-token","number-token","percentage-token","dimension-token","whitespace-token","CDO-token","CDC-token","colon-token","semicolon-token","comma-token","[-token","]-token","(-token",")-token","{-token","}-token"];function Rs(e=null,t){return null===e||e.length<t?new Uint32Array(Math.max(t+1024,16384)):e}function Fs(e){let t=e.source,n=t.length,r=t.length>0?ks(t.charCodeAt(0)):0,o=Rs(e.lines,n),i=Rs(e.columns,n),s=e.startLine,a=e.startColumn;for(let e=r;e<n;e++){let r=t.charCodeAt(e);o[e]=s,i[e]=a++,(10===r||13===r||12===r)&&(13===r&&e+1<n&&10===t.charCodeAt(e+1)&&(e++,o[e]=s,i[e]=a),s++,a=1)}o[n]=s,i[n]=a,e.lines=o,e.columns=i,e.computed=!0}var Ds=16777215,Us=24,qs=new Map([[2,22],[21,22],[19,20],[23,24]]);function Ws(e,t){function n(t){return t<a?e.charCodeAt(t):0}function r(){return c=js(e,c),ys(n(c),n(c+1),n(c+2))?(s=12,void(c=Is(e,c))):37===n(c)?(s=11,void c++):void(s=10)}function o(){let t=c;return c=Is(e,c),Es(e,t,c,"url")&&40===n(c)?(c=Ns(e,c+1),34===n(c)||39===n(c)?(s=2,void(c=t+4)):void function(){for(s=7,c=Ns(e,c);c<e.length;c++){let t=e.charCodeAt(c);switch(Cs(t)){case 41:return void c++;case Ss:return c=Ns(e,c),41===n(c)||c>=e.length?void(c<e.length&&c++):(c=Ls(e,c),void(s=8));case 34:case 39:case 40:case 133:return c=Ls(e,c),void(s=8);case 92:if(ws(t,n(c+1))){c=Ts(e,c)-1;break}return c=Ls(e,c),void(s=8)}}}()):40===n(c)?(s=2,void c++):void(s=1)}function i(t){for(t||(t=n(c++)),s=5;c<e.length;c++){let r=e.charCodeAt(c);switch(Cs(r)){case t:return void c++;case Ss:if(gs(r))return c+=As(e,c,r),void(s=6);break;case 92:if(c===e.length-1)break;let o=n(c+1);gs(o)?c+=As(e,c+1,o):ws(r,o)&&(c=Ts(e,c)-1)}}}let s,a=(e=String(e||"")).length,l=ks(n(0)),c=l;for(;c<a;){let a=e.charCodeAt(c);switch(Cs(a)){case Ss:s=13,c=Ns(e,c+1);break;case 34:i();break;case 35:fs(n(c+1))||ws(n(c+1),n(c+2))?(s=4,c=Is(e,c+1)):(s=9,c++);break;case 39:i();break;case 40:s=21,c++;break;case 41:s=22,c++;break;case 43:vs(a,n(c+1),n(c+2))?r():(s=9,c++);break;case 44:s=18,c++;break;case 45:vs(a,n(c+1),n(c+2))?r():45===n(c+1)&&62===n(c+2)?(s=15,c+=3):ys(a,n(c+1),n(c+2))?o():(s=9,c++);break;case 46:vs(a,n(c+1),n(c+2))?r():(s=9,c++);break;case 47:42===n(c+1)?(s=25,c=e.indexOf("*/",c+2),c=-1===c?e.length:c+2):(s=9,c++);break;case 58:s=16,c++;break;case 59:s=17,c++;break;case 60:33===n(c+1)&&45===n(c+2)&&45===n(c+3)?(s=14,c+=4):(s=9,c++);break;case 64:ys(n(c+1),n(c+2),n(c+3))?(s=3,c=Is(e,c+1)):(s=9,c++);break;case 91:s=19,c++;break;case 92:ws(a,n(c+1))?o():(s=9,c++);break;case 93:s=20,c++;break;case 123:s=23,c++;break;case 125:s=24,c++;break;case 131:r();break;case 132:o();break;default:s=9,c++}t(s,l,l=c)}}var Bs=null,$s=class{static createItem(e){return{prev:null,next:null,data:e}}constructor(){this.head=null,this.tail=null,this.cursor=null}createItem(e){return $s.createItem(e)}allocateCursor(e,t){let n;return null!==Bs?(n=Bs,Bs=Bs.cursor,n.prev=e,n.next=t,n.cursor=this.cursor):n={prev:e,next:t,cursor:this.cursor},this.cursor=n,n}releaseCursor(){let{cursor:e}=this;this.cursor=e.cursor,e.prev=null,e.next=null,e.cursor=Bs,Bs=e}updateCursors(e,t,n,r){let{cursor:o}=this;for(;null!==o;)o.prev===e&&(o.prev=t),o.next===n&&(o.next=r),o=o.cursor}*[Symbol.iterator](){for(let e=this.head;null!==e;e=e.next)yield e.data}get size(){let e=0;for(let t=this.head;null!==t;t=t.next)e++;return e}get isEmpty(){return null===this.head}get first(){return this.head&&this.head.data}get last(){return this.tail&&this.tail.data}fromArray(e){let t=null;this.head=null;for(let n of e){let e=$s.createItem(n);null!==t?t.next=e:this.head=e,e.prev=t,t=e}return this.tail=t,this}toArray(){return[...this]}toJSON(){return[...this]}forEach(e,t=this){let n=this.allocateCursor(null,this.head);for(;null!==n.next;){let r=n.next;n.next=r.next,e.call(t,r.data,r,this)}this.releaseCursor()}forEachRight(e,t=this){let n=this.allocateCursor(this.tail,null);for(;null!==n.prev;){let r=n.prev;n.prev=r.prev,e.call(t,r.data,r,this)}this.releaseCursor()}reduce(e,t,n=this){let r,o=this.allocateCursor(null,this.head),i=t;for(;null!==o.next;)r=o.next,o.next=r.next,i=e.call(n,i,r.data,r,this);return this.releaseCursor(),i}reduceRight(e,t,n=this){let r,o=this.allocateCursor(this.tail,null),i=t;for(;null!==o.prev;)r=o.prev,o.prev=r.prev,i=e.call(n,i,r.data,r,this);return this.releaseCursor(),i}some(e,t=this){for(let n=this.head;null!==n;n=n.next)if(e.call(t,n.data,n,this))return!0;return!1}map(e,t=this){let n=new $s;for(let r=this.head;null!==r;r=r.next)n.appendData(e.call(t,r.data,r,this));return n}filter(e,t=this){let n=new $s;for(let r=this.head;null!==r;r=r.next)e.call(t,r.data,r,this)&&n.appendData(r.data);return n}nextUntil(e,t,n=this){if(null===e)return;let r=this.allocateCursor(null,e);for(;null!==r.next;){let e=r.next;if(r.next=e.next,t.call(n,e.data,e,this))break}this.releaseCursor()}prevUntil(e,t,n=this){if(null===e)return;let r=this.allocateCursor(e,null);for(;null!==r.prev;){let e=r.prev;if(r.prev=e.prev,t.call(n,e.data,e,this))break}this.releaseCursor()}clear(){this.head=null,this.tail=null}copy(){let e=new $s;for(let t of this)e.appendData(t);return e}prepend(e){return this.updateCursors(null,e,this.head,e),null!==this.head?(this.head.prev=e,e.next=this.head):this.tail=e,this.head=e,this}prependData(e){return this.prepend($s.createItem(e))}append(e){return this.insert(e)}appendData(e){return this.insert($s.createItem(e))}insert(e,t=null){if(null!==t)if(this.updateCursors(t.prev,e,t,e),null===t.prev){if(this.head!==t)throw new Error("before doesn't belong to list");this.head=e,t.prev=e,e.next=t,this.updateCursors(null,e)}else t.prev.next=e,e.prev=t.prev,t.prev=e,e.next=t;else this.updateCursors(this.tail,e,null,e),null!==this.tail?(this.tail.next=e,e.prev=this.tail):this.head=e,this.tail=e;return this}insertData(e,t){return this.insert($s.createItem(e),t)}remove(e){if(this.updateCursors(e,e.prev,e,e.next),null!==e.prev)e.prev.next=e.next;else{if(this.head!==e)throw new Error("item doesn't belong to list");this.head=e.next}if(null!==e.next)e.next.prev=e.prev;else{if(this.tail!==e)throw new Error("item doesn't belong to list");this.tail=e.prev}return e.prev=null,e.next=null,e}push(e){this.insert($s.createItem(e))}pop(){return null!==this.tail?this.remove(this.tail):null}unshift(e){this.prepend($s.createItem(e))}shift(){return null!==this.head?this.remove(this.head):null}prependList(e){return this.insertList(e,this.head)}appendList(e){return this.insertList(e)}insertList(e,t){return null===e.head||(null!=t?(this.updateCursors(t.prev,e.tail,t,e.head),null!==t.prev?(t.prev.next=e.head,e.head.prev=t.prev):this.head=e.head,t.prev=e.tail,e.tail.next=t):(this.updateCursors(this.tail,e.tail,null,e.head),null!==this.tail?(this.tail.next=e.head,e.head.prev=this.tail):this.head=e.head,this.tail=e.tail),e.head=null,e.tail=null),this}replace(e,t){"head"in t?this.insertList(t,e):this.insert(t,e),this.remove(e)}};function Qs(e,t){let n=Object.create(SyntaxError.prototype),r=new Error;return Object.assign(n,{name:e,message:t,get stack(){return(r.stack||"").replace(/^(.+\n){1,3}/,"".concat(e,": ").concat(t,"\n"))}})}var Vs="    ";function Gs({source:e,line:t,column:n},r){function o(e,t){return i.slice(e,t).map(((t,n)=>String(e+n+1).padStart(l)+" |"+t)).join("\n")}let i=e.split(/\r\n?|\n|\f/),s=Math.max(1,t-r)-1,a=Math.min(t+r,i.length+1),l=Math.max(4,String(a).length)+1,c=0;(n+=(Vs.length-1)*(i[t-1].substr(0,n-1).match(/\t/g)||[]).length)>100&&(c=n-60+3,n=58);for(let e=s;e<=a;e++)e>=0&&e<i.length&&(i[e]=i[e].replace(/\t/g,Vs),i[e]=(c>0&&i[e].length>c?"…":"")+i[e].substr(c,98)+(i[e].length>c+100-1?"…":""));return[o(s,t),new Array(n+l+2).join("-")+"^",o(t,a)].filter(Boolean).join("\n")}function Ys(e,t,n,r,o){return Object.assign(Qs("SyntaxError",e),{source:t,offset:n,line:r,column:o,sourceFragment:e=>Gs({source:t,line:r,column:o},isNaN(e)?0:e),get formattedMessage(){return"Parse error: ".concat(e,"\n")+Gs({source:t,line:r,column:o},2)}})}function Js(e){let t=this.createList(),n=!1,r={recognizer:e};for(;!this.eof;){switch(this.tokenType){case 25:this.next();continue;case 13:n=!0,this.next();continue}let o=e.getNode.call(this,r);if(void 0===o)break;n&&(e.onWhiteSpace&&e.onWhiteSpace.call(this,o,t,r),n=!1),t.push(o)}return n&&e.onWhiteSpace&&e.onWhiteSpace.call(this,null,t,r),t}var Ks=()=>{};function Hs(e){return function(){return this[e]()}}function Xs(e){let t=Object.create(null);for(let n in e){let r=e[n],o=r.parse||r;o&&(t[n]=o)}return t}function Zs(e){let t="",n="<unknown>",r=!1,o=Ks,i=!1,s=new class{constructor(){this.lines=null,this.columns=null,this.computed=!1}setSource(e,t=0,n=1,r=1){this.source=e,this.startOffset=t,this.startLine=n,this.startColumn=r,this.computed=!1}getLocation(e,t){return this.computed||Fs(this),{source:t,offset:this.startOffset+e,line:this.lines[e],column:this.columns[e]}}getLocationRange(e,t,n){return this.computed||Fs(this),{source:n,start:{offset:this.startOffset+e,line:this.lines[e],column:this.columns[e]},end:{offset:this.startOffset+t,line:this.lines[t],column:this.columns[t]}}}},a=Object.assign(new class{constructor(e,t){this.setSource(e,t)}reset(){this.eof=!1,this.tokenIndex=-1,this.tokenType=0,this.tokenStart=this.firstCharOffset,this.tokenEnd=this.firstCharOffset}setSource(e="",t=(()=>{})){let n=(e=String(e||"")).length,r=Rs(this.offsetAndType,e.length+1),o=Rs(this.balance,e.length+1),i=0,s=0,a=0,l=-1;for(this.offsetAndType=null,this.balance=null,t(e,((e,t,c)=>{switch(e){default:o[i]=n;break;case s:{let e=a&Ds;for(a=o[e],s=a>>Us,o[i]=e,o[e++]=i;e<i;e++)o[e]===n&&(o[e]=i);break}case 21:case 2:case 19:case 23:o[i]=a,s=qs.get(e),a=s<<Us|i}r[i++]=e<<Us|c,-1===l&&(l=t)})),r[i]=0|n,o[i]=n,o[n]=n;0!==a;){let e=a&Ds;a=o[e],o[e]=n}this.source=e,this.firstCharOffset=-1===l?0:l,this.tokenCount=i,this.offsetAndType=r,this.balance=o,this.reset(),this.next()}lookupType(e){return(e+=this.tokenIndex)<this.tokenCount?this.offsetAndType[e]>>Us:0}lookupOffset(e){return(e+=this.tokenIndex)<this.tokenCount?this.offsetAndType[e-1]&Ds:this.source.length}lookupValue(e,t){return(e+=this.tokenIndex)<this.tokenCount&&Es(this.source,this.offsetAndType[e-1]&Ds,this.offsetAndType[e]&Ds,t)}getTokenStart(e){return e===this.tokenIndex?this.tokenStart:e>0?e<this.tokenCount?this.offsetAndType[e-1]&Ds:this.offsetAndType[this.tokenCount]&Ds:this.firstCharOffset}substrToCursor(e){return this.source.substring(e,this.tokenStart)}isBalanceEdge(e){return this.balance[this.tokenIndex]<e}isDelim(e,t){return t?9===this.lookupType(t)&&this.source.charCodeAt(this.lookupOffset(t))===e:9===this.tokenType&&this.source.charCodeAt(this.tokenStart)===e}skip(e){let t=this.tokenIndex+e;t<this.tokenCount?(this.tokenIndex=t,this.tokenStart=this.offsetAndType[t-1]&Ds,t=this.offsetAndType[t],this.tokenType=t>>Us,this.tokenEnd=t&Ds):(this.tokenIndex=this.tokenCount,this.next())}next(){let e=this.tokenIndex+1;e<this.tokenCount?(this.tokenIndex=e,this.tokenStart=this.tokenEnd,e=this.offsetAndType[e],this.tokenType=e>>Us,this.tokenEnd=e&Ds):(this.eof=!0,this.tokenIndex=this.tokenCount,this.tokenType=0,this.tokenStart=this.tokenEnd=this.source.length)}skipSC(){for(;13===this.tokenType||25===this.tokenType;)this.next()}skipUntilBalanced(e,t){let n,r,o=e;e:for(;o<this.tokenCount&&(n=this.balance[o],!(n<e));o++)switch(r=o>0?this.offsetAndType[o-1]&Ds:this.firstCharOffset,t(this.source.charCodeAt(r))){case 1:break e;case 2:o++;break e;default:this.balance[n]===o&&(o=n)}this.skip(o-this.tokenIndex)}forEachToken(e){for(let t=0,n=this.firstCharOffset;t<this.tokenCount;t++){let r=n,o=this.offsetAndType[t],i=o&Ds;n=i,e(o>>Us,r,i,t)}}dump(){let e=new Array(this.tokenCount);return this.forEachToken(((t,n,r,o)=>{e[o]={idx:o,type:_s[t],chunk:this.source.substring(n,r),balance:this.balance[o]}})),e}},function(e){let t={context:Object.create(null),scope:Object.assign(Object.create(null),e.scope),atrule:Xs(e.atrule),pseudo:Xs(e.pseudo),node:Xs(e.node)};for(let n in e.parseContext)switch(typeof e.parseContext[n]){case"function":t.context[n]=e.parseContext[n];break;case"string":t.context[n]=Hs(e.parseContext[n])}return mn(mn({config:t},t),t.node)}(e||{}),{parseAtrulePrelude:!0,parseRulePrelude:!0,parseValue:!0,parseCustomProperty:!1,readSequence:Js,consumeUntilBalanceEnd:()=>0,consumeUntilLeftCurlyBracket:e=>123===e?1:0,consumeUntilLeftCurlyBracketOrSemicolon:e=>123===e||59===e?1:0,consumeUntilExclamationMarkOrSemicolon:e=>33===e||59===e?1:0,consumeUntilSemicolonIncluded:e=>59===e?2:0,createList:()=>new $s,createSingleNodeList:e=>(new $s).appendData(e),getFirstListNode:e=>e&&e.first,getLastListNode:e=>e&&e.last,parseWithFallback(e,t){let n=this.tokenIndex;try{return e.call(this)}catch(e){if(i)throw e;let r=t.call(this,n);return i=!0,o(e,r),i=!1,r}},lookupNonWSType(e){let t;do{if(t=this.lookupType(e++),13!==t)return t}while(0!==t);return 0},charCodeAt:e=>e>=0&&e<t.length?t.charCodeAt(e):0,substring:(e,n)=>t.substring(e,n),substrToCursor(e){return this.source.substring(e,this.tokenStart)},cmpChar:(e,n)=>zs(t,e,n),cmpStr:(e,n,r)=>Es(t,e,n,r),consume(e){let t=this.tokenStart;return this.eat(e),this.substrToCursor(t)},consumeFunctionName(){let e=t.substring(this.tokenStart,this.tokenEnd-1);return this.eat(2),e},consumeNumber(e){let n=t.substring(this.tokenStart,js(t,this.tokenStart));return this.eat(e),n},eat(e){if(this.tokenType!==e){let t=_s[e].slice(0,-6).replace(/-/g," ").replace(/^./,(e=>e.toUpperCase())),n="".concat(/[[\](){}]/.test(t)?'"'.concat(t,'"'):t," is expected"),r=this.tokenStart;switch(e){case 1:2===this.tokenType||7===this.tokenType?(r=this.tokenEnd-1,n="Identifier is expected but function found"):n="Identifier is expected";break;case 4:this.isDelim(35)&&(this.next(),r++,n="Name is expected");break;case 11:10===this.tokenType&&(r=this.tokenEnd,n="Percent sign is expected")}this.error(n,r)}this.next()},eatIdent(e){(1!==this.tokenType||!1===this.lookupValue(0,e))&&this.error('Identifier "'.concat(e,'" is expected')),this.next()},eatDelim(e){this.isDelim(e)||this.error('Delim "'.concat(String.fromCharCode(e),'" is expected')),this.next()},getLocation:(e,t)=>r?s.getLocationRange(e,t,n):null,getLocationFromList(e){if(r){let t=this.getFirstListNode(e),r=this.getLastListNode(e);return s.getLocationRange(null!==t?t.loc.start.offset-s.startOffset:this.tokenStart,null!==r?r.loc.end.offset-s.startOffset:this.tokenStart,n)}return null},error(e,n){let r=typeof n<"u"&&n<t.length?s.getLocation(n):this.eof?s.getLocation(function(e,t){for(;t>=0&&bs(e.charCodeAt(t));t--);return t+1}(t,t.length-1)):s.getLocation(this.tokenStart);throw new Ys(e||"Unexpected input",t,r.offset,r.line,r.column)}});return Object.assign((function(e,l){t=e,l=l||{},a.setSource(t,Ws),s.setSource(t,l.offset,l.line,l.column),n=l.filename||"<unknown>",r=Boolean(l.positions),o="function"==typeof l.onParseError?l.onParseError:Ks,i=!1,a.parseAtrulePrelude=!("parseAtrulePrelude"in l)||Boolean(l.parseAtrulePrelude),a.parseRulePrelude=!("parseRulePrelude"in l)||Boolean(l.parseRulePrelude),a.parseValue=!("parseValue"in l)||Boolean(l.parseValue),a.parseCustomProperty="parseCustomProperty"in l&&Boolean(l.parseCustomProperty);let{context:c="default",onComment:u}=l;if(!(c in a.context))throw new Error("Unknown context `"+c+"`");"function"==typeof u&&a.forEachToken(((e,n,r)=>{if(25===e){let e=a.getLocation(n,r),o=Es(t,r-2,r,"*/")?t.slice(n+2,r-2):t.slice(n+2,r);u(o,e)}}));let d=a.context[c].call(a,l);return a.eof||a.error(),d}),{SyntaxError:Ys,config:a.config})}var ea=((e,t,n)=>(n=null!=e?Ci(Ei(e)):{},((e,t,n,r)=>{if(t&&"object"==typeof t||"function"==typeof t)for(let o of zi(t))!Ni.call(e,o)&&o!==n&&Oi(e,o,{get:()=>t[o],enumerable:!(r=Ai(t,o))||r.enumerable});return e})(Oi(n,"default",{value:e,enumerable:!0}),e)))(Ri()),ta=new Set(["Atrule","Selector","Declaration"]);var na={};Ti(na,{safe:()=>la,spec:()=>aa});var ra=(e,t)=>{if(9===e&&(e=t),"string"==typeof e){let t=e.charCodeAt(0);return t>127?32768:t<<8}return e},oa=[[1,1],[1,2],[1,7],[1,8],[1,"-"],[1,10],[1,11],[1,12],[1,15],[1,21],[3,1],[3,2],[3,7],[3,8],[3,"-"],[3,10],[3,11],[3,12],[3,15],[4,1],[4,2],[4,7],[4,8],[4,"-"],[4,10],[4,11],[4,12],[4,15],[12,1],[12,2],[12,7],[12,8],[12,"-"],[12,10],[12,11],[12,12],[12,15],["#",1],["#",2],["#",7],["#",8],["#","-"],["#",10],["#",11],["#",12],["#",15],["-",1],["-",2],["-",7],["-",8],["-","-"],["-",10],["-",11],["-",12],["-",15],[10,1],[10,2],[10,7],[10,8],[10,10],[10,11],[10,12],[10,"%"],[10,15],["@",1],["@",2],["@",7],["@",8],["@","-"],["@",15],[".",10],[".",11],[".",12],["+",10],["+",11],["+",12],["/","*"]],ia=oa.concat([[1,4],[12,4],[4,4],[3,21],[3,5],[3,16],[11,11],[11,12],[11,2],[11,"-"],[22,1],[22,2],[22,11],[22,12],[22,4],[22,"-"]]);function sa(e){let t=new Set(e.map((([e,t])=>ra(e)<<16|ra(t))));return function(e,n,r){let o=ra(n,r),i=r.charCodeAt(0);return(45===i&&1!==n&&2!==n&&15!==n||43===i?t.has(e<<16|i<<8):t.has(e<<16|o))&&this.emit(" ",13,!0),o}}var aa=sa(oa),la=sa(ia);function ca(e,t){if("function"!=typeof t)e.children.forEach(this.node,this);else{let n=null;e.children.forEach((e=>{null!==n&&t.call(this,n),this.node(e),n=e}))}}function ua(e){Ws(e,((t,n,r)=>{this.token(t,e.slice(n,r))}))}function da(e){let t=new Map;for(let n in e.node){let r=e.node[n];"function"==typeof(r.generate||r)&&t.set(n,r.generate||r)}return function(e,n){let r="",o=0,i={node(e){if(!t.has(e.type))throw new Error("Unknown node type: "+e.type);t.get(e.type).call(s,e)},tokenBefore:la,token(e,t){o=this.tokenBefore(o,e,t),this.emit(t,e,!1),9===e&&92===t.charCodeAt(0)&&this.emit("\n",13,!0)},emit(e){r+=e},result:()=>r};n&&("function"==typeof n.decorator&&(i=n.decorator(i)),n.sourceMap&&(i=function(e){let t=new ea.SourceMapGenerator,n={line:1,column:0},r={line:0,column:0},o={line:1,column:0},i={generated:o},s=1,a=0,l=!1,c=e.node;e.node=function(e){if(e.loc&&e.loc.start&&ta.has(e.type)){let c=e.loc.start.line,u=e.loc.start.column-1;(r.line!==c||r.column!==u)&&(r.line=c,r.column=u,n.line=s,n.column=a,l&&(l=!1,(n.line!==o.line||n.column!==o.column)&&t.addMapping(i)),l=!0,t.addMapping({source:e.loc.source,original:r,generated:n}))}c.call(this,e),l&&ta.has(e.type)&&(o.line=s,o.column=a)};let u=e.emit;e.emit=function(e,t,n){for(let t=0;t<e.length;t++)10===e.charCodeAt(t)?(s++,a=0):a++;u(e,t,n)};let d=e.result;return e.result=function(){return l&&t.addMapping(i),{css:d(),map:t}},e}(i)),n.mode in na&&(i.tokenBefore=na[n.mode]));let s={node:e=>i.node(e),children:ca,token:(e,t)=>i.token(e,t),tokenize:ua};return i.node(e),i.result()}}var{hasOwnProperty:pa}=Object.prototype,ha=function(){};function fa(e){return"function"==typeof e?e:ha}function ma(e,t){return function(n,r,o){n.type===t&&e.call(this,n,r,o)}}function ga(e,t){let n=t.structure,r=[];for(let e in n){if(!1===pa.call(n,e))continue;let t=n[e],o={name:e,type:!1,nullable:!1};Array.isArray(t)||(t=[t]);for(let e of t)null===e?o.nullable=!0:"string"==typeof e?o.type="node":Array.isArray(e)&&(o.type="list");o.type&&r.push(o)}return r.length?{context:t.walkContext,fields:r}:null}function ba(e,t){let n=e.fields.slice(),r=e.context,o="string"==typeof r;return t&&n.reverse(),function(e,i,s,a){let l;o&&(l=i[r],i[r]=e);for(let r of n){let n=e[r.name];if(!r.nullable||n)if("list"===r.type){if(t?n.reduceRight(a,!1):n.reduce(a,!1))return!0}else if(s(n))return!0}o&&(i[r]=l)}}function wa({StyleSheet:e,Atrule:t,Rule:n,Block:r,DeclarationList:o}){return{Atrule:{StyleSheet:e,Atrule:t,Rule:n,Block:r},Rule:{StyleSheet:e,Atrule:t,Rule:n,Block:r},Declaration:{StyleSheet:e,Atrule:t,Rule:n,Block:r,DeclarationList:o}}}function ya(e){let t=function(e){let t={};for(let n in e.node)if(pa.call(e.node,n)){let r=e.node[n];if(!r.structure)throw new Error("Missed `structure` field in `"+n+"` node type definition");t[n]=ga(0,r)}return t}(e),n={},r={},o=Symbol("break-walk"),i=Symbol("skip-node");for(let e in t)pa.call(t,e)&&null!==t[e]&&(n[e]=ba(t[e],!1),r[e]=ba(t[e],!0));let s=wa(n),a=wa(r),l=function(e,l){function c(e,t,n){let r=u.call(f,e,t,n);return r===o||r!==i&&!!(p.hasOwnProperty(e.type)&&p[e.type](e,f,c,h)||d.call(f,e,t,n)===o)}let u=ha,d=ha,p=n,h=(e,t,n,r)=>e||c(t,n,r),f={break:o,skip:i,root:e,stylesheet:null,atrule:null,atrulePrelude:null,rule:null,selector:null,block:null,declaration:null,function:null};if("function"==typeof l)u=l;else if(l&&(u=fa(l.enter),d=fa(l.leave),l.reverse&&(p=r),l.visit)){if(s.hasOwnProperty(l.visit))p=l.reverse?a[l.visit]:s[l.visit];else if(!t.hasOwnProperty(l.visit))throw new Error("Bad value `"+l.visit+"` for `visit` option (should be: "+Object.keys(t).sort().join(", ")+")");u=ma(u,l.visit),d=ma(d,l.visit)}if(u===ha&&d===ha)throw new Error("Neither `enter` nor `leave` walker handler is set or both aren't a function");c(e)};return l.break=o,l.skip=i,l.find=function(e,t){let n=null;return l(e,(function(e,r,i){if(t.call(this,e,r,i))return n=e,o})),n},l.findLast=function(e,t){let n=null;return l(e,{reverse:!0,enter(e,r,i){if(t.call(this,e,r,i))return n=e,o}}),n},l.findAll=function(e,t){let n=[];return l(e,(function(e,r,o){t.call(this,e,r,o)&&n.push(e)})),n},l}function va(e){return e}function ka(e,t,n,r){let o;switch(e.type){case"Group":o=function(e,t,n,r){let o=" "===e.combinator||r?e.combinator:" "+e.combinator+" ",i=e.terms.map((e=>ka(e,t,n,r))).join(o);return e.explicit||n?(r||","===i[0]?"[":"[ ")+i+(r?"]":" ]"):i}(e,t,n,r)+(e.disallowEmpty?"!":"");break;case"Multiplier":return ka(e.term,t,n,r)+t(function(e){let{min:t,max:n,comma:r}=e;return 0===t&&0===n?r?"#?":"*":0===t&&1===n?"?":1===t&&0===n?r?"#":"+":1===t&&1===n?"":(r?"#":"")+(t===n?"{"+t+"}":"{"+t+","+(0!==n?n:"")+"}")}(e),e);case"Type":o="<"+e.name+(e.opts?t(function(e){if("Range"===e.type)return" ["+(null===e.min?"-∞":e.min)+","+(null===e.max?"∞":e.max)+"]";throw new Error("Unknown node type `"+e.type+"`")}(e.opts),e.opts):"")+">";break;case"Property":o="<'"+e.name+"'>";break;case"Keyword":o=e.name;break;case"AtKeyword":o="@"+e.name;break;case"Function":o=e.name+"(";break;case"String":case"Token":o=e.value;break;case"Comma":o=",";break;default:throw new Error("Unknown node type `"+e.type+"`")}return t(o,e)}function xa(e,t){let n=va,r=!1,o=!1;return"function"==typeof t?n=t:t&&(r=Boolean(t.forceBraces),o=Boolean(t.compact),"function"==typeof t.decorate&&(n=t.decorate)),ka(e,n,r,o)}var Sa={offset:0,line:1,column:1};function Ca(e,t){let n=e&&e.loc&&e.loc[t];return n?"line"in n?Oa(n):n:null}function Oa({offset:e,line:t,column:n},r){let o={offset:e,line:t,column:n};if(r){let e=r.split(/\n|\r\n?|\f/);o.offset+=r.length,o.line+=e.length-1,o.column=1===e.length?o.column+r.length:e.pop().length+1}return o}var Aa=function(e,t){let n=Qs("SyntaxReferenceError",e+(t?" `"+t+"`":""));return n.reference=t,n},za=function(e,t,n,r){let o=Qs("SyntaxMatchError",e),{css:i,mismatchOffset:s,mismatchLength:a,start:l,end:c}=function(e,t){let n,r,o=e.tokens,i=e.longestMatch,s=i<o.length&&o[i].node||null,a=s!==t?s:null,l=0,c=0,u=0,d="";for(let e=0;e<o.length;e++){let t=o[e].value;e===i&&(c=t.length,l=d.length),null!==a&&o[e].node===a&&(e<=i?u++:u=0),d+=t}return i===o.length||u>1?(n=Ca(a||t,"end")||Oa(Sa,d),r=Oa(n)):(n=Ca(a,"start")||Oa(Ca(t,"start")||Sa,d.slice(0,l)),r=Ca(a,"end")||Oa(n,d.substr(l,c))),{css:d,mismatchOffset:l,mismatchLength:c,start:n,end:r}}(r,n);return o.rawMessage=e,o.syntax=t?xa(t):"<generic>",o.css=i,o.mismatchOffset=s,o.mismatchLength=a,o.message=e+"\n  syntax: "+o.syntax+"\n   value: "+(i||"<empty string>")+"\n  --------"+new Array(o.mismatchOffset+1).join("-")+"^",Object.assign(o,l),o.loc={source:n&&n.loc&&n.loc.source||"<unknown>",start:l,end:c},o},Ea=new Map,Na=new Map,Pa=function(e){if(Ea.has(e))return Ea.get(e);let t=e.toLowerCase(),n=Ea.get(t);if(void 0===n){let e=Ia(t,0),r=e?"":ja(t,0);n=Object.freeze({basename:t.substr(r.length),name:t,prefix:r,vendor:r,custom:e})}return Ea.set(e,n),n},Ta=function(e){if(Na.has(e))return Na.get(e);let t=e,n=e[0];"/"===n?n="/"===e[1]?"//":"/":"_"!==n&&"*"!==n&&"$"!==n&&"#"!==n&&"+"!==n&&"&"!==n&&(n="");let r=Ia(t,n.length);if(!r&&(t=t.toLowerCase(),Na.has(t))){let n=Na.get(t);return Na.set(e,n),n}let o=r?"":ja(t,n.length),i=t.substr(0,n.length+o.length),s=Object.freeze({basename:t.substr(i.length),name:t.substr(n.length),hack:n,vendor:o,prefix:i,custom:r});return Na.set(e,s),s};function Ia(e,t){return t=t||0,e.length-t>=2&&45===e.charCodeAt(t)&&45===e.charCodeAt(t+1)}function ja(e,t){if(t=t||0,e.length-t>=3&&45===e.charCodeAt(t)&&45!==e.charCodeAt(t+1)){let n=e.indexOf("-",t+2);if(-1!==n)return e.substring(t,n+1)}return""}var La=["initial","inherit","unset","revert","revert-layer"],Ma=45,_a=!0;function Ra(e,t){return null!==e&&9===e.type&&e.value.charCodeAt(0)===t}function Fa(e,t,n){for(;null!==e&&(13===e.type||25===e.type);)e=n(++t);return t}function Da(e,t,n,r){if(!e)return 0;let o=e.value.charCodeAt(t);if(43===o||o===Ma){if(n)return 0;t++}for(;t<e.value.length;t++)if(!us(e.value.charCodeAt(t)))return 0;return r+1}function Ua(e,t,n){let r=!1,o=Fa(e,t,n);if(null===(e=n(o)))return t;if(10!==e.type){if(!Ra(e,43)&&!Ra(e,Ma))return t;if(r=!0,o=Fa(n(++o),o,n),null===(e=n(o))||10!==e.type)return 0}if(!r){let t=e.value.charCodeAt(0);if(43!==t&&t!==Ma)return 0}return Da(e,r?0:1,r,o)}function qa(e,t){return null!==e&&9===e.type&&e.value.charCodeAt(0)===t}function Wa(e,t,n){let r=0;for(let o=t;o<e.value.length;o++){let i=e.value.charCodeAt(o);if(45===i&&n&&0!==r)return Wa(e,t+r+1,!1),6;if(!ds(i)||++r>6)return 0}return r}function Ba(e,t,n){if(!e)return 0;for(;qa(n(t),63);){if(++e>6)return 0;t++}return t}var $a=["calc(","-moz-calc(","-webkit-calc("],Qa=new Map([[2,22],[21,22],[19,20],[23,24]]);function Va(e,t){return t<e.length?e.charCodeAt(t):0}function Ga(e,t){return Es(e,0,e.length,t)}function Ya(e,t){for(let n=0;n<t.length;n++)if(Ga(e,t[n]))return!0;return!1}function Ja(e,t){return t===e.length-2&&(92===Va(e,t)&&us(Va(e,t+1)))}function Ka(e,t,n){if(e&&"Range"===e.type){let r=Number(void 0!==n&&n!==t.length?t.substr(0,n):t);if(isNaN(r)||null!==e.min&&r<e.min&&"string"!=typeof e.min||null!==e.max&&r>e.max&&"string"!=typeof e.max)return!0}return!1}function Ha(e){return function(t,n,r){return null===t?0:2===t.type&&Ya(t.value,$a)?function(e,t){let n=0,r=[],o=0;e:do{switch(e.type){case 24:case 22:case 20:if(e.type!==n)break e;if(n=r.pop(),0===r.length){o++;break e}break;case 2:case 21:case 19:case 23:r.push(n),n=Qa.get(e.type)}o++}while(e=t(o));return o}(t,n):e(t,n,r)}}function Xa(e){return function(t){return null===t||t.type!==e?0:1}}function Za(e){return e&&(e=new Set(e)),function(t,n,r){if(null===t||12!==t.type)return 0;let o=js(t.value,0);if(null!==e){let n=t.value.indexOf("\\",o),r=-1!==n&&Ja(t.value,n)?t.value.substring(o,n):t.value.substr(o);if(!1===e.has(r.toLowerCase()))return 0}return Ka(r,t.value,o)?0:1}}function el(e){return"function"!=typeof e&&(e=function(){return 0}),function(t,n,r){return null!==t&&10===t.type&&0===Number(t.value)?1:e(t,n,r)}}var tl={"ident-token":Xa(1),"function-token":Xa(2),"at-keyword-token":Xa(3),"hash-token":Xa(4),"string-token":Xa(5),"bad-string-token":Xa(6),"url-token":Xa(7),"bad-url-token":Xa(8),"delim-token":Xa(9),"number-token":Xa(10),"percentage-token":Xa(11),"dimension-token":Xa(12),"whitespace-token":Xa(13),"CDO-token":Xa(14),"CDC-token":Xa(15),"colon-token":Xa(16),"semicolon-token":Xa(17),"comma-token":Xa(18),"[-token":Xa(19),"]-token":Xa(20),"(-token":Xa(21),")-token":Xa(22),"{-token":Xa(23),"}-token":Xa(24)},nl={string:Xa(5),ident:Xa(1),percentage:Ha((function(e,t,n){return null===e||11!==e.type||Ka(n,e.value,e.value.length-1)?0:1})),zero:el(),number:Ha((function(e,t,n){if(null===e)return 0;let r=js(e.value,0);return r!==e.value.length&&!Ja(e.value,r)||Ka(n,e.value,r)?0:1})),integer:Ha((function(e,t,n){if(null===e||10!==e.type)return 0;let r=43===Va(e.value,0)||45===Va(e.value,0)?1:0;for(;r<e.value.length;r++)if(!us(Va(e.value,r)))return 0;return Ka(n,e.value,r)?0:1})),"custom-ident":function(e){if(null===e||1!==e.type)return 0;let t=e.value.toLowerCase();return Ya(t,La)||Ga(t,"default")?0:1},"custom-property-name":function(e){return null===e||1!==e.type||45!==Va(e.value,0)||45!==Va(e.value,1)?0:1},"hex-color":function(e){if(null===e||4!==e.type)return 0;let t=e.value.length;if(4!==t&&5!==t&&7!==t&&9!==t)return 0;for(let n=1;n<t;n++)if(!ds(Va(e.value,n)))return 0;return 1},"id-selector":function(e){return null!==e&&4===e.type&&ys(Va(e.value,1),Va(e.value,2),Va(e.value,3))?1:0},"an-plus-b":function(e,t){let n=0;if(!e)return 0;if(10===e.type)return Da(e,0,false,n);if(1===e.type&&e.value.charCodeAt(0)===Ma){if(!zs(e.value,1,110))return 0;switch(e.value.length){case 2:return Ua(t(++n),n,t);case 3:return e.value.charCodeAt(2)!==Ma?0:(n=Fa(t(++n),n,t),Da(e=t(n),0,_a,n));default:return e.value.charCodeAt(2)!==Ma?0:Da(e,3,_a,n)}}else if(1===e.type||Ra(e,43)&&1===t(n+1).type){if(1!==e.type&&(e=t(++n)),null===e||!zs(e.value,0,110))return 0;switch(e.value.length){case 1:return Ua(t(++n),n,t);case 2:return e.value.charCodeAt(1)!==Ma?0:(n=Fa(t(++n),n,t),Da(e=t(n),0,_a,n));default:return e.value.charCodeAt(1)!==Ma?0:Da(e,2,_a,n)}}else if(12===e.type){let r=e.value.charCodeAt(0),o=43===r||r===Ma?1:0,i=o;for(;i<e.value.length&&us(e.value.charCodeAt(i));i++);return i!==o&&zs(e.value,i,110)?i+1===e.value.length?Ua(t(++n),n,t):e.value.charCodeAt(i+1)!==Ma?0:i+2===e.value.length?(n=Fa(t(++n),n,t),Da(e=t(n),0,_a,n)):Da(e,i+2,_a,n):0}return 0},urange:function(e,t){let n=0;if(null===e||1!==e.type||!zs(e.value,0,117)||null===(e=t(++n)))return 0;if(qa(e,43))return null===(e=t(++n))?0:1===e.type?Ba(Wa(e,0,!0),++n,t):qa(e,63)?Ba(1,++n,t):0;if(10===e.type){let r=Wa(e,1,!0);return 0===r?0:null===(e=t(++n))?n:12===e.type||10===e.type?function(e,t){return e.value.charCodeAt(0)===t}(e,45)&&Wa(e,1,!1)?n+1:0:Ba(r,n,t)}return 12===e.type?Ba(Wa(e,1,!0),++n,t):0},"declaration-value":function(e,t){if(!e)return 0;let n=0,r=[],o=0;e:do{switch(e.type){case 6:case 8:break e;case 24:case 22:case 20:if(e.type!==n)break e;n=r.pop();break;case 17:if(0===n)break e;break;case 9:if(0===n&&"!"===e.value)break e;break;case 2:case 21:case 19:case 23:r.push(n),n=Qa.get(e.type)}o++}while(e=t(o));return o},"any-value":function(e,t){if(!e)return 0;let n=0,r=[],o=0;e:do{switch(e.type){case 6:case 8:break e;case 24:case 22:case 20:if(e.type!==n)break e;n=r.pop();break;case 2:case 21:case 19:case 23:r.push(n),n=Qa.get(e.type)}o++}while(e=t(o));return o}};function rl(e){return mn(mn(mn({},tl),nl),function(e){let{angle:t,decibel:n,frequency:r,flex:o,length:i,resolution:s,semitones:a,time:l}=e||{};return{dimension:Ha(Za(null)),angle:Ha(Za(t)),decibel:Ha(Za(n)),frequency:Ha(Za(r)),flex:Ha(Za(o)),length:Ha(el(Za(i))),resolution:Ha(Za(s)),semitones:Ha(Za(a)),time:Ha(Za(l))}}(e))}var ol={};Ti(ol,{angle:()=>sl,decibel:()=>dl,flex:()=>ul,frequency:()=>ll,length:()=>il,resolution:()=>cl,semitones:()=>pl,time:()=>al});var il=["cm","mm","q","in","pt","pc","px","em","rem","ex","rex","cap","rcap","ch","rch","ic","ric","lh","rlh","vw","svw","lvw","dvw","vh","svh","lvh","dvh","vi","svi","lvi","dvi","vb","svb","lvb","dvb","vmin","svmin","lvmin","dvmin","vmax","svmax","lvmax","dvmax","cqw","cqh","cqi","cqb","cqmin","cqmax"],sl=["deg","grad","rad","turn"],al=["s","ms"],ll=["hz","khz"],cl=["dpi","dpcm","dppx","x"],ul=["fr"],dl=["db"],pl=["st"];function hl(e,t,n){return Object.assign(Qs("SyntaxError",e),{input:t,offset:n,rawMessage:e,message:e+"\n  "+t+"\n--"+new Array((n||t.length)+1).join("-")+"^"})}Ti({},{SyntaxError:()=>hl,generate:()=>xa,parse:()=>El,walk:()=>Tl});var fl=123,ml=new Uint8Array(128).map(((e,t)=>/[a-zA-Z0-9\-]/.test(String.fromCharCode(t))?1:0)),gl={" ":1,"&&":2,"||":3,"|":4};function bl(e){return e.substringToPos(e.findWsEnd(e.pos))}function wl(e){let t=e.pos;for(;t<e.str.length;t++){let n=e.str.charCodeAt(t);if(n>=128||0===ml[n])break}return e.pos===t&&e.error("Expect a keyword"),e.substringToPos(t)}function yl(e){let t=e.pos;for(;t<e.str.length;t++){let n=e.str.charCodeAt(t);if(n<48||n>57)break}return e.pos===t&&e.error("Expect a number"),e.substringToPos(t)}function vl(e){let t=e.str.indexOf("'",e.pos+1);return-1===t&&(e.pos=e.str.length,e.error("Expect an apostrophe")),e.substringToPos(t+1)}function kl(e){let t=null,n=null;return e.eat(fl),t=yl(e),44===e.charCode()?(e.pos++,125!==e.charCode()&&(n=yl(e))):n=t,e.eat(125),{min:Number(t),max:n?Number(n):0}}function xl(e,t){let n=function(e){let t=null,n=!1;switch(e.charCode()){case 42:e.pos++,t={min:0,max:0};break;case 43:e.pos++,t={min:1,max:0};break;case 63:e.pos++,t={min:0,max:1};break;case 35:e.pos++,n=!0,e.charCode()===fl?t=kl(e):63===e.charCode()?(e.pos++,t={min:0,max:0}):t={min:1,max:0};break;case fl:t=kl(e);break;default:return null}return{type:"Multiplier",comma:n,min:t.min,max:t.max,term:null}}(e);return null!==n?(n.term=t,35===e.charCode()&&43===e.charCodeAt(e.pos-1)?xl(e,n):n):t}function Sl(e){let t=e.peek();return""===t?null:{type:"Token",value:t}}function Cl(e){let t,n=null;return e.eat(60),t=wl(e),40===e.charCode()&&41===e.nextCharCode()&&(e.pos+=2,t+="()"),91===e.charCodeAt(e.findWsEnd(e.pos))&&(bl(e),n=function(e){let t=null,n=null,r=1;return e.eat(91),45===e.charCode()&&(e.peek(),r=-1),-1==r&&8734===e.charCode()?e.peek():(t=r*Number(yl(e)),0!==ml[e.charCode()]&&(t+=wl(e))),bl(e),e.eat(44),bl(e),8734===e.charCode()?e.peek():(r=1,45===e.charCode()&&(e.peek(),r=-1),n=r*Number(yl(e)),0!==ml[e.charCode()]&&(n+=wl(e))),e.eat(93),{type:"Range",min:t,max:n}}(e)),e.eat(62),xl(e,{type:"Type",name:t,opts:n})}function Ol(e,t){function n(e,t){return{type:"Group",terms:e,combinator:t,disallowEmpty:!1,explicit:!1}}let r;for(t=Object.keys(t).sort(((e,t)=>gl[e]-gl[t]));t.length>0;){r=t.shift();let o=0,i=0;for(;o<e.length;o++){let t=e[o];"Combinator"===t.type&&(t.value===r?(-1===i&&(i=o-1),e.splice(o,1),o--):(-1!==i&&o-i>1&&(e.splice(i,o-i,n(e.slice(i,o),r)),o=i+1),i=-1))}-1!==i&&t.length&&e.splice(i,o-i,n(e.slice(i,o),r))}return r}function Al(e){let t,n=[],r={},o=null,i=e.pos;for(;t=zl(e);)"Spaces"!==t.type&&("Combinator"===t.type?((null===o||"Combinator"===o.type)&&(e.pos=i,e.error("Unexpected combinator")),r[t.value]=!0):null!==o&&"Combinator"!==o.type&&(r[" "]=!0,n.push({type:"Combinator",value:" "})),n.push(t),o=t,i=e.pos);return null!==o&&"Combinator"===o.type&&(e.pos-=i,e.error("Unexpected combinator")),{type:"Group",terms:n,combinator:Ol(n,r)||" ",disallowEmpty:!1,explicit:!1}}function zl(e){let t=e.charCode();if(t<128&&1===ml[t])return function(e){let t=wl(e);return 40===e.charCode()?(e.pos++,{type:"Function",name:t}):xl(e,{type:"Keyword",name:t})}(e);switch(t){case 93:break;case 91:return xl(e,function(e){let t;return e.eat(91),t=Al(e),e.eat(93),t.explicit=!0,33===e.charCode()&&(e.pos++,t.disallowEmpty=!0),t}(e));case 60:return 39===e.nextCharCode()?function(e){let t;return e.eat(60),e.eat(39),t=wl(e),e.eat(39),e.eat(62),xl(e,{type:"Property",name:t})}(e):Cl(e);case 124:return{type:"Combinator",value:e.substringToPos(e.pos+(124===e.nextCharCode()?2:1))};case 38:return e.pos++,e.eat(38),{type:"Combinator",value:"&&"};case 44:return e.pos++,{type:"Comma"};case 39:return xl(e,{type:"String",value:vl(e)});case 32:case 9:case 10:case 13:case 12:return{type:"Spaces",value:bl(e)};case 64:return t=e.nextCharCode(),t<128&&1===ml[t]?(e.pos++,{type:"AtKeyword",name:wl(e)}):Sl(e);case 42:case 43:case 63:case 35:case 33:break;case fl:if(t=e.nextCharCode(),t<48||t>57)return Sl(e);break;default:return Sl(e)}}function El(e){let t=new class{constructor(e){this.str=e,this.pos=0}charCodeAt(e){return e<this.str.length?this.str.charCodeAt(e):0}charCode(){return this.charCodeAt(this.pos)}nextCharCode(){return this.charCodeAt(this.pos+1)}nextNonWsCode(e){return this.charCodeAt(this.findWsEnd(e))}findWsEnd(e){for(;e<this.str.length;e++){let t=this.str.charCodeAt(e);if(13!==t&&10!==t&&12!==t&&32!==t&&9!==t)break}return e}substringToPos(e){return this.str.substring(this.pos,this.pos=e)}eat(e){this.charCode()!==e&&this.error("Expect `"+String.fromCharCode(e)+"`"),this.pos++}peek(){return this.pos<this.str.length?this.str.charAt(this.pos++):""}error(e){throw new hl(e,this.str,this.pos)}}(e),n=Al(t);return t.pos!==e.length&&t.error("Unexpected input"),1===n.terms.length&&"Group"===n.terms[0].type?n.terms[0]:n}var Nl=function(){};function Pl(e){return"function"==typeof e?e:Nl}function Tl(e,t,n){let r=Nl,o=Nl;if("function"==typeof t?r=t:t&&(r=Pl(t.enter),o=Pl(t.leave)),r===Nl&&o===Nl)throw new Error("Neither `enter` nor `leave` walker handler is set or both aren't a function");!function e(t){switch(r.call(n,t),t.type){case"Group":t.terms.forEach(e);break;case"Multiplier":e(t.term);break;case"Type":case"Property":case"Keyword":case"AtKeyword":case"Function":case"String":case"Token":case"Comma":break;default:throw new Error("Unknown type: "+t.type)}o.call(n,t)}(e)}var Il={decorator(e){let t=[],n=null;return mn(mn({},e),{},{node(t){let r=n;n=t,e.node.call(this,t),n=r},emit(e,r,o){t.push({type:r,value:e,node:o?null:n})},result:()=>t})}};function jl(e,t){return"string"==typeof e?function(e){let t=[];return Ws(e,((n,r,o)=>t.push({type:n,value:e.slice(r,o),node:null}))),t}(e):t.generate(e,Il)}var Ll={type:"Match"},Ml={type:"Mismatch"},_l={type:"DisallowEmpty"};function Rl(e,t,n){return t===Ll&&n===Ml||e===Ll&&t===Ll&&n===Ll?e:("If"===e.type&&e.else===Ml&&t===Ll&&(t=e.then,e=e.match),{type:"If",match:e,then:t,else:n})}function Fl(e){return e.length>2&&40===e.charCodeAt(e.length-2)&&41===e.charCodeAt(e.length-1)}function Dl(e){return"Keyword"===e.type||"AtKeyword"===e.type||"Function"===e.type||"Type"===e.type&&Fl(e.name)}function Ul(e,t,n){switch(e){case" ":{let e=Ll;for(let n=t.length-1;n>=0;n--){e=Rl(t[n],e,Ml)}return e}case"|":{let e=Ml,n=null;for(let r=t.length-1;r>=0;r--){let o=t[r];if(Dl(o)&&(null===n&&r>0&&Dl(t[r-1])&&(n=Object.create(null),e=Rl({type:"Enum",map:n},Ll,e)),null!==n)){let e=(Fl(o.name)?o.name.slice(0,-1):o.name).toLowerCase();if(!(e in n)){n[e]=o;continue}}n=null,e=Rl(o,Ll,e)}return e}case"&&":{if(t.length>5)return{type:"MatchOnce",terms:t,all:!0};let n=Ml;for(let r=t.length-1;r>=0;r--){let o,i=t[r];o=t.length>1?Ul(e,t.filter((function(e){return e!==i})),!1):Ll,n=Rl(i,o,n)}return n}case"||":{if(t.length>5)return{type:"MatchOnce",terms:t,all:!1};let r=n?Ll:Ml;for(let n=t.length-1;n>=0;n--){let o,i=t[n];o=t.length>1?Ul(e,t.filter((function(e){return e!==i})),!0):Ll,r=Rl(i,o,r)}return r}}}function ql(e){if("function"==typeof e)return{type:"Generic",fn:e};switch(e.type){case"Group":{let t=Ul(e.combinator,e.terms.map(ql),!1);return e.disallowEmpty&&(t=Rl(t,_l,Ml)),t}case"Multiplier":return function(e){let t=Ll,n=ql(e.term);if(0===e.max)n=Rl(n,_l,Ml),t=Rl(n,null,Ml),t.then=Rl(Ll,Ll,t),e.comma&&(t.then.else=Rl({type:"Comma",syntax:e},t,Ml));else for(let r=e.min||1;r<=e.max;r++)e.comma&&t!==Ll&&(t=Rl({type:"Comma",syntax:e},t,Ml)),t=Rl(n,Rl(Ll,Ll,t),Ml);if(0===e.min)t=Rl(Ll,Ll,t);else for(let r=0;r<e.min-1;r++)e.comma&&t!==Ll&&(t=Rl({type:"Comma",syntax:e},t,Ml)),t=Rl(n,t,Ml);return t}(e);case"Type":case"Property":return{type:e.type,name:e.name,syntax:e};case"Keyword":return{type:e.type,name:e.name.toLowerCase(),syntax:e};case"AtKeyword":return{type:e.type,name:"@"+e.name.toLowerCase(),syntax:e};case"Function":return{type:e.type,name:e.name.toLowerCase()+"(",syntax:e};case"String":return 3===e.value.length?{type:"Token",value:e.value.charAt(1),syntax:e}:{type:e.type,value:e.value.substr(1,e.value.length-2).replace(/\\'/g,"'"),syntax:e};case"Token":return{type:e.type,value:e.value,syntax:e};case"Comma":return{type:e.type,syntax:e};default:throw new Error("Unknown node type:",e.type)}}function Wl(e,t){return"string"==typeof e&&(e=El(e)),{type:"MatchGraph",match:ql(e),syntax:t||null,source:e}}var{hasOwnProperty:Bl}=Object.prototype,$l="Match";function Ql(e,t){if(e.length!==t.length)return!1;for(let n=0;n<e.length;n++){let r=t.charCodeAt(n),o=e.charCodeAt(n);if(o>=65&&o<=90&&(o|=32),o!==r)return!1}return!0}function Vl(e){return null===e||(18===e.type||2===e.type||21===e.type||19===e.type||23===e.type||function(e){return 9===e.type&&"?"!==e.value}(e))}function Gl(e){return null===e||(22===e.type||20===e.type||24===e.type||9===e.type&&"/"===e.value)}function Yl(e,t,n){let r=function(e,t,n){function r(){do{b++,g=b<e.length?e[b]:null}while(null!==g&&(13===g.type||25===g.type))}function o(t){let n=b+t;return n<e.length?e[n]:null}function i(e,t){return{nextState:e,matchStack:y,syntaxStack:u,thenStack:d,tokenIndex:b,prev:t}}function s(e){d={nextState:e,matchStack:y,syntaxStack:u,prev:d}}function a(e){p=i(e,p)}function l(){y={type:1,syntax:t.syntax,token:g,prev:y},r(),h=null,b>w&&(w=b)}function c(){y=2===y.type?y.prev:{type:3,syntax:u.syntax,token:y.token,prev:y},u=u.prev}let u=null,d=null,p=null,h=null,f=0,m=null,g=null,b=-1,w=0,y={type:0,syntax:null,token:null,prev:null};for(r();null===m&&++f<15e3;)switch(t.type){case"Match":if(null===d){if(null!==g&&(b!==e.length-1||"\\0"!==g.value&&"\\9"!==g.value)){t=Ml;break}m=$l;break}if((t=d.nextState)===_l){if(d.matchStack===y){t=Ml;break}t=Ll}for(;d.syntaxStack!==u;)c();d=d.prev;break;case"Mismatch":if(null!==h&&!1!==h)(null===p||b>p.tokenIndex)&&(p=h,h=!1);else if(null===p){m="Mismatch";break}t=p.nextState,d=p.thenStack,u=p.syntaxStack,y=p.matchStack,b=p.tokenIndex,g=b<e.length?e[b]:null,p=p.prev;break;case"MatchGraph":t=t.match;break;case"If":t.else!==Ml&&a(t.else),t.then!==Ll&&s(t.then),t=t.match;break;case"MatchOnce":t={type:"MatchOnceBuffer",syntax:t,index:0,mask:0};break;case"MatchOnceBuffer":{let e=t.syntax.terms;if(t.index===e.length){if(0===t.mask||t.syntax.all){t=Ml;break}t=Ll;break}if(t.mask===(1<<e.length)-1){t=Ll;break}for(;t.index<e.length;t.index++){let n=1<<t.index;if(0==(t.mask&n)){a(t),s({type:"AddMatchOnce",syntax:t.syntax,mask:t.mask|n}),t=e[t.index++];break}}break}case"AddMatchOnce":t={type:"MatchOnceBuffer",syntax:t.syntax,index:0,mask:t.mask};break;case"Enum":if(null!==g){let e=g.value.toLowerCase();if(-1!==e.indexOf("\\")&&(e=e.replace(/\\[09].*$/,"")),Bl.call(t.map,e)){t=t.map[e];break}}t=Ml;break;case"Generic":{let e=null!==u?u.opts:null,n=b+Math.floor(t.fn(g,o,e));if(!isNaN(n)&&n>b){for(;b<n;)l();t=Ll}else t=Ml;break}case"Type":case"Property":{let e="Type"===t.type?"types":"properties",r=Bl.call(n,e)?n[e][t.name]:null;if(!r||!r.match)throw new Error("Bad syntax reference: "+("Type"===t.type?"<"+t.name+">":"<'"+t.name+"'>"));if(!1!==h&&null!==g&&"Type"===t.type&&("custom-ident"===t.name&&1===g.type||"length"===t.name&&"0"===g.value)){null===h&&(h=i(t,p)),t=Ml;break}u={syntax:t.syntax,opts:t.syntax.opts||null!==u&&u.opts||null,prev:u},y={type:2,syntax:t.syntax,token:y.token,prev:y},t=r.match;break}case"Keyword":{let e=t.name;if(null!==g){let n=g.value;if(-1!==n.indexOf("\\")&&(n=n.replace(/\\[09].*$/,"")),Ql(n,e)){l(),t=Ll;break}}t=Ml;break}case"AtKeyword":case"Function":if(null!==g&&Ql(g.value,t.name)){l(),t=Ll;break}t=Ml;break;case"Token":if(null!==g&&g.value===t.value){l(),t=Ll;break}t=Ml;break;case"Comma":null!==g&&18===g.type?Vl(y.token)?t=Ml:(l(),t=Gl(g)?Ml:Ll):t=Vl(y.token)||Gl(g)?Ll:Ml;break;case"String":let r="",f=b;for(;f<e.length&&r.length<t.value.length;f++)r+=e[f].value;if(Ql(r,t.value)){for(;b<f;)l();t=Ll}else t=Ml;break;default:throw new Error("Unknown node type: "+t.type)}switch(m){case null:console.warn("[csstree-match] BREAK after 15000 iterations"),m="Maximum iteration number exceeded (please fill an issue on https://github.com/csstree/csstree/issues)",y=null;break;case $l:for(;null!==u;)c();break;default:y=null}return{tokens:e,reason:m,iterations:f,match:y,longestMatch:w}}(e,t,n||{});if(null===r.match)return r;let o=r.match,i=r.match={syntax:t.syntax||null,match:[]},s=[i];for(o=function(e){let t=null,n=null,r=e;for(;null!==r;)n=r.prev,r.prev=t,t=r,r=n;return t}(o).prev;null!==o;){switch(o.type){case 2:i.match.push(i={syntax:o.syntax,match:[]}),s.push(i);break;case 3:s.pop(),i=s[s.length-1];break;default:i.match.push({syntax:o.syntax||null,token:o.token.value,node:o.token.node})}o=o.prev}return r}var Jl={};function Kl(e){function t(e){return null!==e&&("Type"===e.type||"Property"===e.type||"Keyword"===e.type)}let n=null;return null!==this.matched&&function r(o){if(Array.isArray(o.match)){for(let e=0;e<o.match.length;e++)if(r(o.match[e]))return t(o.syntax)&&n.unshift(o.syntax),!0}else if(o.node===e)return n=t(o.syntax)?[o.syntax]:[],!0;return!1}(this.matched),n}function Hl(e,t){return ec(this,e,(e=>"Type"===e.type&&e.name===t))}function Xl(e,t){return ec(this,e,(e=>"Property"===e.type&&e.name===t))}function Zl(e){return ec(this,e,(e=>"Keyword"===e.type))}function ec(e,t,n){let r=Kl.call(e,t);return null!==r&&r.some(n)}function tc(e){return"node"in e?e.node:tc(e.match[0])}function nc(e){return"node"in e?e.node:nc(e.match[e.match.length-1])}function rc(e,t,n,r,o){let i=[];return null!==n.matched&&function n(s){if(null!==s.syntax&&s.syntax.type===r&&s.syntax.name===o){let n=tc(s),r=nc(s);e.syntax.walk(t,(function(e,t,o){if(e===n){let e=new $s;do{if(e.appendData(t.data),t.data===r)break;t=t.next}while(null!==t);i.push({parent:o,nodes:e})}}))}Array.isArray(s.match)&&s.match.forEach(n)}(n.matched),i}Ti(Jl,{getTrace:()=>Kl,isKeyword:()=>Zl,isProperty:()=>Xl,isType:()=>Hl});var{hasOwnProperty:oc}=Object.prototype;function ic(e){return"number"==typeof e&&isFinite(e)&&Math.floor(e)===e&&e>=0}function sc(e){return Boolean(e)&&ic(e.offset)&&ic(e.line)&&ic(e.column)}function ac(e,t){return function(n,r){if(!n||n.constructor!==Object)return r(n,"Type of node should be an Object");for(let o in n){let i=!0;if(!1!==oc.call(n,o)){if("type"===o)n.type!==e&&r(n,"Wrong node type `"+n.type+"`, expected `"+e+"`");else if("loc"===o){if(null===n.loc)continue;if(n.loc&&n.loc.constructor===Object)if("string"!=typeof n.loc.source)o+=".source";else if(sc(n.loc.start)){if(sc(n.loc.end))continue;o+=".end"}else o+=".start";i=!1}else if(t.hasOwnProperty(o)){i=!1;for(let e=0;!i&&e<t[o].length;e++){let r=t[o][e];switch(r){case String:i="string"==typeof n[o];break;case Boolean:i="boolean"==typeof n[o];break;case null:i=null===n[o];break;default:"string"==typeof r?i=n[o]&&n[o].type===r:Array.isArray(r)&&(i=n[o]instanceof $s)}}}else r(n,"Unknown field `"+o+"` for "+e+" node type");i||r(n,"Bad value for `"+e+"."+o+"`")}}for(let o in t)oc.call(t,o)&&!1===oc.call(n,o)&&r(n,"Field `"+e+"."+o+"` is missed")}}function lc(e,t){let n=t.structure,r={type:String,loc:!0},o={type:'"'+e+'"'};for(let t in n){if(!1===oc.call(n,t))continue;let i=[],s=r[t]=Array.isArray(n[t])?n[t].slice():[n[t]];for(let n=0;n<s.length;n++){let r=s[n];if(r===String||r===Boolean)i.push(r.name);else if(null===r)i.push("null");else if("string"==typeof r)i.push("<"+r+">");else{if(!Array.isArray(r))throw new Error("Wrong value `"+r+"` in `"+e+"."+t+"` structure definition");i.push("List")}}o[t]=i.join(" | ")}return{docs:o,check:ac(e,r)}}var cc=Wl(La.join(" | "));function uc(e,t,n){let r={};for(let o in e)e[o].syntax&&(r[o]=n?e[o].syntax:xa(e[o].syntax,{compact:t}));return r}function dc(e,t,n){let r={};for(let[o,i]of Object.entries(e))r[o]={prelude:i.prelude&&(n?i.prelude.syntax:xa(i.prelude.syntax,{compact:t})),descriptors:i.descriptors&&uc(i.descriptors,t,n)};return r}function pc(e,t,n){return mn({matched:e,iterations:n,error:t},Jl)}function hc(e,t,n,r){let o,i=jl(n,e.syntax);return function(e){for(let t=0;t<e.length;t++)if("var("===e[t].value.toLowerCase())return!0;return!1}(i)?pc(null,new Error("Matching for a tree with var() is not supported")):(r&&(o=Yl(i,e.cssWideKeywordsSyntax,e)),r&&o.match||(o=Yl(i,t.match,e),o.match)?pc(o.match,null,o.iterations):pc(null,new za(o.reason,t.syntax,n,o),o.iterations))}var fc=class{constructor(e,t,n){if(this.cssWideKeywordsSyntax=cc,this.syntax=t,this.generic=!1,this.units=mn({},ol),this.atrules=Object.create(null),this.properties=Object.create(null),this.types=Object.create(null),this.structure=n||function(e){let t={};if(e.node)for(let n in e.node)if(oc.call(e.node,n)){let r=e.node[n];if(!r.structure)throw new Error("Missed `structure` field in `"+n+"` node type definition");t[n]=lc(n,r)}return t}(e),e){if(e.units)for(let t of Object.keys(ol))Array.isArray(e.units[t])&&(this.units[t]=e.units[t]);if(e.types)for(let t in e.types)this.addType_(t,e.types[t]);if(e.generic){this.generic=!0;for(let[e,t]of Object.entries(rl(this.units)))this.addType_(e,t)}if(e.atrules)for(let t in e.atrules)this.addAtrule_(t,e.atrules[t]);if(e.properties)for(let t in e.properties)this.addProperty_(t,e.properties[t])}}checkStructure(e){function t(e,t){r.push({node:e,message:t})}let n=this.structure,r=[];return this.syntax.walk(e,(function(e){n.hasOwnProperty(e.type)?n[e.type].check(e,t):t(e,"Unknown node type `"+e.type+"`")})),!!r.length&&r}createDescriptor(e,t,n,r=null){let o={type:t,name:n},i={type:t,name:n,parent:r,serializable:"string"==typeof e||e&&"string"==typeof e.type,syntax:null,match:null};return"function"==typeof e?i.match=Wl(e,o):("string"==typeof e?Object.defineProperty(i,"syntax",{get:()=>(Object.defineProperty(i,"syntax",{value:El(e)}),i.syntax)}):i.syntax=e,Object.defineProperty(i,"match",{get:()=>(Object.defineProperty(i,"match",{value:Wl(i.syntax,o)}),i.match)})),i}addAtrule_(e,t){!t||(this.atrules[e]={type:"Atrule",name:e,prelude:t.prelude?this.createDescriptor(t.prelude,"AtrulePrelude",e):null,descriptors:t.descriptors?Object.keys(t.descriptors).reduce(((n,r)=>(n[r]=this.createDescriptor(t.descriptors[r],"AtruleDescriptor",r,e),n)),Object.create(null)):null})}addProperty_(e,t){!t||(this.properties[e]=this.createDescriptor(t,"Property",e))}addType_(e,t){!t||(this.types[e]=this.createDescriptor(t,"Type",e))}checkAtruleName(e){if(!this.getAtrule(e))return new Aa("Unknown at-rule","@"+e)}checkAtrulePrelude(e,t){let n=this.checkAtruleName(e);if(n)return n;let r=this.getAtrule(e);return!r.prelude&&t?new SyntaxError("At-rule `@"+e+"` should not contain a prelude"):!r.prelude||t||hc(this,r.prelude,"",!1).matched?void 0:new SyntaxError("At-rule `@"+e+"` should contain a prelude")}checkAtruleDescriptorName(e,t){let n=this.checkAtruleName(e);if(n)return n;let r=this.getAtrule(e),o=Pa(t);return r.descriptors?r.descriptors[o.name]||r.descriptors[o.basename]?void 0:new Aa("Unknown at-rule descriptor",t):new SyntaxError("At-rule `@"+e+"` has no known descriptors")}checkPropertyName(e){if(!this.getProperty(e))return new Aa("Unknown property",e)}matchAtrulePrelude(e,t){let n=this.checkAtrulePrelude(e,t);if(n)return pc(null,n);let r=this.getAtrule(e);return r.prelude?hc(this,r.prelude,t||"",!1):pc(null,null)}matchAtruleDescriptor(e,t,n){let r=this.checkAtruleDescriptorName(e,t);if(r)return pc(null,r);let o=this.getAtrule(e),i=Pa(t);return hc(this,o.descriptors[i.name]||o.descriptors[i.basename],n,!1)}matchDeclaration(e){return"Declaration"!==e.type?pc(null,new Error("Not a Declaration node")):this.matchProperty(e.property,e.value)}matchProperty(e,t){if(Ta(e).custom)return pc(null,new Error("Lexer matching doesn't applicable for custom properties"));let n=this.checkPropertyName(e);return n?pc(null,n):hc(this,this.getProperty(e),t,!0)}matchType(e,t){let n=this.getType(e);return n?hc(this,n,t,!1):pc(null,new Aa("Unknown type",e))}match(e,t){return"string"==typeof e||e&&e.type?(("string"==typeof e||!e.match)&&(e=this.createDescriptor(e,"Type","anonymous")),hc(this,e,t,!1)):pc(null,new Aa("Bad syntax"))}findValueFragments(e,t,n,r){return rc(this,t,this.matchProperty(e,t),n,r)}findDeclarationValueFragments(e,t,n){return rc(this,e.value,this.matchDeclaration(e),t,n)}findAllFragments(e,t,n){let r=[];return this.syntax.walk(e,{visit:"Declaration",enter:e=>{r.push.apply(r,this.findDeclarationValueFragments(e,t,n))}}),r}getAtrule(e,t=!0){let n=Pa(e);return(n.vendor&&t?this.atrules[n.name]||this.atrules[n.basename]:this.atrules[n.name])||null}getAtrulePrelude(e,t=!0){let n=this.getAtrule(e,t);return n&&n.prelude||null}getAtruleDescriptor(e,t){return this.atrules.hasOwnProperty(e)&&this.atrules.declarators&&this.atrules[e].declarators[t]||null}getProperty(e,t=!0){let n=Ta(e);return(n.vendor&&t?this.properties[n.name]||this.properties[n.basename]:this.properties[n.name])||null}getType(e){return hasOwnProperty.call(this.types,e)?this.types[e]:null}validate(){function e(r,o,i,s){if(i.has(o))return i.get(o);i.set(o,!1),null!==s.syntax&&Tl(s.syntax,(function(s){if("Type"!==s.type&&"Property"!==s.type)return;let a="Type"===s.type?r.types:r.properties,l="Type"===s.type?t:n;(!hasOwnProperty.call(a,s.name)||e(r,s.name,l,a[s.name]))&&i.set(o,!0)}),this)}let t=new Map,n=new Map;for(let n in this.types)e(this,n,t,this.types[n]);for(let t in this.properties)e(this,t,n,this.properties[t]);return t=[...t.keys()].filter((e=>t.get(e))),n=[...n.keys()].filter((e=>n.get(e))),t.length||n.length?{types:t,properties:n}:null}dump(e,t){return{generic:this.generic,units:this.units,types:uc(this.types,!t,e),properties:uc(this.properties,!t,e),atrules:dc(this.atrules,!t,e)}}toString(){return JSON.stringify(this.dump())}};function mc(e,t){return"string"==typeof t&&/^\s*\|/.test(t)?"string"==typeof e?e+t:t.replace(/^\s*\|\s*/,""):t||null}function gc(e,t){let n=Object.create(null);for(let[r,o]of Object.entries(e))if(o){n[r]={};for(let e of Object.keys(o))t.includes(e)&&(n[r][e]=o[e])}return n}function bc(e,t){let n=mn({},e);for(let[r,o]of Object.entries(t))switch(r){case"generic":n[r]=Boolean(o);break;case"units":n[r]=mn({},e[r]);for(let[e,t]of Object.entries(o))n[r][e]=Array.isArray(t)?t:[];break;case"atrules":n[r]=mn({},e[r]);for(let[e,t]of Object.entries(o)){let o=n[r][e]||{},i=n[r][e]={prelude:o.prelude||null,descriptors:mn({},o.descriptors)};if(t){i.prelude=t.prelude?mc(i.prelude,t.prelude):i.prelude||null;for(let[e,n]of Object.entries(t.descriptors||{}))i.descriptors[e]=n?mc(i.descriptors[e],n):null;Object.keys(i.descriptors).length||(i.descriptors=null)}}break;case"types":case"properties":n[r]=mn({},e[r]);for(let[e,t]of Object.entries(o))n[r][e]=mc(n[r][e],t);break;case"scope":n[r]=mn({},e[r]);for(let[e,t]of Object.entries(o))n[r][e]=mn(mn({},n[r][e]),t);break;case"parseContext":n[r]=mn(mn({},e[r]),o);break;case"atrule":case"pseudo":n[r]=mn(mn({},e[r]),gc(o,["parse"]));break;case"node":n[r]=mn(mn({},e[r]),gc(o,["name","structure","parse","generate","walkContext"]))}return n}function wc(e){let t=Zs(e),n=ya(e),r=da(e),{fromPlainObject:o,toPlainObject:i}=function(e){return{fromPlainObject:t=>(e(t,{enter(e){e.children&&!(e.children instanceof $s)&&(e.children=(new $s).fromArray(e.children))}}),t),toPlainObject:t=>(e(t,{leave(e){e.children&&e.children instanceof $s&&(e.children=e.children.toArray())}}),t)}}(n),s={lexer:null,createLexer:e=>new fc(e,s,s.lexer.structure),tokenize:Ws,parse:t,generate:r,walk:n,find:n.find,findLast:n.findLast,findAll:n.findAll,fromPlainObject:o,toPlainObject:i,fork(t){let n=bc({},e);return wc("function"==typeof t?t(n,Object.assign):bc(n,t))}};return s.lexer=new fc({generic:!0,units:e.units,types:e.types,atrules:e.atrules,properties:e.properties,node:e.node},s),s}var yc={};Ti(yc,{AnPlusB:()=>vc,Atrule:()=>jc,AtrulePrelude:()=>qc,AttributeSelector:()=>Gc,Block:()=>eu,Brackets:()=>uu,CDC:()=>mu,CDO:()=>vu,ClassSelector:()=>Ou,Combinator:()=>Pu,Comment:()=>Mu,Declaration:()=>Uu,DeclarationList:()=>Hu,Dimension:()=>rd,Function:()=>ld,Hash:()=>fd,IdSelector:()=>Od,Identifier:()=>vd,MediaFeature:()=>Pd,MediaQuery:()=>Md,MediaQueryList:()=>Ud,NestingSelector:()=>Qd,Nth:()=>Kd,Number:()=>tp,Operator:()=>sp,Parentheses:()=>dp,Percentage:()=>gp,PseudoClassSelector:()=>kp,PseudoElementSelector:()=>zp,Ratio:()=>jp,Raw:()=>Dp,Rule:()=>Qp,Selector:()=>Zp,SelectorList:()=>oh,String:()=>uh,StyleSheet:()=>wh,TypeSelector:()=>Oh,UnicodeRange:()=>Th,Url:()=>Uh,Value:()=>Gh,WhiteSpace:()=>Xh});var vc={};Ti(vc,{generate:()=>Ic,name:()=>Nc,parse:()=>Tc,structure:()=>Pc});var kc=43,xc=45,Sc=110,Cc=!0;function Oc(e,t){let n=this.tokenStart+e,r=this.charCodeAt(n);for((r===kc||r===xc)&&(t&&this.error("Number sign is not allowed"),n++);n<this.tokenEnd;n++)us(this.charCodeAt(n))||this.error("Integer is expected",n)}function Ac(e){return Oc.call(this,0,e)}function zc(e,t){if(!this.cmpChar(this.tokenStart+e,t)){let n="";switch(t){case Sc:n="N is expected";break;case xc:n="HyphenMinus is expected"}this.error(n,this.tokenStart+e)}}function Ec(){let e=0,t=0,n=this.tokenType;for(;13===n||25===n;)n=this.lookupType(++e);if(10!==n){if(!this.isDelim(kc,e)&&!this.isDelim(xc,e))return null;t=this.isDelim(kc,e)?kc:xc;do{n=this.lookupType(++e)}while(13===n||25===n);10!==n&&(this.skip(e),Ac.call(this,Cc))}return e>0&&this.skip(e),0===t&&(n=this.charCodeAt(this.tokenStart),n!==kc&&n!==xc&&this.error("Number sign is expected")),Ac.call(this,0!==t),t===xc?"-"+this.consume(10):this.consume(10)}var Nc="AnPlusB",Pc={a:[String,null],b:[String,null]};function Tc(){let e=this.tokenStart,t=null,n=null;if(10===this.tokenType)Ac.call(this,false),n=this.consume(10);else if(1===this.tokenType&&this.cmpChar(this.tokenStart,xc))switch(t="-1",zc.call(this,1,Sc),this.tokenEnd-this.tokenStart){case 2:this.next(),n=Ec.call(this);break;case 3:zc.call(this,2,xc),this.next(),this.skipSC(),Ac.call(this,Cc),n="-"+this.consume(10);break;default:zc.call(this,2,xc),Oc.call(this,3,Cc),this.next(),n=this.substrToCursor(e+2)}else if(1===this.tokenType||this.isDelim(kc)&&1===this.lookupType(1)){let r=0;switch(t="1",this.isDelim(kc)&&(r=1,this.next()),zc.call(this,0,Sc),this.tokenEnd-this.tokenStart){case 1:this.next(),n=Ec.call(this);break;case 2:zc.call(this,1,xc),this.next(),this.skipSC(),Ac.call(this,Cc),n="-"+this.consume(10);break;default:zc.call(this,1,xc),Oc.call(this,2,Cc),this.next(),n=this.substrToCursor(e+r+1)}}else if(12===this.tokenType){let r=this.charCodeAt(this.tokenStart),o=r===kc||r===xc,i=this.tokenStart+o;for(;i<this.tokenEnd&&us(this.charCodeAt(i));i++);i===this.tokenStart+o&&this.error("Integer is expected",this.tokenStart+o),zc.call(this,i-this.tokenStart,Sc),t=this.substring(e,i),i+1===this.tokenEnd?(this.next(),n=Ec.call(this)):(zc.call(this,i-this.tokenStart+1,xc),i+2===this.tokenEnd?(this.next(),this.skipSC(),Ac.call(this,Cc),n="-"+this.consume(10)):(Oc.call(this,i-this.tokenStart+2,Cc),this.next(),n=this.substrToCursor(i+1)))}else this.error();return null!==t&&t.charCodeAt(0)===kc&&(t=t.substr(1)),null!==n&&n.charCodeAt(0)===kc&&(n=n.substr(1)),{type:"AnPlusB",loc:this.getLocation(e,this.tokenStart),a:t,b:n}}function Ic(e){if(e.a){let t=("+1"===e.a||"1"===e.a?"n":"-1"===e.a&&"-n")||e.a+"n";if(e.b){let n="-"===e.b[0]||"+"===e.b[0]?e.b:"+"+e.b;this.tokenize(t+n)}else this.tokenize(t)}else this.tokenize(e.b)}var jc={};function Lc(e){return this.Raw(e,this.consumeUntilLeftCurlyBracketOrSemicolon,!0)}function Mc(){for(let e,t=1;e=this.lookupType(t);t++){if(24===e)return!0;if(23===e||3===e)return!1}return!1}Ti(jc,{generate:()=>Uc,name:()=>_c,parse:()=>Dc,structure:()=>Fc,walkContext:()=>Rc});var _c="Atrule",Rc="atrule",Fc={name:String,prelude:["AtrulePrelude","Raw",null],block:["Block",null]};function Dc(e=!1){let t,n,r=this.tokenStart,o=null,i=null;switch(this.eat(3),t=this.substrToCursor(r+1),n=t.toLowerCase(),this.skipSC(),!1===this.eof&&23!==this.tokenType&&17!==this.tokenType&&(o=this.parseAtrulePrelude?this.parseWithFallback(this.AtrulePrelude.bind(this,t,e),Lc):Lc.call(this,this.tokenIndex),this.skipSC()),this.tokenType){case 17:this.next();break;case 23:i=hasOwnProperty.call(this.atrule,n)&&"function"==typeof this.atrule[n].block?this.atrule[n].block.call(this,e):this.Block(Mc.call(this))}return{type:"Atrule",loc:this.getLocation(r,this.tokenStart),name:t,prelude:o,block:i}}function Uc(e){this.token(3,"@"+e.name),null!==e.prelude&&this.node(e.prelude),e.block?this.node(e.block):this.token(17,";")}var qc={};Ti(qc,{generate:()=>Vc,name:()=>Wc,parse:()=>Qc,structure:()=>$c,walkContext:()=>Bc});var Wc="AtrulePrelude",Bc="atrulePrelude",$c={children:[[]]};function Qc(e){let t=null;return null!==e&&(e=e.toLowerCase()),this.skipSC(),t=hasOwnProperty.call(this.atrule,e)&&"function"==typeof this.atrule[e].prelude?this.atrule[e].prelude.call(this):this.readSequence(this.scope.AtrulePrelude),this.skipSC(),!0!==this.eof&&23!==this.tokenType&&17!==this.tokenType&&this.error("Semicolon or block is expected"),{type:"AtrulePrelude",loc:this.getLocationFromList(t),children:t}}function Vc(e){this.children(e)}var Gc={};Ti(Gc,{generate:()=>Zc,name:()=>Kc,parse:()=>Xc,structure:()=>Hc});function Yc(){this.eof&&this.error("Unexpected end of input");let e=this.tokenStart,t=!1;return this.isDelim(42)?(t=!0,this.next()):this.isDelim(124)||this.eat(1),this.isDelim(124)?61!==this.charCodeAt(this.tokenStart+1)?(this.next(),this.eat(1)):t&&this.error("Identifier is expected",this.tokenEnd):t&&this.error("Vertical line is expected"),{type:"Identifier",loc:this.getLocation(e,this.tokenStart),name:this.substrToCursor(e)}}function Jc(){let e=this.tokenStart,t=this.charCodeAt(e);return 61!==t&&126!==t&&94!==t&&36!==t&&42!==t&&124!==t&&this.error("Attribute selector (=, ~=, ^=, $=, *=, |=) is expected"),this.next(),61!==t&&(this.isDelim(61)||this.error("Equal sign is expected"),this.next()),this.substrToCursor(e)}var Kc="AttributeSelector",Hc={name:"Identifier",matcher:[String,null],value:["String","Identifier",null],flags:[String,null]};function Xc(){let e,t=this.tokenStart,n=null,r=null,o=null;return this.eat(19),this.skipSC(),e=Yc.call(this),this.skipSC(),20!==this.tokenType&&(1!==this.tokenType&&(n=Jc.call(this),this.skipSC(),r=5===this.tokenType?this.String():this.Identifier(),this.skipSC()),1===this.tokenType&&(o=this.consume(1),this.skipSC())),this.eat(20),{type:"AttributeSelector",loc:this.getLocation(t,this.tokenStart),name:e,matcher:n,value:r,flags:o}}function Zc(e){this.token(9,"["),this.node(e.name),null!==e.matcher&&(this.tokenize(e.matcher),this.node(e.value)),null!==e.flags&&this.token(1,e.flags),this.token(9,"]")}var eu={};Ti(eu,{generate:()=>cu,name:()=>iu,parse:()=>lu,structure:()=>au,walkContext:()=>su});function tu(e){return this.Raw(e,null,!0)}function nu(){return this.parseWithFallback(this.Rule,tu)}function ru(e){return this.Raw(e,this.consumeUntilSemicolonIncluded,!0)}function ou(){if(17===this.tokenType)return ru.call(this,this.tokenIndex);let e=this.parseWithFallback(this.Declaration,ru);return 17===this.tokenType&&this.next(),e}var iu="Block",su="block",au={children:[["Atrule","Rule","Declaration"]]};function lu(e){let t=e?ou:nu,n=this.tokenStart,r=this.createList();this.eat(23);e:for(;!this.eof;)switch(this.tokenType){case 24:break e;case 13:case 25:this.next();break;case 3:r.push(this.parseWithFallback(this.Atrule.bind(this,e),tu));break;default:e&&this.isDelim(38)?r.push(nu.call(this)):r.push(t.call(this))}return this.eof||this.eat(24),{type:"Block",loc:this.getLocation(n,this.tokenStart),children:r}}function cu(e){this.token(23,"{"),this.children(e,(e=>{"Declaration"===e.type&&this.token(17,";")})),this.token(24,"}")}var uu={};Ti(uu,{generate:()=>fu,name:()=>du,parse:()=>hu,structure:()=>pu});var du="Brackets",pu={children:[[]]};function hu(e,t){let n=this.tokenStart,r=null;return this.eat(19),r=e.call(this,t),this.eof||this.eat(20),{type:"Brackets",loc:this.getLocation(n,this.tokenStart),children:r}}function fu(e){this.token(9,"["),this.children(e),this.token(9,"]")}var mu={};Ti(mu,{generate:()=>yu,name:()=>gu,parse:()=>wu,structure:()=>bu});var gu="CDC",bu=[];function wu(){let e=this.tokenStart;return this.eat(15),{type:"CDC",loc:this.getLocation(e,this.tokenStart)}}function yu(){this.token(15,"--\x3e")}var vu={};Ti(vu,{generate:()=>Cu,name:()=>ku,parse:()=>Su,structure:()=>xu});var ku="CDO",xu=[];function Su(){let e=this.tokenStart;return this.eat(14),{type:"CDO",loc:this.getLocation(e,this.tokenStart)}}function Cu(){this.token(14,"\x3c!--")}var Ou={};Ti(Ou,{generate:()=>Nu,name:()=>Au,parse:()=>Eu,structure:()=>zu});var Au="ClassSelector",zu={name:String};function Eu(){return this.eatDelim(46),{type:"ClassSelector",loc:this.getLocation(this.tokenStart-1,this.tokenEnd),name:this.consume(1)}}function Nu(e){this.token(9,"."),this.token(1,e.name)}var Pu={};Ti(Pu,{generate:()=>Lu,name:()=>Tu,parse:()=>ju,structure:()=>Iu});var Tu="Combinator",Iu={name:String};function ju(){let e,t=this.tokenStart;switch(this.tokenType){case 13:e=" ";break;case 9:switch(this.charCodeAt(this.tokenStart)){case 62:case 43:case 126:this.next();break;case 47:this.next(),this.eatIdent("deep"),this.eatDelim(47);break;default:this.error("Combinator is expected")}e=this.substrToCursor(t)}return{type:"Combinator",loc:this.getLocation(t,this.tokenStart),name:e}}function Lu(e){this.tokenize(e.name)}var Mu={};Ti(Mu,{generate:()=>Du,name:()=>_u,parse:()=>Fu,structure:()=>Ru});var _u="Comment",Ru={value:String};function Fu(){let e=this.tokenStart,t=this.tokenEnd;return this.eat(25),t-e+2>=2&&42===this.charCodeAt(t-2)&&47===this.charCodeAt(t-1)&&(t-=2),{type:"Comment",loc:this.getLocation(e,this.tokenStart),value:this.substring(e+2,t)}}function Du(e){this.token(25,"/*"+e.value+"*/")}var Uu={};Ti(Uu,{generate:()=>Yu,name:()=>$u,parse:()=>Gu,structure:()=>Vu,walkContext:()=>Qu});function qu(e){return this.Raw(e,this.consumeUntilExclamationMarkOrSemicolon,!0)}function Wu(e){return this.Raw(e,this.consumeUntilExclamationMarkOrSemicolon,!1)}function Bu(){let e=this.tokenIndex,t=this.Value();return"Raw"!==t.type&&!1===this.eof&&17!==this.tokenType&&!1===this.isDelim(33)&&!1===this.isBalanceEdge(e)&&this.error(),t}var $u="Declaration",Qu="declaration",Vu={important:[Boolean,String],property:String,value:["Value","Raw"]};function Gu(){let e,t=this.tokenStart,n=this.tokenIndex,r=Ju.call(this),o=Ia(r),i=o?this.parseCustomProperty:this.parseValue,s=o?Wu:qu,a=!1;this.skipSC(),this.eat(16);let l=this.tokenIndex;if(o||this.skipSC(),e=i?this.parseWithFallback(Bu,s):s.call(this,this.tokenIndex),o&&"Value"===e.type&&e.children.isEmpty)for(let t=l-this.tokenIndex;t<=0;t++)if(13===this.lookupType(t)){e.children.appendData({type:"WhiteSpace",loc:null,value:" "});break}return this.isDelim(33)&&(a=Ku.call(this),this.skipSC()),!1===this.eof&&17!==this.tokenType&&!1===this.isBalanceEdge(n)&&this.error(),{type:"Declaration",loc:this.getLocation(t,this.tokenStart),important:a,property:r,value:e}}function Yu(e){this.token(1,e.property),this.token(16,":"),this.node(e.value),e.important&&(this.token(9,"!"),this.token(1,!0===e.important?"important":e.important))}function Ju(){let e=this.tokenStart;if(9===this.tokenType)switch(this.charCodeAt(this.tokenStart)){case 42:case 36:case 43:case 35:case 38:this.next();break;case 47:this.next(),this.isDelim(47)&&this.next()}return 4===this.tokenType?this.eat(4):this.eat(1),this.substrToCursor(e)}function Ku(){this.eat(9),this.skipSC();let e=this.consume(1);return"important"===e||e}var Hu={};Ti(Hu,{generate:()=>nd,name:()=>Zu,parse:()=>td,structure:()=>ed});function Xu(e){return this.Raw(e,this.consumeUntilSemicolonIncluded,!0)}var Zu="DeclarationList",ed={children:[["Declaration","Atrule","Rule"]]};function td(){let e=this.createList();for(;!this.eof;)switch(this.tokenType){case 13:case 25:case 17:this.next();break;case 3:e.push(this.parseWithFallback(this.Atrule.bind(this,!0),Xu));break;default:this.isDelim(38)?e.push(this.parseWithFallback(this.Rule,Xu)):e.push(this.parseWithFallback(this.Declaration,Xu))}return{type:"DeclarationList",loc:this.getLocationFromList(e),children:e}}function nd(e){this.children(e,(e=>{"Declaration"===e.type&&this.token(17,";")}))}var rd={};Ti(rd,{generate:()=>ad,name:()=>od,parse:()=>sd,structure:()=>id});var od="Dimension",id={value:String,unit:String};function sd(){let e=this.tokenStart,t=this.consumeNumber(12);return{type:"Dimension",loc:this.getLocation(e,this.tokenStart),value:t,unit:this.substring(e+t.length,this.tokenStart)}}function ad(e){this.token(12,e.value+e.unit)}var ld={};Ti(ld,{generate:()=>hd,name:()=>cd,parse:()=>pd,structure:()=>dd,walkContext:()=>ud});var cd="Function",ud="function",dd={name:String,children:[[]]};function pd(e,t){let n,r=this.tokenStart,o=this.consumeFunctionName(),i=o.toLowerCase();return n=t.hasOwnProperty(i)?t[i].call(this,t):e.call(this,t),this.eof||this.eat(22),{type:"Function",loc:this.getLocation(r,this.tokenStart),name:o,children:n}}function hd(e){this.token(2,e.name+"("),this.children(e),this.token(22,")")}var fd={};Ti(fd,{generate:()=>yd,name:()=>gd,parse:()=>wd,structure:()=>bd,xxx:()=>md});var md="XXX",gd="Hash",bd={value:String};function wd(){let e=this.tokenStart;return this.eat(4),{type:"Hash",loc:this.getLocation(e,this.tokenStart),value:this.substrToCursor(e+1)}}function yd(e){this.token(4,"#"+e.value)}var vd={};Ti(vd,{generate:()=>Cd,name:()=>kd,parse:()=>Sd,structure:()=>xd});var kd="Identifier",xd={name:String};function Sd(){return{type:"Identifier",loc:this.getLocation(this.tokenStart,this.tokenEnd),name:this.consume(1)}}function Cd(e){this.token(1,e.name)}var Od={};Ti(Od,{generate:()=>Nd,name:()=>Ad,parse:()=>Ed,structure:()=>zd});var Ad="IdSelector",zd={name:String};function Ed(){let e=this.tokenStart;return this.eat(4),{type:"IdSelector",loc:this.getLocation(e,this.tokenStart),name:this.substrToCursor(e+1)}}function Nd(e){this.token(9,"#"+e.name)}var Pd={};Ti(Pd,{generate:()=>Ld,name:()=>Td,parse:()=>jd,structure:()=>Id});var Td="MediaFeature",Id={name:String,value:["Identifier","Number","Dimension","Ratio",null]};function jd(){let e,t=this.tokenStart,n=null;if(this.eat(21),this.skipSC(),e=this.consume(1),this.skipSC(),22!==this.tokenType){switch(this.eat(16),this.skipSC(),this.tokenType){case 10:n=9===this.lookupNonWSType(1)?this.Ratio():this.Number();break;case 12:n=this.Dimension();break;case 1:n=this.Identifier();break;default:this.error("Number, dimension, ratio or identifier is expected")}this.skipSC()}return this.eat(22),{type:"MediaFeature",loc:this.getLocation(t,this.tokenStart),name:e,value:n}}function Ld(e){this.token(21,"("),this.token(1,e.name),null!==e.value&&(this.token(16,":"),this.node(e.value)),this.token(22,")")}var Md={};Ti(Md,{generate:()=>Dd,name:()=>_d,parse:()=>Fd,structure:()=>Rd});var _d="MediaQuery",Rd={children:[["Identifier","MediaFeature","WhiteSpace"]]};function Fd(){let e=this.createList(),t=null;this.skipSC();e:for(;!this.eof;){switch(this.tokenType){case 25:case 13:this.next();continue;case 1:t=this.Identifier();break;case 21:t=this.MediaFeature();break;default:break e}e.push(t)}return null===t&&this.error("Identifier or parenthesis is expected"),{type:"MediaQuery",loc:this.getLocationFromList(e),children:e}}function Dd(e){this.children(e)}var Ud={};Ti(Ud,{generate:()=>$d,name:()=>qd,parse:()=>Bd,structure:()=>Wd});var qd="MediaQueryList",Wd={children:[["MediaQuery"]]};function Bd(){let e=this.createList();for(this.skipSC();!this.eof&&(e.push(this.MediaQuery()),18===this.tokenType);)this.next();return{type:"MediaQueryList",loc:this.getLocationFromList(e),children:e}}function $d(e){this.children(e,(()=>this.token(18,",")))}var Qd={};Ti(Qd,{generate:()=>Jd,name:()=>Vd,parse:()=>Yd,structure:()=>Gd});var Vd="NestingSelector",Gd={};function Yd(){let e=this.tokenStart;return this.eatDelim(38),{type:"NestingSelector",loc:this.getLocation(e,this.tokenStart)}}function Jd(){this.token(9,"&")}var Kd={};Ti(Kd,{generate:()=>ep,name:()=>Hd,parse:()=>Zd,structure:()=>Xd});var Hd="Nth",Xd={nth:["AnPlusB","Identifier"],selector:["SelectorList",null]};function Zd(){this.skipSC();let e,t=this.tokenStart,n=t,r=null;return e=this.lookupValue(0,"odd")||this.lookupValue(0,"even")?this.Identifier():this.AnPlusB(),n=this.tokenStart,this.skipSC(),this.lookupValue(0,"of")&&(this.next(),r=this.SelectorList(),n=this.tokenStart),{type:"Nth",loc:this.getLocation(t,n),nth:e,selector:r}}function ep(e){this.node(e.nth),null!==e.selector&&(this.token(1,"of"),this.node(e.selector))}var tp={};Ti(tp,{generate:()=>ip,name:()=>np,parse:()=>op,structure:()=>rp});var np="Number",rp={value:String};function op(){return{type:"Number",loc:this.getLocation(this.tokenStart,this.tokenEnd),value:this.consume(10)}}function ip(e){this.token(10,e.value)}var sp={};Ti(sp,{generate:()=>up,name:()=>ap,parse:()=>cp,structure:()=>lp});var ap="Operator",lp={value:String};function cp(){let e=this.tokenStart;return this.next(),{type:"Operator",loc:this.getLocation(e,this.tokenStart),value:this.substrToCursor(e)}}function up(e){this.tokenize(e.value)}var dp={};Ti(dp,{generate:()=>mp,name:()=>pp,parse:()=>fp,structure:()=>hp});var pp="Parentheses",hp={children:[[]]};function fp(e,t){let n=this.tokenStart,r=null;return this.eat(21),r=e.call(this,t),this.eof||this.eat(22),{type:"Parentheses",loc:this.getLocation(n,this.tokenStart),children:r}}function mp(e){this.token(21,"("),this.children(e),this.token(22,")")}var gp={};Ti(gp,{generate:()=>vp,name:()=>bp,parse:()=>yp,structure:()=>wp});var bp="Percentage",wp={value:String};function yp(){return{type:"Percentage",loc:this.getLocation(this.tokenStart,this.tokenEnd),value:this.consumeNumber(11)}}function vp(e){this.token(11,e.value+"%")}var kp={};Ti(kp,{generate:()=>Ap,name:()=>xp,parse:()=>Op,structure:()=>Cp,walkContext:()=>Sp});var xp="PseudoClassSelector",Sp="function",Cp={name:String,children:[["Raw"],null]};function Op(){let e,t,n=this.tokenStart,r=null;return this.eat(16),2===this.tokenType?(e=this.consumeFunctionName(),t=e.toLowerCase(),hasOwnProperty.call(this.pseudo,t)?(this.skipSC(),r=this.pseudo[t].call(this),this.skipSC()):(r=this.createList(),r.push(this.Raw(this.tokenIndex,null,!1))),this.eat(22)):e=this.consume(1),{type:"PseudoClassSelector",loc:this.getLocation(n,this.tokenStart),name:e,children:r}}function Ap(e){this.token(16,":"),null===e.children?this.token(1,e.name):(this.token(2,e.name+"("),this.children(e),this.token(22,")"))}var zp={};Ti(zp,{generate:()=>Ip,name:()=>Ep,parse:()=>Tp,structure:()=>Pp,walkContext:()=>Np});var Ep="PseudoElementSelector",Np="function",Pp={name:String,children:[["Raw"],null]};function Tp(){let e,t,n=this.tokenStart,r=null;return this.eat(16),this.eat(16),2===this.tokenType?(e=this.consumeFunctionName(),t=e.toLowerCase(),hasOwnProperty.call(this.pseudo,t)?(this.skipSC(),r=this.pseudo[t].call(this),this.skipSC()):(r=this.createList(),r.push(this.Raw(this.tokenIndex,null,!1))),this.eat(22)):e=this.consume(1),{type:"PseudoElementSelector",loc:this.getLocation(n,this.tokenStart),name:e,children:r}}function Ip(e){this.token(16,":"),this.token(16,":"),null===e.children?this.token(1,e.name):(this.token(2,e.name+"("),this.children(e),this.token(22,")"))}var jp={};Ti(jp,{generate:()=>Fp,name:()=>Mp,parse:()=>Rp,structure:()=>_p});function Lp(){this.skipSC();let e=this.consume(10);for(let t=0;t<e.length;t++){let n=e.charCodeAt(t);!us(n)&&46!==n&&this.error("Unsigned number is expected",this.tokenStart-e.length+t)}return 0===Number(e)&&this.error("Zero number is not allowed",this.tokenStart-e.length),e}var Mp="Ratio",_p={left:String,right:String};function Rp(){let e,t=this.tokenStart,n=Lp.call(this);return this.skipSC(),this.eatDelim(47),e=Lp.call(this),{type:"Ratio",loc:this.getLocation(t,this.tokenStart),left:n,right:e}}function Fp(e){this.token(10,e.left),this.token(9,"/"),this.token(10,e.right)}var Dp={};function Up(){return this.tokenIndex>0&&13===this.lookupType(-1)?this.tokenIndex>1?this.getTokenStart(this.tokenIndex-1):this.firstCharOffset:this.tokenStart}Ti(Dp,{generate:()=>$p,name:()=>qp,parse:()=>Bp,structure:()=>Wp});var qp="Raw",Wp={value:String};function Bp(e,t,n){let r,o=this.getTokenStart(e);return this.skipUntilBalanced(e,t||this.consumeUntilBalanceEnd),r=n&&this.tokenStart>o?Up.call(this):this.tokenStart,{type:"Raw",loc:this.getLocation(o,r),value:this.substring(o,r)}}function $p(e){this.tokenize(e.value)}var Qp={};function Vp(e){return this.Raw(e,this.consumeUntilLeftCurlyBracket,!0)}function Gp(){let e=this.SelectorList();return"Raw"!==e.type&&!1===this.eof&&23!==this.tokenType&&this.error(),e}Ti(Qp,{generate:()=>Xp,name:()=>Yp,parse:()=>Hp,structure:()=>Kp,walkContext:()=>Jp});var Yp="Rule",Jp="rule",Kp={prelude:["SelectorList","Raw"],block:["Block"]};function Hp(){let e,t,n=this.tokenIndex,r=this.tokenStart;return e=this.parseRulePrelude?this.parseWithFallback(Gp,Vp):Vp.call(this,n),t=this.Block(!0),{type:"Rule",loc:this.getLocation(r,this.tokenStart),prelude:e,block:t}}function Xp(e){this.node(e.prelude),this.node(e.block)}var Zp={};Ti(Zp,{generate:()=>rh,name:()=>eh,parse:()=>nh,structure:()=>th});var eh="Selector",th={children:[["TypeSelector","IdSelector","ClassSelector","AttributeSelector","PseudoClassSelector","PseudoElementSelector","Combinator","WhiteSpace"]]};function nh(){let e=this.readSequence(this.scope.Selector);return null===this.getFirstListNode(e)&&this.error("Selector is expected"),{type:"Selector",loc:this.getLocationFromList(e),children:e}}function rh(e){this.children(e)}var oh={};Ti(oh,{generate:()=>ch,name:()=>ih,parse:()=>lh,structure:()=>ah,walkContext:()=>sh});var ih="SelectorList",sh="selector",ah={children:[["Selector","Raw"]]};function lh(){let e=this.createList();for(;!this.eof&&(e.push(this.Selector()),18===this.tokenType);)this.next();return{type:"SelectorList",loc:this.getLocationFromList(e),children:e}}function ch(e){this.children(e,(()=>this.token(18,",")))}var uh={};Ti(uh,{generate:()=>bh,name:()=>fh,parse:()=>gh,structure:()=>mh});var dh={};Ti(dh,{decode:()=>ph,encode:()=>hh});function ph(e){let t=e.length,n=e.charCodeAt(0),r=34===n||39===n?1:0,o=1===r&&t>1&&e.charCodeAt(t-1)===n?t-2:t-1,i="";for(let n=r;n<=o;n++){let r=e.charCodeAt(n);if(92===r){if(n===o){n!==t-1&&(i=e.substr(n+1));break}if(r=e.charCodeAt(++n),ws(92,r)){let t=n-1,r=Ts(e,t);n=r-1,i+=Ms(e.substring(t+1,r))}else 13===r&&10===e.charCodeAt(n+1)&&n++}else i+=e[n]}return i}function hh(e,t){let n=t?"'":'"',r=t?39:34,o="",i=!1;for(let t=0;t<e.length;t++){let n=e.charCodeAt(t);0!==n?n<=31||127===n?(o+="\\"+n.toString(16),i=!0):n===r||92===n?(o+="\\"+e.charAt(t),i=!1):(i&&(ds(n)||bs(n))&&(o+=" "),o+=e.charAt(t),i=!1):o+="�"}return n+o+n}var fh="String",mh={value:String};function gh(){return{type:"String",loc:this.getLocation(this.tokenStart,this.tokenEnd),value:ph(this.consume(5))}}function bh(e){this.token(5,hh(e.value))}var wh={};Ti(wh,{generate:()=>Ch,name:()=>vh,parse:()=>Sh,structure:()=>xh,walkContext:()=>kh});function yh(e){return this.Raw(e,null,!1)}var vh="StyleSheet",kh="stylesheet",xh={children:[["Comment","CDO","CDC","Atrule","Rule","Raw"]]};function Sh(){let e,t=this.tokenStart,n=this.createList();for(;!this.eof;){switch(this.tokenType){case 13:this.next();continue;case 25:if(33!==this.charCodeAt(this.tokenStart+2)){this.next();continue}e=this.Comment();break;case 14:e=this.CDO();break;case 15:e=this.CDC();break;case 3:e=this.parseWithFallback(this.Atrule,yh);break;default:e=this.parseWithFallback(this.Rule,yh)}n.push(e)}return{type:"StyleSheet",loc:this.getLocation(t,this.tokenStart),children:n}}function Ch(e){this.children(e)}var Oh={};Ti(Oh,{generate:()=>Ph,name:()=>zh,parse:()=>Nh,structure:()=>Eh});function Ah(){1!==this.tokenType&&!1===this.isDelim(42)&&this.error("Identifier or asterisk is expected"),this.next()}var zh="TypeSelector",Eh={name:String};function Nh(){let e=this.tokenStart;return this.isDelim(124)?(this.next(),Ah.call(this)):(Ah.call(this),this.isDelim(124)&&(this.next(),Ah.call(this))),{type:"TypeSelector",loc:this.getLocation(e,this.tokenStart),name:this.substrToCursor(e)}}function Ph(e){this.tokenize(e.name)}var Th={};Ti(Th,{generate:()=>Dh,name:()=>_h,parse:()=>Fh,structure:()=>Rh});function Ih(e,t){let n=0;for(let r=this.tokenStart+e;r<this.tokenEnd;r++){let o=this.charCodeAt(r);if(45===o&&t&&0!==n)return Ih.call(this,e+n+1,!1),-1;ds(o)||this.error(t&&0!==n?"Hyphen minus"+(n<6?" or hex digit":"")+" is expected":n<6?"Hex digit is expected":"Unexpected input",r),++n>6&&this.error("Too many hex digits",r)}return this.next(),n}function jh(e){let t=0;for(;this.isDelim(63);)++t>e&&this.error("Too many question marks"),this.next()}function Lh(e){this.charCodeAt(this.tokenStart)!==e&&this.error((43===e?"Plus sign":"Hyphen minus")+" is expected")}function Mh(){let e=0;switch(this.tokenType){case 10:if(e=Ih.call(this,1,!0),this.isDelim(63)){jh.call(this,6-e);break}if(12===this.tokenType||10===this.tokenType){Lh.call(this,45),Ih.call(this,1,!1);break}break;case 12:e=Ih.call(this,1,!0),e>0&&jh.call(this,6-e);break;default:if(this.eatDelim(43),1===this.tokenType){e=Ih.call(this,0,!0),e>0&&jh.call(this,6-e);break}if(this.isDelim(63)){this.next(),jh.call(this,5);break}this.error("Hex digit or question mark is expected")}}var _h="UnicodeRange",Rh={value:String};function Fh(){let e=this.tokenStart;return this.eatIdent("u"),Mh.call(this),{type:"UnicodeRange",loc:this.getLocation(e,this.tokenStart),value:this.substrToCursor(e)}}function Dh(e){this.tokenize(e.value)}var Uh={};Ti(Uh,{generate:()=>Vh,name:()=>Bh,parse:()=>Qh,structure:()=>$h});Ti({},{decode:()=>qh,encode:()=>Wh});function qh(e){let t=e.length,n=4,r=41===e.charCodeAt(t-1)?t-2:t-1,o="";for(;n<r&&bs(e.charCodeAt(n));)n++;for(;n<r&&bs(e.charCodeAt(r));)r--;for(let i=n;i<=r;i++){let n=e.charCodeAt(i);if(92===n){if(i===r){i!==t-1&&(o=e.substr(i+1));break}if(n=e.charCodeAt(++i),ws(92,n)){let t=i-1,n=Ts(e,t);i=n-1,o+=Ms(e.substring(t+1,n))}else 13===n&&10===e.charCodeAt(i+1)&&i++}else o+=e[i]}return o}function Wh(e){let t="",n=!1;for(let r=0;r<e.length;r++){let o=e.charCodeAt(r);0!==o?o<=31||127===o?(t+="\\"+o.toString(16),n=!0):32===o||92===o||34===o||39===o||40===o||41===o?(t+="\\"+e.charAt(r),n=!1):(n&&ds(o)&&(t+=" "),t+=e.charAt(r),n=!1):t+="�"}return"url("+t+")"}var Bh="Url",$h={value:String};function Qh(){let e,t=this.tokenStart;switch(this.tokenType){case 7:e=qh(this.consume(7));break;case 2:this.cmpStr(this.tokenStart,this.tokenEnd,"url(")||this.error("Function name must be `url`"),this.eat(2),this.skipSC(),e=ph(this.consume(5)),this.skipSC(),this.eof||this.eat(22);break;default:this.error("Url or Function is expected")}return{type:"Url",loc:this.getLocation(t,this.tokenStart),value:e}}function Vh(e){this.token(7,Wh(e.value))}var Gh={};Ti(Gh,{generate:()=>Hh,name:()=>Yh,parse:()=>Kh,structure:()=>Jh});var Yh="Value",Jh={children:[[]]};function Kh(){let e=this.tokenStart,t=this.readSequence(this.scope.Value);return{type:"Value",loc:this.getLocation(e,this.tokenStart),children:t}}function Hh(e){this.children(e)}var Xh={};Ti(Xh,{generate:()=>rf,name:()=>ef,parse:()=>nf,structure:()=>tf});var Zh=Object.freeze({type:"WhiteSpace",loc:null,value:" "}),ef="WhiteSpace",tf={value:String};function nf(){return this.eat(13),Zh}function rf(e){this.token(13,e.value)}var of=mn(mn({generic:!0},{generic:!0,units:{angle:["deg","grad","rad","turn"],decibel:["db"],flex:["fr"],frequency:["hz","khz"],length:["cm","mm","q","in","pt","pc","px","em","rem","ex","rex","cap","rcap","ch","rch","ic","ric","lh","rlh","vw","svw","lvw","dvw","vh","svh","lvh","dvh","vi","svi","lvi","dvi","vb","svb","lvb","dvb","vmin","svmin","lvmin","dvmin","vmax","svmax","lvmax","dvmax","cqw","cqh","cqi","cqb","cqmin","cqmax"],resolution:["dpi","dpcm","dppx","x"],semitones:["st"],time:["s","ms"]},types:{"abs()":"abs( <calc-sum> )","absolute-size":"xx-small|x-small|small|medium|large|x-large|xx-large|xxx-large","acos()":"acos( <calc-sum> )","alpha-value":"<number>|<percentage>","angle-percentage":"<angle>|<percentage>","angular-color-hint":"<angle-percentage>","angular-color-stop":"<color>&&<color-stop-angle>?","angular-color-stop-list":"[<angular-color-stop> [, <angular-color-hint>]?]# , <angular-color-stop>","animateable-feature":"scroll-position|contents|<custom-ident>","asin()":"asin( <calc-sum> )","atan()":"atan( <calc-sum> )","atan2()":"atan2( <calc-sum> , <calc-sum> )",attachment:"scroll|fixed|local","attr()":"attr( <attr-name> <type-or-unit>? [, <attr-fallback>]? )","attr-matcher":"['~'|'|'|'^'|'$'|'*']? '='","attr-modifier":"i|s","attribute-selector":"'[' <wq-name> ']'|'[' <wq-name> <attr-matcher> [<string-token>|<ident-token>] <attr-modifier>? ']'","auto-repeat":"repeat( [auto-fill|auto-fit] , [<line-names>? <fixed-size>]+ <line-names>? )","auto-track-list":"[<line-names>? [<fixed-size>|<fixed-repeat>]]* <line-names>? <auto-repeat> [<line-names>? [<fixed-size>|<fixed-repeat>]]* <line-names>?",axis:"block|inline|vertical|horizontal","baseline-position":"[first|last]? baseline","basic-shape":"<inset()>|<circle()>|<ellipse()>|<polygon()>|<path()>","bg-image":"none|<image>","bg-layer":"<bg-image>||<bg-position> [/ <bg-size>]?||<repeat-style>||<attachment>||<box>||<box>","bg-position":"[[left|center|right|top|bottom|<length-percentage>]|[left|center|right|<length-percentage>] [top|center|bottom|<length-percentage>]|[center|[left|right] <length-percentage>?]&&[center|[top|bottom] <length-percentage>?]]","bg-size":"[<length-percentage>|auto]{1,2}|cover|contain","blur()":"blur( <length> )","blend-mode":"normal|multiply|screen|overlay|darken|lighten|color-dodge|color-burn|hard-light|soft-light|difference|exclusion|hue|saturation|color|luminosity",box:"border-box|padding-box|content-box","brightness()":"brightness( <number-percentage> )","calc()":"calc( <calc-sum> )","calc-sum":"<calc-product> [['+'|'-'] <calc-product>]*","calc-product":"<calc-value> ['*' <calc-value>|'/' <number>]*","calc-value":"<number>|<dimension>|<percentage>|<calc-constant>|( <calc-sum> )","calc-constant":"e|pi|infinity|-infinity|NaN","cf-final-image":"<image>|<color>","cf-mixing-image":"<percentage>?&&<image>","circle()":"circle( [<shape-radius>]? [at <position>]? )","clamp()":"clamp( <calc-sum>#{3} )","class-selector":"'.' <ident-token>","clip-source":"<url>",color:"<rgb()>|<rgba()>|<hsl()>|<hsla()>|<hwb()>|<lab()>|<lch()>|<hex-color>|<named-color>|currentcolor|<deprecated-system-color>","color-stop":"<color-stop-length>|<color-stop-angle>","color-stop-angle":"<angle-percentage>{1,2}","color-stop-length":"<length-percentage>{1,2}","color-stop-list":"[<linear-color-stop> [, <linear-color-hint>]?]# , <linear-color-stop>",combinator:"'>'|'+'|'~'|['||']","common-lig-values":"[common-ligatures|no-common-ligatures]","compat-auto":"searchfield|textarea|push-button|slider-horizontal|checkbox|radio|square-button|menulist|listbox|meter|progress-bar|button","composite-style":"clear|copy|source-over|source-in|source-out|source-atop|destination-over|destination-in|destination-out|destination-atop|xor","compositing-operator":"add|subtract|intersect|exclude","compound-selector":"[<type-selector>? <subclass-selector>* [<pseudo-element-selector> <pseudo-class-selector>*]*]!","compound-selector-list":"<compound-selector>#","complex-selector":"<compound-selector> [<combinator>? <compound-selector>]*","complex-selector-list":"<complex-selector>#","conic-gradient()":"conic-gradient( [from <angle>]? [at <position>]? , <angular-color-stop-list> )","contextual-alt-values":"[contextual|no-contextual]","content-distribution":"space-between|space-around|space-evenly|stretch","content-list":"[<string>|contents|<image>|<counter>|<quote>|<target>|<leader()>|<attr()>]+","content-position":"center|start|end|flex-start|flex-end","content-replacement":"<image>","contrast()":"contrast( [<number-percentage>] )","cos()":"cos( <calc-sum> )",counter:"<counter()>|<counters()>","counter()":"counter( <counter-name> , <counter-style>? )","counter-name":"<custom-ident>","counter-style":"<counter-style-name>|symbols( )","counter-style-name":"<custom-ident>","counters()":"counters( <counter-name> , <string> , <counter-style>? )","cross-fade()":"cross-fade( <cf-mixing-image> , <cf-final-image>? )","cubic-bezier-timing-function":"ease|ease-in|ease-out|ease-in-out|cubic-bezier( <number [0,1]> , <number> , <number [0,1]> , <number> )","deprecated-system-color":"ActiveBorder|ActiveCaption|AppWorkspace|Background|ButtonFace|ButtonHighlight|ButtonShadow|ButtonText|CaptionText|GrayText|Highlight|HighlightText|InactiveBorder|InactiveCaption|InactiveCaptionText|InfoBackground|InfoText|Menu|MenuText|Scrollbar|ThreeDDarkShadow|ThreeDFace|ThreeDHighlight|ThreeDLightShadow|ThreeDShadow|Window|WindowFrame|WindowText","discretionary-lig-values":"[discretionary-ligatures|no-discretionary-ligatures]","display-box":"contents|none","display-inside":"flow|flow-root|table|flex|grid|ruby","display-internal":"table-row-group|table-header-group|table-footer-group|table-row|table-cell|table-column-group|table-column|table-caption|ruby-base|ruby-text|ruby-base-container|ruby-text-container","display-legacy":"inline-block|inline-list-item|inline-table|inline-flex|inline-grid","display-listitem":"<display-outside>?&&[flow|flow-root]?&&list-item","display-outside":"block|inline|run-in","drop-shadow()":"drop-shadow( <length>{2,3} <color>? )","east-asian-variant-values":"[jis78|jis83|jis90|jis04|simplified|traditional]","east-asian-width-values":"[full-width|proportional-width]","element()":"element( <custom-ident> , [first|start|last|first-except]? )|element( <id-selector> )","ellipse()":"ellipse( [<shape-radius>{2}]? [at <position>]? )","ending-shape":"circle|ellipse","env()":"env( <custom-ident> , <declaration-value>? )","exp()":"exp( <calc-sum> )","explicit-track-list":"[<line-names>? <track-size>]+ <line-names>?","family-name":"<string>|<custom-ident>+","feature-tag-value":"<string> [<integer>|on|off]?","feature-type":"@stylistic|@historical-forms|@styleset|@character-variant|@swash|@ornaments|@annotation","feature-value-block":"<feature-type> '{' <feature-value-declaration-list> '}'","feature-value-block-list":"<feature-value-block>+","feature-value-declaration":"<custom-ident> : <integer>+ ;","feature-value-declaration-list":"<feature-value-declaration>","feature-value-name":"<custom-ident>","fill-rule":"nonzero|evenodd","filter-function":"<blur()>|<brightness()>|<contrast()>|<drop-shadow()>|<grayscale()>|<hue-rotate()>|<invert()>|<opacity()>|<saturate()>|<sepia()>","filter-function-list":"[<filter-function>|<url>]+","final-bg-layer":"<'background-color'>||<bg-image>||<bg-position> [/ <bg-size>]?||<repeat-style>||<attachment>||<box>||<box>","fixed-breadth":"<length-percentage>","fixed-repeat":"repeat( [<integer [1,∞]>] , [<line-names>? <fixed-size>]+ <line-names>? )","fixed-size":"<fixed-breadth>|minmax( <fixed-breadth> , <track-breadth> )|minmax( <inflexible-breadth> , <fixed-breadth> )","font-stretch-absolute":"normal|ultra-condensed|extra-condensed|condensed|semi-condensed|semi-expanded|expanded|extra-expanded|ultra-expanded|<percentage>","font-variant-css21":"[normal|small-caps]","font-weight-absolute":"normal|bold|<number [1,1000]>","frequency-percentage":"<frequency>|<percentage>","general-enclosed":"[<function-token> <any-value> )]|( <ident> <any-value> )","generic-family":"serif|sans-serif|cursive|fantasy|monospace|-apple-system","generic-name":"serif|sans-serif|cursive|fantasy|monospace","geometry-box":"<shape-box>|fill-box|stroke-box|view-box",gradient:"<linear-gradient()>|<repeating-linear-gradient()>|<radial-gradient()>|<repeating-radial-gradient()>|<conic-gradient()>|<repeating-conic-gradient()>|<-legacy-gradient>","grayscale()":"grayscale( <number-percentage> )","grid-line":"auto|<custom-ident>|[<integer>&&<custom-ident>?]|[span&&[<integer>||<custom-ident>]]","historical-lig-values":"[historical-ligatures|no-historical-ligatures]","hsl()":"hsl( <hue> <percentage> <percentage> [/ <alpha-value>]? )|hsl( <hue> , <percentage> , <percentage> , <alpha-value>? )","hsla()":"hsla( <hue> <percentage> <percentage> [/ <alpha-value>]? )|hsla( <hue> , <percentage> , <percentage> , <alpha-value>? )",hue:"<number>|<angle>","hue-rotate()":"hue-rotate( <angle> )","hwb()":"hwb( [<hue>|none] [<percentage>|none] [<percentage>|none] [/ [<alpha-value>|none]]? )","hypot()":"hypot( <calc-sum># )",image:"<url>|<image()>|<image-set()>|<element()>|<paint()>|<cross-fade()>|<gradient>","image()":"image( <image-tags>? [<image-src>? , <color>?]! )","image-set()":"image-set( <image-set-option># )","image-set-option":"[<image>|<string>] [<resolution>||type( <string> )]","image-src":"<url>|<string>","image-tags":"ltr|rtl","inflexible-breadth":"<length-percentage>|min-content|max-content|auto","inset()":"inset( <length-percentage>{1,4} [round <'border-radius'>]? )","invert()":"invert( <number-percentage> )","keyframes-name":"<custom-ident>|<string>","keyframe-block":"<keyframe-selector># { <declaration-list> }","keyframe-block-list":"<keyframe-block>+","keyframe-selector":"from|to|<percentage>","lab()":"lab( [<percentage>|<number>|none] [<percentage>|<number>|none] [<percentage>|<number>|none] [/ [<alpha-value>|none]]? )","layer()":"layer( <layer-name> )","layer-name":"<ident> ['.' <ident>]*","lch()":"lch( [<percentage>|<number>|none] [<percentage>|<number>|none] [<hue>|none] [/ [<alpha-value>|none]]? )","leader()":"leader( <leader-type> )","leader-type":"dotted|solid|space|<string>","length-percentage":"<length>|<percentage>","line-names":"'[' <custom-ident>* ']'","line-name-list":"[<line-names>|<name-repeat>]+","line-style":"none|hidden|dotted|dashed|solid|double|groove|ridge|inset|outset","line-width":"<length>|thin|medium|thick","linear-color-hint":"<length-percentage>","linear-color-stop":"<color> <color-stop-length>?","linear-gradient()":"linear-gradient( [<angle>|to <side-or-corner>]? , <color-stop-list> )","log()":"log( <calc-sum> , <calc-sum>? )","mask-layer":"<mask-reference>||<position> [/ <bg-size>]?||<repeat-style>||<geometry-box>||[<geometry-box>|no-clip]||<compositing-operator>||<masking-mode>","mask-position":"[<length-percentage>|left|center|right] [<length-percentage>|top|center|bottom]?","mask-reference":"none|<image>|<mask-source>","mask-source":"<url>","masking-mode":"alpha|luminance|match-source","matrix()":"matrix( <number>#{6} )","matrix3d()":"matrix3d( <number>#{16} )","max()":"max( <calc-sum># )","media-and":"<media-in-parens> [and <media-in-parens>]+","media-condition":"<media-not>|<media-and>|<media-or>|<media-in-parens>","media-condition-without-or":"<media-not>|<media-and>|<media-in-parens>","media-feature":"( [<mf-plain>|<mf-boolean>|<mf-range>] )","media-in-parens":"( <media-condition> )|<media-feature>|<general-enclosed>","media-not":"not <media-in-parens>","media-or":"<media-in-parens> [or <media-in-parens>]+","media-query":"<media-condition>|[not|only]? <media-type> [and <media-condition-without-or>]?","media-query-list":"<media-query>#","media-type":"<ident>","mf-boolean":"<mf-name>","mf-name":"<ident>","mf-plain":"<mf-name> : <mf-value>","mf-range":"<mf-name> ['<'|'>']? '='? <mf-value>|<mf-value> ['<'|'>']? '='? <mf-name>|<mf-value> '<' '='? <mf-name> '<' '='? <mf-value>|<mf-value> '>' '='? <mf-name> '>' '='? <mf-value>","mf-value":"<number>|<dimension>|<ident>|<ratio>","min()":"min( <calc-sum># )","minmax()":"minmax( [<length-percentage>|min-content|max-content|auto] , [<length-percentage>|<flex>|min-content|max-content|auto] )","mod()":"mod( <calc-sum> , <calc-sum> )","name-repeat":"repeat( [<integer [1,∞]>|auto-fill] , <line-names>+ )","named-color":"transparent|aliceblue|antiquewhite|aqua|aquamarine|azure|beige|bisque|black|blanchedalmond|blue|blueviolet|brown|burlywood|cadetblue|chartreuse|chocolate|coral|cornflowerblue|cornsilk|crimson|cyan|darkblue|darkcyan|darkgoldenrod|darkgray|darkgreen|darkgrey|darkkhaki|darkmagenta|darkolivegreen|darkorange|darkorchid|darkred|darksalmon|darkseagreen|darkslateblue|darkslategray|darkslategrey|darkturquoise|darkviolet|deeppink|deepskyblue|dimgray|dimgrey|dodgerblue|firebrick|floralwhite|forestgreen|fuchsia|gainsboro|ghostwhite|gold|goldenrod|gray|green|greenyellow|grey|honeydew|hotpink|indianred|indigo|ivory|khaki|lavender|lavenderblush|lawngreen|lemonchiffon|lightblue|lightcoral|lightcyan|lightgoldenrodyellow|lightgray|lightgreen|lightgrey|lightpink|lightsalmon|lightseagreen|lightskyblue|lightslategray|lightslategrey|lightsteelblue|lightyellow|lime|limegreen|linen|magenta|maroon|mediumaquamarine|mediumblue|mediumorchid|mediumpurple|mediumseagreen|mediumslateblue|mediumspringgreen|mediumturquoise|mediumvioletred|midnightblue|mintcream|mistyrose|moccasin|navajowhite|navy|oldlace|olive|olivedrab|orange|orangered|orchid|palegoldenrod|palegreen|paleturquoise|palevioletred|papayawhip|peachpuff|peru|pink|plum|powderblue|purple|rebeccapurple|red|rosybrown|royalblue|saddlebrown|salmon|sandybrown|seagreen|seashell|sienna|silver|skyblue|slateblue|slategray|slategrey|snow|springgreen|steelblue|tan|teal|thistle|tomato|turquoise|violet|wheat|white|whitesmoke|yellow|yellowgreen|<-non-standard-color>","namespace-prefix":"<ident>","ns-prefix":"[<ident-token>|'*']? '|'","number-percentage":"<number>|<percentage>","numeric-figure-values":"[lining-nums|oldstyle-nums]","numeric-fraction-values":"[diagonal-fractions|stacked-fractions]","numeric-spacing-values":"[proportional-nums|tabular-nums]",nth:"<an-plus-b>|even|odd","opacity()":"opacity( [<number-percentage>] )","overflow-position":"unsafe|safe","outline-radius":"<length>|<percentage>","page-body":"<declaration>? [; <page-body>]?|<page-margin-box> <page-body>","page-margin-box":"<page-margin-box-type> '{' <declaration-list> '}'","page-margin-box-type":"@top-left-corner|@top-left|@top-center|@top-right|@top-right-corner|@bottom-left-corner|@bottom-left|@bottom-center|@bottom-right|@bottom-right-corner|@left-top|@left-middle|@left-bottom|@right-top|@right-middle|@right-bottom","page-selector-list":"[<page-selector>#]?","page-selector":"<pseudo-page>+|<ident> <pseudo-page>*","page-size":"A5|A4|A3|B5|B4|JIS-B5|JIS-B4|letter|legal|ledger","path()":"path( [<fill-rule> ,]? <string> )","paint()":"paint( <ident> , <declaration-value>? )","perspective()":"perspective( [<length [0,∞]>|none] )","polygon()":"polygon( <fill-rule>? , [<length-percentage> <length-percentage>]# )",position:"[[left|center|right]||[top|center|bottom]|[left|center|right|<length-percentage>] [top|center|bottom|<length-percentage>]?|[[left|right] <length-percentage>]&&[[top|bottom] <length-percentage>]]","pow()":"pow( <calc-sum> , <calc-sum> )","pseudo-class-selector":"':' <ident-token>|':' <function-token> <any-value> ')'","pseudo-element-selector":"':' <pseudo-class-selector>","pseudo-page":": [left|right|first|blank]",quote:"open-quote|close-quote|no-open-quote|no-close-quote","radial-gradient()":"radial-gradient( [<ending-shape>||<size>]? [at <position>]? , <color-stop-list> )",ratio:"<number [0,∞]> [/ <number [0,∞]>]?","relative-selector":"<combinator>? <complex-selector>","relative-selector-list":"<relative-selector>#","relative-size":"larger|smaller","rem()":"rem( <calc-sum> , <calc-sum> )","repeat-style":"repeat-x|repeat-y|[repeat|space|round|no-repeat]{1,2}","repeating-conic-gradient()":"repeating-conic-gradient( [from <angle>]? [at <position>]? , <angular-color-stop-list> )","repeating-linear-gradient()":"repeating-linear-gradient( [<angle>|to <side-or-corner>]? , <color-stop-list> )","repeating-radial-gradient()":"repeating-radial-gradient( [<ending-shape>||<size>]? [at <position>]? , <color-stop-list> )","reversed-counter-name":"reversed( <counter-name> )","rgb()":"rgb( <percentage>{3} [/ <alpha-value>]? )|rgb( <number>{3} [/ <alpha-value>]? )|rgb( <percentage>#{3} , <alpha-value>? )|rgb( <number>#{3} , <alpha-value>? )","rgba()":"rgba( <percentage>{3} [/ <alpha-value>]? )|rgba( <number>{3} [/ <alpha-value>]? )|rgba( <percentage>#{3} , <alpha-value>? )|rgba( <number>#{3} , <alpha-value>? )","rotate()":"rotate( [<angle>|<zero>] )","rotate3d()":"rotate3d( <number> , <number> , <number> , [<angle>|<zero>] )","rotateX()":"rotateX( [<angle>|<zero>] )","rotateY()":"rotateY( [<angle>|<zero>] )","rotateZ()":"rotateZ( [<angle>|<zero>] )","round()":"round( <rounding-strategy>? , <calc-sum> , <calc-sum> )","rounding-strategy":"nearest|up|down|to-zero","saturate()":"saturate( <number-percentage> )","scale()":"scale( [<number>|<percentage>]#{1,2} )","scale3d()":"scale3d( [<number>|<percentage>]#{3} )","scaleX()":"scaleX( [<number>|<percentage>] )","scaleY()":"scaleY( [<number>|<percentage>] )","scaleZ()":"scaleZ( [<number>|<percentage>] )",scroller:"root|nearest","self-position":"center|start|end|self-start|self-end|flex-start|flex-end","shape-radius":"<length-percentage>|closest-side|farthest-side","sign()":"sign( <calc-sum> )","skew()":"skew( [<angle>|<zero>] , [<angle>|<zero>]? )","skewX()":"skewX( [<angle>|<zero>] )","skewY()":"skewY( [<angle>|<zero>] )","sepia()":"sepia( <number-percentage> )",shadow:"inset?&&<length>{2,4}&&<color>?","shadow-t":"[<length>{2,3}&&<color>?]",shape:"rect( <top> , <right> , <bottom> , <left> )|rect( <top> <right> <bottom> <left> )","shape-box":"<box>|margin-box","side-or-corner":"[left|right]||[top|bottom]","sin()":"sin( <calc-sum> )","single-animation":"<time>||<easing-function>||<time>||<single-animation-iteration-count>||<single-animation-direction>||<single-animation-fill-mode>||<single-animation-play-state>||[none|<keyframes-name>]","single-animation-direction":"normal|reverse|alternate|alternate-reverse","single-animation-fill-mode":"none|forwards|backwards|both","single-animation-iteration-count":"infinite|<number>","single-animation-play-state":"running|paused","single-animation-timeline":"auto|none|<timeline-name>|scroll( <axis>? <scroller>? )","single-transition":"[none|<single-transition-property>]||<time>||<easing-function>||<time>","single-transition-property":"all|<custom-ident>",size:"closest-side|farthest-side|closest-corner|farthest-corner|<length>|<length-percentage>{2}","sqrt()":"sqrt( <calc-sum> )","step-position":"jump-start|jump-end|jump-none|jump-both|start|end","step-timing-function":"step-start|step-end|steps( <integer> [, <step-position>]? )","subclass-selector":"<id-selector>|<class-selector>|<attribute-selector>|<pseudo-class-selector>","supports-condition":"not <supports-in-parens>|<supports-in-parens> [and <supports-in-parens>]*|<supports-in-parens> [or <supports-in-parens>]*","supports-in-parens":"( <supports-condition> )|<supports-feature>|<general-enclosed>","supports-feature":"<supports-decl>|<supports-selector-fn>","supports-decl":"( <declaration> )","supports-selector-fn":"selector( <complex-selector> )",symbol:"<string>|<image>|<custom-ident>","tan()":"tan( <calc-sum> )",target:"<target-counter()>|<target-counters()>|<target-text()>","target-counter()":"target-counter( [<string>|<url>] , <custom-ident> , <counter-style>? )","target-counters()":"target-counters( [<string>|<url>] , <custom-ident> , <string> , <counter-style>? )","target-text()":"target-text( [<string>|<url>] , [content|before|after|first-letter]? )","time-percentage":"<time>|<percentage>","timeline-name":"<custom-ident>|<string>","easing-function":"linear|<cubic-bezier-timing-function>|<step-timing-function>","track-breadth":"<length-percentage>|<flex>|min-content|max-content|auto","track-list":"[<line-names>? [<track-size>|<track-repeat>]]+ <line-names>?","track-repeat":"repeat( [<integer [1,∞]>] , [<line-names>? <track-size>]+ <line-names>? )","track-size":"<track-breadth>|minmax( <inflexible-breadth> , <track-breadth> )|fit-content( <length-percentage> )","transform-function":"<matrix()>|<translate()>|<translateX()>|<translateY()>|<scale()>|<scaleX()>|<scaleY()>|<rotate()>|<skew()>|<skewX()>|<skewY()>|<matrix3d()>|<translate3d()>|<translateZ()>|<scale3d()>|<scaleZ()>|<rotate3d()>|<rotateX()>|<rotateY()>|<rotateZ()>|<perspective()>","transform-list":"<transform-function>+","translate()":"translate( <length-percentage> , <length-percentage>? )","translate3d()":"translate3d( <length-percentage> , <length-percentage> , <length> )","translateX()":"translateX( <length-percentage> )","translateY()":"translateY( <length-percentage> )","translateZ()":"translateZ( <length> )","type-or-unit":"string|color|url|integer|number|length|angle|time|frequency|cap|ch|em|ex|ic|lh|rlh|rem|vb|vi|vw|vh|vmin|vmax|mm|Q|cm|in|pt|pc|px|deg|grad|rad|turn|ms|s|Hz|kHz|%","type-selector":"<wq-name>|<ns-prefix>? '*'","var()":"var( <custom-property-name> , <declaration-value>? )","viewport-length":"auto|<length-percentage>","visual-box":"content-box|padding-box|border-box","wq-name":"<ns-prefix>? <ident-token>","-legacy-gradient":"<-webkit-gradient()>|<-legacy-linear-gradient>|<-legacy-repeating-linear-gradient>|<-legacy-radial-gradient>|<-legacy-repeating-radial-gradient>","-legacy-linear-gradient":"-moz-linear-gradient( <-legacy-linear-gradient-arguments> )|-webkit-linear-gradient( <-legacy-linear-gradient-arguments> )|-o-linear-gradient( <-legacy-linear-gradient-arguments> )","-legacy-repeating-linear-gradient":"-moz-repeating-linear-gradient( <-legacy-linear-gradient-arguments> )|-webkit-repeating-linear-gradient( <-legacy-linear-gradient-arguments> )|-o-repeating-linear-gradient( <-legacy-linear-gradient-arguments> )","-legacy-linear-gradient-arguments":"[<angle>|<side-or-corner>]? , <color-stop-list>","-legacy-radial-gradient":"-moz-radial-gradient( <-legacy-radial-gradient-arguments> )|-webkit-radial-gradient( <-legacy-radial-gradient-arguments> )|-o-radial-gradient( <-legacy-radial-gradient-arguments> )","-legacy-repeating-radial-gradient":"-moz-repeating-radial-gradient( <-legacy-radial-gradient-arguments> )|-webkit-repeating-radial-gradient( <-legacy-radial-gradient-arguments> )|-o-repeating-radial-gradient( <-legacy-radial-gradient-arguments> )","-legacy-radial-gradient-arguments":"[<position> ,]? [[[<-legacy-radial-gradient-shape>||<-legacy-radial-gradient-size>]|[<length>|<percentage>]{2}] ,]? <color-stop-list>","-legacy-radial-gradient-size":"closest-side|closest-corner|farthest-side|farthest-corner|contain|cover","-legacy-radial-gradient-shape":"circle|ellipse","-non-standard-font":"-apple-system-body|-apple-system-headline|-apple-system-subheadline|-apple-system-caption1|-apple-system-caption2|-apple-system-footnote|-apple-system-short-body|-apple-system-short-headline|-apple-system-short-subheadline|-apple-system-short-caption1|-apple-system-short-footnote|-apple-system-tall-body","-non-standard-color":"-moz-ButtonDefault|-moz-ButtonHoverFace|-moz-ButtonHoverText|-moz-CellHighlight|-moz-CellHighlightText|-moz-Combobox|-moz-ComboboxText|-moz-Dialog|-moz-DialogText|-moz-dragtargetzone|-moz-EvenTreeRow|-moz-Field|-moz-FieldText|-moz-html-CellHighlight|-moz-html-CellHighlightText|-moz-mac-accentdarkestshadow|-moz-mac-accentdarkshadow|-moz-mac-accentface|-moz-mac-accentlightesthighlight|-moz-mac-accentlightshadow|-moz-mac-accentregularhighlight|-moz-mac-accentregularshadow|-moz-mac-chrome-active|-moz-mac-chrome-inactive|-moz-mac-focusring|-moz-mac-menuselect|-moz-mac-menushadow|-moz-mac-menutextselect|-moz-MenuHover|-moz-MenuHoverText|-moz-MenuBarText|-moz-MenuBarHoverText|-moz-nativehyperlinktext|-moz-OddTreeRow|-moz-win-communicationstext|-moz-win-mediatext|-moz-activehyperlinktext|-moz-default-background-color|-moz-default-color|-moz-hyperlinktext|-moz-visitedhyperlinktext|-webkit-activelink|-webkit-focus-ring-color|-webkit-link|-webkit-text","-non-standard-image-rendering":"optimize-contrast|-moz-crisp-edges|-o-crisp-edges|-webkit-optimize-contrast","-non-standard-overflow":"-moz-scrollbars-none|-moz-scrollbars-horizontal|-moz-scrollbars-vertical|-moz-hidden-unscrollable","-non-standard-width":"fill-available|min-intrinsic|intrinsic|-moz-available|-moz-fit-content|-moz-min-content|-moz-max-content|-webkit-min-content|-webkit-max-content","-webkit-gradient()":"-webkit-gradient( <-webkit-gradient-type> , <-webkit-gradient-point> [, <-webkit-gradient-point>|, <-webkit-gradient-radius> , <-webkit-gradient-point>] [, <-webkit-gradient-radius>]? [, <-webkit-gradient-color-stop>]* )","-webkit-gradient-color-stop":"from( <color> )|color-stop( [<number-zero-one>|<percentage>] , <color> )|to( <color> )","-webkit-gradient-point":"[left|center|right|<length-percentage>] [top|center|bottom|<length-percentage>]","-webkit-gradient-radius":"<length>|<percentage>","-webkit-gradient-type":"linear|radial","-webkit-mask-box-repeat":"repeat|stretch|round","-webkit-mask-clip-style":"border|border-box|padding|padding-box|content|content-box|text","-ms-filter-function-list":"<-ms-filter-function>+","-ms-filter-function":"<-ms-filter-function-progid>|<-ms-filter-function-legacy>","-ms-filter-function-progid":"'progid:' [<ident-token> '.']* [<ident-token>|<function-token> <any-value>? )]","-ms-filter-function-legacy":"<ident-token>|<function-token> <any-value>? )","-ms-filter":"<string>",age:"child|young|old","attr-name":"<wq-name>","attr-fallback":"<any-value>","bg-clip":"<box>|border|text",bottom:"<length>|auto","container-name":"<custom-ident>","container-condition":"not <query-in-parens>|<query-in-parens> [[and <query-in-parens>]*|[or <query-in-parens>]*]","generic-voice":"[<age>? <gender> <integer>?]",gender:"male|female|neutral",left:"<length>|auto","mask-image":"<mask-reference>#",paint:"none|<color>|<url> [none|<color>]?|context-fill|context-stroke",right:"<length>|auto","scroll-timeline-axis":"block|inline|vertical|horizontal","scroll-timeline-name":"none|<custom-ident>","single-animation-composition":"replace|add|accumulate","svg-length":"<percentage>|<length>|<number>","svg-writing-mode":"lr-tb|rl-tb|tb-rl|lr|rl|tb",top:"<length>|auto",x:"<number>",y:"<number>",declaration:"<ident-token> : <declaration-value>? ['!' important]?","declaration-list":"[<declaration>? ';']* <declaration>?",url:"url( <string> <url-modifier>* )|<url-token>","url-modifier":"<ident>|<function-token> <any-value> )","number-zero-one":"<number [0,1]>","number-one-or-greater":"<number [1,∞]>","query-in-parens":"( <container-condition> )|( <size-feature> )|style( <style-query> )|<general-enclosed>","size-feature":"<mf-plain>|<mf-boolean>|<mf-range>","style-feature":"<declaration>","style-query":"<style-condition>|<style-feature>","style-condition":"not <style-in-parens>|<style-in-parens> [[and <style-in-parens>]*|[or <style-in-parens>]*]","style-in-parens":"( <style-condition> )|( <style-feature> )|<general-enclosed>","-non-standard-display":"-ms-inline-flexbox|-ms-grid|-ms-inline-grid|-webkit-flex|-webkit-inline-flex|-webkit-box|-webkit-inline-box|-moz-inline-stack|-moz-box|-moz-inline-box"},properties:{"--*":"<declaration-value>","-ms-accelerator":"false|true","-ms-block-progression":"tb|rl|bt|lr","-ms-content-zoom-chaining":"none|chained","-ms-content-zooming":"none|zoom","-ms-content-zoom-limit":"<'-ms-content-zoom-limit-min'> <'-ms-content-zoom-limit-max'>","-ms-content-zoom-limit-max":"<percentage>","-ms-content-zoom-limit-min":"<percentage>","-ms-content-zoom-snap":"<'-ms-content-zoom-snap-type'>||<'-ms-content-zoom-snap-points'>","-ms-content-zoom-snap-points":"snapInterval( <percentage> , <percentage> )|snapList( <percentage># )","-ms-content-zoom-snap-type":"none|proximity|mandatory","-ms-filter":"<string>","-ms-flow-from":"[none|<custom-ident>]#","-ms-flow-into":"[none|<custom-ident>]#","-ms-grid-columns":"none|<track-list>|<auto-track-list>","-ms-grid-rows":"none|<track-list>|<auto-track-list>","-ms-high-contrast-adjust":"auto|none","-ms-hyphenate-limit-chars":"auto|<integer>{1,3}","-ms-hyphenate-limit-lines":"no-limit|<integer>","-ms-hyphenate-limit-zone":"<percentage>|<length>","-ms-ime-align":"auto|after","-ms-overflow-style":"auto|none|scrollbar|-ms-autohiding-scrollbar","-ms-scrollbar-3dlight-color":"<color>","-ms-scrollbar-arrow-color":"<color>","-ms-scrollbar-base-color":"<color>","-ms-scrollbar-darkshadow-color":"<color>","-ms-scrollbar-face-color":"<color>","-ms-scrollbar-highlight-color":"<color>","-ms-scrollbar-shadow-color":"<color>","-ms-scrollbar-track-color":"<color>","-ms-scroll-chaining":"chained|none","-ms-scroll-limit":"<'-ms-scroll-limit-x-min'> <'-ms-scroll-limit-y-min'> <'-ms-scroll-limit-x-max'> <'-ms-scroll-limit-y-max'>","-ms-scroll-limit-x-max":"auto|<length>","-ms-scroll-limit-x-min":"<length>","-ms-scroll-limit-y-max":"auto|<length>","-ms-scroll-limit-y-min":"<length>","-ms-scroll-rails":"none|railed","-ms-scroll-snap-points-x":"snapInterval( <length-percentage> , <length-percentage> )|snapList( <length-percentage># )","-ms-scroll-snap-points-y":"snapInterval( <length-percentage> , <length-percentage> )|snapList( <length-percentage># )","-ms-scroll-snap-type":"none|proximity|mandatory","-ms-scroll-snap-x":"<'-ms-scroll-snap-type'> <'-ms-scroll-snap-points-x'>","-ms-scroll-snap-y":"<'-ms-scroll-snap-type'> <'-ms-scroll-snap-points-y'>","-ms-scroll-translation":"none|vertical-to-horizontal","-ms-text-autospace":"none|ideograph-alpha|ideograph-numeric|ideograph-parenthesis|ideograph-space","-ms-touch-select":"grippers|none","-ms-user-select":"none|element|text","-ms-wrap-flow":"auto|both|start|end|maximum|clear","-ms-wrap-margin":"<length>","-ms-wrap-through":"wrap|none","-moz-appearance":"none|button|button-arrow-down|button-arrow-next|button-arrow-previous|button-arrow-up|button-bevel|button-focus|caret|checkbox|checkbox-container|checkbox-label|checkmenuitem|dualbutton|groupbox|listbox|listitem|menuarrow|menubar|menucheckbox|menuimage|menuitem|menuitemtext|menulist|menulist-button|menulist-text|menulist-textfield|menupopup|menuradio|menuseparator|meterbar|meterchunk|progressbar|progressbar-vertical|progresschunk|progresschunk-vertical|radio|radio-container|radio-label|radiomenuitem|range|range-thumb|resizer|resizerpanel|scale-horizontal|scalethumbend|scalethumb-horizontal|scalethumbstart|scalethumbtick|scalethumb-vertical|scale-vertical|scrollbarbutton-down|scrollbarbutton-left|scrollbarbutton-right|scrollbarbutton-up|scrollbarthumb-horizontal|scrollbarthumb-vertical|scrollbartrack-horizontal|scrollbartrack-vertical|searchfield|separator|sheet|spinner|spinner-downbutton|spinner-textfield|spinner-upbutton|splitter|statusbar|statusbarpanel|tab|tabpanel|tabpanels|tab-scroll-arrow-back|tab-scroll-arrow-forward|textfield|textfield-multiline|toolbar|toolbarbutton|toolbarbutton-dropdown|toolbargripper|toolbox|tooltip|treeheader|treeheadercell|treeheadersortarrow|treeitem|treeline|treetwisty|treetwistyopen|treeview|-moz-mac-unified-toolbar|-moz-win-borderless-glass|-moz-win-browsertabbar-toolbox|-moz-win-communicationstext|-moz-win-communications-toolbox|-moz-win-exclude-glass|-moz-win-glass|-moz-win-mediatext|-moz-win-media-toolbox|-moz-window-button-box|-moz-window-button-box-maximized|-moz-window-button-close|-moz-window-button-maximize|-moz-window-button-minimize|-moz-window-button-restore|-moz-window-frame-bottom|-moz-window-frame-left|-moz-window-frame-right|-moz-window-titlebar|-moz-window-titlebar-maximized","-moz-binding":"<url>|none","-moz-border-bottom-colors":"<color>+|none","-moz-border-left-colors":"<color>+|none","-moz-border-right-colors":"<color>+|none","-moz-border-top-colors":"<color>+|none","-moz-context-properties":"none|[fill|fill-opacity|stroke|stroke-opacity]#","-moz-float-edge":"border-box|content-box|margin-box|padding-box","-moz-force-broken-image-icon":"0|1","-moz-image-region":"<shape>|auto","-moz-orient":"inline|block|horizontal|vertical","-moz-outline-radius":"<outline-radius>{1,4} [/ <outline-radius>{1,4}]?","-moz-outline-radius-bottomleft":"<outline-radius>","-moz-outline-radius-bottomright":"<outline-radius>","-moz-outline-radius-topleft":"<outline-radius>","-moz-outline-radius-topright":"<outline-radius>","-moz-stack-sizing":"ignore|stretch-to-fit","-moz-text-blink":"none|blink","-moz-user-focus":"ignore|normal|select-after|select-before|select-menu|select-same|select-all|none","-moz-user-input":"auto|none|enabled|disabled","-moz-user-modify":"read-only|read-write|write-only","-moz-window-dragging":"drag|no-drag","-moz-window-shadow":"default|menu|tooltip|sheet|none","-webkit-appearance":"none|button|button-bevel|caps-lock-indicator|caret|checkbox|default-button|inner-spin-button|listbox|listitem|media-controls-background|media-controls-fullscreen-background|media-current-time-display|media-enter-fullscreen-button|media-exit-fullscreen-button|media-fullscreen-button|media-mute-button|media-overlay-play-button|media-play-button|media-seek-back-button|media-seek-forward-button|media-slider|media-sliderthumb|media-time-remaining-display|media-toggle-closed-captions-button|media-volume-slider|media-volume-slider-container|media-volume-sliderthumb|menulist|menulist-button|menulist-text|menulist-textfield|meter|progress-bar|progress-bar-value|push-button|radio|scrollbarbutton-down|scrollbarbutton-left|scrollbarbutton-right|scrollbarbutton-up|scrollbargripper-horizontal|scrollbargripper-vertical|scrollbarthumb-horizontal|scrollbarthumb-vertical|scrollbartrack-horizontal|scrollbartrack-vertical|searchfield|searchfield-cancel-button|searchfield-decoration|searchfield-results-button|searchfield-results-decoration|slider-horizontal|slider-vertical|sliderthumb-horizontal|sliderthumb-vertical|square-button|textarea|textfield|-apple-pay-button","-webkit-border-before":"<'border-width'>||<'border-style'>||<color>","-webkit-border-before-color":"<color>","-webkit-border-before-style":"<'border-style'>","-webkit-border-before-width":"<'border-width'>","-webkit-box-reflect":"[above|below|right|left]? <length>? <image>?","-webkit-line-clamp":"none|<integer>","-webkit-mask":"[<mask-reference>||<position> [/ <bg-size>]?||<repeat-style>||[<box>|border|padding|content|text]||[<box>|border|padding|content]]#","-webkit-mask-attachment":"<attachment>#","-webkit-mask-clip":"[<box>|border|padding|content|text]#","-webkit-mask-composite":"<composite-style>#","-webkit-mask-image":"<mask-reference>#","-webkit-mask-origin":"[<box>|border|padding|content]#","-webkit-mask-position":"<position>#","-webkit-mask-position-x":"[<length-percentage>|left|center|right]#","-webkit-mask-position-y":"[<length-percentage>|top|center|bottom]#","-webkit-mask-repeat":"<repeat-style>#","-webkit-mask-repeat-x":"repeat|no-repeat|space|round","-webkit-mask-repeat-y":"repeat|no-repeat|space|round","-webkit-mask-size":"<bg-size>#","-webkit-overflow-scrolling":"auto|touch","-webkit-tap-highlight-color":"<color>","-webkit-text-fill-color":"<color>","-webkit-text-stroke":"<length>||<color>","-webkit-text-stroke-color":"<color>","-webkit-text-stroke-width":"<length>","-webkit-touch-callout":"default|none","-webkit-user-modify":"read-only|read-write|read-write-plaintext-only","accent-color":"auto|<color>","align-content":"normal|<baseline-position>|<content-distribution>|<overflow-position>? <content-position>","align-items":"normal|stretch|<baseline-position>|[<overflow-position>? <self-position>]","align-self":"auto|normal|stretch|<baseline-position>|<overflow-position>? <self-position>","align-tracks":"[normal|<baseline-position>|<content-distribution>|<overflow-position>? <content-position>]#",all:"initial|inherit|unset|revert|revert-layer",animation:"<single-animation>#","animation-composition":"<single-animation-composition>#","animation-delay":"<time>#","animation-direction":"<single-animation-direction>#","animation-duration":"<time>#","animation-fill-mode":"<single-animation-fill-mode>#","animation-iteration-count":"<single-animation-iteration-count>#","animation-name":"[none|<keyframes-name>]#","animation-play-state":"<single-animation-play-state>#","animation-timing-function":"<easing-function>#","animation-timeline":"<single-animation-timeline>#",appearance:"none|auto|textfield|menulist-button|<compat-auto>","aspect-ratio":"auto|<ratio>",azimuth:"<angle>|[[left-side|far-left|left|center-left|center|center-right|right|far-right|right-side]||behind]|leftwards|rightwards","backdrop-filter":"none|<filter-function-list>","backface-visibility":"visible|hidden",background:"[<bg-layer> ,]* <final-bg-layer>","background-attachment":"<attachment>#","background-blend-mode":"<blend-mode>#","background-clip":"<bg-clip>#","background-color":"<color>","background-image":"<bg-image>#","background-origin":"<box>#","background-position":"<bg-position>#","background-position-x":"[center|[[left|right|x-start|x-end]? <length-percentage>?]!]#","background-position-y":"[center|[[top|bottom|y-start|y-end]? <length-percentage>?]!]#","background-repeat":"<repeat-style>#","background-size":"<bg-size>#","block-overflow":"clip|ellipsis|<string>","block-size":"<'width'>",border:"<line-width>||<line-style>||<color>","border-block":"<'border-top-width'>||<'border-top-style'>||<color>","border-block-color":"<'border-top-color'>{1,2}","border-block-style":"<'border-top-style'>","border-block-width":"<'border-top-width'>","border-block-end":"<'border-top-width'>||<'border-top-style'>||<color>","border-block-end-color":"<'border-top-color'>","border-block-end-style":"<'border-top-style'>","border-block-end-width":"<'border-top-width'>","border-block-start":"<'border-top-width'>||<'border-top-style'>||<color>","border-block-start-color":"<'border-top-color'>","border-block-start-style":"<'border-top-style'>","border-block-start-width":"<'border-top-width'>","border-bottom":"<line-width>||<line-style>||<color>","border-bottom-color":"<'border-top-color'>","border-bottom-left-radius":"<length-percentage>{1,2}","border-bottom-right-radius":"<length-percentage>{1,2}","border-bottom-style":"<line-style>","border-bottom-width":"<line-width>","border-collapse":"collapse|separate","border-color":"<color>{1,4}","border-end-end-radius":"<length-percentage>{1,2}","border-end-start-radius":"<length-percentage>{1,2}","border-image":"<'border-image-source'>||<'border-image-slice'> [/ <'border-image-width'>|/ <'border-image-width'>? / <'border-image-outset'>]?||<'border-image-repeat'>","border-image-outset":"[<length>|<number>]{1,4}","border-image-repeat":"[stretch|repeat|round|space]{1,2}","border-image-slice":"<number-percentage>{1,4}&&fill?","border-image-source":"none|<image>","border-image-width":"[<length-percentage>|<number>|auto]{1,4}","border-inline":"<'border-top-width'>||<'border-top-style'>||<color>","border-inline-end":"<'border-top-width'>||<'border-top-style'>||<color>","border-inline-color":"<'border-top-color'>{1,2}","border-inline-style":"<'border-top-style'>","border-inline-width":"<'border-top-width'>","border-inline-end-color":"<'border-top-color'>","border-inline-end-style":"<'border-top-style'>","border-inline-end-width":"<'border-top-width'>","border-inline-start":"<'border-top-width'>||<'border-top-style'>||<color>","border-inline-start-color":"<'border-top-color'>","border-inline-start-style":"<'border-top-style'>","border-inline-start-width":"<'border-top-width'>","border-left":"<line-width>||<line-style>||<color>","border-left-color":"<color>","border-left-style":"<line-style>","border-left-width":"<line-width>","border-radius":"<length-percentage>{1,4} [/ <length-percentage>{1,4}]?","border-right":"<line-width>||<line-style>||<color>","border-right-color":"<color>","border-right-style":"<line-style>","border-right-width":"<line-width>","border-spacing":"<length> <length>?","border-start-end-radius":"<length-percentage>{1,2}","border-start-start-radius":"<length-percentage>{1,2}","border-style":"<line-style>{1,4}","border-top":"<line-width>||<line-style>||<color>","border-top-color":"<color>","border-top-left-radius":"<length-percentage>{1,2}","border-top-right-radius":"<length-percentage>{1,2}","border-top-style":"<line-style>","border-top-width":"<line-width>","border-width":"<line-width>{1,4}",bottom:"<length>|<percentage>|auto","box-align":"start|center|end|baseline|stretch","box-decoration-break":"slice|clone","box-direction":"normal|reverse|inherit","box-flex":"<number>","box-flex-group":"<integer>","box-lines":"single|multiple","box-ordinal-group":"<integer>","box-orient":"horizontal|vertical|inline-axis|block-axis|inherit","box-pack":"start|center|end|justify","box-shadow":"none|<shadow>#","box-sizing":"content-box|border-box","break-after":"auto|avoid|always|all|avoid-page|page|left|right|recto|verso|avoid-column|column|avoid-region|region","break-before":"auto|avoid|always|all|avoid-page|page|left|right|recto|verso|avoid-column|column|avoid-region|region","break-inside":"auto|avoid|avoid-page|avoid-column|avoid-region","caption-side":"top|bottom|block-start|block-end|inline-start|inline-end",caret:"<'caret-color'>||<'caret-shape'>","caret-color":"auto|<color>","caret-shape":"auto|bar|block|underscore",clear:"none|left|right|both|inline-start|inline-end",clip:"<shape>|auto","clip-path":"<clip-source>|[<basic-shape>||<geometry-box>]|none",color:"<color>","print-color-adjust":"economy|exact","color-scheme":"normal|[light|dark|<custom-ident>]+&&only?","column-count":"<integer>|auto","column-fill":"auto|balance|balance-all","column-gap":"normal|<length-percentage>","column-rule":"<'column-rule-width'>||<'column-rule-style'>||<'column-rule-color'>","column-rule-color":"<color>","column-rule-style":"<'border-style'>","column-rule-width":"<'border-width'>","column-span":"none|all","column-width":"<length>|auto",columns:"<'column-width'>||<'column-count'>",contain:"none|strict|content|[[size||inline-size]||layout||style||paint]","contain-intrinsic-size":"[none|<length>|auto <length>]{1,2}","contain-intrinsic-block-size":"none|<length>|auto <length>","contain-intrinsic-height":"none|<length>|auto <length>","contain-intrinsic-inline-size":"none|<length>|auto <length>","contain-intrinsic-width":"none|<length>|auto <length>",content:"normal|none|[<content-replacement>|<content-list>] [/ [<string>|<counter>]+]?","content-visibility":"visible|auto|hidden","counter-increment":"[<counter-name> <integer>?]+|none","counter-reset":"[<counter-name> <integer>?|<reversed-counter-name> <integer>?]+|none","counter-set":"[<counter-name> <integer>?]+|none",cursor:"[[<url> [<x> <y>]? ,]* [auto|default|none|context-menu|help|pointer|progress|wait|cell|crosshair|text|vertical-text|alias|copy|move|no-drop|not-allowed|e-resize|n-resize|ne-resize|nw-resize|s-resize|se-resize|sw-resize|w-resize|ew-resize|ns-resize|nesw-resize|nwse-resize|col-resize|row-resize|all-scroll|zoom-in|zoom-out|grab|grabbing|hand|-webkit-grab|-webkit-grabbing|-webkit-zoom-in|-webkit-zoom-out|-moz-grab|-moz-grabbing|-moz-zoom-in|-moz-zoom-out]]",direction:"ltr|rtl",display:"[<display-outside>||<display-inside>]|<display-listitem>|<display-internal>|<display-box>|<display-legacy>|<-non-standard-display>","empty-cells":"show|hide",filter:"none|<filter-function-list>|<-ms-filter-function-list>",flex:"none|[<'flex-grow'> <'flex-shrink'>?||<'flex-basis'>]","flex-basis":"content|<'width'>","flex-direction":"row|row-reverse|column|column-reverse","flex-flow":"<'flex-direction'>||<'flex-wrap'>","flex-grow":"<number>","flex-shrink":"<number>","flex-wrap":"nowrap|wrap|wrap-reverse",float:"left|right|none|inline-start|inline-end",font:"[[<'font-style'>||<font-variant-css21>||<'font-weight'>||<'font-stretch'>]? <'font-size'> [/ <'line-height'>]? <'font-family'>]|caption|icon|menu|message-box|small-caption|status-bar","font-family":"[<family-name>|<generic-family>]#","font-feature-settings":"normal|<feature-tag-value>#","font-kerning":"auto|normal|none","font-language-override":"normal|<string>","font-optical-sizing":"auto|none","font-variation-settings":"normal|[<string> <number>]#","font-size":"<absolute-size>|<relative-size>|<length-percentage>","font-size-adjust":"none|[ex-height|cap-height|ch-width|ic-width|ic-height]? [from-font|<number>]","font-smooth":"auto|never|always|<absolute-size>|<length>","font-stretch":"<font-stretch-absolute>","font-style":"normal|italic|oblique <angle>?","font-synthesis":"none|[weight||style||small-caps]","font-variant":"normal|none|[<common-lig-values>||<discretionary-lig-values>||<historical-lig-values>||<contextual-alt-values>||stylistic( <feature-value-name> )||historical-forms||styleset( <feature-value-name># )||character-variant( <feature-value-name># )||swash( <feature-value-name> )||ornaments( <feature-value-name> )||annotation( <feature-value-name> )||[small-caps|all-small-caps|petite-caps|all-petite-caps|unicase|titling-caps]||<numeric-figure-values>||<numeric-spacing-values>||<numeric-fraction-values>||ordinal||slashed-zero||<east-asian-variant-values>||<east-asian-width-values>||ruby]","font-variant-alternates":"normal|[stylistic( <feature-value-name> )||historical-forms||styleset( <feature-value-name># )||character-variant( <feature-value-name># )||swash( <feature-value-name> )||ornaments( <feature-value-name> )||annotation( <feature-value-name> )]","font-variant-caps":"normal|small-caps|all-small-caps|petite-caps|all-petite-caps|unicase|titling-caps","font-variant-east-asian":"normal|[<east-asian-variant-values>||<east-asian-width-values>||ruby]","font-variant-ligatures":"normal|none|[<common-lig-values>||<discretionary-lig-values>||<historical-lig-values>||<contextual-alt-values>]","font-variant-numeric":"normal|[<numeric-figure-values>||<numeric-spacing-values>||<numeric-fraction-values>||ordinal||slashed-zero]","font-variant-position":"normal|sub|super","font-weight":"<font-weight-absolute>|bolder|lighter","forced-color-adjust":"auto|none",gap:"<'row-gap'> <'column-gap'>?",grid:"<'grid-template'>|<'grid-template-rows'> / [auto-flow&&dense?] <'grid-auto-columns'>?|[auto-flow&&dense?] <'grid-auto-rows'>? / <'grid-template-columns'>","grid-area":"<grid-line> [/ <grid-line>]{0,3}","grid-auto-columns":"<track-size>+","grid-auto-flow":"[row|column]||dense","grid-auto-rows":"<track-size>+","grid-column":"<grid-line> [/ <grid-line>]?","grid-column-end":"<grid-line>","grid-column-gap":"<length-percentage>","grid-column-start":"<grid-line>","grid-gap":"<'grid-row-gap'> <'grid-column-gap'>?","grid-row":"<grid-line> [/ <grid-line>]?","grid-row-end":"<grid-line>","grid-row-gap":"<length-percentage>","grid-row-start":"<grid-line>","grid-template":"none|[<'grid-template-rows'> / <'grid-template-columns'>]|[<line-names>? <string> <track-size>? <line-names>?]+ [/ <explicit-track-list>]?","grid-template-areas":"none|<string>+","grid-template-columns":"none|<track-list>|<auto-track-list>|subgrid <line-name-list>?","grid-template-rows":"none|<track-list>|<auto-track-list>|subgrid <line-name-list>?","hanging-punctuation":"none|[first||[force-end|allow-end]||last]",height:"auto|<length>|<percentage>|min-content|max-content|fit-content|fit-content( <length-percentage> )","hyphenate-character":"auto|<string>",hyphens:"none|manual|auto","image-orientation":"from-image|<angle>|[<angle>? flip]","image-rendering":"auto|crisp-edges|pixelated|optimizeSpeed|optimizeQuality|<-non-standard-image-rendering>","image-resolution":"[from-image||<resolution>]&&snap?","ime-mode":"auto|normal|active|inactive|disabled","initial-letter":"normal|[<number> <integer>?]","initial-letter-align":"[auto|alphabetic|hanging|ideographic]","inline-size":"<'width'>","input-security":"auto|none",inset:"<'top'>{1,4}","inset-block":"<'top'>{1,2}","inset-block-end":"<'top'>","inset-block-start":"<'top'>","inset-inline":"<'top'>{1,2}","inset-inline-end":"<'top'>","inset-inline-start":"<'top'>",isolation:"auto|isolate","justify-content":"normal|<content-distribution>|<overflow-position>? [<content-position>|left|right]","justify-items":"normal|stretch|<baseline-position>|<overflow-position>? [<self-position>|left|right]|legacy|legacy&&[left|right|center]","justify-self":"auto|normal|stretch|<baseline-position>|<overflow-position>? [<self-position>|left|right]","justify-tracks":"[normal|<content-distribution>|<overflow-position>? [<content-position>|left|right]]#",left:"<length>|<percentage>|auto","letter-spacing":"normal|<length-percentage>","line-break":"auto|loose|normal|strict|anywhere","line-clamp":"none|<integer>","line-height":"normal|<number>|<length>|<percentage>","line-height-step":"<length>","list-style":"<'list-style-type'>||<'list-style-position'>||<'list-style-image'>","list-style-image":"<image>|none","list-style-position":"inside|outside","list-style-type":"<counter-style>|<string>|none",margin:"[<length>|<percentage>|auto]{1,4}","margin-block":"<'margin-left'>{1,2}","margin-block-end":"<'margin-left'>","margin-block-start":"<'margin-left'>","margin-bottom":"<length>|<percentage>|auto","margin-inline":"<'margin-left'>{1,2}","margin-inline-end":"<'margin-left'>","margin-inline-start":"<'margin-left'>","margin-left":"<length>|<percentage>|auto","margin-right":"<length>|<percentage>|auto","margin-top":"<length>|<percentage>|auto","margin-trim":"none|in-flow|all",mask:"<mask-layer>#","mask-border":"<'mask-border-source'>||<'mask-border-slice'> [/ <'mask-border-width'>? [/ <'mask-border-outset'>]?]?||<'mask-border-repeat'>||<'mask-border-mode'>","mask-border-mode":"luminance|alpha","mask-border-outset":"[<length>|<number>]{1,4}","mask-border-repeat":"[stretch|repeat|round|space]{1,2}","mask-border-slice":"<number-percentage>{1,4} fill?","mask-border-source":"none|<image>","mask-border-width":"[<length-percentage>|<number>|auto]{1,4}","mask-clip":"[<geometry-box>|no-clip]#","mask-composite":"<compositing-operator>#","mask-image":"<mask-reference>#","mask-mode":"<masking-mode>#","mask-origin":"<geometry-box>#","mask-position":"<position>#","mask-repeat":"<repeat-style>#","mask-size":"<bg-size>#","mask-type":"luminance|alpha","masonry-auto-flow":"[pack|next]||[definite-first|ordered]","math-depth":"auto-add|add( <integer> )|<integer>","math-shift":"normal|compact","math-style":"normal|compact","max-block-size":"<'max-width'>","max-height":"none|<length-percentage>|min-content|max-content|fit-content|fit-content( <length-percentage> )","max-inline-size":"<'max-width'>","max-lines":"none|<integer>","max-width":"none|<length-percentage>|min-content|max-content|fit-content|fit-content( <length-percentage> )|<-non-standard-width>","min-block-size":"<'min-width'>","min-height":"auto|<length>|<percentage>|min-content|max-content|fit-content|fit-content( <length-percentage> )","min-inline-size":"<'min-width'>","min-width":"auto|<length>|<percentage>|min-content|max-content|fit-content|fit-content( <length-percentage> )|<-non-standard-width>","mix-blend-mode":"<blend-mode>|plus-lighter","object-fit":"fill|contain|cover|none|scale-down","object-position":"<position>",offset:"[<'offset-position'>? [<'offset-path'> [<'offset-distance'>||<'offset-rotate'>]?]?]! [/ <'offset-anchor'>]?","offset-anchor":"auto|<position>","offset-distance":"<length-percentage>","offset-path":"none|ray( [<angle>&&<size>&&contain?] )|<path()>|<url>|[<basic-shape>||<geometry-box>]","offset-position":"auto|<position>","offset-rotate":"[auto|reverse]||<angle>",opacity:"<alpha-value>",order:"<integer>",orphans:"<integer>",outline:"[<'outline-color'>||<'outline-style'>||<'outline-width'>]","outline-color":"<color>|invert","outline-offset":"<length>","outline-style":"auto|<'border-style'>","outline-width":"<line-width>",overflow:"[visible|hidden|clip|scroll|auto]{1,2}|<-non-standard-overflow>","overflow-anchor":"auto|none","overflow-block":"visible|hidden|clip|scroll|auto","overflow-clip-box":"padding-box|content-box","overflow-clip-margin":"<visual-box>||<length [0,∞]>","overflow-inline":"visible|hidden|clip|scroll|auto","overflow-wrap":"normal|break-word|anywhere","overflow-x":"visible|hidden|clip|scroll|auto","overflow-y":"visible|hidden|clip|scroll|auto","overscroll-behavior":"[contain|none|auto]{1,2}","overscroll-behavior-block":"contain|none|auto","overscroll-behavior-inline":"contain|none|auto","overscroll-behavior-x":"contain|none|auto","overscroll-behavior-y":"contain|none|auto",padding:"[<length>|<percentage>]{1,4}","padding-block":"<'padding-left'>{1,2}","padding-block-end":"<'padding-left'>","padding-block-start":"<'padding-left'>","padding-bottom":"<length>|<percentage>","padding-inline":"<'padding-left'>{1,2}","padding-inline-end":"<'padding-left'>","padding-inline-start":"<'padding-left'>","padding-left":"<length>|<percentage>","padding-right":"<length>|<percentage>","padding-top":"<length>|<percentage>","page-break-after":"auto|always|avoid|left|right|recto|verso","page-break-before":"auto|always|avoid|left|right|recto|verso","page-break-inside":"auto|avoid","paint-order":"normal|[fill||stroke||markers]",perspective:"none|<length>","perspective-origin":"<position>","place-content":"<'align-content'> <'justify-content'>?","place-items":"<'align-items'> <'justify-items'>?","place-self":"<'align-self'> <'justify-self'>?","pointer-events":"auto|none|visiblePainted|visibleFill|visibleStroke|visible|painted|fill|stroke|all|inherit",position:"static|relative|absolute|sticky|fixed|-webkit-sticky",quotes:"none|auto|[<string> <string>]+",resize:"none|both|horizontal|vertical|block|inline",right:"<length>|<percentage>|auto",rotate:"none|<angle>|[x|y|z|<number>{3}]&&<angle>","row-gap":"normal|<length-percentage>","ruby-align":"start|center|space-between|space-around","ruby-merge":"separate|collapse|auto","ruby-position":"[alternate||[over|under]]|inter-character",scale:"none|<number>{1,3}","scrollbar-color":"auto|<color>{2}","scrollbar-gutter":"auto|stable&&both-edges?","scrollbar-width":"auto|thin|none","scroll-behavior":"auto|smooth","scroll-margin":"<length>{1,4}","scroll-margin-block":"<length>{1,2}","scroll-margin-block-start":"<length>","scroll-margin-block-end":"<length>","scroll-margin-bottom":"<length>","scroll-margin-inline":"<length>{1,2}","scroll-margin-inline-start":"<length>","scroll-margin-inline-end":"<length>","scroll-margin-left":"<length>","scroll-margin-right":"<length>","scroll-margin-top":"<length>","scroll-padding":"[auto|<length-percentage>]{1,4}","scroll-padding-block":"[auto|<length-percentage>]{1,2}","scroll-padding-block-start":"auto|<length-percentage>","scroll-padding-block-end":"auto|<length-percentage>","scroll-padding-bottom":"auto|<length-percentage>","scroll-padding-inline":"[auto|<length-percentage>]{1,2}","scroll-padding-inline-start":"auto|<length-percentage>","scroll-padding-inline-end":"auto|<length-percentage>","scroll-padding-left":"auto|<length-percentage>","scroll-padding-right":"auto|<length-percentage>","scroll-padding-top":"auto|<length-percentage>","scroll-snap-align":"[none|start|end|center]{1,2}","scroll-snap-coordinate":"none|<position>#","scroll-snap-destination":"<position>","scroll-snap-points-x":"none|repeat( <length-percentage> )","scroll-snap-points-y":"none|repeat( <length-percentage> )","scroll-snap-stop":"normal|always","scroll-snap-type":"none|[x|y|block|inline|both] [mandatory|proximity]?","scroll-snap-type-x":"none|mandatory|proximity","scroll-snap-type-y":"none|mandatory|proximity","scroll-timeline":"<scroll-timeline-name>||<scroll-timeline-axis>","scroll-timeline-axis":"block|inline|vertical|horizontal","scroll-timeline-name":"none|<custom-ident>","shape-image-threshold":"<alpha-value>","shape-margin":"<length-percentage>","shape-outside":"none|[<shape-box>||<basic-shape>]|<image>","tab-size":"<integer>|<length>","table-layout":"auto|fixed","text-align":"start|end|left|right|center|justify|match-parent","text-align-last":"auto|start|end|left|right|center|justify","text-combine-upright":"none|all|[digits <integer>?]","text-decoration":"<'text-decoration-line'>||<'text-decoration-style'>||<'text-decoration-color'>||<'text-decoration-thickness'>","text-decoration-color":"<color>","text-decoration-line":"none|[underline||overline||line-through||blink]|spelling-error|grammar-error","text-decoration-skip":"none|[objects||[spaces|[leading-spaces||trailing-spaces]]||edges||box-decoration]","text-decoration-skip-ink":"auto|all|none","text-decoration-style":"solid|double|dotted|dashed|wavy","text-decoration-thickness":"auto|from-font|<length>|<percentage>","text-emphasis":"<'text-emphasis-style'>||<'text-emphasis-color'>","text-emphasis-color":"<color>","text-emphasis-position":"[over|under]&&[right|left]","text-emphasis-style":"none|[[filled|open]||[dot|circle|double-circle|triangle|sesame]]|<string>","text-indent":"<length-percentage>&&hanging?&&each-line?","text-justify":"auto|inter-character|inter-word|none","text-orientation":"mixed|upright|sideways","text-overflow":"[clip|ellipsis|<string>]{1,2}","text-rendering":"auto|optimizeSpeed|optimizeLegibility|geometricPrecision","text-shadow":"none|<shadow-t>#","text-size-adjust":"none|auto|<percentage>","text-transform":"none|capitalize|uppercase|lowercase|full-width|full-size-kana","text-underline-offset":"auto|<length>|<percentage>","text-underline-position":"auto|from-font|[under||[left|right]]",top:"<length>|<percentage>|auto","touch-action":"auto|none|[[pan-x|pan-left|pan-right]||[pan-y|pan-up|pan-down]||pinch-zoom]|manipulation",transform:"none|<transform-list>","transform-box":"content-box|border-box|fill-box|stroke-box|view-box","transform-origin":"[<length-percentage>|left|center|right|top|bottom]|[[<length-percentage>|left|center|right]&&[<length-percentage>|top|center|bottom]] <length>?","transform-style":"flat|preserve-3d",transition:"<single-transition>#","transition-delay":"<time>#","transition-duration":"<time>#","transition-property":"none|<single-transition-property>#","transition-timing-function":"<easing-function>#",translate:"none|<length-percentage> [<length-percentage> <length>?]?","unicode-bidi":"normal|embed|isolate|bidi-override|isolate-override|plaintext|-moz-isolate|-moz-isolate-override|-moz-plaintext|-webkit-isolate|-webkit-isolate-override|-webkit-plaintext","user-select":"auto|text|none|contain|all","vertical-align":"baseline|sub|super|text-top|text-bottom|middle|top|bottom|<percentage>|<length>",visibility:"visible|hidden|collapse","white-space":"normal|pre|nowrap|pre-wrap|pre-line|break-spaces",widows:"<integer>",width:"auto|<length>|<percentage>|min-content|max-content|fit-content|fit-content( <length-percentage> )|fill|stretch|intrinsic|-moz-max-content|-webkit-max-content|-moz-fit-content|-webkit-fit-content","will-change":"auto|<animateable-feature>#","word-break":"normal|break-all|keep-all|break-word","word-spacing":"normal|<length>","word-wrap":"normal|break-word","writing-mode":"horizontal-tb|vertical-rl|vertical-lr|sideways-rl|sideways-lr|<svg-writing-mode>","z-index":"auto|<integer>",zoom:"normal|reset|<number>|<percentage>","-moz-background-clip":"padding|border","-moz-border-radius-bottomleft":"<'border-bottom-left-radius'>","-moz-border-radius-bottomright":"<'border-bottom-right-radius'>","-moz-border-radius-topleft":"<'border-top-left-radius'>","-moz-border-radius-topright":"<'border-bottom-right-radius'>","-moz-control-character-visibility":"visible|hidden","-moz-osx-font-smoothing":"auto|grayscale","-moz-user-select":"none|text|all|-moz-none","-ms-flex-align":"start|end|center|baseline|stretch","-ms-flex-item-align":"auto|start|end|center|baseline|stretch","-ms-flex-line-pack":"start|end|center|justify|distribute|stretch","-ms-flex-negative":"<'flex-shrink'>","-ms-flex-pack":"start|end|center|justify|distribute","-ms-flex-order":"<integer>","-ms-flex-positive":"<'flex-grow'>","-ms-flex-preferred-size":"<'flex-basis'>","-ms-interpolation-mode":"nearest-neighbor|bicubic","-ms-grid-column-align":"start|end|center|stretch","-ms-grid-row-align":"start|end|center|stretch","-ms-hyphenate-limit-last":"none|always|column|page|spread","-webkit-background-clip":"[<box>|border|padding|content|text]#","-webkit-column-break-after":"always|auto|avoid","-webkit-column-break-before":"always|auto|avoid","-webkit-column-break-inside":"always|auto|avoid","-webkit-font-smoothing":"auto|none|antialiased|subpixel-antialiased","-webkit-mask-box-image":"[<url>|<gradient>|none] [<length-percentage>{4} <-webkit-mask-box-repeat>{2}]?","-webkit-print-color-adjust":"economy|exact","-webkit-text-security":"none|circle|disc|square","-webkit-user-drag":"none|element|auto","-webkit-user-select":"auto|none|text|all","alignment-baseline":"auto|baseline|before-edge|text-before-edge|middle|central|after-edge|text-after-edge|ideographic|alphabetic|hanging|mathematical","baseline-shift":"baseline|sub|super|<svg-length>",behavior:"<url>+","clip-rule":"nonzero|evenodd",container:"<'container-name'> [/ <'container-type'>]?","container-name":"none|<custom-ident>+","container-type":"normal||[size|inline-size]",cue:"<'cue-before'> <'cue-after'>?","cue-after":"<url> <decibel>?|none","cue-before":"<url> <decibel>?|none","dominant-baseline":"auto|use-script|no-change|reset-size|ideographic|alphabetic|hanging|mathematical|central|middle|text-after-edge|text-before-edge",fill:"<paint>","fill-opacity":"<number-zero-one>","fill-rule":"nonzero|evenodd","glyph-orientation-horizontal":"<angle>","glyph-orientation-vertical":"<angle>",kerning:"auto|<svg-length>",marker:"none|<url>","marker-end":"none|<url>","marker-mid":"none|<url>","marker-start":"none|<url>",pause:"<'pause-before'> <'pause-after'>?","pause-after":"<time>|none|x-weak|weak|medium|strong|x-strong","pause-before":"<time>|none|x-weak|weak|medium|strong|x-strong",rest:"<'rest-before'> <'rest-after'>?","rest-after":"<time>|none|x-weak|weak|medium|strong|x-strong","rest-before":"<time>|none|x-weak|weak|medium|strong|x-strong","shape-rendering":"auto|optimizeSpeed|crispEdges|geometricPrecision",src:"[<url> [format( <string># )]?|local( <family-name> )]#",speak:"auto|none|normal","speak-as":"normal|spell-out||digits||[literal-punctuation|no-punctuation]",stroke:"<paint>","stroke-dasharray":"none|[<svg-length>+]#","stroke-dashoffset":"<svg-length>","stroke-linecap":"butt|round|square","stroke-linejoin":"miter|round|bevel","stroke-miterlimit":"<number-one-or-greater>","stroke-opacity":"<number-zero-one>","stroke-width":"<svg-length>","text-anchor":"start|middle|end","unicode-range":"<urange>#","voice-balance":"<number>|left|center|right|leftwards|rightwards","voice-duration":"auto|<time>","voice-family":"[[<family-name>|<generic-voice>] ,]* [<family-name>|<generic-voice>]|preserve","voice-pitch":"<frequency>&&absolute|[[x-low|low|medium|high|x-high]||[<frequency>|<semitones>|<percentage>]]","voice-range":"<frequency>&&absolute|[[x-low|low|medium|high|x-high]||[<frequency>|<semitones>|<percentage>]]","voice-rate":"[normal|x-slow|slow|medium|fast|x-fast]||<percentage>","voice-stress":"normal|strong|moderate|none|reduced","voice-volume":"silent|[[x-soft|soft|medium|loud|x-loud]||<decibel>]"},atrules:{charset:{prelude:"<string>",descriptors:null},"counter-style":{prelude:"<counter-style-name>",descriptors:{"additive-symbols":"[<integer>&&<symbol>]#",fallback:"<counter-style-name>",negative:"<symbol> <symbol>?",pad:"<integer>&&<symbol>",prefix:"<symbol>",range:"[[<integer>|infinite]{2}]#|auto","speak-as":"auto|bullets|numbers|words|spell-out|<counter-style-name>",suffix:"<symbol>",symbols:"<symbol>+",system:"cyclic|numeric|alphabetic|symbolic|additive|[fixed <integer>?]|[extends <counter-style-name>]"}},document:{prelude:"[<url>|url-prefix( <string> )|domain( <string> )|media-document( <string> )|regexp( <string> )]#",descriptors:null},"font-face":{prelude:null,descriptors:{"ascent-override":"normal|<percentage>","descent-override":"normal|<percentage>","font-display":"[auto|block|swap|fallback|optional]","font-family":"<family-name>","font-feature-settings":"normal|<feature-tag-value>#","font-variation-settings":"normal|[<string> <number>]#","font-stretch":"<font-stretch-absolute>{1,2}","font-style":"normal|italic|oblique <angle>{0,2}","font-weight":"<font-weight-absolute>{1,2}","font-variant":"normal|none|[<common-lig-values>||<discretionary-lig-values>||<historical-lig-values>||<contextual-alt-values>||stylistic( <feature-value-name> )||historical-forms||styleset( <feature-value-name># )||character-variant( <feature-value-name># )||swash( <feature-value-name> )||ornaments( <feature-value-name> )||annotation( <feature-value-name> )||[small-caps|all-small-caps|petite-caps|all-petite-caps|unicase|titling-caps]||<numeric-figure-values>||<numeric-spacing-values>||<numeric-fraction-values>||ordinal||slashed-zero||<east-asian-variant-values>||<east-asian-width-values>||ruby]","line-gap-override":"normal|<percentage>","size-adjust":"<percentage>",src:"[<url> [format( <string># )]?|local( <family-name> )]#","unicode-range":"<urange>#"}},"font-feature-values":{prelude:"<family-name>#",descriptors:null},import:{prelude:"[<string>|<url>] [layer|layer( <layer-name> )]? [supports( [<supports-condition>|<declaration>] )]? <media-query-list>?",descriptors:null},keyframes:{prelude:"<keyframes-name>",descriptors:null},layer:{prelude:"[<layer-name>#|<layer-name>?]",descriptors:null},media:{prelude:"<media-query-list>",descriptors:null},namespace:{prelude:"<namespace-prefix>? [<string>|<url>]",descriptors:null},page:{prelude:"<page-selector-list>",descriptors:{bleed:"auto|<length>",marks:"none|[crop||cross]",size:"<length>{1,2}|auto|[<page-size>||[portrait|landscape]]"}},property:{prelude:"<custom-property-name>",descriptors:{syntax:"<string>",inherits:"true|false","initial-value":"<string>"}},"scroll-timeline":{prelude:"<timeline-name>",descriptors:null},supports:{prelude:"<supports-condition>",descriptors:null},viewport:{prelude:null,descriptors:{height:"<viewport-length>{1,2}","max-height":"<viewport-length>","max-width":"<viewport-length>","max-zoom":"auto|<number>|<percentage>","min-height":"<viewport-length>","min-width":"<viewport-length>","min-zoom":"auto|<number>|<percentage>",orientation:"auto|portrait|landscape","user-zoom":"zoom|fixed","viewport-fit":"auto|contain|cover",width:"<viewport-length>{1,2}",zoom:"auto|<number>|<percentage>"}},container:{prelude:"[<container-name>]? <container-condition>",descriptors:null},nest:{prelude:"<complex-selector-list>",descriptors:null}}}),{},{node:yc}),sf={};Ti(sf,{AtrulePrelude:()=>lf,Selector:()=>cf,Value:()=>df});function af(e){switch(this.tokenType){case 4:return this.Hash();case 18:return this.Operator();case 21:return this.Parentheses(this.readSequence,e.recognizer);case 19:return this.Brackets(this.readSequence,e.recognizer);case 5:return this.String();case 12:return this.Dimension();case 11:return this.Percentage();case 10:return this.Number();case 2:return this.cmpStr(this.tokenStart,this.tokenEnd,"url(")?this.Url():this.Function(this.readSequence,e.recognizer);case 7:return this.Url();case 1:return this.cmpChar(this.tokenStart,117)&&this.cmpChar(this.tokenStart+1,43)?this.UnicodeRange():this.Identifier();case 9:{let e=this.charCodeAt(this.tokenStart);if(47===e||42===e||43===e||45===e)return this.Operator();35===e&&this.error("Hex or identifier is expected",this.tokenStart+1);break}}}var lf={getNode:af};var cf={onWhiteSpace:function(e,t){null!==t.last&&"Combinator"!==t.last.type&&null!==e&&"Combinator"!==e.type&&t.push({type:"Combinator",loc:null,name:" "})},getNode:function(){switch(this.tokenType){case 19:return this.AttributeSelector();case 4:return this.IdSelector();case 16:return 16===this.lookupType(1)?this.PseudoElementSelector():this.PseudoClassSelector();case 1:return this.TypeSelector();case 10:case 11:return this.Percentage();case 12:46===this.charCodeAt(this.tokenStart)&&this.error("Identifier is expected",this.tokenStart+1);break;case 9:switch(this.charCodeAt(this.tokenStart)){case 43:case 62:case 126:case 47:return this.Combinator();case 46:return this.ClassSelector();case 42:case 124:return this.TypeSelector();case 35:return this.IdSelector();case 38:return this.NestingSelector()}}}};function uf(e){return null!==e&&"Operator"===e.type&&("-"===e.value[e.value.length-1]||"+"===e.value[e.value.length-1])}var df={getNode:af,onWhiteSpace(e,t){uf(e)&&(e.value=" "+e.value),uf(t.last)&&(t.last.value+=" ")},expression:function(){return this.createSingleNodeList(this.Raw(this.tokenIndex,null,!1))},var:function(){let e=this.createList();if(this.skipSC(),e.push(this.Identifier()),this.skipSC(),18===this.tokenType){e.push(this.Operator());let t=this.tokenIndex,n=this.parseCustomProperty?this.Value(null):this.Raw(this.tokenIndex,this.consumeUntilExclamationMarkOrSemicolon,!1);if("Value"===n.type&&n.children.isEmpty)for(let e=t-this.tokenIndex;e<=0;e++)if(13===this.lookupType(e)){n.children.appendData({type:"WhiteSpace",loc:null,value:" "});break}e.push(n)}return e}},pf={parse:{prelude(){let e=this.createList();switch(this.skipSC(),this.tokenType){case 5:e.push(this.String());break;case 7:case 2:e.push(this.Url());break;default:this.error("String or url() is expected")}return(1===this.lookupNonWSType(0)||21===this.lookupNonWSType(0))&&e.push(this.MediaQueryList()),e},block:null}},hf={parse:{prelude(){return this.createSingleNodeList(this.MediaQueryList())},block(e=!1){return this.Block(e)}}};function ff(){return this.createSingleNodeList(this.Raw(this.tokenIndex,null,!1))}function mf(){return this.skipSC(),1===this.tokenType&&16===this.lookupNonWSType(1)?this.createSingleNodeList(this.Declaration()):gf.call(this)}function gf(){let e,t=this.createList();this.skipSC();e:for(;!this.eof;){switch(this.tokenType){case 25:case 13:this.next();continue;case 2:e=this.Function(ff,this.scope.AtrulePrelude);break;case 1:e=this.Identifier();break;case 21:e=this.Parentheses(mf,this.scope.AtrulePrelude);break;default:break e}t.push(e)}return t}var bf={parse:{prelude(){let e=gf.call(this);return null===this.getFirstListNode(e)&&this.error("Condition is expected"),e},block(e=!1){return this.Block(e)}}},wf={"font-face":{parse:{prelude:null,block(){return this.Block(!0)}}},import:pf,media:hf,nest:{parse:{prelude(){return this.createSingleNodeList(this.SelectorList())},block(){return this.Block(!0)}}},page:{parse:{prelude(){return this.createSingleNodeList(this.SelectorList())},block(){return this.Block(!0)}}},supports:bf},yf={parse(){return this.createSingleNodeList(this.SelectorList())}},vf={parse(){return this.createSingleNodeList(this.Selector())}},kf={parse(){return this.createSingleNodeList(this.Identifier())}},xf={parse(){return this.createSingleNodeList(this.Nth())}},Sf={dir:kf,has:yf,lang:kf,matches:yf,is:yf,"-moz-any":yf,"-webkit-any":yf,where:yf,not:yf,"nth-child":xf,"nth-last-child":xf,"nth-last-of-type":xf,"nth-of-type":xf,slotted:vf,host:vf,"host-context":vf},Cf={};Ti(Cf,{AnPlusB:()=>Tc,Atrule:()=>Dc,AtrulePrelude:()=>Qc,AttributeSelector:()=>Xc,Block:()=>lu,Brackets:()=>hu,CDC:()=>wu,CDO:()=>Su,ClassSelector:()=>Eu,Combinator:()=>ju,Comment:()=>Fu,Declaration:()=>Gu,DeclarationList:()=>td,Dimension:()=>sd,Function:()=>pd,Hash:()=>wd,IdSelector:()=>Ed,Identifier:()=>Sd,MediaFeature:()=>jd,MediaQuery:()=>Fd,MediaQueryList:()=>Bd,NestingSelector:()=>Yd,Nth:()=>Zd,Number:()=>op,Operator:()=>cp,Parentheses:()=>fp,Percentage:()=>yp,PseudoClassSelector:()=>Op,PseudoElementSelector:()=>Tp,Ratio:()=>Rp,Raw:()=>Bp,Rule:()=>Hp,Selector:()=>nh,SelectorList:()=>lh,String:()=>gh,StyleSheet:()=>Sh,TypeSelector:()=>Nh,UnicodeRange:()=>Fh,Url:()=>Qh,Value:()=>Kh,WhiteSpace:()=>nf});var Of={parseContext:{default:"StyleSheet",stylesheet:"StyleSheet",atrule:"Atrule",atrulePrelude(e){return this.AtrulePrelude(e.atrule?String(e.atrule):null)},mediaQueryList:"MediaQueryList",mediaQuery:"MediaQuery",rule:"Rule",selectorList:"SelectorList",selector:"Selector",block(){return this.Block(!0)},declarationList:"DeclarationList",declaration:"Declaration",value:"Value"},scope:sf,atrule:wf,pseudo:Sf,node:Cf},Af={node:yc},zf=(e=>wc(bc({},e)))(mn(mn(mn({},of),Of),Af));Ti({},{decode:()=>Ef,encode:()=>Nf});function Ef(e){let t=e.length-1,n="";for(let r=0;r<e.length;r++){let o=e.charCodeAt(r);if(92===o){if(r===t)break;if(o=e.charCodeAt(++r),ws(92,o)){let t=r-1,o=Ts(e,t);r=o-1,n+=Ms(e.substring(t+1,o))}else 13===o&&10===e.charCodeAt(r+1)&&r++}else n+=e[r]}return n}function Nf(e){let t="";if(1===e.length&&45===e.charCodeAt(0))return"\\-";for(let n=0;n<e.length;n++){let r=e.charCodeAt(n);0!==r?r<=31||127===r||r>=48&&r<=57&&(0===n||1===n&&45===e.charCodeAt(0))?t+="\\"+r.toString(16)+" ":fs(r)?t+=e.charAt(n):t+="\\"+e.charAt(n):t+="�"}return t}var{tokenize:Pf,parse:Tf,generate:If,lexer:jf,createLexer:Lf,walk:Mf,find:_f,findLast:Rf,findAll:Ff,toPlainObject:Df,fromPlainObject:Uf,fork:qf}=zf;const Wf="declaration-block-no-duplicate-properties",Bf=Z(Wf,{rejected:e=>'Unexpected duplicate "'.concat(e,'"')}),$f=e=>"children"in e&&e.children instanceof $s,Qf=(e,t)=>{if(e.length!==t.length)return!1;for(let n=0;n<e.length;n++){const r=e[n],o=t[n];if(void 0===r||void 0===o||r.type!==o.type)return!1;const i="name"in r?String(r.name):"",s="name"in o?String(o.name):"";if("Identifier"===r.type&&oi(i)&&"Identifier"===o.type&&oi(s))continue;if(i.toLowerCase()!==s.toLowerCase())return!1;if(("unit"in r?r.unit:"")!==("unit"in o?o.unit:""))return!1;const a=$f(r)?r.children.toArray():null,l=$f(o)?o.children.toArray():null;if(Array.isArray(a)&&Array.isArray(l)){if(Qf(a,l))continue;return!1}}return!0},Vf=(e,t,n)=>(r,o)=>{if(!re(o,Wf,{actual:e},{actual:t,possible:{ignore:["consecutive-duplicates","consecutive-duplicates-with-different-values","consecutive-duplicates-with-different-syntaxes","consecutive-duplicates-with-same-prefixless-values"],ignoreProperties:[P,N]},optional:!0}))return;const i=H(t,"ignore","consecutive-duplicates"),s=H(t,"ignore","consecutive-duplicates-with-different-values"),a=H(t,"ignore","consecutive-duplicates-with-different-syntaxes"),l=H(t,"ignore","consecutive-duplicates-with-same-prefixless-values");vi(r,(e=>{const r=[];e((e=>{const c=e.prop,u=e.prop.toLowerCase(),d=e.value,p=e.important;if(!mi(c))return;if(oi(c))return;if(H(t,"ignoreProperties",c))return;if("src"===u)return;const h=r.findIndex((e=>e.prop.toLowerCase()===u));-1===h&&r.push(e);const f=r[h];if(!f)return;const m=f.value||"",g=f.important||!1,b=!p&&g,w=h===r.length-1,y=xe.unprefixed(d)===xe.unprefixed(m),v=()=>n.fix?b?e.remove():(r[h]=e,f.remove()):X({message:Bf.rejected,messageArgs:[c],node:e,result:o,ruleName:Wf,word:c});if(s||a||l){if(!w||l&&!y)return void v();if(a){if(((e,t)=>{if(e===t)return!0;if(!V(e)||!V(t))return!1;let n,r;try{n=Tf(e,{context:"value"}),r=Tf(t,{context:"value"})}catch(e){return!1}const o=$f(n)?n.children.toArray():[],i=$f(r)?r.children.toArray():[];return Qf(o,i)})(d,m))return void v()}if(d!==m)return;return n.fix?f.remove():X({message:Bf.rejected,messageArgs:[c],node:e,result:o,ruleName:Wf,word:c})}i&&w||v()}))}))};Vf.ruleName=Wf,Vf.messages=Bf,Vf.meta={url:"https://stylelint.io/user-guide/rules/declaration-block-no-duplicate-properties",fixable:!0};const Gf="declaration-block-no-redundant-longhand-properties",Yf=Z(Gf,{expected:e=>'Expected shorthand property "'.concat(e,'"')}),Jf=new Map([["font-synthesis",e=>{var t,n,r;const o=null===(t=e.get("font-synthesis-weight"))||void 0===t?void 0:t.value.trim(),i=null===(n=e.get("font-synthesis-style"))||void 0===n?void 0:n.value.trim(),s=null===(r=e.get("font-synthesis-small-caps"))||void 0===r?void 0:r.value.trim(),a=e=>"none"===e||"auto"===e;if(!a(o)||!a(i)||!a(s))return;const l=[];return"auto"===o&&l.push("weight"),"auto"===i&&l.push("style"),"auto"===s&&l.push("small-caps"),0===l.length?"none":l.join(" ")}],["grid-column",e=>{var t,n;const r=null===(t=e.get("grid-column-start"))||void 0===t?void 0:t.value.trim(),o=null===(n=e.get("grid-column-end"))||void 0===n?void 0:n.value.trim();if(r&&o)return"".concat(r," / ").concat(o)}],["grid-row",e=>{var t,n;const r=null===(t=e.get("grid-row-start"))||void 0===t?void 0:t.value.trim(),o=null===(n=e.get("grid-row-end"))||void 0===n?void 0:n.value.trim();if(r&&o)return"".concat(r," / ").concat(o)}],["grid-template",e=>{var t,n,r;const o=null===(t=e.get("grid-template-areas"))||void 0===t?void 0:t.value.trim(),i=null===(n=e.get("grid-template-columns"))||void 0===n?void 0:n.value.trim(),s=null===(r=e.get("grid-template-rows"))||void 0===r?void 0:r.value.trim();if(!(o&&i&&s))return;if(i.includes("repeat(")||s.includes("repeat("))return;const a=[...o.matchAll(/"[^"]+"/g)].map((e=>e[0])),l=s.split(" ");if(0===a.length||0===l.length)return;if(a.length!==l.length)return;const c=a.map(((e,t)=>"".concat(e," ").concat(l[t]))).join(" ");return"".concat(c," / ").concat(i)}],["transition",e=>{var t,n,r,o;const i=(e="")=>{let t=e.trim();if(!t)return[];if(-1===t.indexOf(","))return[t];let n=S(t),r=[];{let e=[];n.nodes.forEach((t=>{if("div"===t.type&&","===t.value)return r.push(e),void(e=[]);e.push(t)})),r.push(e)}return r.map((e=>S.stringify(e).trim())).filter((e=>e.length>0))},s=i(null===(t=e.get("transition-delay"))||void 0===t?void 0:t.value),a=i(null===(n=e.get("transition-duration"))||void 0===n?void 0:n.value),l=i(null===(r=e.get("transition-timing-function"))||void 0===r?void 0:r.value),c=i(null===(o=e.get("transition-property"))||void 0===o?void 0:o.value);if(s.length&&a.length&&l.length&&c.length)return c.map(((e,t)=>[e,a[t%a.length],l[t%l.length],s[t%s.length]].filter(P).join(" "))).join(", ")}]]),Kf=["border-width","border-style","border-color","border-top","border-right","border-bottom","border-left"],Hf=(e,t,n)=>{const r=Jf.get(e);if(void 0===r){const e=t.map((e=>{var t;return null===(t=n.get(e))||void 0===t?void 0:t.value.trim()})).filter(Boolean);return e.length>0?e.join(" "):void 0}return r(n)},Xf=(e,t,n)=>(r,o)=>{var i;if(!re(o,Gf,{actual:e},{actual:t,possible:{ignoreShorthands:[P,N],ignoreLonghands:[P]},optional:!0}))return;const s=new Map,a=null!==(i=null==t?void 0:t.ignoreLonghands)&&void 0!==i?i:[];for(const[e,n]of dn.entries())if(!H(t,"ignoreShorthands",e))for(const t of n){if(a.includes(t))continue;const n=s.get(t)||[];n.push(e),s.set(t,n)}vi(r,(e=>{const t=new Map,r=new Map;e((e=>{if(Dr.has(e.value))return;const i=e.prop.toLowerCase(),l=xe.unprefixed(i),c=xe.prefix(i),u=s.get(l);if(u)for(const s of u){const l=c+s,u=t.get(l)||[],d=r.get(l)||[];u.push(i),t.set(l,u),d.push(e),r.set(l,d);const p=new Set(dn.get(s));a.forEach((e=>p.delete(e)));const h=Array.from(p,(e=>c+e));if(te([...h].sort(),u.sort())){if(n.fix){const e=r.get(l)||[],[n]=e;if(n){const r=new Map(e.map((e=>[e.prop.toLowerCase(),e]))),o=Hf(l,h,r);if(o){const r=n.clone({prop:l,value:o});return n.replaceWith(r),e.forEach((e=>e.remove())),void(Kf.includes(s)&&t.forEach(((e,n)=>{const r=e.filter((e=>!u.includes(e)));t.set(n,r)})))}}}X({ruleName:Gf,result:o,node:e,word:e.prop,message:Yf.expected,messageArgs:[l]})}}}))}))};Xf.ruleName=Gf,Xf.messages=Yf,Xf.meta={url:"https://stylelint.io/user-guide/rules/declaration-block-no-redundant-longhand-properties",fixable:!0};const Zf="declaration-block-no-shorthand-property-overrides",em=Z(Zf,{rejected:(e,t)=>'Unexpected shorthand "'.concat(e,'" after "').concat(t,'"')}),tm=e=>(t,n)=>{re(n,Zf,{actual:e})&&vi(t,(e=>{const t=new Map;e((e=>{const r=e.prop,o=xe.unprefixed(r).toLowerCase(),i=xe.prefix(r).toLowerCase(),s=dn.get(o),a=un.get(o),l=rt(null!=s?s:[],null!=a?a:[]);if(t.set(r.toLowerCase(),r),0!==l.size)for(const o of l){const s=t.get(i+o);s&&X({ruleName:Zf,result:n,node:e,message:em.rejected,messageArgs:[r,s||""],word:r})}}))}))};tm.ruleName=Zf,tm.messages=em,tm.meta={url:"https://stylelint.io/user-guide/rules/declaration-block-no-shorthand-property-overrides"};const nm="declaration-block-single-line-max-declarations",rm=Z(nm,{expected:e=>"Expected no more than ".concat(e," ").concat(1===e?"declaration":"declarations")}),om=e=>(t,n)=>{re(n,nm,{actual:e,possible:[z]})&&t.walkRules((t=>{const r=ri(t);if(!ii(r))return;if(!t.nodes)return;t.nodes.filter((e=>"decl"===e.type)).length<=e||X({message:rm.expected,messageArgs:[e],node:t,word:r,result:n,ruleName:nm})}))};function im(e){const t=Te(e);return void 0!==t&&Fe(t)&&ai(t)&&!oi(t.prop||"")}om.ruleName=nm,om.messages=rm,om.meta={url:"https://stylelint.io/user-guide/rules/declaration-block-single-line-max-declarations"};const sm="declaration-empty-line-before",am=Z(sm,{expected:"Expected empty line before declaration",rejected:"Unexpected empty line before declaration"}),lm=(e,t,n)=>(r,o)=>{re(o,sm,{actual:e,possible:["always","never"]},{actual:t,possible:{except:["first-nested","after-comment","after-declaration"],ignore:["after-comment","after-declaration","first-nested","inside-single-line-block"]},optional:!0})&&r.walkDecls((r=>{const i=r.prop,s=r.parent;if(null==s)return;if(Xe(r))return;if(!_e(s)&&!Me(s)&&!Le(s))return;if(!ai(r))return;if(oi(i))return;if(H(t,"ignore","after-comment")&&Ge(r))return;if(H(t,"ignore","after-declaration")&&im(r))return;if(H(t,"ignore","first-nested")&&He(r))return;if(H(t,"ignore","inside-single-line-block")&&ii(ri(s)))return;let a="always"===e;(H(t,"except","first-nested")&&He(r)||H(t,"except","after-comment")&&Ge(r)||H(t,"except","after-declaration")&&im(r))&&(a=!a);if(a===je(r.raws.before))return;if(n.fix){if(null==n.newline)return;return void(a?Ne(r,n.newline):Ze(r,n.newline))}X({message:a?am.expected:am.rejected,node:r,result:o,ruleName:sm})}))};function cm(e){const t=/!\s*important\b/gi,n=t.exec(e);if(n)return{index:n.index,endIndex:t.lastIndex}}lm.ruleName=sm,lm.messages=am,lm.meta={url:"https://stylelint.io/user-guide/rules/declaration-empty-line-before",fixable:!0};const um="declaration-no-important",dm=Z(um,{rejected:"Unexpected !important"}),pm=e=>(t,n)=>{re(n,um,{actual:e})&&t.walkDecls((e=>{if(!e.important)return;const t=cm(e.toString());I(t),X({message:dm.rejected,node:e,index:t.index,endIndex:t.endIndex,result:n,ruleName:um})}))};function hm(e){return t=>!!T(t)&&Object.values(t).every((t=>e(t)))}pm.ruleName=um,pm.messages=dm,pm.meta={url:"https://stylelint.io/user-guide/rules/declaration-no-important"};const fm="declaration-property-max-values",mm=Z(fm,{rejected:(e,t)=>'Expected "'.concat(e,'" to have no more than ').concat(t," ").concat(1===t?"value":"values")}),gm=e=>"word"===e.type||"function"===e.type||"string"===e.type,bm=e=>(t,n)=>{re(n,fm,{actual:e,possible:[hm(z)]})&&t.walkDecls((t=>{const{prop:r,value:o}=t,i=S(o).nodes.filter(gm).length,s=xe.unprefixed(r),a=Object.keys(e).find((e=>G(s,e)));if(!a)return;const l=e[a];j(l),i<=l||X({message:mm.rejected,messageArgs:[r,l],node:t,result:n,ruleName:fm})}))};function wm(e){if(!e||!e.value)return{unit:null,number:null};if("word"!==e.type)return{unit:null,number:null};if(!V(e.value))return{unit:null,number:null};if(e.value.startsWith("#"))return{unit:null,number:null};const t=function(e,t=" "){return e.replace(/[#@{}]+/g,t)}(e.value,"").replace("\\0","").replace("\\9",""),n=S.unit(t);return n||{unit:null,number:null}}bm.ruleName=fm,bm.messages=mm,bm.meta={url:"https://stylelint.io/user-guide/rules/declaration-property-max-values"};const ym="declaration-property-unit-allowed-list",vm=Z(ym,{rejected:(e,t)=>'Unexpected unit "'.concat(t,'" for property "').concat(e,'"')}),km=(e,t)=>(n,r)=>{re(r,ym,{actual:e,possible:[wt(P)]},{actual:t,possible:{ignore:["inside-function"]},optional:!0})&&n.walkDecls((n=>{const o=n.prop,i=n.value,s=xe.unprefixed(o),a=Object.keys(e).find((e=>G(s,e)));if(!a)return;const l=e[a];if(!l)return;const c=new Set([l].flat());S(i).walk((e=>{if("function"===e.type){if("url"===e.value.toLowerCase())return!1;if(H(t,"ignore","inside-function"))return!1}if("string"===e.type)return;const{unit:i}=wm(e);if(!i||c.has(i.toLowerCase()))return;const s=M(n)+e.sourceIndex,a=s+e.value.length;X({message:vm.rejected,messageArgs:[o,i],node:n,index:s,endIndex:a,result:r,ruleName:ym})}))}))};km.ruleName=ym,km.messages=vm,km.meta={url:"https://stylelint.io/user-guide/rules/declaration-property-unit-allowed-list"};const xm="declaration-property-unit-disallowed-list",Sm=Z(xm,{rejected:(e,t)=>'Unexpected unit "'.concat(t,'" for property "').concat(e,'"')}),Cm=e=>(t,n)=>{re(n,xm,{actual:e,possible:[wt(P)]})&&t.walkDecls((t=>{const r=t.prop,o=t.value,i=xe.unprefixed(r),s=Object.keys(e).find((e=>G(i,e)));if(!s)return;const a=e[s];if(!a)return;const l=new Set([a].flat());S(o).walk((e=>{if("function"===e.type&&"url"===e.value.toLowerCase())return!1;if("string"===e.type)return;const{unit:o}=wm(e);if(!o||!l.has(o.toLowerCase()))return;const i=M(t)+e.sourceIndex,s=i+e.value.length;X({message:Sm.rejected,messageArgs:[r,o],node:t,index:i,endIndex:s,result:n,ruleName:xm})}))}))};Cm.ruleName=xm,Cm.messages=Sm,Cm.meta={url:"https://stylelint.io/user-guide/rules/declaration-property-unit-disallowed-list"};const Om="declaration-property-value-allowed-list",Am=Z(Om,{rejected:(e,t)=>'Unexpected value "'.concat(t,'" for property "').concat(e,'"')}),zm=e=>(t,n)=>{if(!re(n,Om,{actual:e,possible:[wt(P,N)]}))return;const r=Object.keys(e);t.walkDecls((t=>{const{prop:o,value:i}=t,s=xe.unprefixed(o),a=r.filter((e=>G(s,e)));if(0===a.length)return;if(a.some((t=>H(e,t,i))))return;const l=M(t),c=l+t.value.length;X({message:Am.rejected,messageArgs:[o,i],node:t,index:l,endIndex:c,result:n,ruleName:Om})}))};zm.ruleName=Om,zm.messages=Am,zm.meta={url:"https://stylelint.io/user-guide/rules/declaration-property-value-allowed-list"};const Em="declaration-property-value-disallowed-list",Nm=Z(Em,{rejected:(e,t)=>'Unexpected value "'.concat(t,'" for property "').concat(e,'"')}),Pm=e=>(t,n)=>{if(!re(n,Em,{actual:e,possible:[wt(P,N)]}))return;const r=Object.keys(e);t.walkDecls((t=>{const{prop:o,value:i}=t,s=xe.unprefixed(o),a=r.filter((e=>G(s,e)));if(0===a.length)return;if(a.every((t=>!H(e,t,i))))return;const l=M(t),c=l+t.value.length;X({message:Nm.rejected,messageArgs:[o,i],node:t,index:l,endIndex:c,result:n,ruleName:Em})}))};Pm.ruleName=Em,Pm.messages=Nm,Pm.meta={url:"https://stylelint.io/user-guide/rules/declaration-property-value-disallowed-list"};const Tm="declaration-property-value-no-unknown",Im=Z(Tm,{rejected:(e,t)=>'Unexpected unknown value "'.concat(t,'" for property "').concat(e,'"'),rejectedParseError:(e,t)=>'Cannot parse property value "'.concat(t,'" for property "').concat(e,'"')}),jm=/^syntax$/i,Lm=(e,t)=>(n,r)=>{var o,i,s;if(!re(r,Tm,{actual:e},{actual:t,possible:{ignoreProperties:[wt(P,N)],propertiesSyntax:[O],typesSyntax:[O]},optional:!0}))return;const a=Array.from(Object.entries(null!==(o=null==t?void 0:t.ignoreProperties)&&void 0!==o?o:{})),l=mn({},null!==(i=null==t?void 0:t.propertiesSyntax)&&void 0!==i?i:{}),c=null!==(s=null==t?void 0:t.typesSyntax)&&void 0!==s?s:{},u=new Map;n.walkAtRules(/^property$/i,(e=>{const t=e.params.trim();if(t&&e.nodes&&oi(t))for(const n of e.nodes)if(Fe(n)&&jm.test(n.prop)){const e=n.value.trim(),r=dh.decode(e);if(r===e)continue;if("*"===r)continue;const o="-stylelint".concat(t);u.set(t,o),l[o]=r}}));const d=qf({properties:l,types:c}).lexer;n.walkDecls((e=>{var t;const{prop:n,value:o,parent:i}=e;if(/^-moz-initial$/i.test(o))return;if(!ai(e))return;if(!mi(n))return;if(!V(o))return;if(oi(n)&&!u.has(n))return;if(((e,t)=>{const[,n]=a.find((([t])=>G(e,t)))||[];return n&&G(t,n)})(n,o))return;if(/^initial-value$/i.test(n)&&e.parent&&_e(e.parent)&&/^property$/i.test(e.parent.name))return;let s;try{if(s=Tf(o,{context:"value"}),Boolean(_f(s,(e=>"Function"===e.type&&["clamp","min","max","env"].includes(e.name)))))return}catch(t){const i=M(e),s=i+o.length;return void X({message:Im.rejectedParseError(n,o),node:e,index:i,endIndex:s,result:r,ruleName:Tm})}const{error:l}=i&&_e(i)&&!ot.has(i.name.toLowerCase())?d.matchAtruleDescriptor(i.name,n,s):d.matchProperty(null!==(t=u.get(n))&&void 0!==t?t:n,s);if(!l)return;if(!("mismatchLength"in l))return;const{mismatchLength:c,mismatchOffset:p,name:h,rawMessage:f}=l;if("SyntaxMatchError"!==h)return;if("Mismatch"!==f)return;const m=o.slice(p,p+c),g=M(e)+p,b=g+c;X({message:Im.rejected(n,m),node:e,index:g,endIndex:b,result:r,ruleName:Tm})}))};function Mm(e){return 0!==e.toString().trim().length&&Number(e)==e}Lm.ruleName=Tm,Lm.messages=Im,Lm.meta={url:"https://stylelint.io/user-guide/rules/declaration-property-value-no-unknown"};const _m=new Set(["cap","ch","em","ex","ic","lh","rcap","rch","rem","rex","ric","rlh","dvb","dvh","dvi","dvmax","dvmin","dvw","lvb","lvh","lvi","lvmax","lvmin","lvw","svb","svh","svi","svmax","svmin","svw","vb","vh","vi","vw","vmin","vmax","vm","px","mm","cm","in","pt","pc","q","mozmm","fr","cqw","cqh","cqi","cqb","cqmin","cqmax"]),Rm=new Set(["dpi","dpcm","dppx","x"]),Fm=rt(_m,Rm,["%","s","ms","deg","grad","turn","rad","Hz","kHz"]);function Dm(e){if(!e)return!1;if(Kr.has(e))return!0;const t=S.unit(e);if(!t)return!1;const n=t.unit;return"%"===n||!!_m.has(n.toLowerCase())}function Um(e){return e.toLowerCase().startsWith("var(")}const qm=new Set(["word","string","space","div"]);function Wm(e){const t=[],n=S(e),{nodes:r}=n;if(1===r.length&&r[0]&&Dr.has(r[0].value.toLowerCase()))return[r[0]];let o=!1,i=null;return n.walk(((e,n,r)=>{if("function"===e.type)return!1;if(!qm.has(e.type))return;const s=e.value.toLowerCase();if(!V(s))return;if(Um(s))return;if(Xr.has(s)&&!qr.has(s))return;if(Dm(e.value))return;const a=r[n-1],l=r[n-2];if(a&&"/"===a.value&&l&&Dm(l.value))return;if(Mm(s))return;if(("space"===e.type||"div"===e.type&&","!==e.value)&&0!==t.length)return o=!0,void(i=e.value);if("space"===e.type||"div"===e.type)return;const c=e;if(o){const e=t[t.length-1];I(e),d=c,p=i,(u=e).value=u.value+p+d.value,o=!1,i=null}else t.push(c);var u,d,p})),t}const Bm="font-family-name-quotes",$m=Z(Bm,{expected:e=>'Expected quotes around "'.concat(e,'"'),rejected:e=>'Unexpected quotes around "'.concat(e,'"')});const Qm=(e,t)=>{const n=[];return e.forEach(((e,r)=>{const o="quote"in e&&e.quote,i=e.value,s={name:i,rawName:o?"".concat(o).concat(i).concat(o):i,sourceIndex:e.sourceIndex,hasQuotes:Boolean(o),resetIndexes(e){n.slice(r+1).forEach((t=>t.sourceIndex+=e))},removeQuotes(){if(!1===this.hasQuotes)return;const e=this.sourceIndex,n=e+this.name.length+2;this.hasQuotes=!1,t.value=t.value.slice(0,e)+this.name+t.value.substring(n),this.resetIndexes(-2)},addQuotes(){if(!0===this.hasQuotes)return;const e=this.sourceIndex,n=e+this.name.length;this.hasQuotes=!0;const r='"'.concat(this.name,'"');t.value=t.value.slice(0,e)+r+t.value.substring(n),this.resetIndexes(2)}};n.push(s)})),n},Vm=(e,t,n)=>(t,r)=>{function o(t,r){const{name:o,rawName:s,hasQuotes:a}=t;if(Um(s))return;if(qr.has(o.toLowerCase())||((l=o).startsWith("-apple-")||"BlinkMacSystemFont"===l))return a?n.fix?void t.removeQuotes():i($m.rejected(o),s,r):void 0;var l;const c=function(e){return e.split(/\s+/).some((e=>/^(?:-?\d|--)/.test(e)||!/^[-\w\u{00A0}-\u{10FFFF}]+$/u.test(e)))}(o),u=function(e){return!/^[-a-z]+$/i.test(e)}(o);switch(e){case"always-unless-keyword":return a?void 0:n.fix?void t.addQuotes():i($m.expected(o),s,r);case"always-where-recommended":return!u&&a?n.fix?void t.removeQuotes():i($m.rejected(o),s,r):u&&!a?n.fix?void t.addQuotes():i($m.expected(o),s,r):void 0;case"always-where-required":if(!c&&a)return n.fix?void t.removeQuotes():i($m.rejected(o),s,r);if(c&&!a)return n.fix?void t.addQuotes():i($m.expected(o),s,r)}}function i(e,t,n){X({result:r,ruleName:Bm,message:e,node:n,word:t})}re(r,Bm,{actual:e,possible:["always-where-required","always-where-recommended","always-unless-keyword"]})&&t.walkDecls(/^font(-family)?$/i,(e=>{if(!V(e.value))return;let t=Qm(Wm(e.value),e);if(0!==t.length)for(const n of t)o(n,e)}))};Vm.ruleName=Bm,Vm.messages=$m,Vm.meta={url:"https://stylelint.io/user-guide/rules/font-family-name-quotes",fixable:!0};const Gm="font-family-no-duplicate-names",Ym=Z(Gm,{rejected:e=>"Unexpected duplicate name ".concat(e)}),Jm=(e,t)=>(n,r)=>{function o(e,t,n,o){X({result:r,ruleName:Gm,message:e,node:o,index:t,endIndex:t+n})}re(r,Gm,{actual:e},{actual:t,possible:{ignoreFontFamilyNames:[P,N]},optional:!0})&&n.walkDecls(/^font(-family)?$/i,(e=>{const n=new Set,r=new Set,i=Wm(e.value);var s;if(0!==i.length)for(const a of i){const i=a.value.trim();if(H(t,"ignoreFontFamilyNames",i))continue;const l="quote"in a?a.quote+i+a.quote:i;if("quote"in(s=a)||!qr.has(s.value.toLowerCase()))r.has(i)?o(Ym.rejected(i),M(e)+a.sourceIndex,l.length,e):r.add(i);else{if(n.has(i.toLowerCase())){o(Ym.rejected(i),M(e)+a.sourceIndex,l.length,e);continue}n.add(i)}}}))};Jm.ruleName=Gm,Jm.messages=Ym,Jm.meta={url:"https://stylelint.io/user-guide/rules/font-family-no-duplicate-names"};var Km={cwd:()=>"/",env:{NO_COLOR:"true",FORCE_COLOR:"false"},argv:[]};class Hm extends Error{constructor(e,t,n,r,o,i){super(e),this.name="CssSyntaxError",this.reason=e,o&&(this.file=o),r&&(this.source=r),i&&(this.plugin=i),void 0!==t&&void 0!==n&&("number"==typeof t?(this.line=t,this.column=n):(this.line=t.line,this.column=t.column,this.endLine=n.line,this.endColumn=n.column)),this.setMessage(),Error.captureStackTrace&&Error.captureStackTrace(this,Hm)}setMessage(){this.message=this.plugin?this.plugin+": ":"",this.message+=this.file?this.file:"<css input>",void 0!==this.line&&(this.message+=":"+this.line+":"+this.column),this.message+=": "+this.reason}showSourceCode(){if(!this.source)return"";let e,t,n=this.source.split(/\r?\n/),r=Math.max(this.line-3,0),o=Math.min(this.line+2,n.length),i=String(o).length;return e=t=e=>e,n.slice(r,o).map(((t,n)=>{let o=r+1+n,s=" "+(" "+o).slice(-i)+" | ";if(o===this.line){let n=s.replace(/\d/g," ")+t.slice(0,this.column-1).replace(/[^\t]/g," ");return e(">")+s+t+"\n "+n+e("^")}return" "+s+t})).join("\n")}toString(){let e=this.showSourceCode();return e&&(e="\n\n"+e+"\n"),this.name+": "+this.message+e}}Hm.default=Hm;const Xm=Symbol("isClean"),Zm=Symbol("my"),eg={after:"\n",beforeClose:"\n",beforeComment:"\n",beforeDecl:"\n",beforeOpen:" ",beforeRule:"\n",colon:": ",commentLeft:" ",commentRight:" ",emptyBody:"",indent:"    ",semicolon:!1};let tg=class{constructor(e){this.builder=e}atrule(e,t){let n="@"+e.name,r=e.params?this.rawValue(e,"params"):"";if(void 0!==e.raws.afterName?n+=e.raws.afterName:r&&(n+=" "),e.nodes)this.block(e,n+r);else{let o=(e.raws.between||"")+(t?";":"");this.builder(n+r+o,e)}}beforeAfter(e,t){let n;n="decl"===e.type?this.raw(e,null,"beforeDecl"):"comment"===e.type?this.raw(e,null,"beforeComment"):"before"===t?this.raw(e,null,"beforeRule"):this.raw(e,null,"beforeClose");let r=e.parent,o=0;for(;r&&"root"!==r.type;)o+=1,r=r.parent;if(n.includes("\n")){let t=this.raw(e,null,"indent");if(t.length)for(let e=0;e<o;e++)n+=t}return n}block(e,t){let n,r=this.raw(e,"between","beforeOpen");this.builder(t+r+"{",e,"start"),e.nodes&&e.nodes.length?(this.body(e),n=this.raw(e,"after")):n=this.raw(e,"after","emptyBody"),n&&this.builder(n),this.builder("}",e,"end")}body(e){let t=e.nodes.length-1;for(;t>0&&"comment"===e.nodes[t].type;)t-=1;let n=this.raw(e,"semicolon");for(let r=0;r<e.nodes.length;r++){let o=e.nodes[r],i=this.raw(o,"before");i&&this.builder(i),this.stringify(o,t!==r||n)}}comment(e){let t=this.raw(e,"left","commentLeft"),n=this.raw(e,"right","commentRight");this.builder("/*"+t+e.text+n+"*/",e)}decl(e,t){let n=this.raw(e,"between","colon"),r=e.prop+n+this.rawValue(e,"value");e.important&&(r+=e.raws.important||" !important"),t&&(r+=";"),this.builder(r,e)}document(e){this.body(e)}raw(e,t,n){let r;if(n||(n=t),t&&(r=e.raws[t],void 0!==r))return r;let o=e.parent;if("before"===n){if(!o||"root"===o.type&&o.first===e)return"";if(o&&"document"===o.type)return""}if(!o)return eg[n];let i=e.root();if(i.rawCache||(i.rawCache={}),void 0!==i.rawCache[n])return i.rawCache[n];if("before"===n||"after"===n)return this.beforeAfter(e,n);{let o="raw"+function(e){return e[0].toUpperCase()+e.slice(1)}(n);this[o]?r=this[o](i,e):i.walk((e=>{if(r=e.raws[t],void 0!==r)return!1}))}return void 0===r&&(r=eg[n]),i.rawCache[n]=r,r}rawBeforeClose(e){let t;return e.walk((e=>{if(e.nodes&&e.nodes.length>0&&void 0!==e.raws.after)return t=e.raws.after,t.includes("\n")&&(t=t.replace(/[^\n]+$/,"")),!1})),t&&(t=t.replace(/\S/g,"")),t}rawBeforeComment(e,t){let n;return e.walkComments((e=>{if(void 0!==e.raws.before)return n=e.raws.before,n.includes("\n")&&(n=n.replace(/[^\n]+$/,"")),!1})),void 0===n?n=this.raw(t,null,"beforeDecl"):n&&(n=n.replace(/\S/g,"")),n}rawBeforeDecl(e,t){let n;return e.walkDecls((e=>{if(void 0!==e.raws.before)return n=e.raws.before,n.includes("\n")&&(n=n.replace(/[^\n]+$/,"")),!1})),void 0===n?n=this.raw(t,null,"beforeRule"):n&&(n=n.replace(/\S/g,"")),n}rawBeforeOpen(e){let t;return e.walk((e=>{if("decl"!==e.type&&(t=e.raws.between,void 0!==t))return!1})),t}rawBeforeRule(e){let t;return e.walk((n=>{if(n.nodes&&(n.parent!==e||e.first!==n)&&void 0!==n.raws.before)return t=n.raws.before,t.includes("\n")&&(t=t.replace(/[^\n]+$/,"")),!1})),t&&(t=t.replace(/\S/g,"")),t}rawColon(e){let t;return e.walkDecls((e=>{if(void 0!==e.raws.between)return t=e.raws.between.replace(/[^\s:]/g,""),!1})),t}rawEmptyBody(e){let t;return e.walk((e=>{if(e.nodes&&0===e.nodes.length&&(t=e.raws.after,void 0!==t))return!1})),t}rawIndent(e){if(e.raws.indent)return e.raws.indent;let t;return e.walk((n=>{let r=n.parent;if(r&&r!==e&&r.parent&&r.parent===e&&void 0!==n.raws.before){let e=n.raws.before.split("\n");return t=e[e.length-1],t=t.replace(/\S/g,""),!1}})),t}rawSemicolon(e){let t;return e.walk((e=>{if(e.nodes&&e.nodes.length&&"decl"===e.last.type&&(t=e.raws.semicolon,void 0!==t))return!1})),t}rawValue(e,t){let n=e[t],r=e.raws[t];return r&&r.value===n?r.raw:n}root(e){this.body(e),e.raws.after&&this.builder(e.raws.after)}rule(e){this.block(e,this.rawValue(e,"selector")),e.raws.ownSemicolon&&this.builder(e.raws.ownSemicolon,e,"end")}stringify(e,t){if(!this[e.type])throw new Error("Unknown AST node type "+e.type+". Maybe you need to change PostCSS stringifier.");this[e.type](e,t)}};function ng(e,t){new tg(t).stringify(e)}function rg(e,t){let n=new e.constructor;for(let r in e){if(!Object.prototype.hasOwnProperty.call(e,r))continue;if("proxyCache"===r)continue;let o=e[r],i=typeof o;"parent"===r&&"object"===i?t&&(n[r]=t):"source"===r?n[r]=o:Array.isArray(o)?n[r]=o.map((e=>rg(e,n))):("object"===i&&null!==o&&(o=rg(o)),n[r]=o)}return n}tg.default=tg,ng.default=ng;let og=class{constructor(e={}){this.raws={},this[Xm]=!1,this[Zm]=!0;for(let t in e)if("nodes"===t){this.nodes=[];for(let n of e[t])"function"==typeof n.clone?this.append(n.clone()):this.append(n)}else this[t]=e[t]}addToError(e){if(e.postcssNode=this,e.stack&&this.source&&/\n\s{4}at /.test(e.stack)){let t=this.source;e.stack=e.stack.replace(/\n\s{4}at /,"$&".concat(t.input.from,":").concat(t.start.line,":").concat(t.start.column,"$&"))}return e}after(e){return this.parent.insertAfter(this,e),this}assign(e={}){for(let t in e)this[t]=e[t];return this}before(e){return this.parent.insertBefore(this,e),this}cleanRaws(e){delete this.raws.before,delete this.raws.after,e||delete this.raws.between}clone(e={}){let t=rg(this);for(let n in e)t[n]=e[n];return t}cloneAfter(e={}){let t=this.clone(e);return this.parent.insertAfter(this,t),t}cloneBefore(e={}){let t=this.clone(e);return this.parent.insertBefore(this,t),t}error(e,t={}){if(this.source){let{end:n,start:r}=this.rangeBy(t);return this.source.input.error(e,{column:r.column,line:r.line},{column:n.column,line:n.line},t)}return new Hm(e)}getProxyProcessor(){return{get:(e,t)=>"proxyOf"===t?e:"root"===t?()=>e.root().toProxy():e[t],set:(e,t,n)=>(e[t]===n||(e[t]=n,"prop"!==t&&"value"!==t&&"name"!==t&&"params"!==t&&"important"!==t&&"text"!==t||e.markDirty()),!0)}}markDirty(){if(this[Xm]){this[Xm]=!1;let e=this;for(;e=e.parent;)e[Xm]=!1}}next(){if(!this.parent)return;let e=this.parent.index(this);return this.parent.nodes[e+1]}positionBy(e,t){let n=this.source.start;if(e.index)n=this.positionInside(e.index,t);else if(e.word){let r=(t=this.toString()).indexOf(e.word);-1!==r&&(n=this.positionInside(r,t))}return n}positionInside(e,t){let n=t||this.toString(),r=this.source.start.column,o=this.source.start.line;for(let t=0;t<e;t++)"\n"===n[t]?(r=1,o+=1):r+=1;return{column:r,line:o}}prev(){if(!this.parent)return;let e=this.parent.index(this);return this.parent.nodes[e-1]}rangeBy(e){let t={column:this.source.start.column,line:this.source.start.line},n=this.source.end?{column:this.source.end.column+1,line:this.source.end.line}:{column:t.column+1,line:t.line};if(e.word){let r=this.toString(),o=r.indexOf(e.word);-1!==o&&(t=this.positionInside(o,r),n=this.positionInside(o+e.word.length,r))}else e.start?t={column:e.start.column,line:e.start.line}:e.index&&(t=this.positionInside(e.index)),e.end?n={column:e.end.column,line:e.end.line}:"number"==typeof e.endIndex?n=this.positionInside(e.endIndex):e.index&&(n=this.positionInside(e.index+1));return(n.line<t.line||n.line===t.line&&n.column<=t.column)&&(n={column:t.column+1,line:t.line}),{end:n,start:t}}raw(e,t){return(new tg).raw(this,e,t)}remove(){return this.parent&&this.parent.removeChild(this),this.parent=void 0,this}replaceWith(...e){if(this.parent){let t=this,n=!1;for(let r of e)r===this?n=!0:n?(this.parent.insertAfter(t,r),t=r):this.parent.insertBefore(t,r);n||this.remove()}return this}root(){let e=this;for(;e.parent&&"document"!==e.parent.type;)e=e.parent;return e}toJSON(e,t){let n={},r=null==t;t=t||new Map;let o=0;for(let e in this){if(!Object.prototype.hasOwnProperty.call(this,e))continue;if("parent"===e||"proxyCache"===e)continue;let r=this[e];if(Array.isArray(r))n[e]=r.map((e=>"object"==typeof e&&e.toJSON?e.toJSON(null,t):e));else if("object"==typeof r&&r.toJSON)n[e]=r.toJSON(null,t);else if("source"===e){let i=t.get(r.input);null==i&&(i=o,t.set(r.input,o),o++),n[e]={end:r.end,inputId:i,start:r.start}}else n[e]=r}return r&&(n.inputs=[...t.keys()].map((e=>e.toJSON()))),n}toProxy(){return this.proxyCache||(this.proxyCache=new Proxy(this,this.getProxyProcessor())),this.proxyCache}toString(e=ng){e.stringify&&(e=e.stringify);let t="";return e(this,(e=>{t+=e})),t}warn(e,t,n){let r={node:this};for(let e in n)r[e]=n[e];return e.warn(t,r)}get proxyOf(){return this}};og.default=og;let ig=class extends og{constructor(e){e&&void 0!==e.value&&"string"!=typeof e.value&&(e=mn(mn({},e),{},{value:String(e.value)})),super(e),this.type="decl"}get variable(){return this.prop.startsWith("--")||"$"===this.prop[0]}};function sg(){return sg}ig.default=ig,sg.default=sg.catch=sg.env=sg.cwd=sg;const ag=!1;let lg=Symbol("fromOffsetCache"),cg=class{constructor(e,t={}){if(null==e||"object"==typeof e&&!e.toString)throw new Error("PostCSS received ".concat(e," instead of CSS string"));this.css=e.toString(),"\ufeff"===this.css[0]||"￾"===this.css[0]?(this.hasBOM=!0,this.css=this.css.slice(1)):this.hasBOM=!1,t.from&&(this.file=t.from),this.file||(this.id="<input css "+((e=21)=>{let t="",n=e;for(;n--;)t+="useandom-26T198340PX75pxJACKVERYMINDBUSHWOLF_GQZbfghjklqvwyzrict"[64*Math.random()|0];return t})(6)+">"),this.map&&(this.map.file=this.from)}error(e,t,n,r={}){let o,i,s;if(t&&"object"==typeof t){let e=t,r=n;if("number"==typeof e.offset){let r=this.fromOffset(e.offset);t=r.line,n=r.col}else t=e.line,n=e.column;if("number"==typeof r.offset){let e=this.fromOffset(r.offset);i=e.line,s=e.col}else i=r.line,s=r.column}else if(!n){let e=this.fromOffset(t);t=e.line,n=e.col}let a=this.origin(t,n,i,s);return o=a?new Hm(e,void 0===a.endLine?a.line:{column:a.column,line:a.line},void 0===a.endLine?a.column:{column:a.endColumn,line:a.endLine},a.source,a.file,r.plugin):new Hm(e,void 0===i?t:{column:n,line:t},void 0===i?n:{column:s,line:i},this.css,this.file,r.plugin),o.input={column:n,endColumn:s,endLine:i,line:t,source:this.css},this.file&&(o.input.file=this.file),o}fromOffset(e){let t,n;if(this[lg])n=this[lg];else{let e=this.css.split("\n");n=new Array(e.length);let t=0;for(let r=0,o=e.length;r<o;r++)n[r]=t,t+=e[r].length+1;this[lg]=n}t=n[n.length-1];let r=0;if(e>=t)r=n.length-1;else{let t,o=n.length-2;for(;r<o;)if(t=r+(o-r>>1),e<n[t])o=t-1;else{if(!(e>=n[t+1])){r=t;break}r=t+1}}return{col:e-n[r]+1,line:r+1}}mapResolve(e){return/^\w+:\/\//.test(e)?e:sg(this.map.consumer().sourceRoot||this.map.root)}origin(e,t,n,r){if(!this.map)return!1;let o,i,s=this.map.consumer(),a=s.originalPositionFor({column:t,line:e});if(!a.source)return!1;"number"==typeof n&&(o=s.originalPositionFor({column:r,line:n})),i=sg(a.source)?ag(a.source):new URL(a.source,this.map.consumer().sourceRoot||ag(this.map.mapFile));let l={column:a.column,endColumn:o&&o.column,endLine:o&&o.line,line:a.line,url:i.toString()};if("file:"===i.protocol)throw new Error("file: protocol is not available in this PostCSS build");let c=s.sourceContentFor(a.source);return c&&(l.source=c),l}toJSON(){let e={};for(let t of["hasBOM","css","file","id"])null!=this[t]&&(e[t]=this[t]);return this.map&&(e.map=mn({},this.map),e.map.consumerCache&&(e.map.consumerCache=void 0)),e}get from(){return this.file||this.id}};cg.default=cg;let ug=Boolean(sg&&sg),dg=Boolean(sg&&sg&&sg&&sg);class pg{constructor(e,t,n,r){this.stringify=e,this.mapOpts=n.map||{},this.root=t,this.opts=n,this.css=r,this.originalCSS=r,this.usesFileUrls=!this.mapOpts.from&&this.mapOpts.absolute,this.memoizedFileURLs=new Map,this.memoizedPaths=new Map,this.memoizedURLs=new Map}addAnnotation(){let e;e=this.isInline()?"data:application/json;base64,"+this.toBase64(this.map.toString()):"string"==typeof this.mapOpts.annotation?this.mapOpts.annotation:"function"==typeof this.mapOpts.annotation?this.mapOpts.annotation(this.opts.to,this.root):this.outputFile()+".map";let t="\n";this.css.includes("\r\n")&&(t="\r\n"),this.css+=t+"/*# sourceMappingURL="+e+" */"}applyPrevMaps(){for(let e of this.previous()){let t,n=this.toUrl(this.path(e.file)),r=e.root||sg(e.file);!1===this.mapOpts.sourcesContent?(t=new sg(e.text),t.sourcesContent&&(t.sourcesContent=null)):t=e.consumer(),this.map.applySourceMap(t,n,this.toUrl(this.path(r)))}}clearAnnotation(){if(!1!==this.mapOpts.annotation)if(this.root){let e;for(let t=this.root.nodes.length-1;t>=0;t--)e=this.root.nodes[t],"comment"===e.type&&0===e.text.indexOf("# sourceMappingURL=")&&this.root.removeChild(t)}else this.css&&(this.css=this.css.replace(/\n*?\/\*#[\S\s]*?\*\/$/gm,""))}generate(){if(this.clearAnnotation(),dg&&ug&&this.isMap())return this.generateMap();{let e="";return this.stringify(this.root,(t=>{e+=t})),[e]}}generateMap(){if(this.root)this.generateString();else if(1===this.previous().length){let e=this.previous()[0].consumer();e.file=this.outputFile(),this.map=sg.fromSourceMap(e,{ignoreInvalidMapping:!0})}else this.map=new sg({file:this.outputFile(),ignoreInvalidMapping:!0}),this.map.addMapping({generated:{column:0,line:1},original:{column:0,line:1},source:this.opts.from?this.toUrl(this.path(this.opts.from)):"<no source>"});return this.isSourcesContent()&&this.setSourcesContent(),this.root&&this.previous().length>0&&this.applyPrevMaps(),this.isAnnotation()&&this.addAnnotation(),this.isInline()?[this.css]:[this.css,this.map]}generateString(){this.css="",this.map=new sg({file:this.outputFile(),ignoreInvalidMapping:!0});let e,t,n=1,r=1,o="<no source>",i={generated:{column:0,line:0},original:{column:0,line:0},source:""};this.stringify(this.root,((s,a,l)=>{if(this.css+=s,a&&"end"!==l&&(i.generated.line=n,i.generated.column=r-1,a.source&&a.source.start?(i.source=this.sourcePath(a),i.original.line=a.source.start.line,i.original.column=a.source.start.column-1,this.map.addMapping(i)):(i.source=o,i.original.line=1,i.original.column=0,this.map.addMapping(i))),e=s.match(/\n/g),e?(n+=e.length,t=s.lastIndexOf("\n"),r=s.length-t):r+=s.length,a&&"start"!==l){let e=a.parent||{raws:{}};("decl"===a.type||"atrule"===a.type&&!a.nodes)&&a===e.last&&!e.raws.semicolon||(a.source&&a.source.end?(i.source=this.sourcePath(a),i.original.line=a.source.end.line,i.original.column=a.source.end.column-1,i.generated.line=n,i.generated.column=r-2,this.map.addMapping(i)):(i.source=o,i.original.line=1,i.original.column=0,i.generated.line=n,i.generated.column=r-1,this.map.addMapping(i)))}}))}isAnnotation(){return!!this.isInline()||(void 0!==this.mapOpts.annotation?this.mapOpts.annotation:!this.previous().length||this.previous().some((e=>e.annotation)))}isInline(){if(void 0!==this.mapOpts.inline)return this.mapOpts.inline;let e=this.mapOpts.annotation;return(void 0===e||!0===e)&&(!this.previous().length||this.previous().some((e=>e.inline)))}isMap(){return void 0!==this.opts.map?!!this.opts.map:this.previous().length>0}isSourcesContent(){return void 0!==this.mapOpts.sourcesContent?this.mapOpts.sourcesContent:!this.previous().length||this.previous().some((e=>e.withContent()))}outputFile(){return this.opts.to?this.path(this.opts.to):this.opts.from?this.path(this.opts.from):"to.css"}path(e){if(this.mapOpts.absolute)return e;if(60===e.charCodeAt(0))return e;if(/^\w+:\/\//.test(e))return e;let t=this.memoizedPaths.get(e);if(t)return t;let n=this.opts.to?sg(this.opts.to):".";"string"==typeof this.mapOpts.annotation&&(n=sg(sg(this.mapOpts.annotation)));let r=sg();return this.memoizedPaths.set(e,r),r}previous(){if(!this.previousMaps)if(this.previousMaps=[],this.root)this.root.walk((e=>{if(e.source&&e.source.input.map){let t=e.source.input.map;this.previousMaps.includes(t)||this.previousMaps.push(t)}}));else{let e=new cg(this.originalCSS,this.opts);e.map&&this.previousMaps.push(e.map)}return this.previousMaps}setSourcesContent(){let e={};if(this.root)this.root.walk((t=>{if(t.source){let n=t.source.input.from;if(n&&!e[n]){e[n]=!0;let r=this.usesFileUrls?this.toFileUrl(n):this.toUrl(this.path(n));this.map.setSourceContent(r,t.source.input.css)}}}));else if(this.css){let e=this.opts.from?this.toUrl(this.path(this.opts.from)):"<no source>";this.map.setSourceContent(e,this.css)}}sourcePath(e){return this.mapOpts.from?this.toUrl(this.mapOpts.from):this.usesFileUrls?this.toFileUrl(e.source.input.from):this.toUrl(this.path(e.source.input.from))}toBase64(e){return Buffer?Buffer.from(e).toString("base64"):window.btoa(unescape(encodeURIComponent(e)))}toFileUrl(e){let t=this.memoizedFileURLs.get(e);if(t)return t;throw new Error("`map.absolute` option is not available in this PostCSS build")}toUrl(e){let t=this.memoizedURLs.get(e);if(t)return t;"\\"===sg&&(e=e.replace(/\\/g,"/"));let n=encodeURI(e).replace(/[#?]/g,encodeURIComponent);return this.memoizedURLs.set(e,n),n}}let hg,fg,mg,gg,bg=class extends og{constructor(e){super(e),this.type="comment"}};function wg(e){return e.map((e=>(e.nodes&&(e.nodes=wg(e.nodes)),delete e.source,e)))}function yg(e){if(e[Xm]=!1,e.proxyOf.nodes)for(let t of e.proxyOf.nodes)yg(t)}bg.default=bg;let vg,kg,xg=class e extends og{append(...e){for(let t of e){let e=this.normalize(t,this.last);for(let t of e)this.proxyOf.nodes.push(t)}return this.markDirty(),this}cleanRaws(e){if(super.cleanRaws(e),this.nodes)for(let t of this.nodes)t.cleanRaws(e)}each(e){if(!this.proxyOf.nodes)return;let t,n,r=this.getIterator();for(;this.indexes[r]<this.proxyOf.nodes.length&&(t=this.indexes[r],n=e(this.proxyOf.nodes[t],t),!1!==n);)this.indexes[r]+=1;return delete this.indexes[r],n}every(e){return this.nodes.every(e)}getIterator(){this.lastEach||(this.lastEach=0),this.indexes||(this.indexes={}),this.lastEach+=1;let e=this.lastEach;return this.indexes[e]=0,e}getProxyProcessor(){return{get:(e,t)=>"proxyOf"===t?e:e[t]?"each"===t||"string"==typeof t&&t.startsWith("walk")?(...n)=>e[t](...n.map((e=>"function"==typeof e?(t,n)=>e(t.toProxy(),n):e))):"every"===t||"some"===t?n=>e[t](((e,...t)=>n(e.toProxy(),...t))):"root"===t?()=>e.root().toProxy():"nodes"===t?e.nodes.map((e=>e.toProxy())):"first"===t||"last"===t?e[t].toProxy():e[t]:e[t],set:(e,t,n)=>(e[t]===n||(e[t]=n,"name"!==t&&"params"!==t&&"selector"!==t||e.markDirty()),!0)}}index(e){return"number"==typeof e?e:(e.proxyOf&&(e=e.proxyOf),this.proxyOf.nodes.indexOf(e))}insertAfter(e,t){let n,r=this.index(e),o=this.normalize(t,this.proxyOf.nodes[r]).reverse();r=this.index(e);for(let e of o)this.proxyOf.nodes.splice(r+1,0,e);for(let e in this.indexes)n=this.indexes[e],r<n&&(this.indexes[e]=n+o.length);return this.markDirty(),this}insertBefore(e,t){let n,r=this.index(e),o=0===r&&"prepend",i=this.normalize(t,this.proxyOf.nodes[r],o).reverse();r=this.index(e);for(let e of i)this.proxyOf.nodes.splice(r,0,e);for(let e in this.indexes)n=this.indexes[e],r<=n&&(this.indexes[e]=n+i.length);return this.markDirty(),this}normalize(t,n){if("string"==typeof t)t=wg(hg(t).nodes);else if(void 0===t)t=[];else if(Array.isArray(t)){t=t.slice(0);for(let e of t)e.parent&&e.parent.removeChild(e,"ignore")}else if("root"===t.type&&"document"!==this.type){t=t.nodes.slice(0);for(let e of t)e.parent&&e.parent.removeChild(e,"ignore")}else if(t.type)t=[t];else if(t.prop){if(void 0===t.value)throw new Error("Value field is missed in node creation");"string"!=typeof t.value&&(t.value=String(t.value)),t=[new ig(t)]}else if(t.selector)t=[new fg(t)];else if(t.name)t=[new mg(t)];else{if(!t.text)throw new Error("Unknown node type in node creation");t=[new bg(t)]}let r=t.map((t=>(t[Zm]||e.rebuild(t),(t=t.proxyOf).parent&&t.parent.removeChild(t),t[Xm]&&yg(t),void 0===t.raws.before&&n&&void 0!==n.raws.before&&(t.raws.before=n.raws.before.replace(/\S/g,"")),t.parent=this.proxyOf,t)));return r}prepend(...e){e=e.reverse();for(let t of e){let e=this.normalize(t,this.first,"prepend").reverse();for(let t of e)this.proxyOf.nodes.unshift(t);for(let t in this.indexes)this.indexes[t]=this.indexes[t]+e.length}return this.markDirty(),this}push(e){return e.parent=this,this.proxyOf.nodes.push(e),this}removeAll(){for(let e of this.proxyOf.nodes)e.parent=void 0;return this.proxyOf.nodes=[],this.markDirty(),this}removeChild(e){let t;e=this.index(e),this.proxyOf.nodes[e].parent=void 0,this.proxyOf.nodes.splice(e,1);for(let n in this.indexes)t=this.indexes[n],t>=e&&(this.indexes[n]=t-1);return this.markDirty(),this}replaceValues(e,t,n){return n||(n=t,t={}),this.walkDecls((r=>{t.props&&!t.props.includes(r.prop)||t.fast&&!r.value.includes(t.fast)||(r.value=r.value.replace(e,n))})),this.markDirty(),this}some(e){return this.nodes.some(e)}walk(e){return this.each(((t,n)=>{let r;try{r=e(t,n)}catch(e){throw t.addToError(e)}return!1!==r&&t.walk&&(r=t.walk(e)),r}))}walkAtRules(e,t){return t?e instanceof RegExp?this.walk(((n,r)=>{if("atrule"===n.type&&e.test(n.name))return t(n,r)})):this.walk(((n,r)=>{if("atrule"===n.type&&n.name===e)return t(n,r)})):(t=e,this.walk(((e,n)=>{if("atrule"===e.type)return t(e,n)})))}walkComments(e){return this.walk(((t,n)=>{if("comment"===t.type)return e(t,n)}))}walkDecls(e,t){return t?e instanceof RegExp?this.walk(((n,r)=>{if("decl"===n.type&&e.test(n.prop))return t(n,r)})):this.walk(((n,r)=>{if("decl"===n.type&&n.prop===e)return t(n,r)})):(t=e,this.walk(((e,n)=>{if("decl"===e.type)return t(e,n)})))}walkRules(e,t){return t?e instanceof RegExp?this.walk(((n,r)=>{if("rule"===n.type&&e.test(n.selector))return t(n,r)})):this.walk(((n,r)=>{if("rule"===n.type&&n.selector===e)return t(n,r)})):(t=e,this.walk(((e,n)=>{if("rule"===e.type)return t(e,n)})))}get first(){if(this.proxyOf.nodes)return this.proxyOf.nodes[0]}get last(){if(this.proxyOf.nodes)return this.proxyOf.nodes[this.proxyOf.nodes.length-1]}};xg.registerParse=e=>{hg=e},xg.registerRule=e=>{fg=e},xg.registerAtRule=e=>{mg=e},xg.registerRoot=e=>{gg=e},xg.default=xg,xg.rebuild=e=>{"atrule"===e.type?Object.setPrototypeOf(e,mg.prototype):"rule"===e.type?Object.setPrototypeOf(e,fg.prototype):"decl"===e.type?Object.setPrototypeOf(e,ig.prototype):"comment"===e.type?Object.setPrototypeOf(e,bg.prototype):"root"===e.type&&Object.setPrototypeOf(e,gg.prototype),e[Zm]=!0,e.nodes&&e.nodes.forEach((e=>{xg.rebuild(e)}))};class Sg extends xg{constructor(e){super(mn({type:"document"},e)),this.nodes||(this.nodes=[])}toResult(e={}){return new vg(new kg,this,e).stringify()}}Sg.registerLazyResult=e=>{vg=e},Sg.registerProcessor=e=>{kg=e},Sg.default=Sg;let Cg={};var Og=function(e){Cg[e]||(Cg[e]=!0,"undefined"!=typeof console&&console.warn&&console.warn(e))};const Ag="'".charCodeAt(0),zg='"'.charCodeAt(0),Eg="\\".charCodeAt(0),Ng="/".charCodeAt(0),Pg="\n".charCodeAt(0),Tg=" ".charCodeAt(0),Ig="\f".charCodeAt(0),jg="\t".charCodeAt(0),Lg="\r".charCodeAt(0),Mg="[".charCodeAt(0),_g="]".charCodeAt(0),Rg="(".charCodeAt(0),Fg=")".charCodeAt(0),Dg="{".charCodeAt(0),Ug="}".charCodeAt(0),qg=";".charCodeAt(0),Wg="*".charCodeAt(0),Bg=":".charCodeAt(0),$g="@".charCodeAt(0),Qg=/[\t\n\f\r "#'()/;[\\\]{}]/g,Vg=/[\t\n\f\r !"#'():;@[\\\]{}]|\/(?=\*)/g,Gg=/.[\r\n"'(/\\]/,Yg=/[\da-f]/i;var Jg=function(e,t={}){let n,r,o,i,s,a,l,c,u,d,p=e.css.valueOf(),h=t.ignoreErrors,f=p.length,m=0,g=[],b=[];function w(t){throw e.error("Unclosed "+t,m)}return{back:function(e){b.push(e)},endOfFile:function(){return 0===b.length&&m>=f},nextToken:function(e){if(b.length)return b.pop();if(m>=f)return;let t=!!e&&e.ignoreUnclosed;switch(n=p.charCodeAt(m),n){case Pg:case Tg:case jg:case Lg:case Ig:r=m;do{r+=1,n=p.charCodeAt(r)}while(n===Tg||n===Pg||n===jg||n===Lg||n===Ig);d=["space",p.slice(m,r)],m=r-1;break;case Mg:case _g:case Dg:case Ug:case Bg:case qg:case Fg:{let e=String.fromCharCode(n);d=[e,e,m];break}case Rg:if(c=g.length?g.pop()[1]:"",u=p.charCodeAt(m+1),"url"===c&&u!==Ag&&u!==zg&&u!==Tg&&u!==Pg&&u!==jg&&u!==Ig&&u!==Lg){r=m;do{if(a=!1,r=p.indexOf(")",r+1),-1===r){if(h||t){r=m;break}w("bracket")}for(l=r;p.charCodeAt(l-1)===Eg;)l-=1,a=!a}while(a);d=["brackets",p.slice(m,r+1),m,r],m=r}else r=p.indexOf(")",m+1),i=p.slice(m,r+1),-1===r||Gg.test(i)?d=["(","(",m]:(d=["brackets",i,m,r],m=r);break;case Ag:case zg:o=n===Ag?"'":'"',r=m;do{if(a=!1,r=p.indexOf(o,r+1),-1===r){if(h||t){r=m+1;break}w("string")}for(l=r;p.charCodeAt(l-1)===Eg;)l-=1,a=!a}while(a);d=["string",p.slice(m,r+1),m,r],m=r;break;case $g:Qg.lastIndex=m+1,Qg.test(p),r=0===Qg.lastIndex?p.length-1:Qg.lastIndex-2,d=["at-word",p.slice(m,r+1),m,r],m=r;break;case Eg:for(r=m,s=!0;p.charCodeAt(r+1)===Eg;)r+=1,s=!s;if(n=p.charCodeAt(r+1),s&&n!==Ng&&n!==Tg&&n!==Pg&&n!==jg&&n!==Lg&&n!==Ig&&(r+=1,Yg.test(p.charAt(r)))){for(;Yg.test(p.charAt(r+1));)r+=1;p.charCodeAt(r+1)===Tg&&(r+=1)}d=["word",p.slice(m,r+1),m,r],m=r;break;default:n===Ng&&p.charCodeAt(m+1)===Wg?(r=p.indexOf("*/",m+2)+1,0===r&&(h||t?r=p.length:w("comment")),d=["comment",p.slice(m,r+1),m,r],m=r):(Vg.lastIndex=m+1,Vg.test(p),r=0===Vg.lastIndex?p.length-1:Vg.lastIndex-2,d=["word",p.slice(m,r+1),m,r],g.push(d),m=r)}return m++,d},position:function(){return m}}};let Kg,Hg,Xg=class extends xg{constructor(e){super(e),this.type="atrule"}append(...e){return this.proxyOf.nodes||(this.nodes=[]),super.append(...e)}prepend(...e){return this.proxyOf.nodes||(this.nodes=[]),super.prepend(...e)}};Xg.default=Xg,xg.registerAtRule(Xg);let Zg=class extends xg{constructor(e){super(e),this.type="root",this.nodes||(this.nodes=[])}normalize(e,t,n){let r=super.normalize(e);if(t)if("prepend"===n)this.nodes.length>1?t.raws.before=this.nodes[1].raws.before:delete t.raws.before;else if(this.first!==t)for(let e of r)e.raws.before=t.raws.before;return r}removeChild(e,t){let n=this.index(e);return!t&&0===n&&this.nodes.length>1&&(this.nodes[1].raws.before=this.nodes[n].raws.before),super.removeChild(e)}toResult(e={}){return new Kg(new Hg,this,e).stringify()}};Zg.registerLazyResult=e=>{Kg=e},Zg.registerProcessor=e=>{Hg=e},Zg.default=Zg,xg.registerRoot(Zg);let eb={comma:e=>eb.split(e,[","],!0),space:e=>eb.split(e,[" ","\n","\t"]),split(e,t,n){let r=[],o="",i=!1,s=0,a=!1,l="",c=!1;for(let n of e)c?c=!1:"\\"===n?c=!0:a?n===l&&(a=!1):'"'===n||"'"===n?(a=!0,l=n):"("===n?s+=1:")"===n?s>0&&(s-=1):0===s&&t.includes(n)&&(i=!0),i?(""!==o&&r.push(o.trim()),o="",i=!1):o+=n;return(n||""!==o)&&r.push(o.trim()),r}};eb.default=eb;let tb=class extends xg{constructor(e){super(e),this.type="rule",this.nodes||(this.nodes=[])}get selectors(){return eb.comma(this.selector)}set selectors(e){let t=this.selector?this.selector.match(/,\s*/):null,n=t?t[0]:","+this.raw("between","beforeOpen");this.selector=e.join(n)}};tb.default=tb,xg.registerRule(tb);const nb={empty:!0,space:!0};let rb=class{constructor(e){this.input=e,this.root=new Zg,this.current=this.root,this.spaces="",this.semicolon=!1,this.createTokenizer(),this.root.source={input:e,start:{column:1,line:1,offset:0}}}atrule(e){let t,n,r,o=new Xg;o.name=e[1].slice(1),""===o.name&&this.unnamedAtrule(o,e),this.init(o,e[2]);let i=!1,s=!1,a=[],l=[];for(;!this.tokenizer.endOfFile();){if(t=(e=this.tokenizer.nextToken())[0],"("===t||"["===t?l.push("("===t?")":"]"):"{"===t&&l.length>0?l.push("}"):t===l[l.length-1]&&l.pop(),0===l.length){if(";"===t){o.source.end=this.getPosition(e[2]),o.source.end.offset++,this.semicolon=!0;break}if("{"===t){s=!0;break}if("}"===t){if(a.length>0){for(r=a.length-1,n=a[r];n&&"space"===n[0];)n=a[--r];n&&(o.source.end=this.getPosition(n[3]||n[2]),o.source.end.offset++)}this.end(e);break}a.push(e)}else a.push(e);if(this.tokenizer.endOfFile()){i=!0;break}}o.raws.between=this.spacesAndCommentsFromEnd(a),a.length?(o.raws.afterName=this.spacesAndCommentsFromStart(a),this.raw(o,"params",a),i&&(e=a[a.length-1],o.source.end=this.getPosition(e[3]||e[2]),o.source.end.offset++,this.spaces=o.raws.between,o.raws.between="")):(o.raws.afterName="",o.params=""),s&&(o.nodes=[],this.current=o)}checkMissedSemicolon(e){let t=this.colon(e);if(!1===t)return;let n,r=0;for(let o=t-1;o>=0&&(n=e[o],"space"===n[0]||(r+=1,2!==r));o--);throw this.input.error("Missed semicolon","word"===n[0]?n[3]+1:n[2])}colon(e){let t,n,r,o=0;for(let[i,s]of e.entries()){if(t=s,n=t[0],"("===n&&(o+=1),")"===n&&(o-=1),0===o&&":"===n){if(r){if("word"===r[0]&&"progid"===r[1])continue;return i}this.doubleColon(t)}r=t}return!1}comment(e){let t=new bg;this.init(t,e[2]),t.source.end=this.getPosition(e[3]||e[2]),t.source.end.offset++;let n=e[1].slice(2,-2);if(/^\s*$/.test(n))t.text="",t.raws.left=n,t.raws.right="";else{let e=n.match(/^(\s*)([^]*\S)(\s*)$/);t.text=e[2],t.raws.left=e[1],t.raws.right=e[3]}}createTokenizer(){this.tokenizer=Jg(this.input)}decl(e,t){let n=new ig;this.init(n,e[0][2]);let r,o=e[e.length-1];for(";"===o[0]&&(this.semicolon=!0,e.pop()),n.source.end=this.getPosition(o[3]||o[2]||function(e){for(let t=e.length-1;t>=0;t--){let n=e[t],r=n[3]||n[2];if(r)return r}}(e)),n.source.end.offset++;"word"!==e[0][0];)1===e.length&&this.unknownWord(e),n.raws.before+=e.shift()[1];for(n.source.start=this.getPosition(e[0][2]),n.prop="";e.length;){let t=e[0][0];if(":"===t||"space"===t||"comment"===t)break;n.prop+=e.shift()[1]}for(n.raws.between="";e.length;){if(r=e.shift(),":"===r[0]){n.raws.between+=r[1];break}"word"===r[0]&&/\w/.test(r[1])&&this.unknownWord([r]),n.raws.between+=r[1]}"_"!==n.prop[0]&&"*"!==n.prop[0]||(n.raws.before+=n.prop[0],n.prop=n.prop.slice(1));let i,s=[];for(;e.length&&(i=e[0][0],"space"===i||"comment"===i);)s.push(e.shift());this.precheckMissedSemicolon(e);for(let t=e.length-1;t>=0;t--){if(r=e[t],"!important"===r[1].toLowerCase()){n.important=!0;let r=this.stringFrom(e,t);r=this.spacesFromEnd(e)+r," !important"!==r&&(n.raws.important=r);break}if("important"===r[1].toLowerCase()){let r=e.slice(0),o="";for(let e=t;e>0;e--){let t=r[e][0];if(0===o.trim().indexOf("!")&&"space"!==t)break;o=r.pop()[1]+o}0===o.trim().indexOf("!")&&(n.important=!0,n.raws.important=o,e=r)}if("space"!==r[0]&&"comment"!==r[0])break}let a=e.some((e=>"space"!==e[0]&&"comment"!==e[0]));a&&(n.raws.between+=s.map((e=>e[1])).join(""),s=[]),this.raw(n,"value",s.concat(e),t),n.value.includes(":")&&!t&&this.checkMissedSemicolon(e)}doubleColon(e){throw this.input.error("Double colon",{offset:e[2]},{offset:e[2]+e[1].length})}emptyRule(e){let t=new tb;this.init(t,e[2]),t.selector="",t.raws.between="",this.current=t}end(e){this.current.nodes&&this.current.nodes.length&&(this.current.raws.semicolon=this.semicolon),this.semicolon=!1,this.current.raws.after=(this.current.raws.after||"")+this.spaces,this.spaces="",this.current.parent?(this.current.source.end=this.getPosition(e[2]),this.current.source.end.offset++,this.current=this.current.parent):this.unexpectedClose(e)}endFile(){this.current.parent&&this.unclosedBlock(),this.current.nodes&&this.current.nodes.length&&(this.current.raws.semicolon=this.semicolon),this.current.raws.after=(this.current.raws.after||"")+this.spaces,this.root.source.end=this.getPosition(this.tokenizer.position())}freeSemicolon(e){if(this.spaces+=e[1],this.current.nodes){let e=this.current.nodes[this.current.nodes.length-1];e&&"rule"===e.type&&!e.raws.ownSemicolon&&(e.raws.ownSemicolon=this.spaces,this.spaces="")}}getPosition(e){let t=this.input.fromOffset(e);return{column:t.col,line:t.line,offset:e}}init(e,t){this.current.push(e),e.source={input:this.input,start:this.getPosition(t)},e.raws.before=this.spaces,this.spaces="","comment"!==e.type&&(this.semicolon=!1)}other(e){let t=!1,n=null,r=!1,o=null,i=[],s=e[1].startsWith("--"),a=[],l=e;for(;l;){if(n=l[0],a.push(l),"("===n||"["===n)o||(o=l),i.push("("===n?")":"]");else if(s&&r&&"{"===n)o||(o=l),i.push("}");else if(0===i.length){if(";"===n){if(r)return void this.decl(a,s);break}if("{"===n)return void this.rule(a);if("}"===n){this.tokenizer.back(a.pop()),t=!0;break}":"===n&&(r=!0)}else n===i[i.length-1]&&(i.pop(),0===i.length&&(o=null));l=this.tokenizer.nextToken()}if(this.tokenizer.endOfFile()&&(t=!0),i.length>0&&this.unclosedBracket(o),t&&r){if(!s)for(;a.length&&(l=a[a.length-1][0],"space"===l||"comment"===l);)this.tokenizer.back(a.pop());this.decl(a,s)}else this.unknownWord(a)}parse(){let e;for(;!this.tokenizer.endOfFile();)switch(e=this.tokenizer.nextToken(),e[0]){case"space":this.spaces+=e[1];break;case";":this.freeSemicolon(e);break;case"}":this.end(e);break;case"comment":this.comment(e);break;case"at-word":this.atrule(e);break;case"{":this.emptyRule(e);break;default:this.other(e)}this.endFile()}precheckMissedSemicolon(){}raw(e,t,n,r){let o,i,s,a,l=n.length,c="",u=!0;for(let e=0;e<l;e+=1)o=n[e],i=o[0],"space"!==i||e!==l-1||r?"comment"===i?(a=n[e-1]?n[e-1][0]:"empty",s=n[e+1]?n[e+1][0]:"empty",nb[a]||nb[s]||","===c.slice(-1)?u=!1:c+=o[1]):c+=o[1]:u=!1;if(!u){let r=n.reduce(((e,t)=>e+t[1]),"");e.raws[t]={raw:r,value:c}}e[t]=c}rule(e){e.pop();let t=new tb;this.init(t,e[0][2]),t.raws.between=this.spacesAndCommentsFromEnd(e),this.raw(t,"selector",e),this.current=t}spacesAndCommentsFromEnd(e){let t,n="";for(;e.length&&(t=e[e.length-1][0],"space"===t||"comment"===t);)n=e.pop()[1]+n;return n}spacesAndCommentsFromStart(e){let t,n="";for(;e.length&&(t=e[0][0],"space"===t||"comment"===t);)n+=e.shift()[1];return n}spacesFromEnd(e){let t,n="";for(;e.length&&(t=e[e.length-1][0],"space"===t);)n=e.pop()[1]+n;return n}stringFrom(e,t){let n="";for(let r=t;r<e.length;r++)n+=e[r][1];return e.splice(t,e.length-t),n}unclosedBlock(){let e=this.current.source.start;throw this.input.error("Unclosed block",e.line,e.column)}unclosedBracket(e){throw this.input.error("Unclosed bracket",{offset:e[2]},{offset:e[2]+1})}unexpectedClose(e){throw this.input.error("Unexpected }",{offset:e[2]},{offset:e[2]+1})}unknownWord(e){throw this.input.error("Unknown word",{offset:e[0][2]},{offset:e[0][2]+e[0][1].length})}unnamedAtrule(e,t){throw this.input.error("At-rule without name",{offset:t[2]},{offset:t[2]+t[1].length})}};function ob(e,t){let n=new cg(e,t),r=new rb(n);try{r.parse()}catch(e){throw"production"!==Km.env.NODE_ENV&&"CssSyntaxError"===e.name&&t&&t.from&&(/\.scss$/i.test(t.from)?e.message+="\nYou tried to parse SCSS with the standard CSS parser; try again with the postcss-scss parser":/\.sass/i.test(t.from)?e.message+="\nYou tried to parse Sass with the standard CSS parser; try again with the postcss-sass parser":/\.less$/i.test(t.from)&&(e.message+="\nYou tried to parse Less with the standard CSS parser; try again with the postcss-less parser")),e}return r.root}ob.default=ob,xg.registerParse(ob);const ib={atrule:"AtRule",comment:"Comment",decl:"Declaration",document:"Document",root:"Root",rule:"Rule"},sb={AtRule:!0,AtRuleExit:!0,Comment:!0,CommentExit:!0,Declaration:!0,DeclarationExit:!0,Document:!0,DocumentExit:!0,Once:!0,OnceExit:!0,postcssPlugin:!0,prepare:!0,Root:!0,RootExit:!0,Rule:!0,RuleExit:!0},ab={Once:!0,postcssPlugin:!0,prepare:!0};function lb(e){return"object"==typeof e&&"function"==typeof e.then}function cb(e){let t=!1,n=ib[e.type];return"decl"===e.type?t=e.prop.toLowerCase():"atrule"===e.type&&(t=e.name.toLowerCase()),t&&e.append?[n,n+"-"+t,0,n+"Exit",n+"Exit-"+t]:t?[n,n+"-"+t,n+"Exit",n+"Exit-"+t]:e.append?[n,0,n+"Exit"]:[n,n+"Exit"]}function ub(e){let t;return t="document"===e.type?["Document",0,"DocumentExit"]:"root"===e.type?["Root",0,"RootExit"]:cb(e),{eventIndex:0,events:t,iterator:0,node:e,visitorIndex:0,visitors:[]}}function db(e){return e[Xm]=!1,e.nodes&&e.nodes.forEach((e=>db(e))),e}let pb={};class hb{constructor(e,n,r){let o;if(this.stringified=!1,this.processed=!1,"object"!=typeof n||null===n||"root"!==n.type&&"document"!==n.type)if(n instanceof hb||n instanceof t)o=db(n.root),n.map&&(void 0===r.map&&(r.map={}),r.map.inline||(r.map.inline=!1),r.map.prev=n.map);else{let e=ob;r.syntax&&(e=r.syntax.parse),r.parser&&(e=r.parser),e.parse&&(e=e.parse);try{o=e(n,r)}catch(e){this.processed=!0,this.error=e}o&&!o[Zm]&&xg.rebuild(o)}else o=db(n);this.result=new t(e,o,r),this.helpers=mn(mn({},pb),{},{postcss:pb,result:this.result}),this.plugins=this.processor.plugins.map((e=>"object"==typeof e&&e.prepare?mn(mn({},e),e.prepare(this.result)):e))}async(){return this.error?Promise.reject(this.error):this.processed?Promise.resolve(this.result):(this.processing||(this.processing=this.runAsync()),this.processing)}catch(e){return this.async().catch(e)}finally(e){return this.async().then(e,e)}getAsyncError(){throw new Error("Use process(css).then(cb) to work with async plugins")}handleError(e,t){let n=this.result.lastPlugin;try{if(t&&t.addToError(e),this.error=e,"CssSyntaxError"!==e.name||e.plugin){if(n.postcssVersion&&"production"!==Km.env.NODE_ENV){let e=n.postcssPlugin,t=n.postcssVersion,r=this.result.processor.version,o=t.split("."),i=r.split(".");(o[0]!==i[0]||parseInt(o[1])>parseInt(i[1]))&&console.error("Unknown error from PostCSS plugin. Your current PostCSS version is "+r+", but "+e+" uses "+t+". Perhaps this is the source of the error below.")}}else e.plugin=n.postcssPlugin,e.setMessage()}catch(e){console&&console.error&&console.error(e)}return e}prepareVisitors(){this.listeners={};let e=(e,t,n)=>{this.listeners[t]||(this.listeners[t]=[]),this.listeners[t].push([e,n])};for(let t of this.plugins)if("object"==typeof t)for(let n in t){if(!sb[n]&&/^[A-Z]/.test(n))throw new Error("Unknown event ".concat(n," in ").concat(t.postcssPlugin,". ")+"Try to update PostCSS (".concat(this.processor.version," now)."));if(!ab[n])if("object"==typeof t[n])for(let r in t[n])e(t,"*"===r?n:n+"-"+r.toLowerCase(),t[n][r]);else"function"==typeof t[n]&&e(t,n,t[n])}this.hasListener=Object.keys(this.listeners).length>0}async runAsync(){this.plugin=0;for(let e=0;e<this.plugins.length;e++){let t=this.plugins[e],n=this.runOnRoot(t);if(lb(n))try{await n}catch(e){throw this.handleError(e)}}if(this.prepareVisitors(),this.hasListener){let e=this.result.root;for(;!e[Xm];){e[Xm]=!0;let t=[ub(e)];for(;t.length>0;){let e=this.visitTick(t);if(lb(e))try{await e}catch(e){let n=t[t.length-1].node;throw this.handleError(e,n)}}}if(this.listeners.OnceExit)for(let[t,n]of this.listeners.OnceExit){this.result.lastPlugin=t;try{if("document"===e.type){let t=e.nodes.map((e=>n(e,this.helpers)));await Promise.all(t)}else await n(e,this.helpers)}catch(e){throw this.handleError(e)}}}return this.processed=!0,this.stringify()}runOnRoot(e){this.result.lastPlugin=e;try{if("object"==typeof e&&e.Once){if("document"===this.result.root.type){let t=this.result.root.nodes.map((t=>e.Once(t,this.helpers)));return lb(t[0])?Promise.all(t):t}return e.Once(this.result.root,this.helpers)}if("function"==typeof e)return e(this.result.root,this.result)}catch(e){throw this.handleError(e)}}stringify(){if(this.error)throw this.error;if(this.stringified)return this.result;this.stringified=!0,this.sync();let e=this.result.opts,t=ng;e.syntax&&(t=e.syntax.stringify),e.stringifier&&(t=e.stringifier),t.stringify&&(t=t.stringify);let n=new pg(t,this.result.root,this.result.opts).generate();return this.result.css=n[0],this.result.map=n[1],this.result}sync(){if(this.error)throw this.error;if(this.processed)return this.result;if(this.processed=!0,this.processing)throw this.getAsyncError();for(let e of this.plugins){if(lb(this.runOnRoot(e)))throw this.getAsyncError()}if(this.prepareVisitors(),this.hasListener){let e=this.result.root;for(;!e[Xm];)e[Xm]=!0,this.walkSync(e);if(this.listeners.OnceExit)if("document"===e.type)for(let t of e.nodes)this.visitSync(this.listeners.OnceExit,t);else this.visitSync(this.listeners.OnceExit,e)}return this.result}then(e,t){return"production"!==Km.env.NODE_ENV&&("from"in this.opts||Og("Without `from` option PostCSS could generate wrong source map and will not find Browserslist config. Set it to CSS file path or to `undefined` to prevent this warning.")),this.async().then(e,t)}toString(){return this.css}visitSync(e,t){for(let[n,r]of e){let e;this.result.lastPlugin=n;try{e=r(t,this.helpers)}catch(e){throw this.handleError(e,t.proxyOf)}if("root"!==t.type&&"document"!==t.type&&!t.parent)return!0;if(lb(e))throw this.getAsyncError()}}visitTick(e){let t=e[e.length-1],{node:n,visitors:r}=t;if("root"!==n.type&&"document"!==n.type&&!n.parent)return void e.pop();if(r.length>0&&t.visitorIndex<r.length){let[e,o]=r[t.visitorIndex];t.visitorIndex+=1,t.visitorIndex===r.length&&(t.visitors=[],t.visitorIndex=0),this.result.lastPlugin=e;try{return o(n.toProxy(),this.helpers)}catch(e){throw this.handleError(e,n)}}if(0!==t.iterator){let r,o=t.iterator;for(;r=n.nodes[n.indexes[o]];)if(n.indexes[o]+=1,!r[Xm])return r[Xm]=!0,void e.push(ub(r));t.iterator=0,delete n.indexes[o]}let o=t.events;for(;t.eventIndex<o.length;){let e=o[t.eventIndex];if(t.eventIndex+=1,0===e)return void(n.nodes&&n.nodes.length&&(n[Xm]=!0,t.iterator=n.getIterator()));if(this.listeners[e])return void(t.visitors=this.listeners[e])}e.pop()}walkSync(e){e[Xm]=!0;let t=cb(e);for(let n of t)if(0===n)e.nodes&&e.each((e=>{e[Xm]||this.walkSync(e)}));else{let t=this.listeners[n];if(t&&this.visitSync(t,e.toProxy()))return}}warnings(){return this.sync().warnings()}get content(){return this.stringify().content}get css(){return this.stringify().css}get map(){return this.stringify().map}get messages(){return this.sync().messages}get opts(){return this.result.opts}get processor(){return this.result.processor}get root(){return this.sync().root}get[Symbol.toStringTag](){return"LazyResult"}}hb.registerPostcss=e=>{pb=e},hb.default=hb,Zg.registerLazyResult(hb),Sg.registerLazyResult(hb);class fb{constructor(e,n,r){let o;n=n.toString(),this.stringified=!1,this._processor=e,this._css=n,this._opts=r,this._map=void 0;let i=ng;this.result=new t(this._processor,o,this._opts),this.result.css=n;let s=this;Object.defineProperty(this.result,"root",{get:()=>s.root});let a=new pg(i,o,this._opts,n);if(a.isMap()){let[e,t]=a.generate();e&&(this.result.css=e),t&&(this.result.map=t)}else a.clearAnnotation(),this.result.css=a.css}async(){return this.error?Promise.reject(this.error):Promise.resolve(this.result)}catch(e){return this.async().catch(e)}finally(e){return this.async().then(e,e)}sync(){if(this.error)throw this.error;return this.result}then(e,t){return"production"!==Km.env.NODE_ENV&&("from"in this._opts||Og("Without `from` option PostCSS could generate wrong source map and will not find Browserslist config. Set it to CSS file path or to `undefined` to prevent this warning.")),this.async().then(e,t)}toString(){return this._css}warnings(){return[]}get content(){return this.result.css}get css(){return this.result.css}get map(){return this.result.map}get messages(){return[]}get opts(){return this.result.opts}get processor(){return this.result.processor}get root(){if(this._root)return this._root;let e,t=ob;try{e=t(this._css,this._opts)}catch(e){this.error=e}if(this.error)throw this.error;return this._root=e,e}get[Symbol.toStringTag](){return"NoWorkResult"}}fb.default=fb;let mb=class{constructor(e=[]){this.version="8.4.38",this.plugins=this.normalize(e)}normalize(e){let t=[];for(let n of e)if(!0===n.postcss?n=n():n.postcss&&(n=n.postcss),"object"==typeof n&&Array.isArray(n.plugins))t=t.concat(n.plugins);else if("object"==typeof n&&n.postcssPlugin)t.push(n);else if("function"==typeof n)t.push(n);else{if("object"!=typeof n||!n.parse&&!n.stringify)throw new Error(n+" is not a PostCSS plugin");if("production"!==Km.env.NODE_ENV)throw new Error("PostCSS syntaxes cannot be used as plugins. Instead, please use one of the syntax/parser/stringifier options as outlined in your PostCSS runner documentation.")}return t}process(e,t={}){return this.plugins.length||t.parser||t.stringifier||t.syntax?new hb(this,e,t):new fb(this,e,t)}use(e){return this.plugins=this.plugins.concat(this.normalize([e])),this}};mb.default=mb,Zg.registerProcessor(mb),Sg.registerProcessor(mb);const gb=["inputs"],bb=["inputId"];function wb(e,t){if(Array.isArray(e))return e.map((e=>wb(e)));let{inputs:n}=e,r=wn(e,gb);if(n){t=[];for(let e of n){let n=mn(mn({},e),{},{__proto__:cg.prototype});n.map&&(n.map=mn(mn({},n.map),{},{__proto__:false.prototype})),t.push(n)}}if(r.nodes&&(r.nodes=e.nodes.map((e=>wb(e,t)))),r.source){let e=r.source,{inputId:n}=e,o=wn(e,bb);r.source=o,null!=n&&(r.source.input=t[n])}if("root"===r.type)return new Zg(r);if("decl"===r.type)return new ig(r);if("rule"===r.type)return new tb(r);if("comment"===r.type)return new bg(r);if("atrule"===r.type)return new Xg(r);throw new Error("Unknown node type: "+e.type)}function yb(...e){return 1===e.length&&Array.isArray(e[0])&&(e=e[0]),new mb(e)}wb.default=wb,yb.plugin=function(e,t){let n,r=!1;function o(...n){console&&console.warn&&!r&&(r=!0,console.warn(e+": postcss.plugin was deprecated. Migration guide:\nhttps://evilmartians.com/chronicles/postcss-8-plugin-migration"),Km.env.LANG&&Km.env.LANG.startsWith("cn")&&console.warn(e+": 里面 postcss.plugin 被弃用. 迁移指南:\nhttps://www.w3ctech.com/topic/2226"));let o=t(...n);return o.postcssPlugin=e,o.postcssVersion=(new mb).version,o}return Object.defineProperty(o,"postcss",{get:()=>(n||(n=o()),n)}),o.process=function(e,t,n){return yb([o(n)]).process(e,t)},o},yb.stringify=ng,yb.parse=ob,yb.fromJSON=wb,yb.list=eb,yb.comment=e=>new bg(e),yb.atRule=e=>new Xg(e),yb.decl=e=>new ig(e),yb.rule=e=>new tb(e),yb.root=e=>new Zg(e),yb.document=e=>new Sg(e),yb.CssSyntaxError=Hm,yb.Declaration=ig,yb.Container=xg,yb.Processor=mb,yb.Document=Sg,yb.Comment=bg,yb.Warning=e,yb.AtRule=Xg,yb.Result=t,yb.Input=cg,yb.Rule=tb,yb.Root=Zg,yb.Node=og,hb.registerPostcss(yb),yb.default=yb,yb.stringify,yb.fromJSON,yb.plugin,yb.parse,yb.list,yb.document,yb.comment,yb.atRule,yb.rule,yb.decl,yb.root,yb.CssSyntaxError;const vb=yb.Declaration;yb.Container,yb.Processor,yb.Document;const kb=yb.Comment;yb.Warning;const xb=yb.AtRule;yb.Result;const Sb=yb.Input,Cb=yb.Rule,Ob=yb.Root;yb.Node;const Ab="font-family-no-missing-generic-family-keyword",zb=Z(Ab,{rejected:"Unexpected missing generic font family"}),Eb=(e,t)=>(n,r)=>{re(r,Ab,{actual:e},{actual:t,possible:{ignoreFontFamilies:[P,N]},optional:!0})&&n.walkDecls(/^font(-family)?$/i,(e=>{const n=e.parent;if(n&&_e(n)&&"font-face"===n.name.toLowerCase())return;if("font"===e.prop&&Ur.has(e.value.toLowerCase()))return;if((e=>{const t=yb.list.comma(e).pop();return null!=t&&(Um(t)||!V(t))})(e.value))return;const o=Wm(e.value);if(0===o.length)return;if(o.some((e=>(e=>!("quote"in e)&&qr.has(e.value.toLowerCase()))(e))))return;if(o.some((e=>H(t,"ignoreFontFamilies",e.value))))return;const i=o[o.length-1];I(i);const s=M(e),a=s+i.sourceIndex,l=s+i.sourceEndIndex;X({result:r,ruleName:Ab,message:zb.rejected,node:e,index:a,endIndex:l})}))};Eb.ruleName=Ab,Eb.messages=zb,Eb.meta={url:"https://stylelint.io/user-guide/rules/font-family-no-missing-generic-family-keyword"};const Nb="font-weight-notation",Pb=Z(Nb,{expected:e=>"Expected ".concat(e," font-weight notation"),expectedWithActual:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),Tb=new Map([["normal","400"],["bold","700"]]),Ib=new Map([["400","normal"],["700","bold"]]),jb=(e,t,n)=>(r,o)=>{if(!re(o,Nb,{actual:e,possible:["numeric","named-where-possible"]},{actual:t,possible:{ignore:["relative"]},optional:!0}))return;const i=H(t,"ignore","relative");function s(t,r){const s=r.value;if(!V(s))return;if(Um(s))return;const a=s.toLowerCase();if(!i||!Wr.has(a)){if("numeric"===e&&!Mm(a)&&$r.has(a)){const e=Tb.get(a);if(n.fix&&e)return r.value=e,!0;return l(e?Pb.expectedWithActual(s,e):Pb.expected("numeric"),r),!0}if("named-where-possible"===e&&Mm(a)&&Ib.has(a)){const e=Ib.get(a);return L(e),n.fix?(r.value=e,!0):(l(Pb.expectedWithActual(s,e),r),!0)}}function l(e,n){const r=M(t)+n.sourceIndex,i=r+n.value.length;X({ruleName:Nb,result:o,message:e,node:t,index:r,endIndex:i})}}r.walkDecls(/^font(-weight)?$/i,(e=>{const t="font"===e.prop.toLowerCase(),r=S(_(e)),o=r.nodes,i=o.some(((e,t,n)=>Mm(e.value)&&!Lb(n[t-1])));for(const[n,r]of o.entries()){if(!Mb(r,n,o))continue;const{value:a}=r;if(t){if("normal"===a.toLowerCase()&&i)continue;if(s(e,r))break}s(e,r)}n.fix&&ee(e,r.toString())}))};function Lb(e){return void 0!==e&&"div"===e.type}function Mb(e,t,n){return"word"===e.type&&(!Lb(n[t-1])&&!Lb(n[t+1]))}jb.ruleName=Nb,jb.messages=Pb,jb.meta={url:"https://stylelint.io/user-guide/rules/font-weight-notation",fixable:!0};const _b="function-allowed-list",Rb=Z(_b,{rejected:e=>'Unexpected function "'.concat(e,'"')}),Fb=e=>(t,n)=>{re(n,_b,{actual:e,possible:[P,N]})&&t.walkDecls((t=>{S(t.value).walk((r=>{if("function"!==r.type)return;if(!Lt(r))return;if(G(xe.unprefixed(r.value),e))return;const o=M(t)+r.sourceIndex,i=o+r.value.length;X({message:Rb.rejected,messageArgs:[r.value],node:t,index:o,endIndex:i,result:n,ruleName:_b})}))}))};Fb.primaryOptionArray=!0,Fb.ruleName=_b,Fb.messages=Rb,Fb.meta={url:"https://stylelint.io/user-guide/rules/function-allowed-list"};const Db="function-calc-no-unspaced-operator",Ub=Z(Db,{expectedBefore:e=>'Expected single space before "'.concat(e,'" operator'),expectedAfter:e=>'Expected single space after "'.concat(e,'" operator'),expectedOperatorBeforeSign:e=>'Expected an operator before sign "'.concat(e,'"')}),qb=new Set(["+","-"]),Wb=/[+-]/,Bb=new Set([...qb,"*","/"]),$b=[..._r].join("|"),Qb=new RegExp("^(?:".concat($b,")$"),"i"),Vb=new RegExp("(?:".concat($b,")\\("),"i"),Gb=(e,t,n)=>(t,r)=>{function o(e,t,n,o){X({message:e,node:t,index:n,endIndex:n+o.length,result:r,ruleName:Db})}re(r,Db,{actual:e})&&t.walkDecls((e=>{const t=_(e);if(!Wb.test(t))return;if(!Vb.test(t))return;let r=!1;const i=M(e);function s(t,s,a){const l=s.value.search(/(\n|\r\n)/);if(0===l)return;if(n.fix)return r=!0,void(s.value=-1===l?" ":s.value.slice(l));const c=t.value,u=t.sourceIndex;o("before"===a?Ub.expectedBefore(c):Ub.expectedAfter(c),e,i+u,c)}function a(t){if(1===t.length)return!1;const s=t.at(-1);if(I(s),!qe(s))return!1;const a=s.value.search(Wb);if(-1===a)return!1;if(Jb(t.at(-3),Bb)&&(null!=(l=t.at(-2))&&Ue(l)&&" "===l.value))return!1;var l;if(n.fix)return r=!0,s.value=Yb(s.value,a+1," ").trim(),s.value=Yb(s.value,a," ").trim(),!0;const c=s.value.charAt(a);return o(Ub.expectedOperatorBeforeSign(c),e,i+s.sourceIndex+a,c),!0}const l=S(t);l.walk((t=>{if(!De(t)||!Qb.test(t.value))return;const{nodes:l}=t;let c=!1;for(const[e,t]of l.entries()){if(!Jb(t))continue;c=!0;const n=l[e-1],r=l[e+1];n&&Ue(n)&&" "!==n.value&&s(t,n,"before"),r&&Ue(r)&&" "!==r.value&&s(t,r,"after")}c||function(t){const[s]=t;if(I(s),!qe(s))return!1;if(!V(s.value))return!1;const a=s.value.search(Wb);if(a<=0)return!1;const l=s.value.charAt(a),c=s.value.charAt(a-1),u=s.value.charAt(a+1);return c&&" "!==c&&u&&" "!==u?n.fix?(r=!0,s.value=Yb(s.value,a+1," "),s.value=Yb(s.value,a," ")):(o(Ub.expectedBefore(l),e,i+s.sourceIndex+a,l),o(Ub.expectedAfter(l),e,i+s.sourceIndex+a+1,l)):c&&" "!==c&&(n.fix?(r=!0,s.value=Yb(s.value,a," ")):o(Ub.expectedBefore(l),e,i+s.sourceIndex+a,l)),!0}(l)||a(l)})),r&&ee(e,l.toString())}))};function Yb(e,t,n){return e.slice(0,t)+n+e.slice(t,e.length)}function Jb(e,t=qb){return null!=e&&qe(e)&&t.has(e.value)}Gb.ruleName=Db,Gb.messages=Ub,Gb.meta={url:"https://stylelint.io/user-guide/rules/function-calc-no-unspaced-operator",fixable:!0};const Kb="function-disallowed-list",Hb=Z(Kb,{rejected:e=>'Unexpected function "'.concat(e,'"')}),Xb=e=>(t,n)=>{re(n,Kb,{actual:e,possible:[P,N]})&&t.walkDecls((t=>{S(t.value).walk((r=>{if("function"!==r.type)return;if(!Lt(r))return;if(!G(xe.unprefixed(r.value),e))return;const o=M(t)+r.sourceIndex,i=o+r.value.length;X({message:Hb.rejected,messageArgs:[r.value],node:t,index:o,endIndex:i,result:n,ruleName:Kb})}))}))};function Zb(e,t,n){e instanceof RegExp&&(e=ew(e,n)),t instanceof RegExp&&(t=ew(t,n));const r=tw(e,t,n);return r&&{start:r[0],end:r[1],pre:n.slice(0,r[0]),body:n.slice(r[0]+e.length,r[1]),post:n.slice(r[1]+t.length)}}function ew(e,t){const n=t.match(e);return n?n[0]:null}function tw(e,t,n){let r,o,i,s,a,l=n.indexOf(e),c=n.indexOf(t,l+1),u=l;if(l>=0&&c>0){if(e===t)return[l,c];for(r=[],i=n.length;u>=0&&!a;)u===l?(r.push(u),l=n.indexOf(e,u+1)):1===r.length?a=[r.pop(),c]:(o=r.pop(),o<i&&(i=o,s=c),c=n.indexOf(t,u+1)),u=l<c&&l>=0?l:c;r.length&&(a=[i,s])}return a}function nw(e,t,n){return S(e).walk((r=>{if("function"!==r.type)return;const{value:o}=r;if(P(t)&&o!==t)return;if(N(t)&&!t.test(r.value))return;const i=Zb("(",")",e.slice(r.sourceIndex));I(i);const s=i.body,a=r.sourceIndex+o.length+1;n(s,a,r)}))}Xb.primaryOptionArray=!0,Xb.ruleName=Kb,Xb.messages=Hb,Xb.meta={url:"https://stylelint.io/user-guide/rules/function-disallowed-list"},Zb.range=tw;const rw="function-linear-gradient-no-nonstandard-direction",ow=Z(rw,{rejected:"Unexpected nonstandard direction"}),iw="(?:-webkit-|-moz-|-o-|-ms-)?linear-gradient",sw=new RegExp("".concat(iw,"\\("),"i"),aw=new RegExp("^".concat(iw,"$"),"i"),lw=/top|left|bottom|right/i,cw=new RegExp("^to (".concat(lw.source,")(?: (").concat(lw.source,"))?$"),"i"),uw=new RegExp("^(".concat(lw.source,")(?: (").concat(lw.source,"))?$"),"i"),dw=/[\d.]/,pw=/^[\d.]+(?:deg|grad|rad|turn)$/,hw=/\bin\b/i;const fw=e=>(t,n)=>{re(n,rw,{actual:e})&&t.walkDecls((e=>{sw.test(e.value)&&S(e.value).walk((t=>{"function"===t.type&&nw(S.stringify(t).toLowerCase(),aw,((r,o)=>{const i=r.split(","),s=(i[0]||"").trim();if(!V(s))return;if(hw.test(s))return;if(dw.test(s.charAt(0))){if(pw.test(s))return;return void a()}if(!lw.test(s))return;function a(){const r=M(e)+t.sourceIndex+o,s=r+(i[0]||"").trimEnd().length;X({message:ow.rejected,node:e,index:r,endIndex:s,result:n,ruleName:rw})}(function(e,t){const n=t?cw:uw,r=e.match(n);return!!r&&(2===r.length||3===r.length&&r[1]!==r[2])})(s,!xe.prefix(t.value))||a()}))}))}))};fw.ruleName=rw,fw.messages=ow,fw.meta={url:"https://stylelint.io/user-guide/rules/function-linear-gradient-no-nonstandard-direction"};const mw="function-name-case",gw=Z(mw,{expected:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),bw=new Map;for(const e of Lr)bw.set(e.toLowerCase(),e);const ww=(e,t,n)=>(r,o)=>{re(o,mw,{actual:e,possible:["lower","upper"]},{actual:t,possible:{ignoreFunctions:[P,N]},optional:!0})&&r.walkDecls((r=>{if(!r.value.includes("("))return;if(!V(r.value))return;let i=!1;const s=S(_(r));s.walk((s=>{if("function"!==s.type||!Lt(s))return;const a=s.value,l=a.toLowerCase();if(H(t,"ignoreFunctions",a))return;let c=null;return c="lower"===e&&bw.has(l)?bw.get(l):"lower"===e?l:a.toUpperCase(),a!==c?n.fix?(i=!0,void(s.value=c)):void X({message:gw.expected,messageArgs:[a,c],node:r,index:M(r)+s.sourceIndex,result:o,ruleName:mw}):void 0})),n.fix&&i&&ee(r,s.toString())}))};ww.ruleName=mw,ww.messages=gw,ww.meta={url:"https://stylelint.io/user-guide/rules/function-name-case",fixable:!0};class yw extends Error{constructor(e,t,n,r){super(e),bn(this,"sourceStart",void 0),bn(this,"sourceEnd",void 0),bn(this,"parserState",void 0),this.name="ParseError",this.sourceStart=t,this.sourceEnd=n,this.parserState=r}}class vw{constructor(e){bn(this,"cursor",0),bn(this,"source",""),bn(this,"codePointSource",[]),bn(this,"representationIndices",[-1]),bn(this,"length",0),bn(this,"representationStart",0),bn(this,"representationEnd",-1),this.source=e;{let t=-1,n="";for(n of e)t+=n.length,this.codePointSource.push(n.codePointAt(0)),this.representationIndices.push(t)}this.length=this.codePointSource.length}advanceCodePoint(e=1){this.cursor=this.cursor+e,this.representationEnd=this.representationIndices[this.cursor]}readCodePoint(e=1){const t=this.codePointSource[this.cursor];return void 0!==t&&(this.cursor=this.cursor+e,this.representationEnd=this.representationIndices[this.cursor],t)}unreadCodePoint(e=1){this.cursor=this.cursor-e,this.representationEnd=this.representationIndices[this.cursor]}resetRepresentation(){this.representationStart=this.representationIndices[this.cursor]+1,this.representationEnd=-1}}function kw(...e){let t="";for(let n=0;n<e.length;n++)t+=e[n][1];return t}const xw=45,Sw=43,Cw=65533;function Ow(e){return 60===e.codePointSource[e.cursor]&&33===e.codePointSource[e.cursor+1]&&e.codePointSource[e.cursor+2]===xw&&e.codePointSource[e.cursor+3]===xw}function Aw(e){return e>=48&&e<=57}function zw(e){return Aw(e)||e>=97&&e<=102||e>=65&&e<=70}function Ew(e){return function(e){return function(e){return e>=97&&e<=122}(e)||function(e){return e>=65&&e<=90}(e)}(e)||function(e){return 183===e||8204===e||8205===e||8255===e||8256===e||8204===e||192<=e&&e<=214||216<=e&&e<=246||248<=e&&e<=893||895<=e&&e<=8191||8304<=e&&e<=8591||11264<=e&&e<=12271||12289<=e&&e<=55295||63744<=e&&e<=64975||65008<=e&&e<=65533||e>=65536}(e)||95===e}function Nw(e){return Ew(e)||Aw(e)||e===xw}function Pw(e){return 10===e||13===e||12===e}function Tw(e){return 32===e||10===e||9===e||13===e||12===e}function Iw(e){return 92===e.codePointSource[e.cursor]&&!Pw(e.codePointSource[e.cursor+1])}function jw(e,t){return t.codePointSource[t.cursor]===xw?t.codePointSource[t.cursor+1]===xw||!!Ew(t.codePointSource[t.cursor+1])||92===t.codePointSource[t.cursor+1]&&!Pw(t.codePointSource[t.cursor+2]):!!Ew(t.codePointSource[t.cursor])||Iw(t)}function Lw(e){return e.codePointSource[e.cursor]===Sw||e.codePointSource[e.cursor]===xw?!!Aw(e.codePointSource[e.cursor+1])||46===e.codePointSource[e.cursor+1]&&Aw(e.codePointSource[e.cursor+2]):46===e.codePointSource[e.cursor]?Aw(e.codePointSource[e.cursor+1]):Aw(e.codePointSource[e.cursor])}function Mw(e){return 47===e.codePointSource[e.cursor]&&42===e.codePointSource[e.cursor+1]}function _w(e){return e.codePointSource[e.cursor]===xw&&e.codePointSource[e.cursor+1]===xw&&62===e.codePointSource[e.cursor+2]}var Rw,Fw,Dw;function Uw(e,t){for(t.advanceCodePoint(2);;){const n=t.readCodePoint();if(!1===n){e.onParseError(new yw("Unexpected EOF while consuming a comment.",t.representationStart,t.representationEnd,["4.3.2. Consume comments","Unexpected EOF"]));break}if(42===n&&void 0!==t.codePointSource[t.cursor]&&47===t.codePointSource[t.cursor]){t.advanceCodePoint();break}}return[Rw.Comment,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,void 0]}function qw(e,t){const n=t.readCodePoint();if(!1===n)return e.onParseError(new yw("Unexpected EOF while consuming an escaped code point.",t.representationStart,t.representationEnd,["4.3.7. Consume an escaped code point","Unexpected EOF"])),Cw;if(zw(n)){const e=[n];for(;void 0!==t.codePointSource[t.cursor]&&zw(t.codePointSource[t.cursor])&&e.length<6;)e.push(t.codePointSource[t.cursor]),t.advanceCodePoint();Tw(t.codePointSource[t.cursor])&&t.advanceCodePoint();const o=parseInt(String.fromCodePoint(...e),16);return 0===o||(r=o)>=55296&&r<=57343||o>1114111?Cw:o}var r;return n}function Ww(e,t){const n=[];for(;;)if(Nw(t.codePointSource[t.cursor]))n.push(t.codePointSource[t.cursor]),t.advanceCodePoint();else{if(!Iw(t))return n;t.advanceCodePoint(),n.push(qw(e,t))}}function Bw(e,t){let n;{const e=t.codePointSource[t.cursor];e===xw?n="-":e===Sw&&(n="+")}const r=function(e,t){let n=Fw.Integer;for(t.codePointSource[t.cursor]!==Sw&&t.codePointSource[t.cursor]!==xw||t.advanceCodePoint();Aw(t.codePointSource[t.cursor]);)t.advanceCodePoint();if(46===t.codePointSource[t.cursor]&&Aw(t.codePointSource[t.cursor+1]))for(t.advanceCodePoint(2),n=Fw.Number;Aw(t.codePointSource[t.cursor]);)t.advanceCodePoint();if(101===t.codePointSource[t.cursor]||69===t.codePointSource[t.cursor]){if(Aw(t.codePointSource[t.cursor+1]))t.advanceCodePoint(2);else{if(t.codePointSource[t.cursor+1]!==xw&&t.codePointSource[t.cursor+1]!==Sw||!Aw(t.codePointSource[t.cursor+2]))return n;t.advanceCodePoint(3)}for(n=Fw.Number;Aw(t.codePointSource[t.cursor]);)t.advanceCodePoint()}return n}(0,t),o=parseFloat(t.source.slice(t.representationStart,t.representationEnd+1));if(jw(0,t)){const i=Ww(e,t);return[Rw.Dimension,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:o,signCharacter:n,type:r,unit:String.fromCodePoint(...i)}]}return 37===t.codePointSource[t.cursor]?(t.advanceCodePoint(),[Rw.Percentage,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:o,signCharacter:n}]):[Rw.Number,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:o,signCharacter:n,type:r}]}function $w(e,t){for(;;){if(void 0===t.codePointSource[t.cursor])return;if(41===t.codePointSource[t.cursor])return void t.advanceCodePoint();Iw(t)?(t.advanceCodePoint(),qw(e,t)):t.advanceCodePoint()}}function Qw(e,t){const n=Ww(e,t);if(40!==t.codePointSource[t.cursor])return[Rw.Ident,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:String.fromCodePoint(...n)}];if(function(e){return!(3!==e.length||117!==e[0]&&85!==e[0]||114!==e[1]&&82!==e[1]||108!==e[2]&&76!==e[2])}(n)){t.advanceCodePoint();let r=0;for(;;){const e=Tw(t.codePointSource[t.cursor]),o=Tw(t.codePointSource[t.cursor+1]);if(e&&o){r+=1,t.advanceCodePoint(1);continue}const i=e?t.codePointSource[t.cursor+1]:t.codePointSource[t.cursor];if(34===i||39===i)return r>0&&t.unreadCodePoint(r),[Rw.Function,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:String.fromCodePoint(...n)}];break}return function(e,t){for(;Tw(t.codePointSource[t.cursor]);)t.advanceCodePoint();let n="";for(;;){if(void 0===t.codePointSource[t.cursor])return e.onParseError(new yw("Unexpected EOF while consuming a url token.",t.representationStart,t.representationEnd,["4.3.6. Consume a url token","Unexpected EOF"])),[Rw.URL,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:n}];if(41===t.codePointSource[t.cursor])return t.advanceCodePoint(),[Rw.URL,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:n}];if(Tw(t.codePointSource[t.cursor])){for(t.advanceCodePoint();Tw(t.codePointSource[t.cursor]);)t.advanceCodePoint();return void 0===t.codePointSource[t.cursor]?(e.onParseError(new yw("Unexpected EOF while consuming a url token.",t.representationStart,t.representationEnd,["4.3.6. Consume a url token","Consume as much whitespace as possible","Unexpected EOF"])),[Rw.URL,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:n}]):41===t.codePointSource[t.cursor]?(t.advanceCodePoint(),[Rw.URL,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:n}]):($w(e,t),[Rw.BadURL,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,void 0])}if(34===t.codePointSource[t.cursor]||39===t.codePointSource[t.cursor]||40===t.codePointSource[t.cursor]||11===(r=t.codePointSource[t.cursor])||127===r||0<=r&&r<=8||14<=r&&r<=31)return $w(e,t),e.onParseError(new yw("Unexpected character while consuming a url token.",t.representationStart,t.representationEnd,["4.3.6. Consume a url token","Unexpected U+0022 QUOTATION MARK (\"), U+0027 APOSTROPHE ('), U+0028 LEFT PARENTHESIS (() or non-printable code point"])),[Rw.BadURL,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,void 0];if(92===t.codePointSource[t.cursor]){if(Iw(t)){t.advanceCodePoint(),n+=String.fromCodePoint(qw(e,t));continue}return $w(e,t),e.onParseError(new yw("Invalid escape sequence while consuming a url token.",t.representationStart,t.representationEnd,["4.3.6. Consume a url token","U+005C REVERSE SOLIDUS (\\)","The input stream does not start with a valid escape sequence"])),[Rw.BadURL,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,void 0]}n+=String.fromCodePoint(t.codePointSource[t.cursor]),t.advanceCodePoint()}var r}(e,t)}return t.advanceCodePoint(),[Rw.Function,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:String.fromCodePoint(...n)}]}function Vw(e,t){const n=Gw(e,t),r=[];{for(;!n.endOfFile();){const e=n.nextToken();e&&r.push(e)}const e=n.nextToken();e&&r.push(e)}return r}function Gw(e,t){var n,r;const o=e.css.valueOf(),i=null!==(n=e.unicodeRangesAllowed)&&void 0!==n&&n,s=new vw(o),a={onParseError:null!==(r=null==t?void 0:t.onParseError)&&void 0!==r?r:Yw};return{nextToken:function(){s.resetRepresentation();const e=s.codePointSource[s.cursor];if(void 0===e)return[Rw.EOF,"",-1,-1,void 0];if(47===e&&Mw(s))return Uw(a,s);if(i&&(117===e||85===e)&&function(e){return!(117!==e.codePointSource[e.cursor]&&85!==e.codePointSource[e.cursor]||e.codePointSource[e.cursor+1]!==Sw||63!==e.codePointSource[e.cursor+2]&&!zw(e.codePointSource[e.cursor+2]))}(s))return function(e,t){t.advanceCodePoint(2);const n=[],r=[];for(;void 0!==t.codePointSource[t.cursor]&&n.length<6&&zw(t.codePointSource[t.cursor]);)n.push(t.codePointSource[t.cursor]),t.advanceCodePoint();for(;void 0!==t.codePointSource[t.cursor]&&n.length<6&&63===t.codePointSource[t.cursor];)0===r.length&&r.push(...n),n.push(48),r.push(70),t.advanceCodePoint();if(!r.length&&t.codePointSource[t.cursor]===xw&&zw(t.codePointSource[t.cursor+1]))for(t.advanceCodePoint();void 0!==t.codePointSource[t.cursor]&&r.length<6&&zw(t.codePointSource[t.cursor]);)r.push(t.codePointSource[t.cursor]),t.advanceCodePoint();if(!r.length){const e=parseInt(String.fromCodePoint(...n),16);return[Rw.UnicodeRange,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{startOfRange:e,endOfRange:e}]}const o=parseInt(String.fromCodePoint(...n),16),i=parseInt(String.fromCodePoint(...r),16);return[Rw.UnicodeRange,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{startOfRange:o,endOfRange:i}]}(0,s);if(Ew(e))return Qw(a,s);if(Aw(e))return Bw(a,s);switch(e){case 44:return s.advanceCodePoint(),[Rw.Comma,",",s.representationStart,s.representationEnd,void 0];case 58:return s.advanceCodePoint(),[Rw.Colon,":",s.representationStart,s.representationEnd,void 0];case 59:return s.advanceCodePoint(),[Rw.Semicolon,";",s.representationStart,s.representationEnd,void 0];case 40:return s.advanceCodePoint(),[Rw.OpenParen,"(",s.representationStart,s.representationEnd,void 0];case 41:return s.advanceCodePoint(),[Rw.CloseParen,")",s.representationStart,s.representationEnd,void 0];case 91:return s.advanceCodePoint(),[Rw.OpenSquare,"[",s.representationStart,s.representationEnd,void 0];case 93:return s.advanceCodePoint(),[Rw.CloseSquare,"]",s.representationStart,s.representationEnd,void 0];case 123:return s.advanceCodePoint(),[Rw.OpenCurly,"{",s.representationStart,s.representationEnd,void 0];case 125:return s.advanceCodePoint(),[Rw.CloseCurly,"}",s.representationStart,s.representationEnd,void 0];case 39:case 34:return function(e,t){let n="";const r=t.readCodePoint();for(;;){const o=t.readCodePoint();if(!1===o)return e.onParseError(new yw("Unexpected EOF while consuming a string token.",t.representationStart,t.representationEnd,["4.3.5. Consume a string token","Unexpected EOF"])),[Rw.String,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:n}];if(Pw(o))return e.onParseError(new yw("Unexpected newline while consuming a string token.",t.representationStart,t.representationEnd,["4.3.5. Consume a string token","Unexpected newline"])),t.unreadCodePoint(),[Rw.BadString,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,void 0];if(o===r)return[Rw.String,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:n}];if(92!==o)n+=String.fromCodePoint(o);else{if(void 0===t.codePointSource[t.cursor])continue;if(Pw(t.codePointSource[t.cursor])){t.advanceCodePoint();continue}n+=String.fromCodePoint(qw(e,t))}}}(a,s);case 35:return function(e,t){if(t.advanceCodePoint(),void 0!==t.codePointSource[t.cursor]&&(Nw(t.codePointSource[t.cursor])||Iw(t))){let n=Dw.Unrestricted;jw(0,t)&&(n=Dw.ID);const r=Ww(e,t);return[Rw.Hash,t.source.slice(t.representationStart,t.representationEnd+1),t.representationStart,t.representationEnd,{value:String.fromCodePoint(...r),type:n}]}return[Rw.Delim,"#",t.representationStart,t.representationEnd,{value:"#"}]}(a,s);case Sw:case 46:return Lw(s)?Bw(a,s):(s.advanceCodePoint(),[Rw.Delim,s.source[s.representationStart],s.representationStart,s.representationEnd,{value:s.source[s.representationStart]}]);case 10:case 13:case 12:case 9:case 32:return function(e){for(;Tw(e.codePointSource[e.cursor]);)e.advanceCodePoint();return[Rw.Whitespace,e.source.slice(e.representationStart,e.representationEnd+1),e.representationStart,e.representationEnd,void 0]}(s);case xw:return Lw(s)?Bw(a,s):_w(s)?(s.advanceCodePoint(3),[Rw.CDC,"--\x3e",s.representationStart,s.representationEnd,void 0]):jw(0,s)?Qw(a,s):(s.advanceCodePoint(),[Rw.Delim,"-",s.representationStart,s.representationEnd,{value:"-"}]);case 60:return Ow(s)?(s.advanceCodePoint(4),[Rw.CDO,"\x3c!--",s.representationStart,s.representationEnd,void 0]):(s.advanceCodePoint(),[Rw.Delim,"<",s.representationStart,s.representationEnd,{value:"<"}]);case 64:if(s.advanceCodePoint(),jw(0,s)){const e=Ww(a,s);return[Rw.AtKeyword,s.source.slice(s.representationStart,s.representationEnd+1),s.representationStart,s.representationEnd,{value:String.fromCodePoint(...e)}]}return[Rw.Delim,"@",s.representationStart,s.representationEnd,{value:"@"}];case 92:return Iw(s)?Qw(a,s):(s.advanceCodePoint(),a.onParseError(new yw('Invalid escape sequence after "\\"',s.representationStart,s.representationEnd,["4.3.1. Consume a token","U+005C REVERSE SOLIDUS (\\)","The input stream does not start with a valid escape sequence"])),[Rw.Delim,"\\",s.representationStart,s.representationEnd,{value:"\\"}])}return s.advanceCodePoint(),[Rw.Delim,s.source[s.representationStart],s.representationStart,s.representationEnd,{value:s.source[s.representationStart]}]},endOfFile:function(){return void 0===s.codePointSource[s.cursor]}}}function Yw(){}!function(e){e.Comment="comment",e.AtKeyword="at-keyword-token",e.BadString="bad-string-token",e.BadURL="bad-url-token",e.CDC="CDC-token",e.CDO="CDO-token",e.Colon="colon-token",e.Comma="comma-token",e.Delim="delim-token",e.Dimension="dimension-token",e.EOF="EOF-token",e.Function="function-token",e.Hash="hash-token",e.Ident="ident-token",e.Number="number-token",e.Percentage="percentage-token",e.Semicolon="semicolon-token",e.String="string-token",e.URL="url-token",e.Whitespace="whitespace-token",e.OpenParen="(-token",e.CloseParen=")-token",e.OpenSquare="[-token",e.CloseSquare="]-token",e.OpenCurly="{-token",e.CloseCurly="}-token",e.UnicodeRange="unicode-range-token"}(Rw||(Rw={})),function(e){e.Integer="integer",e.Number="number"}(Fw||(Fw={})),function(e){e.Unrestricted="unrestricted",e.ID="id"}(Dw||(Dw={}));const Jw=Object.values(Rw);function Kw(e){return!(!Array.isArray(e)||e.length<4||!Jw.includes(e[0])||"string"!=typeof e[1]||"number"!=typeof e[2]||"number"!=typeof e[3])}function Hw(e){switch(e[0]){case Rw.Whitespace:case Rw.Comment:return!0;default:return!1}}function Xw(e){return!!e&&e[0]===Rw.Colon}function Zw(e){return!!e&&e[0]===Rw.Comma}function ey(e){return!!e&&e[0]===Rw.Comment}function ty(e){return!!e&&e[0]===Rw.Delim}function ny(e){return!!e&&e[0]===Rw.EOF}function ry(e){return!!e&&e[0]===Rw.Ident}function oy(e){return!!e&&e[0]===Rw.Whitespace}function iy(e){return!!e&&e[0]===Rw.OpenParen}function sy(e){return!!e&&e[0]===Rw.CloseParen}var ay;function ly(e){let t=e.slice();return(e,n,r)=>{let o=-1;for(let i=t.indexOf(n);i<t.length&&(o=e.indexOf(t[i]),-1===o||o<r);i++);return-1===o||o===r&&n===e[r]&&(o++,o>=e.length)?-1:(t=e.slice(),o)}}function cy(e,t){const n=t[0];if(iy(n)||function(e){return!!e&&e[0]===Rw.OpenCurly}(n)||function(e){return!!e&&e[0]===Rw.OpenSquare}(n)){const n=function(e,t){const n=function(e){switch(e){case Rw.OpenParen:return Rw.CloseParen;case Rw.CloseParen:return Rw.OpenParen;case Rw.OpenCurly:return Rw.CloseCurly;case Rw.CloseCurly:return Rw.OpenCurly;case Rw.OpenSquare:return Rw.CloseSquare;case Rw.CloseSquare:return Rw.OpenSquare;default:return null}}(t[0][0]);if(!n)throw new Error("Failed to parse, a mirror variant must exist for all block open tokens.");const r=[];let o=1;for(;;){const i=t[o];if(!i||ny(i))return e.onParseError(new yw("Unexpected EOF while consuming a simple block.",t[0][2],t[t.length-1][3],["5.4.8. Consume a simple block","Unexpected EOF"])),{advance:t.length,node:new py(t[0],i,r)};if(i[0]===n)return{advance:o+1,node:new py(t[0],i,r)};if(Hw(i)){const n=gy(e,t.slice(o));o+=n.advance,r.push(...n.nodes);continue}const s=cy(e,t.slice(o));o+=s.advance,r.push(s.node)}}(e,t);return{advance:n.advance,node:n.node}}if(function(e){return!!e&&e[0]===Rw.Function}(n)){const n=function(e,t){const n=[];let r=1;for(;;){const o=t[r];if(!o||ny(o))return e.onParseError(new yw("Unexpected EOF while consuming a function.",t[0][2],t[t.length-1][3],["5.4.9. Consume a function","Unexpected EOF"])),{advance:t.length,node:new dy(t[0],o,n)};if(sy(o))return{advance:r+1,node:new dy(t[0],o,n)};if(Hw(o)){const o=gy(e,t.slice(r));r+=o.advance,n.push(...o.nodes);continue}const i=cy(e,t.slice(r));r+=i.advance,n.push(i.node)}}(e,t);return{advance:n.advance,node:n.node}}if(oy(n)){const n=fy(e,t);return{advance:n.advance,node:n.node}}if(ey(n)){const e=function(e,t){return{advance:1,node:new my(t[0])}}(0,t);return{advance:e.advance,node:e.node}}return{advance:1,node:new by(n)}}!function(e){e.Function="function",e.SimpleBlock="simple-block",e.Whitespace="whitespace",e.Comment="comment",e.Token="token"}(ay||(ay={}));class uy{constructor(){bn(this,"value",[])}indexOf(e){return this.value.indexOf(e)}at(e){if("number"==typeof e)return e<0&&(e=this.value.length+e),this.value[e]}forEach(e,t){if(0===this.value.length)return;const n=ly(this.value);let r=0;for(;r<this.value.length;){const o=this.value[r];let i;if(t&&(i=mn({},t)),!1===e({node:o,parent:this,state:i},r))return!1;if(r=n(this.value,o,r),-1===r)break}}walk(e,t){0!==this.value.length&&this.forEach(((t,n)=>!1!==e(t,n)&&(!("walk"in t.node)||!this.value.includes(t.node)||!1!==t.node.walk(e,t.state))&&void 0),t)}}class dy extends uy{constructor(e,t,n){super(),bn(this,"type",ay.Function),bn(this,"name",void 0),bn(this,"endToken",void 0),this.name=e,this.endToken=t,this.value=n}getName(){return this.name[4].value}normalize(){ny(this.endToken)&&(this.endToken=[Rw.CloseParen,")",-1,-1,void 0])}tokens(){return ny(this.endToken)?[this.name,...this.value.flatMap((e=>e.tokens()))]:[this.name,...this.value.flatMap((e=>e.tokens())),this.endToken]}toString(){const e=this.value.map((e=>Kw(e)?kw(e):e.toString())).join("");return kw(this.name)+e+kw(this.endToken)}toJSON(){return{type:this.type,name:this.getName(),tokens:this.tokens(),value:this.value.map((e=>e.toJSON()))}}isFunctionNode(){return dy.isFunctionNode(this)}static isFunctionNode(e){return!!e&&e instanceof dy&&e.type===ay.Function}}class py extends uy{constructor(e,t,n){super(),bn(this,"type",ay.SimpleBlock),bn(this,"startToken",void 0),bn(this,"endToken",void 0),this.startToken=e,this.endToken=t,this.value=n}normalize(){if(ny(this.endToken)){const e=function(e){switch(e[0]){case Rw.OpenParen:return[Rw.CloseParen,")",-1,-1,void 0];case Rw.CloseParen:return[Rw.OpenParen,"(",-1,-1,void 0];case Rw.OpenCurly:return[Rw.CloseCurly,"}",-1,-1,void 0];case Rw.CloseCurly:return[Rw.OpenCurly,"{",-1,-1,void 0];case Rw.OpenSquare:return[Rw.CloseSquare,"]",-1,-1,void 0];case Rw.CloseSquare:return[Rw.OpenSquare,"[",-1,-1,void 0];default:return null}}(this.startToken);e&&(this.endToken=e)}}tokens(){return ny(this.endToken)?[this.startToken,...this.value.flatMap((e=>e.tokens()))]:[this.startToken,...this.value.flatMap((e=>e.tokens())),this.endToken]}toString(){const e=this.value.map((e=>Kw(e)?kw(e):e.toString())).join("");return kw(this.startToken)+e+kw(this.endToken)}toJSON(){return{type:this.type,startToken:this.startToken,tokens:this.tokens(),value:this.value.map((e=>e.toJSON()))}}isSimpleBlockNode(){return py.isSimpleBlockNode(this)}static isSimpleBlockNode(e){return!!e&&e instanceof py&&e.type===ay.SimpleBlock}}class hy{constructor(e){bn(this,"type",ay.Whitespace),bn(this,"value",void 0),this.value=e}tokens(){return this.value}toString(){return kw(...this.value)}toJSON(){return{type:this.type,tokens:this.tokens()}}isWhitespaceNode(){return hy.isWhitespaceNode(this)}static isWhitespaceNode(e){return!!e&&e instanceof hy&&e.type===ay.Whitespace}}function fy(e,t){let n=0;for(;;){if(!oy(t[n]))return{advance:n,node:new hy(t.slice(0,n))};n++}}class my{constructor(e){bn(this,"type",ay.Comment),bn(this,"value",void 0),this.value=e}tokens(){return[this.value]}toString(){return kw(this.value)}toJSON(){return{type:this.type,tokens:this.tokens()}}isCommentNode(){return my.isCommentNode(this)}static isCommentNode(e){return!!e&&e instanceof my&&e.type===ay.Comment}}function gy(e,t){const n=[];let r=0;for(;;)if(oy(t[r])){const e=fy(0,t.slice(r));r+=e.advance,n.push(e.node)}else{if(!ey(t[r]))return{advance:r,nodes:n};n.push(new my(t[r])),r++}}class by{constructor(e){bn(this,"type",ay.Token),bn(this,"value",void 0),this.value=e}tokens(){return[this.value]}toString(){return this.value[1]}toJSON(){return{type:this.type,tokens:this.tokens()}}isTokenNod(){return by.isTokenNode(this)}static isTokenNode(e){return!!e&&e instanceof by&&e.type===ay.Token}}function wy(e,t){const n={onParseError:(void 0,()=>{})},r=[...e];ny(r[r.length-1])&&r.push([Rw.EOF,"",r[r.length-1][2],r[r.length-1][3],void 0]);const o=[];let i=0;for(;;){if(!r[i]||ny(r[i]))return o;const e=cy(n,r.slice(i));o.push(e.node),i+=e.advance}}function yy(e,t){var n;const r={onParseError:null!==(n=null==t?void 0:t.onParseError)&&void 0!==n?n:()=>{}},o=[...e];if(0===e.length)return[];ny(o[o.length-1])&&o.push([Rw.EOF,"",o[o.length-1][2],o[o.length-1][3],void 0]);const i=[];let s=[],a=0;for(;;){if(!o[a]||ny(o[a]))return s.length&&i.push(s),i;if(Zw(o[a])){i.push(s),s=[],a++;continue}const t=cy(r,e.slice(a));s.push(t.node),a+=t.advance}}function vy(e,t,n){0!==e.length&&function(e,t,n){if(0===e.length)return;const r=ly(e);let o=0;for(;o<e.length;){const i=e[o];let s;if(n&&(s=mn({},n)),!1===t({node:i,parent:{value:e},state:s},o))return!1;if(o=r(e,i,o),-1===o)break}}(e,((n,r)=>!1!==t(n,r)&&(!("walk"in n.node)||!e.includes(n.node)||!1!==n.node.walk(t,n.state))&&void 0),n)}function ky(e){return py.isSimpleBlockNode(e)}function xy(e){return dy.isFunctionNode(e)}function Sy(e){return hy.isWhitespaceNode(e)}function Cy(e){return my.isCommentNode(e)}function Oy(e){return by.isTokenNode(e)}function Ay(e){if(Array.isArray(e)){const t=e[0];if(!t)return[0,0];const n=e[e.length-1]||t;return[Ay(t)[0],Ay(n)[1]]}const t=e.tokens(),n=t[0],r=t[t.length-1];return n&&r?[n[2],r[3]]:[0,0]}const zy="function-no-unknown",Ey=Z(zy,{rejected:e=>'Unexpected unknown function "'.concat(e,'"')}),Ny=(e,t)=>(n,r)=>{if(!re(r,zy,{actual:e},{actual:t,possible:{ignoreFunctions:[P,N]},optional:!0}))return;const o=["abs","acos","anchor","anchor-size","annotation","asin","atan","atan2","attr","blur","brightness","calc","character-variant","circle","clamp","color","color-contrast","color-mix","color-stop","conic-gradient","contrast","cos","counter","counters","cross-fade","cubic-bezier","device-cmyk","drop-shadow","element","ellipse","env","exp","fit-content","format","from","gradient","grayscale","hsl","hsla","hue-rotate","hwb","hypot","image","image-rect","image-set","inset","invert","lab","layer","lch","leader","light-dark","linear","linear-gradient","local","log","matrix","matrix3d","max","min","minmax","mod","oklab","oklch","opacity","ornaments","paint","palette-mix","path","perspective","polygon","pow","radial-gradient","ray","rect","rem","repeat","repeating-conic-gradient","repeating-linear-gradient","repeating-radial-gradient","reversed","rgb","rgba","rotate","rotate3d","rotateX","rotateY","rotateZ","rotatex","rotatey","rotatez","round","saturate","scale","scale3d","scaleX","scaleY","scaleZ","scalex","scaley","scalez","scroll","selector","sepia","sign","sin","skew","skewX","skewY","skewx","skewy","sqrt","steps","styleset","stylistic","swash","symbols","tan","target-counter","target-counters","target-text","to","translate","translate3d","translateX","translateY","translateZ","translatex","translatey","translatez","type","url","var","view","xywh","-webkit-abs","-webkit-acos","-webkit-anchor","-webkit-anchor-size","-webkit-annotation","-webkit-asin","-webkit-atan","-webkit-atan2","-webkit-attr","-webkit-blur","-webkit-brightness","-webkit-calc","-webkit-character-variant","-webkit-circle","-webkit-clamp","-webkit-color","-webkit-color-contrast","-webkit-color-mix","-webkit-color-stop","-webkit-conic-gradient","-webkit-contrast","-webkit-cos","-webkit-counter","-webkit-counters","-webkit-cross-fade","-webkit-cubic-bezier","-webkit-device-cmyk","-webkit-drop-shadow","-webkit-element","-webkit-ellipse","-webkit-env","-webkit-exp","-webkit-fit-content","-webkit-format","-webkit-from","-webkit-gradient","-webkit-grayscale","-webkit-hsl","-webkit-hsla","-webkit-hue-rotate","-webkit-hwb","-webkit-hypot","-webkit-image","-webkit-image-rect","-webkit-image-set","-webkit-inset","-webkit-invert","-webkit-lab","-webkit-layer","-webkit-lch","-webkit-leader","-webkit-light-dark","-webkit-linear","-webkit-linear-gradient","-webkit-local","-webkit-log","-webkit-matrix","-webkit-matrix3d","-webkit-max","-webkit-min","-webkit-minmax","-webkit-mod","-webkit-oklab","-webkit-oklch","-webkit-opacity","-webkit-ornaments","-webkit-paint","-webkit-palette-mix","-webkit-path","-webkit-perspective","-webkit-polygon","-webkit-pow","-webkit-radial-gradient","-webkit-ray","-webkit-rect","-webkit-rem","-webkit-repeat","-webkit-repeating-conic-gradient","-webkit-repeating-linear-gradient","-webkit-repeating-radial-gradient","-webkit-reversed","-webkit-rgb","-webkit-rgba","-webkit-rotate","-webkit-rotate3d","-webkit-rotateX","-webkit-rotateY","-webkit-rotateZ","-webkit-rotatex","-webkit-rotatey","-webkit-rotatez","-webkit-round","-webkit-saturate","-webkit-scale","-webkit-scale3d","-webkit-scaleX","-webkit-scaleY","-webkit-scaleZ","-webkit-scalex","-webkit-scaley","-webkit-scalez","-webkit-scroll","-webkit-selector","-webkit-sepia","-webkit-sign","-webkit-sin","-webkit-skew","-webkit-skewX","-webkit-skewY","-webkit-skewx","-webkit-skewy","-webkit-sqrt","-webkit-steps","-webkit-styleset","-webkit-stylistic","-webkit-swash","-webkit-symbols","-webkit-tan","-webkit-target-counter","-webkit-target-counters","-webkit-target-text","-webkit-to","-webkit-translate","-webkit-translate3d","-webkit-translateX","-webkit-translateY","-webkit-translateZ","-webkit-translatex","-webkit-translatey","-webkit-translatez","-webkit-type","-webkit-url","-webkit-var","-webkit-view","-webkit-xywh","-moz-abs","-moz-acos","-moz-anchor","-moz-anchor-size","-moz-annotation","-moz-asin","-moz-atan","-moz-atan2","-moz-attr","-moz-blur","-moz-brightness","-moz-calc","-moz-character-variant","-moz-circle","-moz-clamp","-moz-color","-moz-color-contrast","-moz-color-mix","-moz-color-stop","-moz-conic-gradient","-moz-contrast","-moz-cos","-moz-counter","-moz-counters","-moz-cross-fade","-moz-cubic-bezier","-moz-device-cmyk","-moz-drop-shadow","-moz-element","-moz-ellipse","-moz-env","-moz-exp","-moz-fit-content","-moz-format","-moz-from","-moz-gradient","-moz-grayscale","-moz-hsl","-moz-hsla","-moz-hue-rotate","-moz-hwb","-moz-hypot","-moz-image","-moz-image-rect","-moz-image-set","-moz-inset","-moz-invert","-moz-lab","-moz-layer","-moz-lch","-moz-leader","-moz-light-dark","-moz-linear","-moz-linear-gradient","-moz-local","-moz-log","-moz-matrix","-moz-matrix3d","-moz-max","-moz-min","-moz-minmax","-moz-mod","-moz-oklab","-moz-oklch","-moz-opacity","-moz-ornaments","-moz-paint","-moz-palette-mix","-moz-path","-moz-perspective","-moz-polygon","-moz-pow","-moz-radial-gradient","-moz-ray","-moz-rect","-moz-rem","-moz-repeat","-moz-repeating-conic-gradient","-moz-repeating-linear-gradient","-moz-repeating-radial-gradient","-moz-reversed","-moz-rgb","-moz-rgba","-moz-rotate","-moz-rotate3d","-moz-rotateX","-moz-rotateY","-moz-rotateZ","-moz-rotatex","-moz-rotatey","-moz-rotatez","-moz-round","-moz-saturate","-moz-scale","-moz-scale3d","-moz-scaleX","-moz-scaleY","-moz-scaleZ","-moz-scalex","-moz-scaley","-moz-scalez","-moz-scroll","-moz-selector","-moz-sepia","-moz-sign","-moz-sin","-moz-skew","-moz-skewX","-moz-skewY","-moz-skewx","-moz-skewy","-moz-sqrt","-moz-steps","-moz-styleset","-moz-stylistic","-moz-swash","-moz-symbols","-moz-tan","-moz-target-counter","-moz-target-counters","-moz-target-text","-moz-to","-moz-translate","-moz-translate3d","-moz-translateX","-moz-translateY","-moz-translateZ","-moz-translatex","-moz-translatey","-moz-translatez","-moz-type","-moz-url","-moz-var","-moz-view","-moz-xywh","-o-abs","-o-acos","-o-anchor","-o-anchor-size","-o-annotation","-o-asin","-o-atan","-o-atan2","-o-attr","-o-blur","-o-brightness","-o-calc","-o-character-variant","-o-circle","-o-clamp","-o-color","-o-color-contrast","-o-color-mix","-o-color-stop","-o-conic-gradient","-o-contrast","-o-cos","-o-counter","-o-counters","-o-cross-fade","-o-cubic-bezier","-o-device-cmyk","-o-drop-shadow","-o-element","-o-ellipse","-o-env","-o-exp","-o-fit-content","-o-format","-o-from","-o-gradient","-o-grayscale","-o-hsl","-o-hsla","-o-hue-rotate","-o-hwb","-o-hypot","-o-image","-o-image-rect","-o-image-set","-o-inset","-o-invert","-o-lab","-o-layer","-o-lch","-o-leader","-o-light-dark","-o-linear","-o-linear-gradient","-o-local","-o-log","-o-matrix","-o-matrix3d","-o-max","-o-min","-o-minmax","-o-mod","-o-oklab","-o-oklch","-o-opacity","-o-ornaments","-o-paint","-o-palette-mix","-o-path","-o-perspective","-o-polygon","-o-pow","-o-radial-gradient","-o-ray","-o-rect","-o-rem","-o-repeat","-o-repeating-conic-gradient","-o-repeating-linear-gradient","-o-repeating-radial-gradient","-o-reversed","-o-rgb","-o-rgba","-o-rotate","-o-rotate3d","-o-rotateX","-o-rotateY","-o-rotateZ","-o-rotatex","-o-rotatey","-o-rotatez","-o-round","-o-saturate","-o-scale","-o-scale3d","-o-scaleX","-o-scaleY","-o-scaleZ","-o-scalex","-o-scaley","-o-scalez","-o-scroll","-o-selector","-o-sepia","-o-sign","-o-sin","-o-skew","-o-skewX","-o-skewY","-o-skewx","-o-skewy","-o-sqrt","-o-steps","-o-styleset","-o-stylistic","-o-swash","-o-symbols","-o-tan","-o-target-counter","-o-target-counters","-o-target-text","-o-to","-o-translate","-o-translate3d","-o-translateX","-o-translateY","-o-translateZ","-o-translatex","-o-translatey","-o-translatez","-o-type","-o-url","-o-var","-o-view","-o-xywh","-ms-abs","-ms-acos","-ms-anchor","-ms-anchor-size","-ms-annotation","-ms-asin","-ms-atan","-ms-atan2","-ms-attr","-ms-blur","-ms-brightness","-ms-calc","-ms-character-variant","-ms-circle","-ms-clamp","-ms-color","-ms-color-contrast","-ms-color-mix","-ms-color-stop","-ms-conic-gradient","-ms-contrast","-ms-cos","-ms-counter","-ms-counters","-ms-cross-fade","-ms-cubic-bezier","-ms-device-cmyk","-ms-drop-shadow","-ms-element","-ms-ellipse","-ms-env","-ms-exp","-ms-fit-content","-ms-format","-ms-from","-ms-gradient","-ms-grayscale","-ms-hsl","-ms-hsla","-ms-hue-rotate","-ms-hwb","-ms-hypot","-ms-image","-ms-image-rect","-ms-image-set","-ms-inset","-ms-invert","-ms-lab","-ms-layer","-ms-lch","-ms-leader","-ms-light-dark","-ms-linear","-ms-linear-gradient","-ms-local","-ms-log","-ms-matrix","-ms-matrix3d","-ms-max","-ms-min","-ms-minmax","-ms-mod","-ms-oklab","-ms-oklch","-ms-opacity","-ms-ornaments","-ms-paint","-ms-palette-mix","-ms-path","-ms-perspective","-ms-polygon","-ms-pow","-ms-radial-gradient","-ms-ray","-ms-rect","-ms-rem","-ms-repeat","-ms-repeating-conic-gradient","-ms-repeating-linear-gradient","-ms-repeating-radial-gradient","-ms-reversed","-ms-rgb","-ms-rgba","-ms-rotate","-ms-rotate3d","-ms-rotateX","-ms-rotateY","-ms-rotateZ","-ms-rotatex","-ms-rotatey","-ms-rotatez","-ms-round","-ms-saturate","-ms-scale","-ms-scale3d","-ms-scaleX","-ms-scaleY","-ms-scaleZ","-ms-scalex","-ms-scaley","-ms-scalez","-ms-scroll","-ms-selector","-ms-sepia","-ms-sign","-ms-sin","-ms-skew","-ms-skewX","-ms-skewY","-ms-skewx","-ms-skewy","-ms-sqrt","-ms-steps","-ms-styleset","-ms-stylistic","-ms-swash","-ms-symbols","-ms-tan","-ms-target-counter","-ms-target-counters","-ms-target-text","-ms-to","-ms-translate","-ms-translate3d","-ms-translateX","-ms-translateY","-ms-translateZ","-ms-translatex","-ms-translatey","-ms-translatez","-ms-type","-ms-url","-ms-var","-ms-view","-ms-xywh"];n.walkDecls((e=>{const{value:n}=e;n.includes("(")&&V(n)&&vy(wy(Vw({css:n})),(({node:n})=>{if(!xy(n))return;const i=n.getName();i.startsWith("--")||(H(t,"ignoreFunctions",i)||o.includes(i.toLowerCase())||X({message:Ey.rejected,messageArgs:[i],node:e,index:M(e)+n.name[2],result:r,ruleName:zy,word:i}))}))}))};Ny.ruleName=zy,Ny.messages=Ey,Ny.meta={url:"https://stylelint.io/user-guide/rules/function-no-unknown"};const Py=/^@@?[\w-]+$/,Ty=/^[$\s\w+\-,./*'"@]+$/;function Iy(e){return 0===e.length||!(W(e)||$(e)||U(e))&&(e.startsWith("'")&&e.endsWith("'")||e.startsWith('"')&&e.endsWith('"')?!F(e):(!e.startsWith("@")||!Py.test(e))&&!(e.includes("$")&&Ty.test(e)&&!e.endsWith("/")))}const jy="function-url-no-scheme-relative",Ly=Z(jy,{rejected:"Unexpected scheme-relative url"}),My=e=>(t,n)=>{re(n,jy,{actual:e})&&t.walkDecls((e=>{nw(e.toString().toLowerCase(),"url",((t,r)=>{const o=t.trim().replace(/^['"]+|['"]+$/g,"");Iy(o)&&o.startsWith("//")&&X({message:Ly.rejected,node:e,index:r,endIndex:r+t.length,result:n,ruleName:jy})}))}))};function _y(e){var t,n;return null!==(t=null===(n=e.raws.params)||void 0===n?void 0:n.raw)&&void 0!==t?t:e.params}My.ruleName=jy,My.messages=Ly,My.meta={url:"https://stylelint.io/user-guide/rules/function-url-no-scheme-relative"};const Ry="function-url-quotes",Fy=Z(Ry,{expected:e=>'Expected quotes around "'.concat(e,'" function argument'),rejected:e=>'Unexpected quotes around "'.concat(e,'" function argument')}),Dy=/url\(/i,Uy=(e,t,n)=>(r,o)=>{if(!re(o,Ry,{actual:e,possible:["always","never"]},{actual:t,possible:{except:["empty"]},optional:!0}))return;const i=H(t,"except","empty"),s=new Set(["","''",'""']);function a(t,r,o,a){const c=a.value.toLowerCase();let u="always"===e;const d=r.trimStart();if(!Iy(d))return;const p=o+r.length-d.length,h=o+r.length,f=d.startsWith("'")||d.startsWith('"');if(i&&s.has(r.trim())&&(u=!u),u){if(f)return;if(n.fix)return void function(e){for(const t of e.nodes)"word"===t.type&&(t.value='"'.concat(t.value,'"'))}(a);l(Fy.expected(c),t,p,h)}else{if(!f)return;if(n.fix)return void function(e){for(const t of e.nodes)"string"===t.type&&(t.type="word")}(a);l(Fy.rejected(c),t,p,h)}}function l(e,t,n,r){X({message:e,node:t,index:n,endIndex:r,result:o,ruleName:Ry})}r.walkAtRules((function(e){const t=_y(e),r=Zo(e);let o=!1;const i=nw(t,/^url$/i,((t,n,i)=>{o=!0,a(e,t,r+n,i)}));if(!o)return;n.fix&&(e.params=i.toString())})),r.walkDecls((function(e){if(!Dy.test(e.value))return;if(!ai(e))return;const t=_(e),r=M(e),o=nw(t,/^url$/i,((t,n,o)=>{a(e,t,r+n,o)}));n.fix&&(e.value=o.toString())}))};function qy(e){let t=null;try{t=new URL(e).protocol}catch(e){return null}if(null==t)return null;const n=t.slice(0,-1),r=t.length;return"//"!==e.slice(r,r+2)&&"data"!==n?null:n}Uy.ruleName=Ry,Uy.messages=Fy,Uy.meta={url:"https://stylelint.io/user-guide/rules/function-url-quotes",fixable:!0};const Wy="function-url-scheme-allowed-list",By=Z(Wy,{rejected:e=>'Unexpected URL scheme "'.concat(e,':"')}),$y=e=>(t,n)=>{re(n,Wy,{actual:e,possible:[P,N]})&&t.walkDecls((t=>{nw(t.toString().toLowerCase(),"url",((r,o)=>{const i=r.trim();if(!Iy(i))return;const s=qy(i.replace(/^['"]+|['"]+$/g,""));null!==s&&(G(s,e)||X({message:By.rejected,messageArgs:[s],node:t,index:o,endIndex:o+r.length,result:n,ruleName:Wy}))}))}))};$y.primaryOptionArray=!0,$y.ruleName=Wy,$y.messages=By,$y.meta={url:"https://stylelint.io/user-guide/rules/function-url-scheme-allowed-list"};const Qy="function-url-scheme-disallowed-list",Vy=Z(Qy,{rejected:e=>'Unexpected URL scheme "'.concat(e,':"')}),Gy=e=>(t,n)=>{re(n,Qy,{actual:e,possible:[P,N]})&&t.walkDecls((t=>{nw(t.toString().toLowerCase(),"url",((r,o)=>{const i=r.trim();if(!Iy(i))return;const s=qy(i.replace(/^['"]+|['"]+$/g,""));null!==s&&G(s,e)&&X({message:Vy.rejected,messageArgs:[s],node:t,index:o,endIndex:o+r.length,result:n,ruleName:Qy})}))}))};Gy.primaryOptionArray=!0,Gy.ruleName=Qy,Gy.messages=Vy,Gy.meta={url:"https://stylelint.io/user-guide/rules/function-url-scheme-disallowed-list"};const Yy="hue-degree-notation",Jy=Z(Yy,{expected:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),Ky=["hsl","hsla","hwb"],Hy=["lch","oklch"],Xy=new Set([...Ky,...Hy]),Zy=new RegExp("\\b(?:".concat([...Xy].join("|"),")\\("),"i"),ev=(e,t,n)=>(t,r)=>{re(r,Yy,{actual:e,possible:["angle","number"]})&&t.walkDecls((t=>{if(!Zy.test(t.value))return;let o=!1;const i=S(_(t));i.walk((i=>{if("function"!==i.type)return;const s=i.value.toLowerCase();if(!Xy.has(s))return;const a=function(e){const t=e.nodes.filter((({type:e})=>"word"===e||"function"===e)),n=e.value.toLowerCase();if(Ky.includes(n))return t[0];if(Hy.includes(n))return t[2];return}(i);if(!a)return;const{value:l}=a;if(!V(l))return;const c=S.unit(l);if(!c)return;const u="deg"===c.unit.toLowerCase(),d=""===c.unit;if(!u&&!d)return;if("angle"===e&&u)return;if("number"===e&&d)return;const p="angle"===e?"".concat(c.number,"deg"):c.number,h=l;if(n.fix)return a.value=p,void(o=!0);const f=M(t);X({message:Jy.expected,messageArgs:[h,p],node:t,index:f+a.sourceIndex,endIndex:f+a.sourceEndIndex,result:r,ruleName:Yy})})),o&&ee(t,i.toString())}))};function tv(e,t){const n=e.raws;return n.params?n.params.raw=t:e.params=t,e}ev.ruleName=Yy,ev.messages=Jy,ev.meta={url:"https://stylelint.io/user-guide/rules/hue-degree-notation",fixable:!0};const nv="import-notation",rv=Z(nv,{expected:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),ov=(e,t,n)=>(t,r)=>{function o(e,t,n,o){X({message:e,node:t,index:n,endIndex:o,result:r,ruleName:nv})}re(r,nv,{actual:e,possible:["string","url"]})&&t.walkAtRules(/^import$/i,(function(t){const r=S(_y(t));for(const i of r.nodes){const r=Zo(t),s=r+i.sourceEndIndex;if("string"===e&&"function"===i.type&&"url"===i.value.toLowerCase()){const e=S.stringify(i),a=S.stringify(i.nodes),l=i.nodes[0]&&"word"===i.nodes[0].type?'"'.concat(a,'"'):a;if(n.fix){const e=t.params.slice(i.sourceEndIndex);return void tv(t,"".concat(l).concat(e))}return void o(rv.expected(e,l),t,r,s)}if("url"===e){if("space"===i.type)return;if("word"===i.type||"string"===i.type){const e=S.stringify(i),a="url(".concat(e,")");if(n.fix){const e=t.params.slice(i.sourceEndIndex);return void tv(t,"".concat(a).concat(e))}const l="word"===i.type?'"'.concat(i.value,'"'):"".concat(i.quote).concat(i.value).concat(i.quote);return void o(rv.expected(l,a),t,r,s)}}}}))};function iv(e){return!Q(e)&&(!e.startsWith("%")&&(!e.endsWith(":")&&(!/:extend(?:\(.*?\))?/.test(e)&&(!/\.[\w-]+\(.*\).+/.test(e)&&(!(e.endsWith(")")&&!e.includes(":"))&&(!/\(@.*\)$/.test(e)&&(!e.includes("<%")&&!e.includes("%>")&&!e.includes("//"))))))))}ov.ruleName=nv,ov.messages=rv,ov.meta={url:"https://stylelint.io/user-guide/rules/import-notation",fixable:!0};const sv="keyframe-block-no-duplicate-selectors",av=Z(sv,{rejected:e=>'Unexpected duplicate "'.concat(e,'"')}),lv=e=>(t,n)=>{re(n,sv,{actual:e})&&t.walkAtRules(/^(-(moz|webkit)-)?keyframes$/i,(e=>{const t=new Set;e.walkRules((e=>{e.selectors.forEach((r=>{if(!iv(r))return;const o=r.toLowerCase();t.has(o)?X({message:av.rejected,messageArgs:[r],node:e,result:n,ruleName:sv,word:r}):t.add(o)}))}))}))};lv.ruleName=sv,lv.messages=av,lv.meta={url:"https://stylelint.io/user-guide/rules/keyframe-block-no-duplicate-selectors"};const cv="keyframe-declaration-no-important",uv=Z(cv,{rejected:"Unexpected !important"}),dv=e=>(t,n)=>{re(n,cv,{actual:e})&&t.walkAtRules(/^(-(moz|webkit)-)?keyframes$/i,(e=>{e.walkDecls((e=>{if(!e.important)return;const t=cm(e.toString());I(t),X({message:uv.rejected,node:e,index:t.index,endIndex:t.endIndex,result:n,ruleName:cv})}))}))};dv.ruleName=cv,dv.messages=uv,dv.meta={url:"https://stylelint.io/user-guide/rules/keyframe-declaration-no-important"};let pv={};function hv(e){for(var t=e.toLowerCase(),n="",r=!1,o=0;o<6&&void 0!==t[o];o++){var i=t.charCodeAt(o);if(r=32===i,!(i>=97&&i<=102||i>=48&&i<=57))break;n+=t[o]}if(0!==n.length){var s=parseInt(n,16);return s>=55296&&s<=57343||0===s||s>1114111?["�",n.length+(r?1:0)]:[String.fromCodePoint(s),n.length+(r?1:0)]}}pv.__esModule=!0,pv.default=function(e){if(!fv.test(e))return e;for(var t="",n=0;n<e.length;n++)if("\\"!==e[n])t+=e[n];else{var r=hv(e.slice(n+1,n+7));if(void 0!==r){t+=r[0],n+=r[1];continue}if("\\"===e[n+1]){t+="\\",n++;continue}e.length===n+1&&(t+=e[n])}return t};var fv=/\\/;pv=pv.default;let mv={};mv.__esModule=!0,mv.default=function(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),r=1;r<t;r++)n[r-1]=arguments[r];for(;n.length>0;){var o=n.shift();if(!e[o])return;e=e[o]}return e},mv=mv.default;let gv={};gv.__esModule=!0,gv.default=function(e){for(var t=arguments.length,n=new Array(t>1?t-1:0),r=1;r<t;r++)n[r-1]=arguments[r];for(;n.length>0;){var o=n.shift();e[o]||(e[o]={}),e=e[o]}},gv=gv.default;let bv,wv,yv,vv={};vv.__esModule=!0,vv.default=function(e){var t="",n=e.indexOf("/*"),r=0;for(;n>=0;){t+=e.slice(r,n);var o=e.indexOf("*/",n+2);if(o<0)return t;r=o+2,n=e.indexOf("/*",r)}return t+=e.slice(r)},vv=vv.default,bv=wv=yv=void 0;var kv=Cv(pv);bv=kv.default;var xv=Cv(mv);wv=xv.default;var Sv=Cv(gv);function Cv(e){return e&&e.__esModule?e:{default:e}}yv=Sv.default,Cv(vv).default;let Ov={};function Av(e,t,n){return t&&function(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}(e.prototype,t),Object.defineProperty(e,"prototype",{writable:!1}),e}Ov.__esModule=!0,Ov.default=void 0;var zv=function e(t,n){if("object"!=typeof t||null===t)return t;var r=new t.constructor;for(var o in t)if(t.hasOwnProperty(o)){var i=t[o];"parent"===o&&"object"===typeof i?n&&(r[o]=n):r[o]=i instanceof Array?i.map((function(t){return e(t,r)})):e(i,r)}return r},Ev=function(){function e(e){void 0===e&&(e={}),Object.assign(this,e),this.spaces=this.spaces||{},this.spaces.before=this.spaces.before||"",this.spaces.after=this.spaces.after||""}var t=e.prototype;return t.remove=function(){return this.parent&&this.parent.removeChild(this),this.parent=void 0,this},t.replaceWith=function(){if(this.parent){for(var e in arguments)this.parent.insertBefore(this,arguments[e]);this.remove()}return this},t.next=function(){return this.parent.at(this.parent.index(this)+1)},t.prev=function(){return this.parent.at(this.parent.index(this)-1)},t.clone=function(e){void 0===e&&(e={});var t=zv(this);for(var n in e)t[n]=e[n];return t},t.appendToPropertyAndEscape=function(e,t,n){this.raws||(this.raws={});var r=this[e],o=this.raws[e];this[e]=r+t,o||n!==t?this.raws[e]=(o||r)+n:delete this.raws[e]},t.setPropertyAndEscape=function(e,t,n){this.raws||(this.raws={}),this[e]=t,this.raws[e]=n},t.setPropertyWithoutEscape=function(e,t){this[e]=t,this.raws&&delete this.raws[e]},t.isAtPosition=function(e,t){if(this.source&&this.source.start&&this.source.end)return!(this.source.start.line>e)&&(!(this.source.end.line<e)&&(!(this.source.start.line===e&&this.source.start.column>t)&&!(this.source.end.line===e&&this.source.end.column<t)))},t.stringifyProperty=function(e){return this.raws&&this.raws[e]||this[e]},t.valueToString=function(){return String(this.stringifyProperty("value"))},t.toString=function(){return[this.rawSpaceBefore,this.valueToString(),this.rawSpaceAfter].join("")},Av(e,[{key:"rawSpaceBefore",get:function(){var e=this.raws&&this.raws.spaces&&this.raws.spaces.before;return void 0===e&&(e=this.spaces&&this.spaces.before),e||""},set:function(e){yv(this,"raws","spaces"),this.raws.spaces.before=e}},{key:"rawSpaceAfter",get:function(){var e=this.raws&&this.raws.spaces&&this.raws.spaces.after;return void 0===e&&(e=this.spaces.after),e||""},set:function(e){yv(this,"raws","spaces"),this.raws.spaces.after=e}}]),e}();Ov.default=Ev,Ov=Ov.default;const Nv={__esModule:!0};Nv.UNIVERSAL=Nv.TAG=Nv.STRING=Nv.SELECTOR=Nv.ROOT=Nv.PSEUDO=Nv.NESTING=Nv.ID=Nv.COMMENT=Nv.COMBINATOR=Nv.CLASS=Nv.ATTRIBUTE=void 0;Nv.TAG="tag";Nv.STRING="string";Nv.SELECTOR="selector";Nv.ROOT="root";Nv.PSEUDO="pseudo";Nv.NESTING="nesting";Nv.ID="id";Nv.COMMENT="comment";Nv.COMBINATOR="combinator";Nv.CLASS="class";Nv.ATTRIBUTE="attribute";Nv.UNIVERSAL="universal";let Pv={__esModule:!0,default:void 0};var Tv,Iv=(Tv=Ov)&&Tv.__esModule?Tv:{default:Tv},jv=function(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=Lv(t);if(n&&n.has(e))return n.get(e);var r={},o=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var i in e)if("default"!==i&&Object.prototype.hasOwnProperty.call(e,i)){var s=o?Object.getOwnPropertyDescriptor(e,i):null;s&&(s.get||s.set)?Object.defineProperty(r,i,s):r[i]=e[i]}r.default=e,n&&n.set(e,r);return r}(Nv);function Lv(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return(Lv=function(e){return e?n:t})(e)}function Mv(e,t){var n="undefined"!=typeof Symbol&&e[Symbol.iterator]||e["@@iterator"];if(n)return(n=n.call(e)).next.bind(n);if(Array.isArray(e)||(n=function(e,t){if(!e)return;if("string"==typeof e)return _v(e,t);var n=Object.prototype.toString.call(e).slice(8,-1);"Object"===n&&e.constructor&&(n=e.constructor.name);if("Map"===n||"Set"===n)return Array.from(e);if("Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return _v(e,t)}(e))||t){n&&(e=n);var r=0;return function(){return r>=e.length?{done:!0}:{done:!1,value:e[r++]}}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}function _v(e,t){(null==t||t>e.length)&&(t=e.length);for(var n=0,r=new Array(t);n<t;n++)r[n]=e[n];return r}function Rv(e,t,n){return t&&function(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}(e.prototype,t),Object.defineProperty(e,"prototype",{writable:!1}),e}function Fv(e,t){return Fv=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},Fv(e,t)}var Dv=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).nodes||(n.nodes=[]),n}n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,Fv(t,n);var o=r.prototype;return o.append=function(e){return e.parent=this,this.nodes.push(e),this},o.prepend=function(e){return e.parent=this,this.nodes.unshift(e),this},o.at=function(e){return this.nodes[e]},o.index=function(e){return"number"==typeof e?e:this.nodes.indexOf(e)},o.removeChild=function(e){var t;for(var n in e=this.index(e),this.at(e).parent=void 0,this.nodes.splice(e,1),this.indexes)(t=this.indexes[n])>=e&&(this.indexes[n]=t-1);return this},o.removeAll=function(){for(var e,t=Mv(this.nodes);!(e=t()).done;){e.value.parent=void 0}return this.nodes=[],this},o.empty=function(){return this.removeAll()},o.insertAfter=function(e,t){t.parent=this;var n,r=this.index(e);for(var o in this.nodes.splice(r+1,0,t),t.parent=this,this.indexes)r<=(n=this.indexes[o])&&(this.indexes[o]=n+1);return this},o.insertBefore=function(e,t){t.parent=this;var n,r=this.index(e);for(var o in this.nodes.splice(r,0,t),t.parent=this,this.indexes)(n=this.indexes[o])<=r&&(this.indexes[o]=n+1);return this},o._findChildAtPosition=function(e,t){var n=void 0;return this.each((function(r){if(r.atPosition){var o=r.atPosition(e,t);if(o)return n=o,!1}else if(r.isAtPosition(e,t))return n=r,!1})),n},o.atPosition=function(e,t){return this.isAtPosition(e,t)?this._findChildAtPosition(e,t)||this:void 0},o._inferEndPosition=function(){this.last&&this.last.source&&this.last.source.end&&(this.source=this.source||{},this.source.end=this.source.end||{},Object.assign(this.source.end,this.last.source.end))},o.each=function(e){this.lastEach||(this.lastEach=0),this.indexes||(this.indexes={}),this.lastEach++;var t=this.lastEach;if(this.indexes[t]=0,this.length){for(var n,r;this.indexes[t]<this.length&&(n=this.indexes[t],!1!==(r=e(this.at(n),n)));)this.indexes[t]+=1;return delete this.indexes[t],!1!==r&&void 0}},o.walk=function(e){return this.each((function(t,n){var r=e(t,n);if(!1!==r&&t.length&&(r=t.walk(e)),!1===r)return!1}))},o.walkAttributes=function(e){var t=this;return this.walk((function(n){if(n.type===jv.ATTRIBUTE)return e.call(t,n)}))},o.walkClasses=function(e){var t=this;return this.walk((function(n){if(n.type===jv.CLASS)return e.call(t,n)}))},o.walkCombinators=function(e){var t=this;return this.walk((function(n){if(n.type===jv.COMBINATOR)return e.call(t,n)}))},o.walkComments=function(e){var t=this;return this.walk((function(n){if(n.type===jv.COMMENT)return e.call(t,n)}))},o.walkIds=function(e){var t=this;return this.walk((function(n){if(n.type===jv.ID)return e.call(t,n)}))},o.walkNesting=function(e){var t=this;return this.walk((function(n){if(n.type===jv.NESTING)return e.call(t,n)}))},o.walkPseudos=function(e){var t=this;return this.walk((function(n){if(n.type===jv.PSEUDO)return e.call(t,n)}))},o.walkTags=function(e){var t=this;return this.walk((function(n){if(n.type===jv.TAG)return e.call(t,n)}))},o.walkUniversals=function(e){var t=this;return this.walk((function(n){if(n.type===jv.UNIVERSAL)return e.call(t,n)}))},o.split=function(e){var t=this,n=[];return this.reduce((function(r,o,i){var s=e.call(t,o);return n.push(o),s?(r.push(n),n=[]):i===t.length-1&&r.push(n),r}),[])},o.map=function(e){return this.nodes.map(e)},o.reduce=function(e,t){return this.nodes.reduce(e,t)},o.every=function(e){return this.nodes.every(e)},o.some=function(e){return this.nodes.some(e)},o.filter=function(e){return this.nodes.filter(e)},o.sort=function(e){return this.nodes.sort(e)},o.toString=function(){return this.map(String).join("")},Rv(r,[{key:"first",get:function(){return this.at(0)}},{key:"last",get:function(){return this.at(this.length-1)}},{key:"length",get:function(){return this.nodes.length}}]),r}(Iv.default);Pv.default=Dv,Pv=Pv.default;let Uv={__esModule:!0,default:void 0};var qv=function(e){return e&&e.__esModule?e:{default:e}}(Pv);function Wv(e,t,n){return t&&function(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}(e.prototype,t),Object.defineProperty(e,"prototype",{writable:!1}),e}function Bv(e,t){return Bv=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},Bv(e,t)}var $v=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).type=Nv.ROOT,n}n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,Bv(t,n);var o=r.prototype;return o.toString=function(){var e=this.reduce((function(e,t){return e.push(String(t)),e}),[]).join(",");return this.trailingComma?e+",":e},o.error=function(e,t){return this._error?this._error(e,t):new Error(e)},Wv(r,[{key:"errorGenerator",set:function(e){this._error=e}}]),r}(qv.default);Uv.default=$v,Uv=Uv.default;let Qv={__esModule:!0,default:void 0};var Vv=function(e){return e&&e.__esModule?e:{default:e}}(Pv);function Gv(e,t){return Gv=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},Gv(e,t)}var Yv=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).type=Nv.SELECTOR,n}return n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,Gv(t,n),r}(Vv.default);Qv.default=Yv,Qv=Qv.default;
/*! https://mths.be/cssesc v3.0.0 by @mathias */
var Jv={}.hasOwnProperty,Kv=/[ -,\.\/:-@\[-\^`\{-~]/,Hv=/[ -,\.\/:-@\[\]\^`\{-~]/,Xv=/(^|\\+)?(\\[A-F0-9]{1,6})\x20(?![a-fA-F0-9\x20])/g,Zv=function e(t,n){"single"!=(n=function(e,t){if(!e)return t;var n={};for(var r in t)n[r]=Jv.call(e,r)?e[r]:t[r];return n}(n,e.options)).quotes&&"double"!=n.quotes&&(n.quotes="single");for(var r="double"==n.quotes?'"':"'",o=n.isIdentifier,i=t.charAt(0),s="",a=0,l=t.length;a<l;){var c=t.charAt(a++),u=c.charCodeAt(),d=void 0;if(u<32||u>126){if(u>=55296&&u<=56319&&a<l){var p=t.charCodeAt(a++);56320==(64512&p)?u=((1023&u)<<10)+(1023&p)+65536:a--}d="\\"+u.toString(16).toUpperCase()+" "}else d=n.escapeEverything?Kv.test(c)?"\\"+c:"\\"+u.toString(16).toUpperCase()+" ":/[\t\n\f\r\x0B]/.test(c)?"\\"+u.toString(16).toUpperCase()+" ":"\\"==c||!o&&('"'==c&&r==c||"'"==c&&r==c)||o&&Hv.test(c)?"\\"+c:c;s+=d}return o&&(/^-[-\d]/.test(s)?s="\\-"+s.slice(1):/\d/.test(i)&&(s="\\3"+i+" "+s.slice(1))),s=s.replace(Xv,(function(e,t,n){return t&&t.length%2?e:(t||"")+n})),!o&&n.wrap?r+s+r:s};Zv.options={escapeEverything:!1,isIdentifier:!1,quotes:"single",wrap:!1},Zv.version="3.0.0";let ek={__esModule:!0,default:void 0};var tk=nk(Zv);function nk(e){return e&&e.__esModule?e:{default:e}}function rk(e,t,n){return t&&function(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}(e.prototype,t),Object.defineProperty(e,"prototype",{writable:!1}),e}function ok(e,t){return ok=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},ok(e,t)}var ik=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).type=Nv.CLASS,n._constructed=!0,n}return n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,ok(t,n),r.prototype.valueToString=function(){return"."+e.prototype.valueToString.call(this)},rk(r,[{key:"value",get:function(){return this._value},set:function(e){if(this._constructed){var t=(0,tk.default)(e,{isIdentifier:!0});t!==e?(yv(this,"raws"),this.raws.value=t):this.raws&&delete this.raws.value}this._value=e}}]),r}(nk(Ov).default);ek.default=ik,ek=ek.default;let sk={__esModule:!0,default:void 0};var ak=function(e){return e&&e.__esModule?e:{default:e}}(Ov);function lk(e,t){return lk=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},lk(e,t)}var ck=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).type=Nv.COMMENT,n}return n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,lk(t,n),r}(ak.default);sk.default=ck,sk=sk.default;let uk={__esModule:!0,default:void 0};var dk=function(e){return e&&e.__esModule?e:{default:e}}(Ov);function pk(e,t){return pk=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},pk(e,t)}var hk=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).type=Nv.ID,n}return n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,pk(t,n),r.prototype.valueToString=function(){return"#"+e.prototype.valueToString.call(this)},r}(dk.default);uk.default=hk,uk=uk.default;let fk={__esModule:!0,default:void 0};var mk=gk(Zv);function gk(e){return e&&e.__esModule?e:{default:e}}function bk(e,t,n){return t&&function(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}(e.prototype,t),Object.defineProperty(e,"prototype",{writable:!1}),e}function wk(e,t){return wk=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},wk(e,t)}var yk=function(e){var t,n;function r(){return e.apply(this,arguments)||this}n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,wk(t,n);var o=r.prototype;return o.qualifiedName=function(e){return this.namespace?this.namespaceString+"|"+e:e},o.valueToString=function(){return this.qualifiedName(e.prototype.valueToString.call(this))},bk(r,[{key:"namespace",get:function(){return this._namespace},set:function(e){if(!0===e||"*"===e||"&"===e)return this._namespace=e,void(this.raws&&delete this.raws.namespace);var t=(0,mk.default)(e,{isIdentifier:!0});this._namespace=e,t!==e?(yv(this,"raws"),this.raws.namespace=t):this.raws&&delete this.raws.namespace}},{key:"ns",get:function(){return this._namespace},set:function(e){this.namespace=e}},{key:"namespaceString",get:function(){if(this.namespace){var e=this.stringifyProperty("namespace");return!0===e?"":e}return""}}]),r}(gk(Ov).default);fk.default=yk,fk=fk.default;let vk={__esModule:!0,default:void 0};var kk=function(e){return e&&e.__esModule?e:{default:e}}(fk);function xk(e,t){return xk=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},xk(e,t)}var Sk=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).type=Nv.TAG,n}return n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,xk(t,n),r}(kk.default);vk.default=Sk,vk=vk.default;let Ck={__esModule:!0,default:void 0};var Ok=function(e){return e&&e.__esModule?e:{default:e}}(Ov);function Ak(e,t){return Ak=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},Ak(e,t)}var zk=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).type=Nv.STRING,n}return n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,Ak(t,n),r}(Ok.default);Ck.default=zk,Ck=Ck.default;let Ek={__esModule:!0,default:void 0};var Nk=function(e){return e&&e.__esModule?e:{default:e}}(Pv);function Pk(e,t){return Pk=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},Pk(e,t)}var Tk=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).type=Nv.PSEUDO,n}return n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,Pk(t,n),r.prototype.toString=function(){var e=this.length?"("+this.map(String).join(",")+")":"";return[this.rawSpaceBefore,this.stringifyProperty("value"),e,this.rawSpaceAfter].join("")},r}(Nk.default);Ek.default=Tk,Ek=Ek.default;var Ik=e=>e;const jk={__esModule:!0,default:void 0};jk.unescapeValue=Qk;var Lk,Mk=Fk(Zv),_k=Fk(pv),Rk=Fk(fk);function Fk(e){return e&&e.__esModule?e:{default:e}}function Dk(e,t,n){return t&&function(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}(e.prototype,t),Object.defineProperty(e,"prototype",{writable:!1}),e}function Uk(e,t){return Uk=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},Uk(e,t)}var qk=/^('|")([^]*)\1$/,Wk=Ik((function(){})),Bk=Ik((function(){})),$k=Ik((function(){}));function Qk(e){var t=!1,n=null,r=e,o=r.match(qk);return o&&(n=o[1],r=o[2]),(r=(0,_k.default)(r))!==e&&(t=!0),{deprecatedUsage:t,unescaped:r,quoteMark:n}}var Vk=function(e){var t,n;function r(t){var n;return void 0===t&&(t={}),n=e.call(this,function(e){if(void 0!==e.quoteMark)return e;if(void 0===e.value)return e;$k();var t=Qk(e.value),n=t.quoteMark,r=t.unescaped;return e.raws||(e.raws={}),void 0===e.raws.value&&(e.raws.value=e.value),e.value=r,e.quoteMark=n,e}(t))||this,n.type=Nv.ATTRIBUTE,n.raws=n.raws||{},Object.defineProperty(n.raws,"unquoted",{get:Ik((function(){return n.value})),set:Ik((function(){return n.value}))}),n._constructed=!0,n}n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,Uk(t,n);var o=r.prototype;return o.getQuotedValue=function(e){void 0===e&&(e={});var t=this._determineQuoteMark(e),n=Gk[t];return(0,Mk.default)(this._value,n)},o._determineQuoteMark=function(e){return e.smart?this.smartQuoteMark(e):this.preferredQuoteMark(e)},o.setValue=function(e,t){void 0===t&&(t={}),this._value=e,this._quoteMark=this._determineQuoteMark(t),this._syncRawValue()},o.smartQuoteMark=function(e){var t=this.value,n=t.replace(/[^']/g,"").length,o=t.replace(/[^"]/g,"").length;if(n+o===0){var i=(0,Mk.default)(t,{isIdentifier:!0});if(i===t)return r.NO_QUOTE;var s=this.preferredQuoteMark(e);if(s===r.NO_QUOTE){var a=this.quoteMark||e.quoteMark||r.DOUBLE_QUOTE,l=Gk[a];if((0,Mk.default)(t,l).length<i.length)return a}return s}return o===n?this.preferredQuoteMark(e):o<n?r.DOUBLE_QUOTE:r.SINGLE_QUOTE},o.preferredQuoteMark=function(e){var t=e.preferCurrentQuoteMark?this.quoteMark:e.quoteMark;return void 0===t&&(t=e.preferCurrentQuoteMark?e.quoteMark:this.quoteMark),void 0===t&&(t=r.DOUBLE_QUOTE),t},o._syncRawValue=function(){var e=(0,Mk.default)(this._value,Gk[this.quoteMark]);e===this._value?this.raws&&delete this.raws.value:this.raws.value=e},o._handleEscapes=function(e,t){if(this._constructed){var n=(0,Mk.default)(t,{isIdentifier:!0});n!==t?this.raws[e]=n:delete this.raws[e]}},o._spacesFor=function(e){var t=this.spaces[e]||{},n=this.raws.spaces&&this.raws.spaces[e]||{};return Object.assign({before:"",after:""},t,n)},o._stringFor=function(e,t,n){void 0===t&&(t=e),void 0===n&&(n=Yk);var r=this._spacesFor(t);return n(this.stringifyProperty(e),r)},o.offsetOf=function(e){var t=1,n=this._spacesFor("attribute");if(t+=n.before.length,"namespace"===e||"ns"===e)return this.namespace?t:-1;if("attributeNS"===e)return t;if(t+=this.namespaceString.length,this.namespace&&(t+=1),"attribute"===e)return t;t+=this.stringifyProperty("attribute").length,t+=n.after.length;var r=this._spacesFor("operator");t+=r.before.length;var o=this.stringifyProperty("operator");if("operator"===e)return o?t:-1;t+=o.length,t+=r.after.length;var i=this._spacesFor("value");t+=i.before.length;var s=this.stringifyProperty("value");return"value"===e?s?t:-1:(t+=s.length,t+=i.after.length,t+=this._spacesFor("insensitive").before.length,"insensitive"===e&&this.insensitive?t:-1)},o.toString=function(){var e=this,t=[this.rawSpaceBefore,"["];return t.push(this._stringFor("qualifiedAttribute","attribute")),this.operator&&(this.value||""===this.value)&&(t.push(this._stringFor("operator")),t.push(this._stringFor("value")),t.push(this._stringFor("insensitiveFlag","insensitive",(function(t,n){return!(t.length>0)||e.quoted||0!==n.before.length||e.spaces.value&&e.spaces.value.after||(n.before=" "),Yk(t,n)})))),t.push("]"),t.push(this.rawSpaceAfter),t.join("")},Dk(r,[{key:"quoted",get:function(){var e=this.quoteMark;return"'"===e||'"'===e},set:function(e){Bk()}},{key:"quoteMark",get:function(){return this._quoteMark},set:function(e){this._constructed?this._quoteMark!==e&&(this._quoteMark=e,this._syncRawValue()):this._quoteMark=e}},{key:"qualifiedAttribute",get:function(){return this.qualifiedName(this.raws.attribute||this.attribute)}},{key:"insensitiveFlag",get:function(){return this.insensitive?"i":""}},{key:"value",get:function(){return this._value},set:function(e){if(this._constructed){var t=Qk(e),n=t.deprecatedUsage,r=t.unescaped,o=t.quoteMark;if(n&&Wk(),r===this._value&&o===this._quoteMark)return;this._value=r,this._quoteMark=o,this._syncRawValue()}else this._value=e}},{key:"insensitive",get:function(){return this._insensitive},set:function(e){e||(this._insensitive=!1,!this.raws||"I"!==this.raws.insensitiveFlag&&"i"!==this.raws.insensitiveFlag||(this.raws.insensitiveFlag=void 0)),this._insensitive=e}},{key:"attribute",get:function(){return this._attribute},set:function(e){this._handleEscapes("attribute",e),this._attribute=e}}]),r}(Rk.default);jk.default=Vk,Vk.NO_QUOTE=null,Vk.SINGLE_QUOTE="'",Vk.DOUBLE_QUOTE='"';var Gk=((Lk={"'":{quotes:"single",wrap:!0},'"':{quotes:"double",wrap:!0}}).null={isIdentifier:!0},Lk);function Yk(e,t){return""+t.before+e+t.after}let Jk={__esModule:!0,default:void 0};var Kk=function(e){return e&&e.__esModule?e:{default:e}}(fk);function Hk(e,t){return Hk=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},Hk(e,t)}var Xk=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).type=Nv.UNIVERSAL,n.value="*",n}return n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,Hk(t,n),r}(Kk.default);Jk.default=Xk,Jk=Jk.default;let Zk={__esModule:!0,default:void 0};var ex=function(e){return e&&e.__esModule?e:{default:e}}(Ov);function tx(e,t){return tx=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},tx(e,t)}var nx=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).type=Nv.COMBINATOR,n}return n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,tx(t,n),r}(ex.default);Zk.default=nx,Zk=Zk.default;let rx={__esModule:!0,default:void 0};var ox=function(e){return e&&e.__esModule?e:{default:e}}(Ov);function ix(e,t){return ix=Object.setPrototypeOf?Object.setPrototypeOf.bind():function(e,t){return e.__proto__=t,e},ix(e,t)}var sx=function(e){var t,n;function r(t){var n;return(n=e.call(this,t)||this).type=Nv.NESTING,n.value="&",n}return n=e,(t=r).prototype=Object.create(n.prototype),t.prototype.constructor=t,ix(t,n),r}(ox.default);rx.default=sx,rx=rx.default;let ax,lx,cx,ux,dx,px,hx,fx,mx,gx,bx,wx,yx,vx,kx,xx,Sx,Cx,Ox,Ax,zx,Ex,Nx,Px,Tx,Ix,jx,Lx,Mx,_x,Rx,Fx={};Fx.__esModule=!0,Fx.default=function(e){return e.sort((function(e,t){return e-t}))},Fx=Fx.default;ax=lx=cx=ux=dx=px=hx=fx=mx=gx=bx=wx=yx=vx=kx=xx=Sx=Cx=Ox=Ax=zx=Ex=Nx=Px=Tx=Ix=jx=Lx=Mx=_x=Rx=void 0;Rx=38;_x=42;Mx=64;zx=44;Nx=58;fx=59;wx=40;Tx=41;bx=91;Px=93;Cx=36;lx=126;Ix=94;mx=43;xx=61;gx=124;vx=62;dx=32;hx=39;Sx=34;px=47;jx=33;Lx=92;Ox=13;kx=12;yx=10;cx=9;ux=39;Ax=-1;ax=-2;Ex=-3;var Dx={__proto__:null,__esModule:!0,get ampersand(){return 38},get asterisk(){return 42},get at(){return 64},get backslash(){return 92},get bang(){return 33},get caret(){return 94},get closeParenthesis(){return 41},get closeSquare(){return 93},get colon(){return 58},get combinator(){return-3},get comma(){return 44},get comment(){return-1},get cr(){return 13},get dollar(){return 36},get doubleQuote(){return 34},get equals(){return 61},get feed(){return 12},get greaterThan(){return 62},get newline(){return 10},get openParenthesis(){return 40},get openSquare(){return 91},get pipe(){return 124},get plus(){return 43},get semicolon(){return 59},get singleQuote(){return 39},get slash(){return 47},get space(){return 32},get str(){return 39},get tab(){return 9},get tilde(){return 126},get word(){return-2}};const Ux={__esModule:!0,FIELDS:void 0,default:function(e){var t,n,r,o,i,s,a,l,c,u,d,p,h,f=[],m=e.css.valueOf(),g=m.length,b=-1,w=1,y=0,v=0;function k(t,n){if(!e.safe)throw e.error("Unclosed "+t,w,y-b,y);c=(m+=n).length-1}for(;y<g;){switch((t=m.charCodeAt(y))===Bx.newline&&(b=y,w+=1),t){case Bx.space:case Bx.tab:case Bx.newline:case Bx.cr:case Bx.feed:c=y;do{c+=1,(t=m.charCodeAt(c))===Bx.newline&&(b=c,w+=1)}while(t===Bx.space||t===Bx.newline||t===Bx.tab||t===Bx.cr||t===Bx.feed);h=Bx.space,o=w,r=c-b-1,v=c;break;case Bx.plus:case Bx.greaterThan:case Bx.tilde:case Bx.pipe:c=y;do{c+=1,t=m.charCodeAt(c)}while(t===Bx.plus||t===Bx.greaterThan||t===Bx.tilde||t===Bx.pipe);h=Bx.combinator,o=w,r=y-b,v=c;break;case Bx.asterisk:case Bx.ampersand:case Bx.bang:case Bx.comma:case Bx.equals:case Bx.dollar:case Bx.caret:case Bx.openSquare:case Bx.closeSquare:case Bx.colon:case Bx.semicolon:case Bx.openParenthesis:case Bx.closeParenthesis:h=t,o=w,r=y-b,v=(c=y)+1;break;case Bx.singleQuote:case Bx.doubleQuote:p=t===Bx.singleQuote?"'":'"',c=y;do{for(i=!1,-1===(c=m.indexOf(p,c+1))&&k("quote",p),s=c;m.charCodeAt(s-1)===Bx.backslash;)s-=1,i=!i}while(i);h=Bx.str,o=w,r=y-b,v=c+1;break;default:t===Bx.slash&&m.charCodeAt(y+1)===Bx.asterisk?(0===(c=m.indexOf("*/",y+2)+1)&&k("comment","*/"),n=m.slice(y,c+1),l=n.split("\n"),(a=l.length-1)>0?(u=w+a,d=c-l[a].length):(u=w,d=b),h=Bx.comment,w=u,o=u,r=c-d):t===Bx.slash?(h=t,o=w,r=y-b,v=(c=y)+1):(c=Kx(m,y),h=Bx.word,o=w,r=c-b),v=c+1}f.push([h,w,y-b,o,r,y,v]),d&&(b=d,d=null),y=v}return f}};var qx,Wx,Bx=function(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=$x(t);if(n&&n.has(e))return n.get(e);var r={},o=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var i in e)if("default"!==i&&Object.prototype.hasOwnProperty.call(e,i)){var s=o?Object.getOwnPropertyDescriptor(e,i):null;s&&(s.get||s.set)?Object.defineProperty(r,i,s):r[i]=e[i]}r.default=e,n&&n.set(e,r);return r}(Dx);function $x(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return($x=function(e){return e?n:t})(e)}for(var Qx=((qx={})[Bx.tab]=!0,qx[Bx.newline]=!0,qx[Bx.cr]=!0,qx[Bx.feed]=!0,qx),Vx=((Wx={})[Bx.space]=!0,Wx[Bx.tab]=!0,Wx[Bx.newline]=!0,Wx[Bx.cr]=!0,Wx[Bx.feed]=!0,Wx[Bx.ampersand]=!0,Wx[Bx.asterisk]=!0,Wx[Bx.bang]=!0,Wx[Bx.comma]=!0,Wx[Bx.colon]=!0,Wx[Bx.semicolon]=!0,Wx[Bx.openParenthesis]=!0,Wx[Bx.closeParenthesis]=!0,Wx[Bx.openSquare]=!0,Wx[Bx.closeSquare]=!0,Wx[Bx.singleQuote]=!0,Wx[Bx.doubleQuote]=!0,Wx[Bx.plus]=!0,Wx[Bx.pipe]=!0,Wx[Bx.tilde]=!0,Wx[Bx.greaterThan]=!0,Wx[Bx.equals]=!0,Wx[Bx.dollar]=!0,Wx[Bx.caret]=!0,Wx[Bx.slash]=!0,Wx),Gx={},Yx="0123456789abcdefABCDEF",Jx=0;Jx<Yx.length;Jx++)Gx[Yx.charCodeAt(Jx)]=!0;function Kx(e,t){var n,r=t;do{if(n=e.charCodeAt(r),Vx[n])return r-1;n===Bx.backslash?r=Hx(e,r)+1:r++}while(r<e.length);return r-1}function Hx(e,t){var n=t,r=e.charCodeAt(n+1);if(Qx[r]);else if(Gx[r]){var o=0;do{n++,o++,r=e.charCodeAt(n+1)}while(Gx[r]&&o<6);o<6&&r===Bx.space&&n++}else n++;return n}Ux.FIELDS={TYPE:0,START_LINE:1,START_COL:2,END_LINE:3,END_COL:4,START_POS:5,END_POS:6};let Xx={__esModule:!0,default:void 0};var Zx,eS,tS=yS(Uv),nS=yS(Qv),rS=yS(ek),oS=yS(sk),iS=yS(uk),sS=yS(vk),aS=yS(Ck),lS=yS(Ek),cS=wS(jk),uS=yS(Jk),dS=yS(Zk),pS=yS(rx),hS=yS(Fx),fS=wS(Ux),mS=wS(Dx),gS=wS(Nv);function bS(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return(bS=function(e){return e?n:t})(e)}function wS(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=bS(t);if(n&&n.has(e))return n.get(e);var r={},o=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var i in e)if("default"!==i&&Object.prototype.hasOwnProperty.call(e,i)){var s=o?Object.getOwnPropertyDescriptor(e,i):null;s&&(s.get||s.set)?Object.defineProperty(r,i,s):r[i]=e[i]}return r.default=e,n&&n.set(e,r),r}function yS(e){return e&&e.__esModule?e:{default:e}}function vS(e,t,n){return t&&function(e,t){for(var n=0;n<t.length;n++){var r=t[n];r.enumerable=r.enumerable||!1,r.configurable=!0,"value"in r&&(r.writable=!0),Object.defineProperty(e,r.key,r)}}(e.prototype,t),Object.defineProperty(e,"prototype",{writable:!1}),e}var kS=((Zx={})[mS.space]=!0,Zx[mS.cr]=!0,Zx[mS.feed]=!0,Zx[mS.newline]=!0,Zx[mS.tab]=!0,Zx),xS=Object.assign({},kS,((eS={})[mS.comment]=!0,eS));function SS(e){return{line:e[fS.FIELDS.START_LINE],column:e[fS.FIELDS.START_COL]}}function CS(e){return{line:e[fS.FIELDS.END_LINE],column:e[fS.FIELDS.END_COL]}}function OS(e,t,n,r){return{start:{line:e,column:t},end:{line:n,column:r}}}function AS(e){return OS(e[fS.FIELDS.START_LINE],e[fS.FIELDS.START_COL],e[fS.FIELDS.END_LINE],e[fS.FIELDS.END_COL])}function zS(e,t){if(e)return OS(e[fS.FIELDS.START_LINE],e[fS.FIELDS.START_COL],t[fS.FIELDS.END_LINE],t[fS.FIELDS.END_COL])}function ES(e,t){var n=e[t];if("string"==typeof n)return-1!==n.indexOf("\\")&&(yv(e,"raws"),e[t]=bv(n),void 0===e.raws[t]&&(e.raws[t]=n)),e}function NS(e,t){for(var n=-1,r=[];-1!==(n=e.indexOf(t,n+1));)r.push(n);return r}var PS=function(){function e(e,t){void 0===t&&(t={}),this.rule=e,this.options=Object.assign({lossy:!1,safe:!1},t),this.position=0,this.css="string"==typeof this.rule?this.rule:this.rule.selector,this.tokens=(0,fS.default)({css:this.css,error:this._errorGenerator(),safe:this.options.safe});var n=zS(this.tokens[0],this.tokens[this.tokens.length-1]);this.root=new tS.default({source:n}),this.root.errorGenerator=this._errorGenerator();var r=new nS.default({source:{start:{line:1,column:1}}});this.root.append(r),this.current=r,this.loop()}var t=e.prototype;return t._errorGenerator=function(){var e=this;return function(t,n){return"string"==typeof e.rule?new Error(t):e.rule.error(t,n)}},t.attribute=function(){var e=[],t=this.currToken;for(this.position++;this.position<this.tokens.length&&this.currToken[fS.FIELDS.TYPE]!==mS.closeSquare;)e.push(this.currToken),this.position++;if(this.currToken[fS.FIELDS.TYPE]!==mS.closeSquare)return this.expected("closing square bracket",this.currToken[fS.FIELDS.START_POS]);var n=e.length,r={source:OS(t[1],t[2],this.currToken[3],this.currToken[4]),sourceIndex:t[fS.FIELDS.START_POS]};if(1===n&&!~[mS.word].indexOf(e[0][fS.FIELDS.TYPE]))return this.expected("attribute",e[0][fS.FIELDS.START_POS]);for(var o=0,i="",s="",a=null,l=!1;o<n;){var c=e[o],u=this.content(c),d=e[o+1];switch(c[fS.FIELDS.TYPE]){case mS.space:if(l=!0,this.options.lossy)break;if(a){yv(r,"spaces",a);var p=r.spaces[a].after||"";r.spaces[a].after=p+u;var h=wv(r,"raws","spaces",a,"after")||null;h&&(r.raws.spaces[a].after=h+u)}else i+=u,s+=u;break;case mS.asterisk:if(d[fS.FIELDS.TYPE]===mS.equals)r.operator=u,a="operator";else if((!r.namespace||"namespace"===a&&!l)&&d){i&&(yv(r,"spaces","attribute"),r.spaces.attribute.before=i,i=""),s&&(yv(r,"raws","spaces","attribute"),r.raws.spaces.attribute.before=i,s=""),r.namespace=(r.namespace||"")+u,(wv(r,"raws","namespace")||null)&&(r.raws.namespace+=u),a="namespace"}l=!1;break;case mS.dollar:if("value"===a){var f=wv(r,"raws","value");r.value+="$",f&&(r.raws.value=f+"$");break}case mS.caret:d[fS.FIELDS.TYPE]===mS.equals&&(r.operator=u,a="operator"),l=!1;break;case mS.combinator:if("~"===u&&d[fS.FIELDS.TYPE]===mS.equals&&(r.operator=u,a="operator"),"|"!==u){l=!1;break}d[fS.FIELDS.TYPE]===mS.equals?(r.operator=u,a="operator"):r.namespace||r.attribute||(r.namespace=!0),l=!1;break;case mS.word:if(d&&"|"===this.content(d)&&e[o+2]&&e[o+2][fS.FIELDS.TYPE]!==mS.equals&&!r.operator&&!r.namespace)r.namespace=u,a="namespace";else if(!r.attribute||"attribute"===a&&!l){i&&(yv(r,"spaces","attribute"),r.spaces.attribute.before=i,i=""),s&&(yv(r,"raws","spaces","attribute"),r.raws.spaces.attribute.before=s,s=""),r.attribute=(r.attribute||"")+u,(wv(r,"raws","attribute")||null)&&(r.raws.attribute+=u),a="attribute"}else if(!r.value&&""!==r.value||"value"===a&&!l&&!r.quoteMark){var m=bv(u),g=wv(r,"raws","value")||"",b=r.value||"";r.value=b+m,r.quoteMark=null,(m!==u||g)&&(yv(r,"raws"),r.raws.value=(g||b)+u),a="value"}else{var w="i"===u||"I"===u;!r.value&&""!==r.value||!r.quoteMark&&!l?(r.value||""===r.value)&&(a="value",r.value+=u,r.raws.value&&(r.raws.value+=u)):(r.insensitive=w,w&&"I"!==u||(yv(r,"raws"),r.raws.insensitiveFlag=u),a="insensitive",i&&(yv(r,"spaces","insensitive"),r.spaces.insensitive.before=i,i=""),s&&(yv(r,"raws","spaces","insensitive"),r.raws.spaces.insensitive.before=s,s=""))}l=!1;break;case mS.str:if(!r.attribute||!r.operator)return this.error("Expected an attribute followed by an operator preceding the string.",{index:c[fS.FIELDS.START_POS]});var y=(0,cS.unescapeValue)(u),v=y.unescaped,k=y.quoteMark;r.value=v,r.quoteMark=k,a="value",yv(r,"raws"),r.raws.value=u,l=!1;break;case mS.equals:if(!r.attribute)return this.expected("attribute",c[fS.FIELDS.START_POS],u);if(r.value)return this.error('Unexpected "=" found; an operator was already defined.',{index:c[fS.FIELDS.START_POS]});r.operator=r.operator?r.operator+u:u,a="operator",l=!1;break;case mS.comment:if(a)if(l||d&&d[fS.FIELDS.TYPE]===mS.space||"insensitive"===a){var x=wv(r,"spaces",a,"after")||"",S=wv(r,"raws","spaces",a,"after")||x;yv(r,"raws","spaces",a),r.raws.spaces[a].after=S+u}else{var C=r[a]||"",O=wv(r,"raws",a)||C;yv(r,"raws"),r.raws[a]=O+u}else s+=u;break;default:return this.error('Unexpected "'+u+'" found.',{index:c[fS.FIELDS.START_POS]})}o++}ES(r,"attribute"),ES(r,"namespace"),this.newNode(new cS.default(r)),this.position++},t.parseWhitespaceEquivalentTokens=function(e){e<0&&(e=this.tokens.length);var t=this.position,n=[],r="",o=void 0;do{if(kS[this.currToken[fS.FIELDS.TYPE]])this.options.lossy||(r+=this.content());else if(this.currToken[fS.FIELDS.TYPE]===mS.comment){var i={};r&&(i.before=r,r=""),o=new oS.default({value:this.content(),source:AS(this.currToken),sourceIndex:this.currToken[fS.FIELDS.START_POS],spaces:i}),n.push(o)}}while(++this.position<e);if(r)if(o)o.spaces.after=r;else if(!this.options.lossy){var s=this.tokens[t],a=this.tokens[this.position-1];n.push(new aS.default({value:"",source:OS(s[fS.FIELDS.START_LINE],s[fS.FIELDS.START_COL],a[fS.FIELDS.END_LINE],a[fS.FIELDS.END_COL]),sourceIndex:s[fS.FIELDS.START_POS],spaces:{before:r,after:""}}))}return n},t.convertWhitespaceNodesToSpace=function(e,t){var n=this;void 0===t&&(t=!1);var r="",o="";return e.forEach((function(e){var i=n.lossySpace(e.spaces.before,t),s=n.lossySpace(e.rawSpaceBefore,t);r+=i+n.lossySpace(e.spaces.after,t&&0===i.length),o+=i+e.value+n.lossySpace(e.rawSpaceAfter,t&&0===s.length)})),o===r&&(o=void 0),{space:r,rawSpace:o}},t.isNamedCombinator=function(e){return void 0===e&&(e=this.position),this.tokens[e+0]&&this.tokens[e+0][fS.FIELDS.TYPE]===mS.slash&&this.tokens[e+1]&&this.tokens[e+1][fS.FIELDS.TYPE]===mS.word&&this.tokens[e+2]&&this.tokens[e+2][fS.FIELDS.TYPE]===mS.slash},t.namedCombinator=function(){if(this.isNamedCombinator()){var e=this.content(this.tokens[this.position+1]),t=bv(e).toLowerCase(),n={};t!==e&&(n.value="/"+e+"/");var r=new dS.default({value:"/"+t+"/",source:OS(this.currToken[fS.FIELDS.START_LINE],this.currToken[fS.FIELDS.START_COL],this.tokens[this.position+2][fS.FIELDS.END_LINE],this.tokens[this.position+2][fS.FIELDS.END_COL]),sourceIndex:this.currToken[fS.FIELDS.START_POS],raws:n});return this.position=this.position+3,r}this.unexpected()},t.combinator=function(){var e=this;if("|"===this.content())return this.namespace();var t=this.locateNextMeaningfulToken(this.position);if(!(t<0||this.tokens[t][fS.FIELDS.TYPE]===mS.comma)){var n,r=this.currToken,o=void 0;if(t>this.position&&(o=this.parseWhitespaceEquivalentTokens(t)),this.isNamedCombinator()?n=this.namedCombinator():this.currToken[fS.FIELDS.TYPE]===mS.combinator?(n=new dS.default({value:this.content(),source:AS(this.currToken),sourceIndex:this.currToken[fS.FIELDS.START_POS]}),this.position++):kS[this.currToken[fS.FIELDS.TYPE]]||o||this.unexpected(),n){if(o){var i=this.convertWhitespaceNodesToSpace(o),s=i.space,a=i.rawSpace;n.spaces.before=s,n.rawSpaceBefore=a}}else{var l=this.convertWhitespaceNodesToSpace(o,!0),c=l.space,u=l.rawSpace;u||(u=c);var d={},p={spaces:{}};c.endsWith(" ")&&u.endsWith(" ")?(d.before=c.slice(0,c.length-1),p.spaces.before=u.slice(0,u.length-1)):c.startsWith(" ")&&u.startsWith(" ")?(d.after=c.slice(1),p.spaces.after=u.slice(1)):p.value=u,n=new dS.default({value:" ",source:zS(r,this.tokens[this.position-1]),sourceIndex:r[fS.FIELDS.START_POS],spaces:d,raws:p})}return this.currToken&&this.currToken[fS.FIELDS.TYPE]===mS.space&&(n.spaces.after=this.optionalSpace(this.content()),this.position++),this.newNode(n)}var h=this.parseWhitespaceEquivalentTokens(t);if(h.length>0){var f=this.current.last;if(f){var m=this.convertWhitespaceNodesToSpace(h),g=m.space,b=m.rawSpace;void 0!==b&&(f.rawSpaceAfter+=b),f.spaces.after+=g}else h.forEach((function(t){return e.newNode(t)}))}},t.comma=function(){if(this.position===this.tokens.length-1)return this.root.trailingComma=!0,void this.position++;this.current._inferEndPosition();var e=new nS.default({source:{start:SS(this.tokens[this.position+1])}});this.current.parent.append(e),this.current=e,this.position++},t.comment=function(){var e=this.currToken;this.newNode(new oS.default({value:this.content(),source:AS(e),sourceIndex:e[fS.FIELDS.START_POS]})),this.position++},t.error=function(e,t){throw this.root.error(e,t)},t.missingBackslash=function(){return this.error("Expected a backslash preceding the semicolon.",{index:this.currToken[fS.FIELDS.START_POS]})},t.missingParenthesis=function(){return this.expected("opening parenthesis",this.currToken[fS.FIELDS.START_POS])},t.missingSquareBracket=function(){return this.expected("opening square bracket",this.currToken[fS.FIELDS.START_POS])},t.unexpected=function(){return this.error("Unexpected '"+this.content()+"'. Escaping special characters with \\ may help.",this.currToken[fS.FIELDS.START_POS])},t.unexpectedPipe=function(){return this.error("Unexpected '|'.",this.currToken[fS.FIELDS.START_POS])},t.namespace=function(){var e=this.prevToken&&this.content(this.prevToken)||!0;return this.nextToken[fS.FIELDS.TYPE]===mS.word?(this.position++,this.word(e)):this.nextToken[fS.FIELDS.TYPE]===mS.asterisk?(this.position++,this.universal(e)):void this.unexpectedPipe()},t.nesting=function(){if(this.nextToken&&"|"===this.content(this.nextToken))return void this.position++;var e=this.currToken;this.newNode(new pS.default({value:this.content(),source:AS(e),sourceIndex:e[fS.FIELDS.START_POS]})),this.position++},t.parentheses=function(){var e=this.current.last,t=1;if(this.position++,e&&e.type===gS.PSEUDO){var n=new nS.default({source:{start:SS(this.tokens[this.position-1])}}),r=this.current;for(e.append(n),this.current=n;this.position<this.tokens.length&&t;)this.currToken[fS.FIELDS.TYPE]===mS.openParenthesis&&t++,this.currToken[fS.FIELDS.TYPE]===mS.closeParenthesis&&t--,t?this.parse():(this.current.source.end=CS(this.currToken),this.current.parent.source.end=CS(this.currToken),this.position++);this.current=r}else{for(var o,i=this.currToken,s="(";this.position<this.tokens.length&&t;)this.currToken[fS.FIELDS.TYPE]===mS.openParenthesis&&t++,this.currToken[fS.FIELDS.TYPE]===mS.closeParenthesis&&t--,o=this.currToken,s+=this.parseParenthesisToken(this.currToken),this.position++;e?e.appendToPropertyAndEscape("value",s,s):this.newNode(new aS.default({value:s,source:OS(i[fS.FIELDS.START_LINE],i[fS.FIELDS.START_COL],o[fS.FIELDS.END_LINE],o[fS.FIELDS.END_COL]),sourceIndex:i[fS.FIELDS.START_POS]}))}if(t)return this.expected("closing parenthesis",this.currToken[fS.FIELDS.START_POS])},t.pseudo=function(){for(var e=this,t="",n=this.currToken;this.currToken&&this.currToken[fS.FIELDS.TYPE]===mS.colon;)t+=this.content(),this.position++;return this.currToken?this.currToken[fS.FIELDS.TYPE]!==mS.word?this.expected(["pseudo-class","pseudo-element"],this.currToken[fS.FIELDS.START_POS]):void this.splitWord(!1,(function(r,o){t+=r,e.newNode(new lS.default({value:t,source:zS(n,e.currToken),sourceIndex:n[fS.FIELDS.START_POS]})),o>1&&e.nextToken&&e.nextToken[fS.FIELDS.TYPE]===mS.openParenthesis&&e.error("Misplaced parenthesis.",{index:e.nextToken[fS.FIELDS.START_POS]})})):this.expected(["pseudo-class","pseudo-element"],this.position-1)},t.space=function(){var e=this.content();0===this.position||this.prevToken[fS.FIELDS.TYPE]===mS.comma||this.prevToken[fS.FIELDS.TYPE]===mS.openParenthesis||this.current.nodes.every((function(e){return"comment"===e.type}))?(this.spaces=this.optionalSpace(e),this.position++):this.position===this.tokens.length-1||this.nextToken[fS.FIELDS.TYPE]===mS.comma||this.nextToken[fS.FIELDS.TYPE]===mS.closeParenthesis?(this.current.last.spaces.after=this.optionalSpace(e),this.position++):this.combinator()},t.string=function(){var e=this.currToken;this.newNode(new aS.default({value:this.content(),source:AS(e),sourceIndex:e[fS.FIELDS.START_POS]})),this.position++},t.universal=function(e){var t=this.nextToken;if(t&&"|"===this.content(t))return this.position++,this.namespace();var n=this.currToken;this.newNode(new uS.default({value:this.content(),source:AS(n),sourceIndex:n[fS.FIELDS.START_POS]}),e),this.position++},t.splitWord=function(e,t){for(var n=this,r=this.nextToken,o=this.content();r&&~[mS.dollar,mS.caret,mS.equals,mS.word].indexOf(r[fS.FIELDS.TYPE]);){this.position++;var i=this.content();if(o+=i,i.lastIndexOf("\\")===i.length-1){var s=this.nextToken;s&&s[fS.FIELDS.TYPE]===mS.space&&(o+=this.requiredSpace(this.content(s)),this.position++)}r=this.nextToken}var a=NS(o,".").filter((function(e){var t="\\"===o[e-1],n=/^\d+\.\d+%$/.test(o);return!t&&!n})),l=NS(o,"#").filter((function(e){return"\\"!==o[e-1]})),c=NS(o,"#{");c.length&&(l=l.filter((function(e){return!~c.indexOf(e)})));var u=(0,hS.default)(function(){var e=Array.prototype.concat.apply([],arguments);return e.filter((function(t,n){return n===e.indexOf(t)}))}([0].concat(a,l)));u.forEach((function(r,i){var s,c=u[i+1]||o.length,d=o.slice(r,c);if(0===i&&t)return t.call(n,d,u.length);var p=n.currToken,h=p[fS.FIELDS.START_POS]+u[i],f=OS(p[1],p[2]+r,p[3],p[2]+(c-1));if(~a.indexOf(r)){var m={value:d.slice(1),source:f,sourceIndex:h};s=new rS.default(ES(m,"value"))}else if(~l.indexOf(r)){var g={value:d.slice(1),source:f,sourceIndex:h};s=new iS.default(ES(g,"value"))}else{var b={value:d,source:f,sourceIndex:h};ES(b,"value"),s=new sS.default(b)}n.newNode(s,e),e=null})),this.position++},t.word=function(e){var t=this.nextToken;return t&&"|"===this.content(t)?(this.position++,this.namespace()):this.splitWord(e)},t.loop=function(){for(;this.position<this.tokens.length;)this.parse(!0);return this.current._inferEndPosition(),this.root},t.parse=function(e){switch(this.currToken[fS.FIELDS.TYPE]){case mS.space:this.space();break;case mS.comment:this.comment();break;case mS.openParenthesis:this.parentheses();break;case mS.closeParenthesis:e&&this.missingParenthesis();break;case mS.openSquare:this.attribute();break;case mS.dollar:case mS.caret:case mS.equals:case mS.word:this.word();break;case mS.colon:this.pseudo();break;case mS.comma:this.comma();break;case mS.asterisk:this.universal();break;case mS.ampersand:this.nesting();break;case mS.slash:case mS.combinator:this.combinator();break;case mS.str:this.string();break;case mS.closeSquare:this.missingSquareBracket();case mS.semicolon:this.missingBackslash();default:this.unexpected()}},t.expected=function(e,t,n){if(Array.isArray(e)){var r=e.pop();e=e.join(", ")+" or "+r}var o=/^[aeiou]/.test(e[0])?"an":"a";return n?this.error("Expected "+o+" "+e+', found "'+n+'" instead.',{index:t}):this.error("Expected "+o+" "+e+".",{index:t})},t.requiredSpace=function(e){return this.options.lossy?" ":e},t.optionalSpace=function(e){return this.options.lossy?"":e},t.lossySpace=function(e,t){return this.options.lossy?t?" ":"":e},t.parseParenthesisToken=function(e){var t=this.content(e);return e[fS.FIELDS.TYPE]===mS.space?this.requiredSpace(t):t},t.newNode=function(e,t){return t&&(/^ +$/.test(t)&&(this.options.lossy||(this.spaces=(this.spaces||"")+t),t=!0),e.namespace=t,ES(e,"namespace")),this.spaces&&(e.spaces.before=this.spaces,this.spaces=""),this.current.append(e)},t.content=function(e){return void 0===e&&(e=this.currToken),this.css.slice(e[fS.FIELDS.START_POS],e[fS.FIELDS.END_POS])},t.locateNextMeaningfulToken=function(e){void 0===e&&(e=this.position+1);for(var t=e;t<this.tokens.length;){if(!xS[this.tokens[t][fS.FIELDS.TYPE]])return t;t++}return-1},vS(e,[{key:"currToken",get:function(){return this.tokens[this.position]}},{key:"nextToken",get:function(){return this.tokens[this.position+1]}},{key:"prevToken",get:function(){return this.tokens[this.position-1]}}]),e}();Xx.default=PS,Xx=Xx.default;let TS={__esModule:!0,default:void 0};var IS=function(e){return e&&e.__esModule?e:{default:e}}(Xx);var jS=function(){function e(e,t){this.func=e||function(){},this.funcRes=null,this.options=t}var t=e.prototype;return t._shouldUpdateSelector=function(e,t){return void 0===t&&(t={}),!1!==Object.assign({},this.options,t).updateSelector&&"string"!=typeof e},t._isLossy=function(e){return void 0===e&&(e={}),!1===Object.assign({},this.options,e).lossless},t._root=function(e,t){return void 0===t&&(t={}),new IS.default(e,this._parseOptions(t)).root},t._parseOptions=function(e){return{lossy:this._isLossy(e)}},t._run=function(e,t){var n=this;return void 0===t&&(t={}),new Promise((function(r,o){try{var i=n._root(e,t);Promise.resolve(n.func(i)).then((function(r){var o=void 0;return n._shouldUpdateSelector(e,t)&&(o=i.toString(),e.selector=o),{transform:r,root:i,string:o}})).then(r,o)}catch(e){return void o(e)}}))},t._runSync=function(e,t){void 0===t&&(t={});var n=this._root(e,t),r=this.func(n);if(r&&"function"==typeof r.then)throw new Error("Selector processor returned a promise to a synchronous call.");var o=void 0;return t.updateSelector&&"string"!=typeof e&&(o=n.toString(),e.selector=o),{transform:r,root:n,string:o}},t.ast=function(e,t){return this._run(e,t).then((function(e){return e.root}))},t.astSync=function(e,t){return this._runSync(e,t).root},t.transform=function(e,t){return this._run(e,t).then((function(e){return e.transform}))},t.transformSync=function(e,t){return this._runSync(e,t).transform},t.process=function(e,t){return this._run(e,t).then((function(e){return e.string||e.root.toString()}))},t.processSync=function(e,t){var n=this._runSync(e,t);return n.string||n.root.toString()},e}();TS.default=jS,TS=TS.default;const LS={__esModule:!0};LS.universal=LS.tag=LS.string=LS.selector=LS.root=LS.pseudo=LS.nesting=LS.id=LS.comment=LS.combinator=LS.className=LS.attribute=void 0;var MS=GS(jk),_S=GS(ek),RS=GS(Zk),FS=GS(sk),DS=GS(uk),US=GS(rx),qS=GS(Ek),WS=GS(Uv),BS=GS(Qv),$S=GS(Ck),QS=GS(vk),VS=GS(Jk);function GS(e){return e&&e.__esModule?e:{default:e}}LS.attribute=function(e){return new MS.default(e)};LS.className=function(e){return new _S.default(e)};LS.combinator=function(e){return new RS.default(e)};LS.comment=function(e){return new FS.default(e)};LS.id=function(e){return new DS.default(e)};LS.nesting=function(e){return new US.default(e)};LS.pseudo=function(e){return new qS.default(e)};LS.root=function(e){return new WS.default(e)};LS.selector=function(e){return new BS.default(e)};LS.string=function(e){return new $S.default(e)};LS.tag=function(e){return new QS.default(e)};LS.universal=function(e){return new VS.default(e)};const YS={};var JS;YS.__esModule=!0,YS.isComment=YS.isCombinator=YS.isClassName=YS.isAttribute=void 0,YS.isContainer=function(e){return!(!HS(e)||!e.walk)},YS.isIdentifier=void 0,YS.isNamespace=function(e){return ZS(e)||cC(e)},YS.isNesting=void 0,YS.isNode=HS,YS.isPseudo=void 0,YS.isPseudoClass=function(e){return iC(e)&&!dC(e)},YS.isPseudoElement=dC,YS.isUniversal=YS.isTag=YS.isString=YS.isSelector=YS.isRoot=void 0;var KS=((JS={})[Nv.ATTRIBUTE]=!0,JS[Nv.CLASS]=!0,JS[Nv.COMBINATOR]=!0,JS[Nv.COMMENT]=!0,JS[Nv.ID]=!0,JS[Nv.NESTING]=!0,JS[Nv.PSEUDO]=!0,JS[Nv.ROOT]=!0,JS[Nv.SELECTOR]=!0,JS[Nv.STRING]=!0,JS[Nv.TAG]=!0,JS[Nv.UNIVERSAL]=!0,JS);function HS(e){return"object"==typeof e&&KS[e.type]}function XS(e,t){return HS(t)&&t.type===e}var ZS=XS.bind(null,Nv.ATTRIBUTE);YS.isAttribute=ZS;var eC=XS.bind(null,Nv.CLASS);YS.isClassName=eC;var tC=XS.bind(null,Nv.COMBINATOR);YS.isCombinator=tC;var nC=XS.bind(null,Nv.COMMENT);YS.isComment=nC;var rC=XS.bind(null,Nv.ID);YS.isIdentifier=rC;var oC=XS.bind(null,Nv.NESTING);YS.isNesting=oC;var iC=XS.bind(null,Nv.PSEUDO);YS.isPseudo=iC;var sC=XS.bind(null,Nv.ROOT);YS.isRoot=sC;var aC=XS.bind(null,Nv.SELECTOR);YS.isSelector=aC;var lC=XS.bind(null,Nv.STRING);YS.isString=lC;var cC=XS.bind(null,Nv.TAG);YS.isTag=cC;var uC=XS.bind(null,Nv.UNIVERSAL);function dC(e){return iC(e)&&e.value&&(e.value.startsWith("::")||":before"===e.value.toLowerCase()||":after"===e.value.toLowerCase()||":first-letter"===e.value.toLowerCase()||":first-line"===e.value.toLowerCase())}YS.isUniversal=uC;const pC={__esModule:!0};Object.keys(Nv).forEach((function(e){"default"!==e&&"__esModule"!==e&&(e in pC&&pC[e]===Nv[e]||(pC[e]=Nv[e]))})),Object.keys(LS).forEach((function(e){"default"!==e&&"__esModule"!==e&&(e in pC&&pC[e]===LS[e]||(pC[e]=LS[e]))})),Object.keys(YS).forEach((function(e){"default"!==e&&"__esModule"!==e&&(e in pC&&pC[e]===YS[e]||(pC[e]=YS[e]))}));let hC={__esModule:!0,default:void 0};var fC=function(e){return e&&e.__esModule?e:{default:e}}(TS),mC=function(e,t){if(e&&e.__esModule)return e;if(null===e||"object"!=typeof e&&"function"!=typeof e)return{default:e};var n=gC(t);if(n&&n.has(e))return n.get(e);var r={},o=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var i in e)if("default"!==i&&Object.prototype.hasOwnProperty.call(e,i)){var s=o?Object.getOwnPropertyDescriptor(e,i):null;s&&(s.get||s.set)?Object.defineProperty(r,i,s):r[i]=e[i]}r.default=e,n&&n.set(e,r);return r}(pC);function gC(e){if("function"!=typeof WeakMap)return null;var t=new WeakMap,n=new WeakMap;return(gC=function(e){return e?n:t})(e)}var bC=function(e){return new fC.default(e)};Object.assign(bC,mC),delete bC.__esModule;var wC=bC;hC.default=wC,hC=hC.default;const yC="keyframe-selector-notation",vC=Z(yC,{expected:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),kC=new Set(["0%","100%"]),xC=new Set(["from","to"]),SC=new Set(["cover","contain","entry","enter","exit"]),CC=new Map([["0%","from"],["100%","to"]]),OC=new Map([["from","0%"],["to","100%"]]),AC=(e,t,n)=>(t,r)=>{if(!re(r,yC,{actual:e,possible:["keyword","percentage","percentage-unless-within-keyword-only-block"]}))return;const o=Object.freeze({keyword:{expFunc:e=>xC.has(e),fixFunc:e=>zC(CC,e)},percentage:{expFunc:e=>kC.has(e),fixFunc:e=>zC(OC,e)},"percentage-unless-within-keyword-only-block":{expFunc:(e,t)=>!!t.every((e=>xC.has(e)))||kC.has(e),fixFunc:e=>zC(OC,e)}});t.walkAtRules(/^(-(moz|webkit)-)?keyframes$/i,(t=>{const i="percentage-unless-within-keyword-only-block"===e?function(e){const t=[];return e.walkRules((e=>{t.push(...e.selectors)})),t}(t):[];t.walkRules((t=>{!function(e,t,n){try{hC(n).processSync(t,{updateSelector:!0})}catch(n){return void e.warn("Cannot parse selector",{node:t,stylelintType:"parseError"})}}(r,t,(s=>{let a=!0;s.walkTags((s=>{if(a&&SC.has(s.value))return!1;a=!1,function(e,{expFunc:o,fixFunc:s},a){const l=e.toLowerCase();if(!xC.has(l)&&!kC.has(l))return;if(o(e,i))return;const c=s(e);if(n.fix)return void a(c);X({message:vC.expected,messageArgs:[e,c],node:t,result:r,ruleName:yC,word:e})}(s.value,o[e],(e=>s.value=e))}))}))}))}))};function zC(e,t){const n=e.get(t);return L(n),n}AC.ruleName=yC,AC.messages=vC,AC.meta={url:"https://stylelint.io/user-guide/rules/keyframe-selector-notation",fixable:!0};const EC="keyframes-name-pattern",NC=Z(EC,{expected:(e,t)=>'Expected "'.concat(e,'" to match pattern "').concat(t,'"')}),PC=e=>(t,n)=>{if(!re(n,EC,{actual:e,possible:[N,P]}))return;const r=P(e)?new RegExp(e):e;t.walkAtRules(/keyframes/i,(t=>{const o=t.params;if(Q(o))return;if(r.test(o))return;const i=Zo(t);X({index:i,endIndex:i+o.length,message:NC.expected,messageArgs:[o,e],node:t,ruleName:EC,result:n})}))};PC.ruleName=EC,PC.messages=NC,PC.meta={url:"https://stylelint.io/user-guide/rules/keyframes-name-pattern"};const TC="length-zero-no-unit",IC=Z(TC,{rejected:"Unexpected unit"}),jC=(e,t,n)=>(r,o)=>{if(!re(o,TC,{actual:e},{actual:t,possible:{ignore:["custom-properties"],ignoreFunctions:[P,N]},optional:!0}))return;let i;function s(e,r,s){const{value:a,sourceIndex:l}=s;if(function(e){return"function"===e.type&&Rr.has(e.value.toLowerCase())}(s))return!1;if(De(s)&&H(t,"ignoreFunctions",a))return!1;if(!qe(s))return;const c=S.unit(a);if(!1===c)return;const{number:u,unit:d}=c;if(""===d)return;if(!function(e){return _m.has(e.toLowerCase())}(d))return;if(function(e){return"fr"===e.toLowerCase()}(d))return;if(!function(e){return 0===Number.parseFloat(e)}(u))return;if(n.fix){let e=u;return e.startsWith(".")&&(e=u.slice(1)),s.value=e,void(i=!0)}const p=r+l+u.length;X({index:p,endIndex:p+d.length,message:IC.rejected,node:e,result:o,ruleName:TC})}r.walkAtRules((function(e){if(!ke(e))return;i=!1;const t=Zo(e),n=S(_y(e));n.walk((n=>s(e,t,n))),i&&tv(e,n.toString())})),r.walkDecls((function(e){i=!1;const{prop:n}=e;if(function(e){return"line-height"===e.toLowerCase()}(n))return;if(function(e){return"flex"===e.toLowerCase()}(n))return;if(H(t,"ignore","custom-properties")&&oi(n))return;const r=M(e),o=S(_(e));o.walk(((t,n,o)=>{if(!function({prop:e},t,n){const r=t[n-1];return"font"===e.toLowerCase()&&r&&"div"===r.type&&"/"===r.value}(e,o,n))return s(e,r,t)})),i&&ee(e,o.toString())}))};jC.ruleName=TC,jC.messages=IC,jC.meta={url:"https://stylelint.io/user-guide/rules/length-zero-no-unit",fixable:!0};const LC="lightness-notation",MC=Z(LC,{expected:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),_C=new Set(["oklch","oklab"]),RC=new Set(["lch","lab"]),FC=new Set([..._C,...RC]),DC=new RegExp("\\b(?:".concat([...FC].join("|"),")\\("),"i"),UC=(e,t,n)=>(t,r)=>{re(r,LC,{actual:e,possible:["percentage","number"]})&&t.walkDecls((t=>{if(!DC.test(t.value))return;let o=!1;const i=S(_(t));i.walk((i=>{if("function"!==i.type)return;const s=i.value.toLowerCase();if(!FC.has(s))return;const a=function({nodes:e}){return e.find((({type:e})=>"word"===e||"function"===e))}(i);if(!a)return;const{value:l}=a;if(!V(l))return;const c=S.unit(l);if(!c)return;const u="%"===c.unit,d=""===c.unit;if(!u&&!d)return;if("percentage"===e&&u)return;if("number"===e&&d)return;const p="percentage"===e?function(e,t){let n=Number.parseFloat(e);if(RC.has(t))return"".concat(n,"%");_C.has(t)&&(n*=100);if(Number.isInteger(n))return"".concat(n,"%");return"".concat(qC(n,e),"%")}(l,s):function(e,t){let n=Number.parseFloat(e);if(_C.has(t))return n/=100,"".concat(qC(n,e));return"".concat(n)}(l,s);if(n.fix)return a.value=p,void(o=!0);const h=M(t);X({message:MC.expected,messageArgs:[l,p],node:t,index:h+a.sourceIndex,endIndex:h+a.sourceEndIndex,result:r,ruleName:LC})})),o&&ee(t,i.toString())}))};function qC(e,t){return e.toPrecision(t.length-2)}function WC(e){return"rule"===e.type&&((!("extend"in e)||!e.extend)&&!!iv(e.selector))}UC.ruleName=LC,UC.messages=MC,UC.meta={url:"https://stylelint.io/user-guide/rules/lightness-notation",fixable:!0};const BC="max-nesting-depth",$C=Z(BC,{expected:e=>"Expected nesting depth to be no more than ".concat(e)}),QC=(e,t)=>{const n=e=>_e(e)&&H(t,"ignoreAtRules",e.name);return(o,i)=>{function s(o){if(n(o))return;if(Me(s=o)&&H(t,"ignoreRules",s.selector))return;var s;if(!Ye(o))return;if(Me(o)&&!WC(o))return;r(o,0)>e&&X({ruleName:BC,result:i,node:o,message:$C.expected,messageArgs:[e]})}re(i,BC,{actual:e,possible:[z]},{optional:!0,actual:t,possible:{ignore:["blockless-at-rules","pseudo-classes"],ignoreAtRules:[P,N],ignoreRules:[P,N],ignorePseudoClasses:[P,N]}})&&(o.walkRules(s),o.walkAtRules(s))};function r(e,o){const i=e.parent;if(!i)return 0;if(n(i))return 0;if(Le(i)||_e(i)&&i.parent&&Le(i.parent))return o;return H(t,"ignore","blockless-at-rules")&&_e(e)&&e.every((e=>!Fe(e)))||H(t,"ignore","pseudo-classes")&&Me(e)&&function(e){return hC().processSync(e,{lossless:!1}).split(",").every((e=>VC(e)))}(e.selector)||Me(e)&&function(e){return!(!t||!t.ignorePseudoClasses&&!t.ignoreRules)&&e.every((e=>{if(t.ignoreRules&&H(t,"ignoreRules",e))return!0;if(!t.ignorePseudoClasses)return!1;const n=VC(e);return!!n&&H(t,"ignorePseudoClasses",n)}))}(e.selectors)?r(i,o):r(i,o+1)}};function VC(e){return e.startsWith("&:")&&":"!==e[2]?e.slice(2):void 0}var GC;QC.ruleName=BC,QC.messages=$C,QC.meta={url:"https://stylelint.io/user-guide/rules/max-nesting-depth"},function(e){e.CustomMedia="custom-media",e.GeneralEnclosed="general-enclosed",e.MediaAnd="media-and",e.MediaCondition="media-condition",e.MediaConditionListWithAnd="media-condition-list-and",e.MediaConditionListWithOr="media-condition-list-or",e.MediaFeature="media-feature",e.MediaFeatureBoolean="mf-boolean",e.MediaFeatureName="mf-name",e.MediaFeaturePlain="mf-plain",e.MediaFeatureRangeNameValue="mf-range-name-value",e.MediaFeatureRangeValueName="mf-range-value-name",e.MediaFeatureRangeValueNameValue="mf-range-value-name-value",e.MediaFeatureValue="mf-value",e.MediaInParens="media-in-parens",e.MediaNot="media-not",e.MediaOr="media-or",e.MediaQueryWithType="media-query-with-type",e.MediaQueryWithoutType="media-query-without-type",e.MediaQueryInvalid="media-query-invalid"}(GC||(GC={}));class YC{constructor(e){bn(this,"type",GC.MediaCondition),bn(this,"media",void 0),this.media=e}tokens(){return this.media.tokens()}toString(){return this.media.toString()}indexOf(e){return e===this.media?"media":-1}at(e){if("media"===e)return this.media}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.media,parent:this,state:n},"media")&&this.media.walk(e,n)}toJSON(){return{type:this.type,media:this.media.toJSON()}}isMediaCondition(){return YC.isMediaCondition(this)}static isMediaCondition(e){return!!e&&e instanceof YC&&e.type===GC.MediaCondition}}class JC{constructor(e,t=[],n=[]){bn(this,"type",GC.MediaInParens),bn(this,"media",void 0),bn(this,"before",void 0),bn(this,"after",void 0),this.media=e,this.before=t,this.after=n}tokens(){return[...this.before,...this.media.tokens(),...this.after]}toString(){return kw(...this.before)+this.media.toString()+kw(...this.after)}indexOf(e){return e===this.media?"media":-1}at(e){if("media"===e)return this.media}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.media,parent:this,state:n},"media")&&("walk"in this.media?this.media.walk(e,n):void 0)}toJSON(){return{type:this.type,media:this.media.toJSON(),before:this.before,after:this.after}}isMediaInParens(){return JC.isMediaInParens(this)}static isMediaInParens(e){return!!e&&e instanceof JC&&e.type===GC.MediaInParens}}class KC{constructor(e,t,n,r){bn(this,"type",GC.MediaQueryWithType),bn(this,"modifier",void 0),bn(this,"mediaType",void 0),bn(this,"and",void 0),bn(this,"media",void 0),this.modifier=e,this.mediaType=t,n&&r&&(this.and=n,this.media=r)}getModifier(){if(!this.modifier.length)return"";for(let e=0;e<this.modifier.length;e++){const t=this.modifier[e];if(ry(t))return t[4].value}return""}negateQuery(){const e=new KC([...this.modifier],[...this.mediaType],this.and,this.media);if(0===e.modifier.length)return e.modifier=[[Rw.Ident,"not",-1,-1,{value:"not"}],[Rw.Whitespace," ",-1,-1,void 0]],e;for(let t=0;t<e.modifier.length;t++){const n=e.modifier[t];if(ry(n)&&"not"===n[4].value.toLowerCase()){e.modifier.splice(t,1);break}if(ry(n)&&"only"===n[4].value.toLowerCase()){n[1]="not",n[4].value="not";break}}return e}getMediaType(){if(!this.mediaType.length)return"";for(let e=0;e<this.mediaType.length;e++){const t=this.mediaType[e];if(ry(t))return t[4].value}return""}tokens(){return this.and&&this.media?[...this.modifier,...this.mediaType,...this.and,...this.media.tokens()]:[...this.modifier,...this.mediaType]}toString(){return this.and&&this.media?kw(...this.modifier)+kw(...this.mediaType)+kw(...this.and)+this.media.toString():kw(...this.modifier)+kw(...this.mediaType)}indexOf(e){return e===this.media?"media":-1}at(e){if("media"===e)return this.media}walk(e,t){let n;if(t&&(n=mn({},t)),this.media)return!1!==e({node:this.media,parent:this,state:n},"media")&&this.media.walk(e,n)}toJSON(){return{type:this.type,string:this.toString(),modifier:this.modifier,mediaType:this.mediaType,and:this.and,media:this.media}}isMediaQueryWithType(){return KC.isMediaQueryWithType(this)}static isMediaQueryWithType(e){return!!e&&e instanceof KC&&e.type===GC.MediaQueryWithType}}class HC{constructor(e){bn(this,"type",GC.MediaQueryWithoutType),bn(this,"media",void 0),this.media=e}negateQuery(){let e=this.media;return e.media.type===GC.MediaNot?new HC(new YC(e.media.media)):(e.media.type===GC.MediaConditionListWithOr&&(e=new YC(new JC(e,[[Rw.Whitespace," ",0,0,void 0],[Rw.OpenParen,"(",0,0,void 0]],[[Rw.CloseParen,")",0,0,void 0]]))),new KC([[Rw.Ident,"not",0,0,{value:"not"}],[Rw.Whitespace," ",0,0,void 0]],[[Rw.Ident,"all",0,0,{value:"all"}],[Rw.Whitespace," ",0,0,void 0]],[[Rw.Ident,"and",0,0,{value:"and"}]],e))}tokens(){return this.media.tokens()}toString(){return this.media.toString()}indexOf(e){return e===this.media?"media":-1}at(e){if("media"===e)return this.media}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.media,parent:this,state:n},"media")&&this.media.walk(e,n)}toJSON(){return{type:this.type,string:this.toString(),media:this.media}}isMediaQueryWithoutType(){return HC.isMediaQueryWithoutType(this)}static isMediaQueryWithoutType(e){return!!e&&e instanceof HC&&e.type===GC.MediaQueryWithoutType}}class XC{constructor(e){bn(this,"type",GC.MediaQueryInvalid),bn(this,"media",void 0),this.media=e}negateQuery(){return new XC(this.media)}tokens(){return this.media.flatMap((e=>e.tokens()))}toString(){return this.media.map((e=>e.toString())).join("")}walk(e,t){if(0===this.media.length)return;const n=ly(this.media);let r=0;for(;r<this.media.length;){const o=this.media[r];let i;if(t&&(i=mn({},t)),!1===e({node:o,parent:this,state:i},r))return!1;if("walk"in o&&this.media.includes(o)&&!1===o.walk(e,i))return!1;if(r=n(this.media,o,r),-1===r)break}}toJSON(){return{type:this.type,string:this.toString(),media:this.media}}isMediaQueryInvalid(){return XC.isMediaQueryInvalid(this)}static isMediaQueryInvalid(e){return!!e&&e instanceof XC&&e.type===GC.MediaQueryInvalid}}class ZC{constructor(e){bn(this,"type",GC.GeneralEnclosed),bn(this,"value",void 0),this.value=e}tokens(){return this.value.tokens()}toString(){return this.value.toString()}indexOf(e){return e===this.value?"value":-1}at(e){if("value"===e)return this.value}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.value,parent:this,state:n},"value")&&("walk"in this.value?this.value.walk(e,n):void 0)}toJSON(){return{type:this.type,tokens:this.tokens()}}isGeneralEnclosed(){return ZC.isGeneralEnclosed(this)}static isGeneralEnclosed(e){return!!e&&e instanceof ZC&&e.type===GC.GeneralEnclosed}}class eO{constructor(e,t){bn(this,"type",GC.MediaAnd),bn(this,"modifier",void 0),bn(this,"media",void 0),this.modifier=e,this.media=t}tokens(){return[...this.modifier,...this.media.tokens()]}toString(){return kw(...this.modifier)+this.media.toString()}indexOf(e){return e===this.media?"media":-1}at(e){return"media"===e?this.media:null}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.media,parent:this,state:n},"media")&&this.media.walk(e,n)}toJSON(){return{type:this.type,modifier:this.modifier,media:this.media.toJSON()}}isMediaAnd(){return eO.isMediaAnd(this)}static isMediaAnd(e){return!!e&&e instanceof eO&&e.type===GC.MediaAnd}}class tO{constructor(e,t,n=[],r=[]){bn(this,"type",GC.MediaConditionListWithAnd),bn(this,"leading",void 0),bn(this,"list",void 0),bn(this,"before",void 0),bn(this,"after",void 0),this.leading=e,this.list=t,this.before=n,this.after=r}tokens(){return[...this.before,...this.leading.tokens(),...this.list.flatMap((e=>e.tokens())),...this.after]}toString(){return kw(...this.before)+this.leading.toString()+this.list.map((e=>e.toString())).join("")+kw(...this.after)}indexOf(e){return e===this.leading?"leading":"media-and"===e.type?this.list.indexOf(e):-1}at(e){return"leading"===e?this.leading:"number"==typeof e?(e<0&&(e=this.list.length+e),this.list[e]):void 0}walk(e,t){let n;if(t&&(n=mn({},t)),!1===e({node:this.leading,parent:this,state:n},"leading"))return!1;if("walk"in this.leading&&!1===this.leading.walk(e,n))return!1;if(0===this.list.length)return;const r=ly(this.list);let o=0;for(;o<this.list.length;){const i=this.list[o];if(t&&(n=mn({},t)),!1===e({node:i,parent:this,state:n},o))return!1;if("walk"in i&&this.list.includes(i)&&!1===i.walk(e,n))return!1;if(o=r(this.list,i,o),-1===o)break}}toJSON(){return{type:this.type,leading:this.leading.toJSON(),list:this.list.map((e=>e.toJSON())),before:this.before,after:this.after}}isMediaConditionListWithAnd(){return tO.isMediaConditionListWithAnd(this)}static isMediaConditionListWithAnd(e){return!!e&&e instanceof tO&&e.type===GC.MediaConditionListWithAnd}}class nO{constructor(e,t,n=[],r=[]){bn(this,"type",GC.MediaConditionListWithOr),bn(this,"leading",void 0),bn(this,"list",void 0),bn(this,"before",void 0),bn(this,"after",void 0),this.leading=e,this.list=t,this.before=n,this.after=r}tokens(){return[...this.before,...this.leading.tokens(),...this.list.flatMap((e=>e.tokens())),...this.after]}toString(){return kw(...this.before)+this.leading.toString()+this.list.map((e=>e.toString())).join("")+kw(...this.after)}indexOf(e){return e===this.leading?"leading":"media-or"===e.type?this.list.indexOf(e):-1}at(e){return"leading"===e?this.leading:"number"==typeof e?(e<0&&(e=this.list.length+e),this.list[e]):void 0}walk(e,t){let n;if(t&&(n=mn({},t)),!1===e({node:this.leading,parent:this,state:n},"leading"))return!1;if("walk"in this.leading&&!1===this.leading.walk(e,n))return!1;if(0===this.list.length)return;const r=ly(this.list);let o=0;for(;o<this.list.length;){const i=this.list[o];if(t&&(n=mn({},t)),!1===e({node:i,parent:this,state:n},o))return!1;if("walk"in i&&this.list.includes(i)&&!1===i.walk(e,n))return!1;if(o=r(this.list,i,o),-1===o)break}}toJSON(){return{type:this.type,leading:this.leading.toJSON(),list:this.list.map((e=>e.toJSON())),before:this.before,after:this.after}}isMediaConditionListWithOr(){return nO.isMediaConditionListWithOr(this)}static isMediaConditionListWithOr(e){return!!e&&e instanceof nO&&e.type===GC.MediaConditionListWithOr}}function rO(e){return!!(Oy(e)&&function(e){return!!e&&e[0]===Rw.Number}(e.value)||xy(e)&&oO.has(e.getName().toLowerCase()))}const oO=new Set(["abs","acos","asin","atan","atan2","calc","clamp","cos","exp","hypot","log","max","min","mod","pow","rem","round","sign","sin","sqrt","tan"]);function iO(e){return Oy(e)&&function(e){return!!e&&e[0]===Rw.Dimension}(e.value)}function sO(e){return Oy(e)&&ry(e.value)}function aO(e){return xy(e)&&"env"===e.getName().toLowerCase()}class lO{constructor(e,t=[],n=[]){bn(this,"type",GC.MediaFeatureName),bn(this,"name",void 0),bn(this,"before",void 0),bn(this,"after",void 0),this.name=e,this.before=t,this.after=n}getName(){return this.name.value[4].value}getNameToken(){return this.name.value}tokens(){return[...this.before,...this.name.tokens(),...this.after]}toString(){return kw(...this.before)+this.name.toString()+kw(...this.after)}indexOf(e){return e===this.name?"name":-1}at(e){if("name"===e)return this.name}toJSON(){return{type:this.type,name:this.getName(),tokens:this.tokens()}}isMediaFeatureName(){return lO.isMediaFeatureName(this)}static isMediaFeatureName(e){return!!e&&e instanceof lO&&e.type===GC.MediaFeatureName}}function cO(e){let t=-1;for(let n=0;n<e.length;n++){const r=e[n];if(r.type!==ay.Whitespace&&r.type!==ay.Comment){if(!sO(r))return!1;if(-1!==t)return!1;t=n}}return-1!==t&&new lO(e[t],e.slice(0,t).flatMap((e=>e.tokens())),e.slice(t+1).flatMap((e=>e.tokens())))}class uO{constructor(e){bn(this,"type",GC.MediaFeatureBoolean),bn(this,"name",void 0),this.name=e}getName(){return this.name.getName()}getNameToken(){return this.name.getNameToken()}tokens(){return this.name.tokens()}toString(){return this.name.toString()}indexOf(e){return e===this.name?"name":-1}at(e){if("name"===e)return this.name}toJSON(){return{type:this.type,name:this.name.toJSON(),tokens:this.tokens()}}isMediaFeatureBoolean(){return uO.isMediaFeatureBoolean(this)}static isMediaFeatureBoolean(e){return!!e&&e instanceof uO&&e.type===GC.MediaFeatureBoolean}}class dO{constructor(e,t=[],n=[]){bn(this,"type",GC.MediaFeatureValue),bn(this,"value",void 0),bn(this,"before",void 0),bn(this,"after",void 0),Array.isArray(e)&&1===e.length?this.value=e[0]:this.value=e,this.before=t,this.after=n}tokens(){return Array.isArray(this.value)?[...this.before,...this.value.flatMap((e=>e.tokens())),...this.after]:[...this.before,...this.value.tokens(),...this.after]}toString(){return Array.isArray(this.value)?kw(...this.before)+this.value.map((e=>e.toString())).join("")+kw(...this.after):kw(...this.before)+this.value.toString()+kw(...this.after)}indexOf(e){return e===this.value?"value":-1}at(e){return"value"===e?this.value:Array.isArray(this.value)&&"number"==typeof e?(e<0&&(e=this.value.length+e),this.value[e]):void 0}walk(e,t){if(Array.isArray(this.value)){if(0===this.value.length)return;const n=ly(this.value);let r=0;for(;r<this.value.length;){const o=this.value[r];let i;if(t&&(i=mn({},t)),!1===e({node:o,parent:this,state:i},r))return!1;if("walk"in o&&this.value.includes(o)&&!1===o.walk(e,i))return!1;if(r=n(this.value,o,r),-1===r)break}}else{let n;if(t&&(n=mn({},t)),!1===e({node:this.value,parent:this,state:n},"value"))return!1;if("walk"in this.value)return this.value.walk(e,n)}}toJSON(){return Array.isArray(this.value)?{type:this.type,value:this.value.map((e=>e.toJSON())),tokens:this.tokens()}:{type:this.type,value:this.value.toJSON(),tokens:this.tokens()}}isMediaFeatureValue(){return dO.isMediaFeatureValue(this)}static isMediaFeatureValue(e){return!!e&&e instanceof dO&&e.type===GC.MediaFeatureValue}}function pO(e,t=!1){let n=-1,r=-1;for(let o=0;o<e.length;o++){const i=e[o];if(i.type!==ay.Whitespace&&i.type!==ay.Comment){if(-1!==n)return!1;if(rO(i)){const t=hO(e.slice(o));if(-1!==t){n=t[0]+o,r=t[1]+o,o+=t[1]-t[0];continue}n=o,r=o}else if(aO(i))n=o,r=o;else if(iO(i))n=o,r=o;else{if(t||!sO(i))return!1;n=o,r=o}}}return-1!==n&&new dO(e.slice(n,r+1),e.slice(0,n).flatMap((e=>e.tokens())),e.slice(r+1).flatMap((e=>e.tokens())))}function hO(e){let t=-1,n=-1;const r=function(e){let t=-1,n=-1;for(let r=0;r<e.length;r++){const o=e[r];if("whitespace"!==o.type&&"comment"!==o.type){if("token"===o.type){const e=o.value;if(ty(e)&&"/"===e[4].value){if(-1===t)return-1;if(-1!==n)return-1;n=r;continue}}if(!rO(o))return-1;if(-1!==n)return[t,r];if(-1!==t)return-1;t=r}}return-1}(e);if(-1===r)return-1;t=r[0],n=r[1];for(let t=n+1;t<e.length;t++){const n=e[t];if("whitespace"!==n.type&&"comment"!==n.type)return-1}return[t,n]}class fO{constructor(e,t,n){bn(this,"type",GC.MediaFeaturePlain),bn(this,"name",void 0),bn(this,"colon",void 0),bn(this,"value",void 0),this.name=e,this.colon=t,this.value=n}getName(){return this.name.getName()}getNameToken(){return this.name.getNameToken()}tokens(){return[...this.name.tokens(),this.colon,...this.value.tokens()]}toString(){return this.name.toString()+kw(this.colon)+this.value.toString()}indexOf(e){return e===this.name?"name":e===this.value?"value":-1}at(e){return"name"===e?this.name:"value"===e?this.value:void 0}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.value,parent:this,state:n},"value")&&this.value.walk(e,n)}toJSON(){return{type:this.type,name:this.name.toJSON(),value:this.value.toJSON(),tokens:this.tokens()}}isMediaFeaturePlain(){return fO.isMediaFeaturePlain(this)}static isMediaFeaturePlain(e){return!!e&&e instanceof fO&&e.type===GC.MediaFeaturePlain}}var mO,gO,bO,wO;function yO(e){let t=-1;for(let n=0;n<e.length;n++){const r=e[n];if(r.type===ay.Token){const e=r.value;if(ty(e)){if(e[4].value===bO.EQ)return-1!==t?[t,n]:[n,n];if(e[4].value===mO.LT){t=n;continue}if(e[4].value===gO.GT){t=n;continue}}}break}return-1!==t&&[t,t]}function vO(e){if(0===e.length||e.length>2)return!1;if(!ty(e[0]))return!1;if(1===e.length)switch(e[0][4].value){case bO.EQ:return bO.EQ;case mO.LT:return mO.LT;case gO.GT:return gO.GT;default:return!1}if(!ty(e[1]))return!1;if(e[1][4].value!==bO.EQ)return!1;switch(e[0][4].value){case mO.LT:return mO.LT_OR_EQ;case gO.GT:return gO.GT_OR_EQ;default:return!1}}!function(e){e.LT="<",e.LT_OR_EQ="<="}(mO||(mO={})),function(e){e.GT=">",e.GT_OR_EQ=">="}(gO||(gO={})),function(e){e.EQ="="}(bO||(bO={}));class kO{constructor(e,t,n){bn(this,"type",GC.MediaFeatureRangeNameValue),bn(this,"name",void 0),bn(this,"operator",void 0),bn(this,"value",void 0),this.name=e,this.operator=t,this.value=n}operatorKind(){return vO(this.operator)}getName(){return this.name.getName()}getNameToken(){return this.name.getNameToken()}tokens(){return[...this.name.tokens(),...this.operator,...this.value.tokens()]}toString(){return this.name.toString()+kw(...this.operator)+this.value.toString()}indexOf(e){return e===this.name?"name":e===this.value?"value":-1}at(e){return"name"===e?this.name:"value"===e?this.value:void 0}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.value,parent:this,state:n},"value")&&("walk"in this.value?this.value.walk(e,n):void 0)}toJSON(){return{type:this.type,name:this.name.toJSON(),value:this.value.toJSON(),tokens:this.tokens()}}isMediaFeatureRangeNameValue(){return kO.isMediaFeatureRangeNameValue(this)}static isMediaFeatureRangeNameValue(e){return!!e&&e instanceof kO&&e.type===GC.MediaFeatureRangeNameValue}}class xO{constructor(e,t,n){bn(this,"type",GC.MediaFeatureRangeValueName),bn(this,"name",void 0),bn(this,"operator",void 0),bn(this,"value",void 0),this.name=e,this.operator=t,this.value=n}operatorKind(){return vO(this.operator)}getName(){return this.name.getName()}getNameToken(){return this.name.getNameToken()}tokens(){return[...this.value.tokens(),...this.operator,...this.name.tokens()]}toString(){return this.value.toString()+kw(...this.operator)+this.name.toString()}indexOf(e){return e===this.name?"name":e===this.value?"value":-1}at(e){return"name"===e?this.name:"value"===e?this.value:void 0}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.value,parent:this,state:n},"value")&&("walk"in this.value?this.value.walk(e,n):void 0)}toJSON(){return{type:this.type,name:this.name.toJSON(),value:this.value.toJSON(),tokens:this.tokens()}}isMediaFeatureRangeValueName(){return xO.isMediaFeatureRangeValueName(this)}static isMediaFeatureRangeValueName(e){return!!e&&e instanceof xO&&e.type===GC.MediaFeatureRangeValueName}}class SO{constructor(e,t,n,r,o){bn(this,"type",GC.MediaFeatureRangeValueNameValue),bn(this,"name",void 0),bn(this,"valueOne",void 0),bn(this,"valueOneOperator",void 0),bn(this,"valueTwo",void 0),bn(this,"valueTwoOperator",void 0),this.name=e,this.valueOne=t,this.valueOneOperator=n,this.valueTwo=r,this.valueTwoOperator=o}valueOneOperatorKind(){return vO(this.valueOneOperator)}valueTwoOperatorKind(){return vO(this.valueTwoOperator)}getName(){return this.name.getName()}getNameToken(){return this.name.getNameToken()}tokens(){return[...this.valueOne.tokens(),...this.valueOneOperator,...this.name.tokens(),...this.valueTwoOperator,...this.valueTwo.tokens()]}toString(){return this.valueOne.toString()+kw(...this.valueOneOperator)+this.name.toString()+kw(...this.valueTwoOperator)+this.valueTwo.toString()}indexOf(e){return e===this.name?"name":e===this.valueOne?"valueOne":e===this.valueTwo?"valueTwo":-1}at(e){return"name"===e?this.name:"valueOne"===e?this.valueOne:"valueTwo"===e?this.valueTwo:void 0}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.valueOne,parent:this,state:n},"valueOne")&&(!("walk"in this.valueOne)||!1!==this.valueOne.walk(e,n))&&(t&&(n=mn({},t)),!1!==e({node:this.valueTwo,parent:this,state:n},"valueTwo")&&(!("walk"in this.valueTwo)||!1!==this.valueTwo.walk(e,n))&&void 0)}toJSON(){return{type:this.type,name:this.name.toJSON(),valueOne:this.valueOne.toJSON(),valueTwo:this.valueTwo.toJSON(),tokens:this.tokens()}}isMediaFeatureRangeValueNameValue(){return SO.isMediaFeatureRangeValueNameValue(this)}static isMediaFeatureRangeValueNameValue(e){return!!e&&e instanceof SO&&e.type===GC.MediaFeatureRangeValueNameValue}}class CO{constructor(e,t=[],n=[]){bn(this,"type",GC.MediaFeature),bn(this,"feature",void 0),bn(this,"before",void 0),bn(this,"after",void 0),this.feature=e,this.before=t,this.after=n}getName(){return this.feature.getName()}getNameToken(){return this.feature.getNameToken()}tokens(){return[...this.before,...this.feature.tokens(),...this.after]}toString(){return kw(...this.before)+this.feature.toString()+kw(...this.after)}indexOf(e){return e===this.feature?"feature":-1}at(e){if("feature"===e)return this.feature}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.feature,parent:this,state:n},"feature")&&("walk"in this.feature?this.feature.walk(e,n):void 0)}toJSON(){return{type:this.type,feature:this.feature.toJSON(),before:this.before,after:this.after}}isMediaFeature(){return CO.isMediaFeature(this)}static isMediaFeature(e){return!!e&&e instanceof CO&&e.type===GC.MediaFeature}}function OO(e,t=[],n=[]){if(!iy(e.startToken))return!1;const r=function(e){const t=cO(e);return!1===t?t:new uO(t)}(e.value);if(!1!==r)return new CO(r,t,n);const o=function(e){let t=[],n=[],r=null;for(let o=0;o<e.length;o++){const i=e[o];if(i.type===ay.Token){const s=i.value;if(Xw(s)){t=e.slice(0,o),n=e.slice(o+1),r=s;break}}}if(!t.length||!n.length||!r)return!1;const o=cO(t);if(!1===o)return!1;const i=pO(n);return!1!==i&&new fO(o,r,i)}(e.value);if(!1!==o)return new CO(o,t,n);const i=function(e){let t=!1,n=!1;for(let r=0;r<e.length;r++){const o=e[r];if(o.type===ay.Token&&ty(o.value)){const o=yO(e.slice(r));if(!1!==o){if(!1!==t){n=[o[0]+r,o[1]+r];break}t=[o[0]+r,o[1]+r],r+=o[1]}}}if(!1===t)return!1;const r=[e[t[0]].value];if(t[0]!==t[1]&&r.push(e[t[1]].value),!1===n){const n=e.slice(0,t[0]),o=e.slice(t[1]+1),i=cO(n);if(i){const e=pO(o,!0);return!!e&&new kO(i,r,e)}const s=cO(o);if(s){const e=pO(n,!0);return!!e&&new xO(s,r,e)}return!1}const o=[e[n[0]].value];n[0]!==n[1]&&o.push(e[n[1]].value);const i=e.slice(0,t[0]),s=e.slice(t[1]+1,n[0]),a=e.slice(n[1]+1),l=pO(i,!0),c=cO(s),u=pO(a,!0);if(!l||!c||!u)return!1;{const e=vO(r);if(!1===e||e===bO.EQ)return!1;const t=vO(o);if(!1===t||t===bO.EQ)return!1;if(!(e!==mO.LT&&e!==mO.LT_OR_EQ||t!==gO.GT&&t!==gO.GT_OR_EQ))return!1;if(!(e!==gO.GT&&e!==gO.GT_OR_EQ||t!==mO.LT&&t!==mO.LT_OR_EQ))return!1}return new SO(c,l,r,u,o)}(e.value);return!1!==i&&new CO(i,t,n)}class AO{constructor(e,t){bn(this,"type",GC.MediaNot),bn(this,"modifier",void 0),bn(this,"media",void 0),this.modifier=e,this.media=t}tokens(){return[...this.modifier,...this.media.tokens()]}toString(){return kw(...this.modifier)+this.media.toString()}indexOf(e){return e===this.media?"media":-1}at(e){if("media"===e)return this.media}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.media,parent:this,state:n},"media")&&this.media.walk(e,n)}toJSON(){return{type:this.type,modifier:this.modifier,media:this.media.toJSON()}}isMediaNot(){return AO.isMediaNot(this)}static isMediaNot(e){return!!e&&e instanceof AO&&e.type===GC.MediaNot}}class zO{constructor(e,t){bn(this,"type",GC.MediaOr),bn(this,"modifier",void 0),bn(this,"media",void 0),this.modifier=e,this.media=t}tokens(){return[...this.modifier,...this.media.tokens()]}toString(){return kw(...this.modifier)+this.media.toString()}indexOf(e){return e===this.media?"media":-1}at(e){if("media"===e)return this.media}walk(e,t){let n;return t&&(n=mn({},t)),!1!==e({node:this.media,parent:this,state:n},"media")&&this.media.walk(e,n)}toJSON(){return{type:this.type,modifier:this.modifier,media:this.media.toJSON()}}isMediaOr(){return zO.isMediaOr(this)}static isMediaOr(e){return!!e&&e instanceof zO&&e.type===GC.MediaOr}}function EO(e){if(!ry(e))return!1;switch(e[4].value.toLowerCase()){case wO.Not:return wO.Not;case wO.Only:return wO.Only;default:return!1}}function NO(e){let t=!1;const n=[];let r=-1,o=-1;for(let i=0;i<e.length;i++){if(t){const t=DO(e.slice(i));if(!1!==t){i+=t.advance,n.push(t.node),o=i;continue}}const s=e[i];if(s.type!==ay.Whitespace&&s.type!==ay.Comment){if(t)return!1;if(!1!==t||!ky(s))return!1;if(s.normalize(),t=jO(s),!1===t)return!1;r=i}}return!(!t||!n.length)&&new tO(t,n,e.slice(0,r).flatMap((e=>e.tokens())),e.slice(o+1).flatMap((e=>e.tokens())))}function PO(e){const t=MO(e);if(!1!==t)return new YC(t);const n=NO(e);if(!1!==n)return new YC(n);const r=function(e){let t=!1;const n=[];let r=-1,o=-1;for(let i=0;i<e.length;i++){if(t){const t=RO(e.slice(i));if(!1!==t){i+=t.advance,n.push(t.node),o=i;continue}}const s=e[i];if(s.type!==ay.Whitespace&&s.type!==ay.Comment){if(t)return!1;if(!1!==t||!ky(s))return!1;if(s.normalize(),t=jO(s),!1===t)return!1;r=i}}return!(!t||!n.length)&&new nO(t,n,e.slice(0,r).flatMap((e=>e.tokens())),e.slice(o+1).flatMap((e=>e.tokens())))}(e);if(!1!==r)return new YC(r);const o=IO(e);return!1!==o&&new YC(o)}function TO(e){const t=MO(e);if(!1!==t)return new YC(t);const n=NO(e);if(!1!==n)return new YC(n);const r=IO(e);return!1!==r&&new YC(r)}function IO(e){let t=-1;for(let n=0;n<e.length;n++){const r=e[n];if(r.type!==ay.Whitespace&&r.type!==ay.Comment){if(!ky(r))return!1;if(-1!==t)return!1;t=n}}if(-1===t)return!1;const n=e[t];if(!iy(n.startToken))return!1;n.normalize();const r=[...e.slice(0,t).flatMap((e=>e.tokens())),n.startToken],o=[n.endToken,...e.slice(t+1).flatMap((e=>e.tokens()))],i=OO(n,r,o);if(!1!==i)return new JC(i);const s=PO(n.value);return!1!==s?new JC(s,r,o):new JC(new ZC(n),e.slice(0,t).flatMap((e=>e.tokens())),e.slice(t+1).flatMap((e=>e.tokens())))}function jO(e){if(!iy(e.startToken))return!1;const t=OO(e,[e.startToken],[e.endToken]);if(!1!==t)return new JC(t);const n=PO(e.value);return!1!==n?new JC(n,[e.startToken],[e.endToken]):new JC(new ZC(e))}!function(e){e.Not="not",e.Only="only"}(wO||(wO={}));const LO=/^not$/i;function MO(e){let t=!1,n=null;for(let r=0;r<e.length;r++){const o=e[r];if(o.type!==ay.Whitespace&&o.type!==ay.Comment){if(sO(o)){const e=o.value;if(LO.test(e[4].value)){if(t)return!1;t=!0;continue}return!1}if(!t||!ky(o))return!1;{o.normalize();const t=jO(o);if(!1===t)return!1;n=new AO(e.slice(0,r).flatMap((e=>e.tokens())),t)}}}return n||!1}const _O=/^or$/i;function RO(e){let t=!1;for(let n=0;n<e.length;n++){const r=e[n];if(r.type!==ay.Whitespace&&r.type!==ay.Comment){if(sO(r)){const e=r.value;if(_O.test(e[4].value)){if(t)return!1;t=!0;continue}return!1}if(t&&ky(r)){r.normalize();const t=jO(r);return!1!==t&&{advance:n,node:new zO(e.slice(0,n).flatMap((e=>e.tokens())),t)}}return!1}}return!1}const FO=/^and$/i;function DO(e){let t=!1;for(let n=0;n<e.length;n++){const r=e[n];if(r.type!==ay.Whitespace&&r.type!==ay.Comment){if(sO(r)){const e=r.value;if(FO.test(e[4].value)){if(t)return!1;t=!0;continue}return!1}if(t&&ky(r)){r.normalize();const t=jO(r);return!1!==t&&{advance:n,node:new eO(e.slice(0,n).flatMap((e=>e.tokens())),t)}}return!1}}return!1}function UO(e,t){const n=yy(e,{onParseError:null==t?void 0:t.onParseError});return n.map(((e,r)=>{const o=function(e){{const t=PO(e);if(!1!==t)return new HC(t)}{let t=-1,n=-1,r=-1;for(let o=0;o<e.length;o++){const i=e[o];if(!Sy(i)&&!Cy(i)){if(Oy(i)){const s=i.value;if(-1===t&&ry(s)&&EO(s)){t=o;continue}if(-1===n&&ry(s)&&!EO(s)){n=o;continue}if(-1===r&&ry(s)&&FO.test(s[4].value)){if(r=o,!1===TO(e.slice(o+1)))return!1;break}return!1}return!1}}let o=[],i=[];-1!==t?(o=e.slice(0,t+1).flatMap((e=>e.tokens())),-1!==n&&(i=e.slice(t+1,n+1).flatMap((e=>e.tokens())))):-1!==n&&(i=e.slice(0,n+1).flatMap((e=>e.tokens())));const s=TO(e.slice(Math.max(t,n,r)+1));return!1===s?new KC(o,[...i,...e.slice(n+1).flatMap((e=>e.tokens()))]):new KC(o,i,e.slice(n+1,r+1).flatMap((e=>e.tokens())),s)}}(e);return!1===o&&!0===(null==t?void 0:t.preserveInvalidMediaQueries)?new XC(n[r]):o})).filter((e=>!!e))}class qO{constructor(e,t,n){bn(this,"type",GC.CustomMedia),bn(this,"name",void 0),bn(this,"mediaQueryList",null),bn(this,"trueOrFalseKeyword",null),this.name=e,this.mediaQueryList=t,this.trueOrFalseKeyword=null!=n?n:null}getName(){for(let e=0;e<this.name.length;e++){const t=this.name[e];if(ry(t))return t[4].value}return""}getNameToken(){for(let e=0;e<this.name.length;e++){const t=this.name[e];if(ry(t))return t}return null}hasMediaQueryList(){return!!this.mediaQueryList}hasTrueKeyword(){if(!this.trueOrFalseKeyword)return!1;for(let e=0;e<this.trueOrFalseKeyword.length;e++){const t=this.trueOrFalseKeyword[e];if(!Hw(t))return!!ry(t)&&"true"===t[4].value.toLowerCase()}return!1}hasFalseKeyword(){if(!this.trueOrFalseKeyword)return!1;for(let e=0;e<this.trueOrFalseKeyword.length;e++){const t=this.trueOrFalseKeyword[e];if(!Hw(t))return!!ry(t)&&"false"===t[4].value.toLowerCase()}return!1}tokens(){if(this.trueOrFalseKeyword)return[...this.name,...this.trueOrFalseKeyword];if(!this.mediaQueryList)return[...this.name];const e=[];for(let t=0;t<this.mediaQueryList.length;t++){const n=this.mediaQueryList[t];0!==t&&e.push([Rw.Comma,",",-1,-1,void 0]),e.push(...n.tokens())}return[...this.name,...e]}toString(){return kw(...this.tokens())}toJSON(){var e;return{type:this.type,string:this.toString(),nameValue:this.getName(),name:this.name,hasFalseKeyword:this.hasFalseKeyword(),hasTrueKeyword:this.hasTrueKeyword(),trueOrFalseKeyword:this.trueOrFalseKeyword,mediaQueryList:null===(e=this.mediaQueryList)||void 0===e?void 0:e.map((e=>e.toJSON()))}}isCustomMedia(){return qO.isCustomMedia(this)}static isCustomMedia(e){return!!e&&e instanceof qO&&e.type===GC.CustomMedia}}function WO(e,t){let n=[],r=e;for(let t=0;t<e.length;t++)if(!Hw(e[t])){if(ry(e[t])&&e[t][4].value.startsWith("--")){n=e.slice(0,t+1),r=e.slice(t+1);break}return!1}let o=!0;for(let e=0;e<r.length;e++)if(!Hw(r[e])){if(ry(r[e])){const t=r[e][4].value.toLowerCase();if("false"===t)continue;if("true"===t)continue}if(ny(r[e]))break;o=!1}return o?new qO(n,null,r):new qO(n,UO(function(e){return"undefined"!=typeof globalThis&&"structuredClone"in globalThis?structuredClone(e):JSON.parse(JSON.stringify(e))}(r),t))}function BO(e){return ZC.isGeneralEnclosed(e)}function $O(e){return dO.isMediaFeatureValue(e)}function QO(e){return fO.isMediaFeaturePlain(e)}function VO(e){return function(e){return kO.isMediaFeatureRangeNameValue(e)}(e)||function(e){return xO.isMediaFeatureRangeValueName(e)}(e)||function(e){return SO.isMediaFeatureRangeValueNameValue(e)}(e)}function GO(e){return CO.isMediaFeature(e)}function YO(e){return XC.isMediaQueryInvalid(e)}var JO;!function(e){e.All="all",e.Print="print",e.Screen="screen",e.Tty="tty",e.Tv="tv",e.Projection="projection",e.Handheld="handheld",e.Braille="braille",e.Embossed="embossed",e.Aural="aural",e.Speech="speech"}(JO||(JO={}));const KO=/[<>=]/;function HO(e,t){const n=Vw({css:e});return yy(n).flatMap((e=>e.flatMap((e=>{if(!ky(e)||e.startToken[0]!==Rw.OpenParen)return[];return UO(e.tokens(),{preserveInvalidMediaQueries:!0}).filter((e=>!YO(e)))})))).forEach((e=>{e.walk((({node:e})=>{if(GO(e)){const n=e.getNameToken();if(n[0]!==Rw.Ident)return;t(n)}BO(e)&&function(e){const t=e.value.value;if(Kw(t)||0===t.length||Kw(t[0]))return[];const n=[];let r=!1;return t.forEach((e=>{if(e&&Oy(e)){if(e.value[0]===Rw.Delim&&"$"===e.value[4].value)return void(r=!0);if(r)return void(r=!1);n.push(e.value)}})),n}(e).forEach(((e,n,r)=>{if(e[0]!==Rw.Ident)return;const o=r[n+1],i=r[n-1];(!i&&o&&o[0]===Rw.Colon||o&&o[0]===Rw.Delim&&KO.test(o[4].value)||i&&i[0]===Rw.Delim&&KO.test(i[4].value))&&t(e)}))}))})),{stringify:()=>kw(...n)}}function XO(e){return e.startsWith("--")}const ZO="media-feature-name-allowed-list",eA=Z(ZO,{rejected:e=>'Unexpected media feature name "'.concat(e,'"')}),tA=e=>(t,n)=>{re(n,ZO,{actual:e,possible:[P,N]})&&t.walkAtRules(/^media$/i,(t=>{HO(_y(t),(r=>{const[,,o,i,{value:s}]=r;if(XO(s))return;if(G(s,e))return;const a=Zo(t);X({message:eA.rejected,messageArgs:[s],node:t,index:a+o,endIndex:a+i+1,ruleName:ZO,result:n})}))}))};tA.primaryOptionArray=!0,tA.ruleName=ZO,tA.messages=eA,tA.meta={url:"https://stylelint.io/user-guide/rules/media-feature-name-allowed-list"};const nA="media-feature-name-disallowed-list",rA=Z(nA,{rejected:e=>'Unexpected media feature name "'.concat(e,'"')}),oA=e=>(t,n)=>{re(n,nA,{actual:e,possible:[P,N]})&&t.walkAtRules(/^media$/i,(t=>{HO(_y(t),(r=>{const[,,o,i,{value:s}]=r;if(XO(s))return;if(!G(s,e))return;const a=Zo(t);X({message:rA.rejected,messageArgs:[s],node:t,index:a+o,endIndex:a+i+1,ruleName:nA,result:n})}))}))};oA.primaryOptionArray=!0,oA.ruleName=nA,oA.messages=rA,oA.meta={url:"https://stylelint.io/user-guide/rules/media-feature-name-disallowed-list"};const iA=new Set(["device-aspect-ratio","device-height","device-width"]),sA=rt(iA,["aspect-ratio","color","color-index","height","horizontal-viewport-segments","monochrome","resolution","vertical-viewport-segments","width"]),aA=new Set([...sA].flatMap((e=>["min-".concat(e),"max-".concat(e)]))),lA=new Set(["any-hover","any-pointer","color-gamut","display-mode","dynamic-range","environment-blending","forced-colors","grid","hover","inverted-colors","light-level","nav-controls","orientation","overflow-block","overflow-inline","pointer","prefers-color-scheme","prefers-contrast","prefers-reduced-data","prefers-reduced-motion","prefers-reduced-transparency","scan","scripting","update","video-color-gamut","video-dynamic-range"]),cA=rt(iA,sA,aA,lA),uA=new Map([["any-hover",new Set(["none","hover"])],["any-pointer",new Set(["none","coarse","fine"])],["color-gamut",new Set(["srgb","p3","rec2020"])],["display-mode",new Set(["fullscreen","standalone","minimal-ui","browser"])],["dynamic-range",new Set(["standard","high"])],["environment-blending",new Set(["opaque","additive","subtractive"])],["forced-colors",new Set(["none","active"])],["hover",new Set(["none","hover"])],["inverted-colors",new Set(["none","inverted"])],["nav-controls",new Set(["none","back"])],["orientation",new Set(["portrait","landscape"])],["overflow-block",new Set(["none","scroll","paged"])],["overflow-inline",new Set(["none","scroll"])],["pointer",new Set(["none","coarse","fine"])],["prefers-color-scheme",new Set(["light","dark"])],["prefers-contrast",new Set(["no-preference","less","more","custom"])],["prefers-reduced-data",new Set(["no-preference","reduce"])],["prefers-reduced-motion",new Set(["no-preference","reduce"])],["prefers-reduced-transparency",new Set(["no-preference","reduce"])],["resolution",new Set(["infinite"])],["scan",new Set(["interlace","progressive"])],["scripting",new Set(["none","initial-only","enabled"])],["update",new Set(["none","slow","fast"])],["video-color-gamut",new Set(["srgb","p3","rec2020"])],["video-dynamic-range",new Set(["standard","high"])]]),dA=new Map([["aspect-ratio",new Set(["ratio"])],["color",new Set(["integer"])],["color-index",new Set(["integer"])],["device-aspect-ratio",new Set(["ratio"])],["device-height",new Set(["length"])],["device-width",new Set(["length"])],["grid",new Set(["mq-boolean"])],["height",new Set(["length"])],["horizontal-viewport-segments",new Set(["integer"])],["monochrome",new Set(["integer"])],["resolution",new Set(["resolution"])],["vertical-viewport-segments",new Set(["integer"])],["width",new Set(["length"])]]),pA="media-feature-name-no-unknown",hA=Z(pA,{rejected:e=>'Unexpected unknown media feature name "'.concat(e,'"')}),fA=(e,t)=>(n,r)=>{re(r,pA,{actual:e},{actual:t,possible:{ignoreMediaFeatureNames:[P,N]},optional:!0})&&n.walkAtRules(/^media$/i,(e=>{HO(_y(e),(n=>{const[,,o,i,{value:s}]=n;if(XO(s))return;if(H(t,"ignoreMediaFeatureNames",s))return;if(xe.prefix(s)||cA.has(s.toLowerCase()))return;const a=Zo(e);X({message:hA.rejected,messageArgs:[s],node:e,index:a+o,endIndex:a+i+1,ruleName:pA,result:r})}))}))};fA.ruleName=pA,fA.messages=hA,fA.meta={url:"https://stylelint.io/user-guide/rules/media-feature-name-no-unknown"};const mA="media-feature-name-no-vendor-prefix",gA=Z(mA,{rejected:"Unexpected vendor-prefix"}),bA=(e,t,n)=>(t,r)=>{re(r,mA,{actual:e})&&t.walkAtRules(/^media$/i,(e=>{const t=e.params;if(!ft.mediaFeatureName(t))return;const o=e.toString().match(/(?:min-|max-)?-[a-z-]+device-pixel-ratio/gi);if(o)if(n.fix)e.params=ft.unprefix(e.params);else for(const t of o)X({message:gA.rejected,node:e,word:t,result:r,ruleName:mA})}))};function wA(e){const t=function(e,t){const n=Gw({css:e},{onParseError:null==t?void 0:t.onParseError}),r=[];for(;!n.endOfFile();)r.push(n.nextToken());return r.push(n.nextToken()),UO(r,t)}(_y(e),{preserveInvalidMediaQueries:!0});return t}bA.ruleName=mA,bA.messages=gA,bA.meta={url:"https://stylelint.io/user-guide/rules/media-feature-name-no-vendor-prefix",fixable:!0};const yA="media-feature-name-unit-allowed-list",vA=Z(yA,{rejected:(e,t)=>'Unexpected unit "'.concat(e,'" for name "').concat(t,'"')}),kA=e=>(t,n)=>{if(!re(n,yA,{actual:e,possible:[wt(P)]}))return;const r=Object.entries(e);t.walkAtRules(/^media$/i,(e=>{wA(e).forEach((t=>{if(YO(t))return;const o={mediaFeatureName:"",unitList:void 0};t.walk((({node:t,state:o})=>{if(!o)return;if(QO(t)||VO(t))return o.mediaFeatureName=t.getName(),void(o.unitList=(e=>{for(const[t,n]of r)if(G(e,t))return[n].flat()})(o.mediaFeatureName));if(!Oy(t))return;const{mediaFeatureName:i,unitList:s}=o;if(!i||!s)return;const[a,,l,c,u]=t.value;if(a!==Rw.Dimension)return;if(s.includes(u.unit.toLowerCase()))return;const d=Zo(e);X({message:vA.rejected(u.unit,i),node:e,index:d+l,endIndex:d+c+1,result:n,ruleName:yA})}),o)}))}))};kA.ruleName=yA,kA.messages=vA,kA.meta={url:"https://stylelint.io/user-guide/rules/media-feature-name-unit-allowed-list"};const xA="media-feature-name-value-allowed-list",SA=Z(xA,{rejected:(e,t)=>'Unexpected value "'.concat(t,'" for name "').concat(e,'"')}),CA=e=>(t,n)=>{re(n,xA,{actual:e,possible:[wt(P,N)]})&&t.walkAtRules(/^media$/i,(t=>{wA(t).forEach((r=>{if(YO(r))return;r.walk((({node:r,state:o})=>{if(!o)return;if(GO(r))return o.mediaFeatureName=r.getName(),void(o.unprefixedMediaFeatureName=xe.unprefixed(r.getName()));if(!$O(r))return;const{mediaFeatureName:i,unprefixedMediaFeatureName:s}=o;if(!i||!s)return;const a=[r.value].flat(),l=a.map((e=>e.toString())).join(""),c=Object.keys(e).find((e=>G(s,e)));if(null==c)return;if(H(e,c,l))return;const u=Zo(t),[d,p]=Ay(a);X({index:u+d,endIndex:u+p+1,message:SA.rejected,messageArgs:[i,l],node:t,ruleName:xA,result:n})}),{mediaFeatureName:"",unprefixedMediaFeatureName:""})}))}))};CA.ruleName=xA,CA.messages=SA,CA.meta={url:"https://stylelint.io/user-guide/rules/media-feature-name-value-allowed-list"};const OA="media-feature-name-value-no-unknown",AA=Z(OA,{rejected:(e,t)=>'Unexpected unknown media feature value "'.concat(t,'" for name "').concat(e,'"')}),zA=/^(?:min|max)-/i,EA=e=>(t,n)=>{function r(e,t,n){Oy(t.value)?function(e,t,n){const[r,o,i,s,a]=t;if(r===Rw.Ident){const t=uA.get(e.mediaFeatureName);if(t){const e=xe.unprefixed(a.value.toLowerCase());if(t.has(e))return}return void n(e,o,i,s)}const l=dA.get(e.mediaFeatureName);if(l)if(r!==Rw.Number){if(r===Rw.Dimension){const t=a.unit.toLowerCase();if(l.has("resolution")&&Rm.has(t))return;if(l.has("length")&&_m.has(t))return;n(e,o,i,s)}}else{if(a.type===Fw.Integer){if(l.has("integer")||l.has("ratio")||0===a.value&&(l.has("length")||l.has("resolution")||l.has("mq-boolean"))||1===a.value&&l.has("mq-boolean"))return;return void n(e,o,i,s)}if(l.has("ratio")||0===a.value&&(l.has("length")||l.has("resolution")))return;n(e,o,i,s)}else n(e,o,i,s)}(e,t.value.value,n):xy(t.value)?function(e,t,n){const r=t.getName().toLowerCase();if("env"===r)return;const o=dA.get(e.mediaFeatureName);o&&Rr.has(r)&&(o.has("integer")||o.has("length")||o.has("ratio")||o.has("resolution"))||n(e,t.toString(),...Ay(t))}(e,t.value,n):Array.isArray(t.value)&&function(e,t,n){const r=dA.get(e.mediaFeatureName);r&&r.has("ratio")&&-1!==hO(t)||n(e,t.map((e=>e.toString())).join(""),...Ay(t))}(e,t.value,n)}re(n,OA,{actual:e})&&t.walkAtRules(/^media$/i,(e=>{const t=(t,r,o,i)=>{const s=Zo(e);X({message:AA.rejected,messageArgs:[t.mediaFeatureNameRaw,r],index:s+o,endIndex:s+i+1,node:e,ruleName:OA,result:n})},o={mediaFeatureName:"",mediaFeatureNameRaw:""};wA(e).forEach((e=>{YO(e)||e.walk((({node:e,state:n})=>{if(n){if(GO(e)){const t=e.getName();let r=xe.unprefixed(t.toLowerCase());if(!cA.has(r))return;return r=r.replace(zA,""),n.mediaFeatureName=r,void(n.mediaFeatureNameRaw=t)}n.mediaFeatureName&&n.mediaFeatureNameRaw&&$O(e)&&r(n,e,t)}}),o)}))}))};EA.ruleName=OA,EA.messages=AA,EA.meta={url:"https://stylelint.io/user-guide/rules/media-feature-name-value-no-unknown"};const NA="media-feature-range-notation",PA=Z(NA,{expected:e=>'Expected "'.concat(e,'" media feature range notation')}),TA=(e,t,n)=>(t,r)=>{re(r,NA,{actual:e,possible:["prefix","context"]})&&t.walkAtRules(/^media$/i,(t=>{const o=wA(t);let i=!1;if(o.forEach((o=>{YO(o)||o.walk((({node:o,parent:s})=>{if(!VO(o)&&!QO(o))return;if("prefix"===e&&QO(o))return;if("context"===e&&VO(o))return;const a=o.getName(),l=a.replace(/^(?:min|max)-/i,"");if(!sA.has(l))return;if(n.fix&&"context"===e&&QO(o)){if(!GO(s))return;i=!0;const e=/^min-/i.test(a)?[Rw.Delim,">",-1,-1,{value:">"}]:[Rw.Delim,"<",-1,-1,{value:"<"}];return void(s.feature=new kO(new lO(new by([Rw.Ident,l,-1,-1,{value:l}]),o.name.before,o.name.after.length>0?o.name.after:[[Rw.Whitespace," ",-1,-1,void 0]]),[e,[Rw.Delim,"=",-1,-1,{value:"="}]],o.value))}const[c,u]=Ay(o),d=Zo(t);X({message:PA.expected,messageArgs:[e],node:t,index:d+c-1,endIndex:d+u+1+1,result:r,ruleName:NA})}))})),i){const e=o.map((e=>e.toString())).join(",");if(e===t.params)return;t.params=e}}))};TA.ruleName=NA,TA.messages=PA,TA.meta={url:"https://stylelint.io/user-guide/rules/media-feature-range-notation",fixable:!0};const IA="media-query-no-invalid",jA=Z(IA,{rejected:(e,t)=>t?'Unexpected invalid media query "'.concat(e,'", ').concat(t):'Unexpected invalid media query "'.concat(e,'"')}),LA={custom:"custom media queries can only be used in boolean queries",min_max_in_range:'"min-" and "max-" prefixes are not needed when using range queries',min_max_in_boolean:'"min-" and "max-" prefixes are not needed in boolean queries',discrete:"discrete features can only be used in plain and boolean queries"},MA=/^(?:min|max)-/i,_A=e=>(t,n)=>{function r(e,t,r,o){const[i,s]=Ay(r);X({message:jA.rejected,messageArgs:[r.toString(),o?LA[o]:""],index:t+i,endIndex:t+s+1,node:e,ruleName:IA,result:n})}re(n,IA,{actual:e})&&t.walkAtRules(/^media$/i,(e=>{const t=Zo(e);wA(e).forEach((n=>{YO(n)?r(e,t,n):n.walk((({node:n,parent:o})=>{if(BO(n))r(e,t,n);else{if(QO(n)){return XO(n.getName())?void r(e,t,o,"custom"):void 0}if(VO(n)){const i=n.getName().toLowerCase();return XO(i)?void r(e,t,o,"custom"):MA.test(i)?void r(e,t,o,"min_max_in_range"):sA.has(i)?void 0:void r(e,t,o,"discrete")}if(function(e){return uO.isMediaFeatureBoolean(e)}(n)){const i=n.getName();MA.test(i)&&r(e,t,o,"min_max_in_boolean")}}}))}))}))};function RA(e){return function(e){const t=new Set(e.flat());return t.delete("."),[...t]}(e).filter((t=>!function(e,t){const n=e.map((e=>{const n=[];let r=e.indexOf(t);for(;-1!==r;)n.push(r),r=e.indexOf(t,r+1);return n}));for(let e=0;e<n.length;e++)for(let t=e+1;t<n.length;t++){const r=n[e],o=n[t];if(!(r&&0===r.length||o&&0===o.length||te(r,o)))return!1}return!0}(e,t)))}_A.ruleName=IA,_A.messages=jA,_A.meta={url:"https://stylelint.io/user-guide/rules/media-query-no-invalid"};const FA="named-grid-areas-no-invalid",DA=Z(FA,{expectedToken:()=>"Expected cell token within string",expectedSameNumber:()=>"Expected same number of cell tokens in each string",expectedRectangle:e=>'Expected single filled-in rectangle for "'.concat(e,'"')}),UA=e=>(t,n)=>{re(n,FA,{actual:e})&&t.walkDecls(/^(?:grid|grid-template|grid-template-areas)$/i,(e=>{const{value:t}=e;if("none"===t.toLowerCase().trim())return;const r=[];let o=!1;if(S(t).walk((({sourceIndex:e,sourceEndIndex:t,type:n,value:i})=>{if("string"===n)return""===i?(l(DA.expectedToken(),e,t),void(o=!0)):void r.push({values:i.trim().split(" ").filter(Boolean),index:e,endIndex:t})})),o)return;const[i]=r;if(void 0===i)return;const s=r.find((e=>e.values.length!==i.values.length));if(void 0!==s)return void l(DA.expectedSameNumber(),s.index,s.endIndex);const a=RA(r.map((e=>e.values)));for(const e of a.sort()){const t=r.find((t=>t.values.includes(e)));I(t),l(DA.expectedRectangle(e),t.index,t.endIndex)}function l(t,r,o){const i=M(e);X({message:t,node:e,index:i+r,endIndex:i+o,result:n,ruleName:FA})}}))};function qA(e,t){return e.a===t.a?e.b===t.b?e.c-t.c:e.b-t.b:e.a-t.a}function WA(e,t){if(!e)return{a:0,b:0,c:0};let n=0,r=0,o=0;if("universal"==e.type)return{a:0,b:0,c:0};if("id"===e.type)n+=1;else if("tag"===e.type)o+=1;else if("class"===e.type)r+=1;else if("attribute"===e.type)r+=1;else if(function(e){return hC.isPseudoElement(e)}(e))switch(e.value.toLowerCase()){case"::slotted":if(o+=1,e.nodes&&e.nodes.length>0){const t=BA(e.nodes);n+=t.a,r+=t.b,o+=t.c}break;case"::view-transition-group":case"::view-transition-image-pair":case"::view-transition-old":case"::view-transition-new":return e.nodes&&1===e.nodes.length&&"selector"===e.nodes[0].type&&function(e){if(!e)return!1;if(!e.nodes)return!1;const t=e.nodes.filter((e=>"comment"!==e.type));return 0===t.length||1===t.length&&"universal"===t[0].type}(e.nodes[0])?{a:0,b:0,c:0}:{a:0,b:0,c:1};default:o+=1}else if(hC.isPseudoClass(e))switch(e.value.toLowerCase()){case":-webkit-any":case":any":default:r+=1;break;case":-moz-any":case":has":case":is":case":matches":case":not":if(e.nodes&&e.nodes.length>0){const t=BA(e.nodes);n+=t.a,r+=t.b,o+=t.c}break;case":where":break;case":nth-child":case":nth-last-child":if(r+=1,e.nodes&&e.nodes.length>0){const t=e.nodes[0].nodes.findIndex((e=>"tag"===e.type&&"of"===e.value.toLowerCase()));if(t>-1){const i=hC.selector({nodes:[],value:""});i.parent=e,e.nodes[0].nodes.slice(t+1).forEach((e=>{e.remove(),i.append(e)}));const s=[i];e.nodes.length>1&&s.push(...e.nodes.slice(1));const a=BA(s);n+=a.a,r+=a.b,o+=a.c}}break;case":local":case":global":e.nodes&&e.nodes.length>0&&e.nodes.forEach((e=>{const t=WA(e);n+=t.a,r+=t.b,o+=t.c}));break;case":host":case":host-context":if(r+=1,e.nodes&&e.nodes.length>0){const t=BA(e.nodes);n+=t.a,r+=t.b,o+=t.c}break;case":active-view-transition":case":active-view-transition-type":return{a:0,b:1,c:0}}else hC.isContainer(e)&&e.nodes.length>0&&e.nodes.forEach((e=>{const t=WA(e);n+=t.a,r+=t.b,o+=t.c}));return{a:n,b:r,c:o}}function BA(e,t){let n={a:0,b:0,c:0};return e.forEach((e=>{const t=WA(e);t.a>n.a?n=t:t.a<n.a||(t.b>n.b?n=t:t.b<n.b||t.c>n.c&&(n=t))})),n}UA.ruleName=FA,UA.messages=DA,UA.meta={url:"https://stylelint.io/user-guide/rules/named-grid-areas-no-invalid"};var $A=function e(t,n){var r=n.parent,o="atrule"===r.type&&"nest"===r.name;if("root"===r.type)return[t];if("rule"!==r.type&&!o)return e(t,r);var i=o?r.params.split(",").map((function(e){return e.trim()})):r.selectors;return i.reduce((function(n,o){if(-1!==t.indexOf("&")){var i=e(o,r).map((function(e){return t.replace(/&/g,e)}));return n.concat(i)}var s=[o,t].join(" ");return n.concat(e(s,r))}),[])};function QA(e){const t=e.parent;return t?_e(t)?t:Me(t)?QA(t):null:null}function VA(){const e=new Map;return{getContext(t,...n){if(!t.source)throw new Error("The node source must be present");const r=t.source.input.from,o=GA(e,r);return n.reduce(((e,t)=>GA(e,t)),o)}}}function GA(e,t){return e.has(t)||e.set(t,new Map),e.get(t)}function YA(e,t,n,r){if(e)try{return hC().astSync(e)}catch(e){return void t.warn("Cannot parse selector (".concat(e,")"),{node:n,stylelintType:"parseError"})}}const JA=rt(new Set(["acronym","applet","basefont","big","bgsound","blink","center","content","dir","font","frame","frameset","isindex","keygen","listing","marquee","multicol","nextid","nobr","noembed","noframes","plaintext","param","spacer","strike","tt","xmp"]),new Set(["a","abbr","address","area","article","aside","audio","b","base","bdi","bdo","blockquote","body","br","button","canvas","caption","cite","code","col","colgroup","data","datalist","dd","del","details","dfn","dialog","div","dl","dt","em","embed","fieldset","figcaption","figure","footer","form","h1","h2","h3","h4","h5","h6","head","header","hgroup","hr","html","i","iframe","img","input","ins","kbd","label","legend","li","link","main","map","mark","math","menu","menuitem","meta","meter","nav","noscript","object","ol","optgroup","option","output","p","param","picture","pre","progress","q","rb","rp","rt","rtc","ruby","s","samp","script","search","section","select","slot","small","source","span","strong","style","sub","summary","sup","svg","table","tbody","td","template","textarea","tfoot","th","thead","time","title","tr","track","u","ul","var","video","wbr"]),new Set(["fencedframe","listbox","portal","selectlist"])),KA=new Set(["altGlyph","altGlyphDef","altGlyphItem","animateColor","animateMotion","animateTransform","clipPath","feBlend","feColorMatrix","feComponentTransfer","feComposite","feConvolveMatrix","feDiffuseLighting","feDisplacementMap","feDistantLight","feDropShadow","feFlood","feFuncA","feFuncB","feFuncG","feFuncR","feGaussianBlur","feImage","feMerge","feMergeNode","feMorphology","feOffset","fePointLight","feSpecularLighting","feSpotLight","feTile","feTurbulence","foreignObject","glyphRef","linearGradient","radialGradient","textPath"]),HA=new Set(["before","after","first-line","first-letter"]),XA=new Set(["part"]),ZA=new Set(["-webkit-resizer","-webkit-scrollbar","-webkit-scrollbar-button","-webkit-scrollbar-corner","-webkit-scrollbar-thumb","-webkit-scrollbar-track","-webkit-scrollbar-track-piece"]),ez=rt(ZA,["-moz-focus-inner","-moz-focus-outer","-moz-list-bullet","-moz-meter-bar","-moz-placeholder","-moz-progress-bar","-moz-range-progress","-moz-range-thumb","-moz-range-track","-ms-browse","-ms-check","-ms-clear","-ms-expand","-ms-fill","-ms-fill-lower","-ms-fill-upper","-ms-reveal","-ms-thumb","-ms-ticks-after","-ms-ticks-before","-ms-tooltip","-ms-track","-ms-value","-webkit-color-swatch","-webkit-color-swatch-wrapper","-webkit-calendar-picker-indicator","-webkit-clear-button","-webkit-date-and-time-value","-webkit-datetime-edit","-webkit-datetime-edit-ampm-field","-webkit-datetime-edit-day-field","-webkit-datetime-edit-fields-wrapper","-webkit-datetime-edit-hour-field","-webkit-datetime-edit-millisecond-field","-webkit-datetime-edit-minute-field","-webkit-datetime-edit-month-field","-webkit-datetime-edit-second-field","-webkit-datetime-edit-text","-webkit-datetime-edit-week-field","-webkit-datetime-edit-year-field","-webkit-details-marker","-webkit-distributed","-webkit-file-upload-button","-webkit-input-placeholder","-webkit-keygen-select","-webkit-meter-bar","-webkit-meter-even-less-good-value","-webkit-meter-inner-element","-webkit-meter-optimum-value","-webkit-meter-suboptimum-value","-webkit-progress-bar","-webkit-progress-inner-element","-webkit-progress-value","-webkit-search-cancel-button","-webkit-search-decoration","-webkit-search-results-button","-webkit-search-results-decoration","-webkit-slider-runnable-track","-webkit-slider-thumb","-webkit-textfield-decoration-container","-webkit-validation-bubble","-webkit-validation-bubble-arrow","-webkit-validation-bubble-arrow-clipper","-webkit-validation-bubble-heading","-webkit-validation-bubble-message","-webkit-validation-bubble-text-block"]),tz=rt(HA,ez,XA,["backdrop","content","cue","file-selector-button","grammar-error","highlight","marker","placeholder","selection","shadow","slotted","spelling-error","target-text","view-transition","view-transition-group","view-transition-image-pair","view-transition-new","view-transition-old"]),nz=new Set(["nth-column","nth-last-column","nth-last-of-type","nth-of-type"]),rz=new Set(["nth-child","nth-last-child"]),oz=new Set(["first","right","left","blank"]),iz=new Set(["dir","lang"]),sz=new Set(["has","is","matches","not","where"]),az=new Set(["-khtml-drag","-moz-any","-moz-any-link","-moz-broken","-moz-drag-over","-moz-first-node","-moz-focusring","-moz-full-screen","-moz-full-screen-ancestor","-moz-last-node","-moz-loading","-moz-meter-optimum","-moz-meter-sub-optimum","-moz-meter-sub-sub-optimum","-moz-placeholder","-moz-submit-invalid","-moz-suppressed","-moz-ui-invalid","-moz-ui-valid","-moz-user-disabled","-moz-window-inactive","-ms-fullscreen","-ms-input-placeholder","-webkit-drag","-webkit-any","-webkit-any-link","-webkit-autofill","-webkit-full-screen","-webkit-full-screen-ancestor"]),lz=new Set(["horizontal","vertical","decrement","increment","start","end","double-button","single-button","no-button","corner-present","window-inactive"]),cz=new Set(["buffering","muted","paused","playing","seeking","stalled","volume-locked"]),uz=rt(nz,iz,sz,rz,cz,az,["active","any-link","autofill","blank","checked","current","default","defined","disabled","empty","enabled","first-child","first-of-type","focus","focus-visible","focus-within","fullscreen","fullscreen-ancestor","future","host","host-context","hover","indeterminate","in-range","invalid","last-child","last-of-type","link","modal","only-child","only-of-type","optional","out-of-range","past","placeholder-shown","picture-in-picture","popover-open","read-only","read-write","required","root","scope","state","target","unresolved","user-invalid","user-valid","valid","visited","window-inactive"]),dz="no-descending-specificity",pz=Z(dz,{rejected:(e,t)=>'Expected selector "'.concat(e,'" to come before selector "').concat(t,'"')}),hz=(e,t)=>(n,r)=>{if(!re(r,dz,{actual:e},{optional:!0,actual:t,possible:{ignore:["selectors-within-list"]}}))return;const o=H(t,"ignore","selectors-within-list"),i=VA();function s(e,t,n,o){const i=function(e){const t=e.nodes[0];if(!t)return;const n=t.split((e=>"combinator"===e.type)),r=n[n.length-1];if(!r)return;const o=r.filter((e=>"pseudo"!==e.type||e.value.startsWith("::")||tz.has(e.value.replaceAll(":",""))));return 0===o.length?void 0:o.join("")}(t);if(!i)return;const s=WA(t),a={selector:e,specificity:s},l=o.get(i);if(l){for(const t of l)if(qA(s,t.specificity)<0){X({ruleName:dz,result:r,node:n,message:pz.rejected,messageArgs:[e,t.selector],word:e});break}l.push(a)}else o.set(i,[a])}n.walkRules((e=>{if(!WC(e))return;const t=e.selectors;if(o&&t.length>1)return;const n=i.getContext(e,QA(e));for(const o of t)if(""!==o.trim())for(const t of $A(o,e)){if(!iv(t))continue;const o=YA(t,r,e);o&&s(t,o,e,n)}}))};hz.ruleName=dz,hz.messages=pz,hz.meta={url:"https://stylelint.io/user-guide/rules/no-descending-specificity"};const fz="no-duplicate-at-import-rules",mz=Z(fz,{rejected:e=>"Unexpected duplicate @import rule ".concat(e)}),gz=e=>(t,n)=>{if(!re(n,fz,{actual:e}))return;const r={};t.walkAtRules(/^import$/i,(e=>{const[t,...o]=S(_y(e)).nodes;if(!t)return;const i="function"===t.type&&"url"===t.value&&t.nodes[0]?t.nodes[0].value:t.value,s=function(e){if(!e.length)return[];const t=" ",n=[],r=[];let o=[];for(const t of e)if("space"!==t.type&&"comment"!==t.type){if(!r.length){if("function"===t.type&&("supports"===t.value||"layer"===t.value)){n.push(bz(t));continue}if("word"===t.type&&"layer"===t.value){n.push(bz(t));continue}}"div"!==t.type||","!==t.value?o.push(t):(r.push(bz(o)),o=[])}o.length&&r.push(bz(o));if(r.length&&!n.length)return r;if(!r.length&&n.length)return[n.join(t)];const i=n.join(t);return r.map((e=>i+t+e))}(o);let a=r[i];const l=s.length?s.some((e=>a&&a.includes(e))):a;l?X({message:mz.rejected,messageArgs:[i],node:e,result:n,ruleName:fz,word:e.toString()}):(a||(a=r[i]=[]),a.push(...s))}))};function bz(e){return S.stringify(e).replace(/\s/g,"")}function wz(e){const t=e.parent;return!!t&&(_e(t)&&"keyframes"===t.name.toLowerCase())}gz.ruleName=fz,gz.messages=mz,gz.meta={url:"https://stylelint.io/user-guide/rules/no-duplicate-at-import-rules"};const yz="no-duplicate-selectors",vz=Z(yz,{rejected:(e,t)=>'Unexpected duplicate selector "'.concat(e,'", first used at line ').concat(t)}),kz=(e,t)=>(n,r)=>{if(!re(r,yz,{actual:e},{actual:t,possible:{disallowInList:[A]},optional:!0}))return;const o=t&&t.disallowInList,i=VA();n.walkRules((e=>{if(wz(e))return;const t=i.getContext(e,QA(e)),n=[...new Set(e.selectors.flatMap((t=>$A(t,e))))],s=[...n.map(xz)].sort().join(",");if(!e.source)throw new Error("The rule node must have a source");if(!e.source.start)throw new Error("The rule source must have a start position");const a=e.source.start.line;let l;const c=[];var u;o?null===(u=YA(s,r,e))||void 0===u||u.each((e=>{const n=String(e);c.push(n),t.get(n)&&(l=t.get(n))})):l=t.get(s);if(l){const t=n.join(",")!==e.selectors.join(",")?n.join(", "):e.selector;return X({result:r,ruleName:yz,node:e,message:vz.rejected,messageArgs:[t,l],word:t})}const d=new Set,p=new Set;for(const t of e.selectors){const n=xz(t);if(d.has(n)){if(p.has(n))continue;X({result:r,ruleName:yz,node:e,message:vz.rejected,messageArgs:[t,a],word:t}),p.add(n)}else d.add(n)}if(o)for(const e of c)t.set(e,a);else t.set(s,a)}))};function xz(e){return iv(e)?hC().processSync(e,{lossless:!1}):e}kz.ruleName=yz,kz.messages=vz,kz.meta={url:"https://stylelint.io/user-guide/rules/no-duplicate-selectors"};const Sz="no-empty-source",Cz=Z(Sz,{rejected:"Unexpected empty source"}),Oz=(e,t,n)=>(t,r)=>{if(!re(r,Sz,{actual:e}))return;(n.fix?t.toString():t.source&&t.source.input.css||"").trim()||X({message:Cz.rejected,node:t,result:r,ruleName:Sz})};Oz.ruleName=Sz,Oz.messages=Cz,Oz.meta={url:"https://stylelint.io/user-guide/rules/no-empty-source"};const Az="no-invalid-double-slash-comments",zz=Z(Az,{rejected:"Unexpected double-slash CSS comment"}),Ez=e=>(t,n)=>{re(n,Az,{actual:e})&&(t.walkDecls((e=>{e.prop.startsWith("//")&&X({message:zz.rejected,node:e,result:n,ruleName:Az,word:e.toString()})})),t.walkRules((e=>{for(const t of e.selectors)t.startsWith("//")&&X({message:zz.rejected,node:e,result:n,ruleName:Az,word:e.toString()})})))};Ez.ruleName=Az,Ez.messages=zz,Ez.meta={url:"https://stylelint.io/user-guide/rules/no-invalid-double-slash-comments"};const Nz="no-invalid-position-at-import-rule",Pz=Z(Nz,{rejected:"Unexpected invalid position @import rule"}),Tz=(e,t)=>(n,r)=>{if(!re(r,Nz,{actual:e},{actual:t,possible:{ignoreAtRules:[P,N]},optional:!0}))return;let o=!1;n.walk((e=>{const n="name"in e&&e.name&&e.name.toLowerCase()||"";_e(e)&&"charset"!==n&&"import"!==n&&"layer"!==n&&!H(t,"ignoreAtRules",e.name)&&ke(e)||"rule"===e.type&&WC(e)?o=!0:_e(e)&&"import"===n&&o&&X({message:Pz.rejected,node:e,result:r,ruleName:Nz,word:e.toString()})}))};Tz.ruleName=Nz,Tz.messages=Pz,Tz.meta={url:"https://stylelint.io/user-guide/rules/no-invalid-position-at-import-rule"};const Iz="no-irregular-whitespace",jz=Z(Iz,{unexpected:"Unexpected irregular whitespace"}),Lz=new RegExp("([".concat(["\v","\f"," ",""," ","᠎","\ufeff"," "," "," "," "," "," "," "," "," "," "," ","​","\u2028","\u2029"," "," ","　"].join(""),"])")),Mz=e=>(t,n)=>{if(!re(n,Iz,{actual:e}))return;const r=(e,t)=>{const r=t&&(e=>{const t=Lz.exec(e);return t&&t[1]||null})(t);r&&X({ruleName:Iz,result:n,message:jz.unexpected,node:e,word:r})};t.walkAtRules((e=>{r(e,e.name),r(e,e.params),r(e,e.raws.before),r(e,e.raws.after),r(e,e.raws.afterName),r(e,e.raws.between)})),t.walkRules((e=>{r(e,e.selector),r(e,e.raws.before),r(e,e.raws.after),r(e,e.raws.between)})),t.walkDecls((e=>{r(e,e.prop),r(e,e.value),r(e,e.raws.before),r(e,e.raws.between)}))};Mz.ruleName=Iz,Mz.messages=jz,Mz.meta={url:"https://stylelint.io/user-guide/rules/no-irregular-whitespace"};const _z="no-unknown-animations",Rz=Z(_z,{rejected:e=>'Unexpected unknown animation name "'.concat(e,'"')}),Fz=e=>(t,n)=>{if(!re(n,_z,{actual:e}))return;const r=new Set;t.walkAtRules(/(-(moz|webkit)-)?keyframes/i,(e=>{r.add(e.params)})),t.walkDecls((e=>{if("animation"===e.prop.toLowerCase()||"animation-name"===e.prop.toLowerCase()){const t=function(e){const t=[],n=S(e),{nodes:r}=n;if(1===r.length&&r[0]&&Dr.has(r[0].value.toLowerCase()))return[r[0]];let o=!1;return n.walk((e=>{if(o)return;if("function"===e.type)return!1;if("word"!==e.type)return;const n=e.value.toLowerCase();if(!V(n))return o=!0,void(t.length=0);if(Um(n))return;if(io.has(n))return;const{unit:r}=wm(e);r||""===r||t.push(e)})),t}(e.value);if(0===t.length)return;for(const o of t){if(Zr.has(o.value.toLowerCase()))continue;if(r.has(o.value))continue;const t=M(e);X({result:n,ruleName:_z,message:Rz.rejected,messageArgs:[o.value],node:e,index:t+o.sourceIndex,endIndex:t+o.sourceEndIndex})}}}))};function Dz(e){const t=function(e,t){const n=Gw({css:e},{onParseError:null==t?void 0:t.onParseError}),r=[];for(;!n.endOfFile();)r.push(n.nextToken());return r.push(n.nextToken()),WO(r,t)}(_y(e),{preserveInvalidMediaQueries:!0});return t}Fz.ruleName=_z,Fz.messages=Rz,Fz.meta={url:"https://stylelint.io/user-guide/rules/no-unknown-animations"};const Uz="no-unknown-custom-media",qz=Z(Uz,{expected:e=>'Unexpected unknown custom media "'.concat(e,'"')}),Wz=e=>(t,n)=>{if(!re(n,Uz,{actual:e}))return;const r=new Set;t.walkAtRules(/^custom-media$/i,(e=>{const t=Dz(e);t&&r.add(t.getName())})),t.walkAtRules(/^media$/i,(e=>{wA(e).forEach((t=>{YO(t)||t.walk((({node:t})=>{if(!GO(t))return;const[,o,i,s]=t.getNameToken();if(!XO(o))return;if(r.has(o))return;const a=Zo(e),l=a+i,c=a+s+1;X({message:qz.expected,messageArgs:[o],node:e,index:l,endIndex:c,result:n,ruleName:Uz})}))}))}))};Wz.ruleName=Uz,Wz.messages=qz,Wz.meta={url:"https://stylelint.io/user-guide/rules/no-unknown-custom-media"};const Bz="no-unknown-custom-properties",$z=Z(Bz,{rejected:e=>'Unexpected unknown custom property "'.concat(e,'"')}),Qz=e=>(t,n)=>{if(!re(n,Bz,{actual:e}))return;const r=new Set;t.walkAtRules(/^property$/i,(({params:e})=>{r.add(e)})),t.walkDecls(/^--/,(({prop:e})=>{r.add(e)})),t.walkDecls((e=>{const{value:t}=e;S(t).walk((t=>{if(!De(t)||"var"!==t.value)return;const[o,i]=t.nodes;if(!o||r.has(o.value))return;if(i&&"div"===i.type)return;const s=M(e);X({result:n,ruleName:Bz,message:$z.rejected,messageArgs:[o.value],node:e,index:s+o.sourceIndex,endIndex:s+o.sourceEndIndex})}))}))};Qz.ruleName=Bz,Qz.messages=$z,Qz.meta={url:"https://stylelint.io/user-guide/rules/no-unknown-custom-properties"};const Vz="number-max-precision",Gz=Z(Vz,{expected:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),Yz=(e,t)=>(n,r)=>{var o;if(!re(r,Vz,{actual:e,possible:[z]},{optional:!0,actual:t,possible:{ignoreProperties:[P,N],ignoreUnits:[P,N],insideFunctions:[hm(z)]}}))return;const i=new Map(Object.entries(null!==(o=null==t?void 0:t.insideFunctions)&&void 0!==o?o:{}));function s(n,o,s){if(!s.includes("."))return;const a="prop"in n?n.prop:void 0;if(H(t,"ignoreProperties",a))return;const l={ignored:!1,precision:e};vy(wy(Vw({css:s})),(({node:e,state:s})=>{s&&(s.ignored||function(e,n,o,s){if(xy(o)){const e=o.getName().toLowerCase();return"url"===e?void(s.ignored=!0):void(s.precision=function(e,t){const n=i.get(e);if(z(n))return n;for(const[t,n]of i)if(G(e,t))return n;return t}(e,s.precision))}if(!Oy(o))return;const[a,l,c,u,d]=o.value;if(a!==Rw.Number&&a!==Rw.Dimension&&a!==Rw.Percentage)return;let p=0;if(a===Rw.Dimension){const e=d.unit;if(p=e.length,H(t,"ignoreUnits",e))return}else if(a===Rw.Percentage&&(p=1,H(t,"ignoreUnits","%")))return;const h=/\d*\.(\d+)/.exec(l);if(null==h||null==h[0]||null==h[1])return;if(h[1].length<=s.precision)return;const f=n(e);X({result:r,ruleName:Vz,node:e,index:f+c,endIndex:f+(u+1)-p,message:Gz.expected,messageArgs:[d.value,d.value.toFixed(s.precision)]})}(n,o,e,s))}),l)}n.walkAtRules((e=>{"import"!==e.name.toLowerCase()&&s(e,Zo,_y(e))})),n.walkDecls((e=>{s(e,M,_(e))}))};Yz.ruleName=Vz,Yz.messages=Gz,Yz.meta={url:"https://stylelint.io/user-guide/rules/number-max-precision"};const Jz="property-allowed-list",Kz=Z(Jz,{rejected:e=>'Unexpected property "'.concat(e,'"')}),Hz=e=>(t,n)=>{re(n,Jz,{actual:e,possible:[P,N]})&&t.walkDecls((t=>{const r=t.prop;mi(r)&&(oi(r)||G([r,xe.unprefixed(r)],e)||X({message:Kz.rejected,messageArgs:[r],word:r,node:t,result:n,ruleName:Jz}))}))};Hz.primaryOptionArray=!0,Hz.ruleName=Jz,Hz.messages=Kz,Hz.meta={url:"https://stylelint.io/user-guide/rules/property-allowed-list"};const Xz="property-disallowed-list",Zz=Z(Xz,{rejected:e=>'Unexpected property "'.concat(e,'"')}),eE=e=>(t,n)=>{re(n,Xz,{actual:e,possible:[P,N]})&&t.walkDecls((t=>{const r=t.prop;mi(r)&&(oi(r)||G([r,xe.unprefixed(r)],e)&&X({message:Zz.rejected,messageArgs:[r],word:r,node:t,result:n,ruleName:Xz}))}))};eE.primaryOptionArray=!0,eE.ruleName=Xz,eE.messages=Zz,eE.meta={url:"https://stylelint.io/user-guide/rules/property-disallowed-list"};const tE=["-epub-caption-side","-epub-hyphens","-epub-text-combine","-epub-text-emphasis","-epub-text-emphasis-color","-epub-text-emphasis-style","-epub-text-orientation","-epub-text-transform","-epub-word-break","-epub-writing-mode","-internal-text-autosizing-status","accelerator","accent-color","-wap-accesskey","additive-symbols","align-content","-webkit-align-content","align-items","-webkit-align-items","align-self","-webkit-align-self","alignment-baseline","all","alt","-webkit-alt","anchor-default","anchor-name","anchor-scroll","animation","animation-composition","animation-delay","-moz-animation-delay","-ms-animation-delay","-webkit-animation-delay","animation-direction","-moz-animation-direction","-ms-animation-direction","-webkit-animation-direction","animation-duration","-moz-animation-duration","-ms-animation-duration","-webkit-animation-duration","animation-fill-mode","-moz-animation-fill-mode","-ms-animation-fill-mode","-webkit-animation-fill-mode","animation-iteration-count","-moz-animation-iteration-count","-ms-animation-iteration-count","-webkit-animation-iteration-count","-moz-animation","-ms-animation","animation-name","-moz-animation-name","-ms-animation-name","-webkit-animation-name","animation-play-state","-moz-animation-play-state","-ms-animation-play-state","-webkit-animation-play-state","animation-range","animation-range-end","animation-range-start","animation-timeline","animation-timing-function","-moz-animation-timing-function","-ms-animation-timing-function","-webkit-animation-timing-function","-webkit-animation-trigger","-webkit-animation","app-region","-webkit-app-region","appearance","-moz-appearance","-webkit-appearance","ascent-override","aspect-ratio","-webkit-aspect-ratio","audio-level","azimuth","backdrop-filter","-webkit-backdrop-filter","backface-visibility","-moz-backface-visibility","-ms-backface-visibility","-webkit-backface-visibility","background","background-attachment","-webkit-background-attachment","background-blend-mode","background-clip","-moz-background-clip","-webkit-background-clip","background-color","-webkit-background-color","-webkit-background-composite","background-image","-webkit-background-image","-moz-background-inline-policy","background-origin","-moz-background-origin","-webkit-background-origin","background-position","-webkit-background-position","background-position-x","-webkit-background-position-x","background-position-y","-webkit-background-position-y","background-repeat","-webkit-background-repeat","background-repeat-x","background-repeat-y","background-size","-moz-background-size","-webkit-background-size","-webkit-background","base-palette","baseline-shift","baseline-source","behavior","-moz-binding","block-ellipsis","-ms-block-progression","block-size","block-step","block-step-align","block-step-insert","block-step-round","block-step-size","bookmark-label","bookmark-level","bookmark-state","border","-webkit-border-after-color","-webkit-border-after-style","-webkit-border-after","-webkit-border-after-width","-webkit-border-before-color","-webkit-border-before-style","-webkit-border-before","-webkit-border-before-width","border-block","border-block-color","border-block-end","border-block-end-color","border-block-end-style","border-block-end-width","border-block-start","border-block-start-color","border-block-start-style","border-block-start-width","border-block-style","border-block-width","border-bottom","border-bottom-color","-moz-border-bottom-colors","border-bottom-left-radius","-webkit-border-bottom-left-radius","border-bottom-right-radius","-webkit-border-bottom-right-radius","border-bottom-style","border-bottom-width","border-boundary","border-collapse","border-color","-moz-border-end-color","-webkit-border-end-color","border-end-end-radius","-moz-border-end","border-end-start-radius","-moz-border-end-style","-webkit-border-end-style","-webkit-border-end","-moz-border-end-width","-webkit-border-end-width","-webkit-border-fit","-webkit-border-horizontal-spacing","border-image","-moz-border-image","-o-border-image","border-image-outset","-webkit-border-image-outset","border-image-repeat","-webkit-border-image-repeat","border-image-slice","-webkit-border-image-slice","border-image-source","-webkit-border-image-source","-webkit-border-image","border-image-width","-webkit-border-image-width","border-inline","border-inline-color","border-inline-end","border-inline-end-color","border-inline-end-style","border-inline-end-width","border-inline-start","border-inline-start-color","border-inline-start-style","border-inline-start-width","border-inline-style","border-inline-width","border-left","border-left-color","-moz-border-left-colors","border-left-style","border-left-width","border-radius","-moz-border-radius-bottomleft","-moz-border-radius-bottomright","-moz-border-radius","-moz-border-radius-topleft","-moz-border-radius-topright","-webkit-border-radius","border-right","border-right-color","-moz-border-right-colors","border-right-style","border-right-width","border-spacing","-moz-border-start-color","-webkit-border-start-color","border-start-end-radius","-moz-border-start","border-start-start-radius","-moz-border-start-style","-webkit-border-start-style","-webkit-border-start","-moz-border-start-width","-webkit-border-start-width","border-style","border-top","border-top-color","-moz-border-top-colors","border-top-left-radius","-webkit-border-top-left-radius","border-top-right-radius","-webkit-border-top-right-radius","border-top-style","border-top-width","-webkit-border-vertical-spacing","border-width","bottom","-moz-box-align","-webkit-box-align","box-decoration-break","-webkit-box-decoration-break","-moz-box-direction","-webkit-box-direction","-webkit-box-flex-group","-moz-box-flex","-webkit-box-flex","-webkit-box-lines","-moz-box-ordinal-group","-webkit-box-ordinal-group","-moz-box-orient","-webkit-box-orient","-moz-box-pack","-webkit-box-pack","-webkit-box-reflect","box-shadow","-moz-box-shadow","-webkit-box-shadow","box-sizing","-moz-box-sizing","-webkit-box-sizing","box-snap","break-after","break-before","break-inside","buffered-rendering","caption-side","caret","caret-animation","caret-color","caret-shape","chains","clear","clip","clip-path","-webkit-clip-path","clip-rule","color","color-adjust","-webkit-color-correction","-apple-color-filter","color-interpolation","color-interpolation-filters","color-profile","color-rendering","color-scheme","-webkit-column-axis","-webkit-column-break-after","-webkit-column-break-before","-webkit-column-break-inside","column-count","-moz-column-count","-webkit-column-count","column-fill","-moz-column-fill","-webkit-column-fill","column-gap","-moz-column-gap","-webkit-column-gap","column-progression","-webkit-column-progression","column-rule","column-rule-color","-moz-column-rule-color","-webkit-column-rule-color","-moz-column-rule","column-rule-style","-moz-column-rule-style","-webkit-column-rule-style","-webkit-column-rule","column-rule-width","-moz-column-rule-width","-webkit-column-rule-width","column-span","-moz-column-span","-webkit-column-span","column-width","-moz-column-width","-webkit-column-width","columns","-moz-columns","-webkit-columns","-webkit-composition-fill-color","-webkit-composition-frame-color","contain","contain-intrinsic-block-size","contain-intrinsic-height","contain-intrinsic-inline-size","contain-intrinsic-size","contain-intrinsic-width","container","container-name","container-type","content","content-visibility","-ms-content-zoom-chaining","-ms-content-zoom-limit-max","-ms-content-zoom-limit-min","-ms-content-zoom-limit","-ms-content-zoom-snap","-ms-content-zoom-snap-points","-ms-content-zoom-snap-type","-ms-content-zooming","continue","counter-increment","counter-reset","counter-set","cue","cue-after","cue-before","cursor","-webkit-cursor-visibility","cx","cy","d","-apple-dashboard-region","-webkit-dashboard-region","descent-override","direction","display","display-align","dominant-baseline","elevation","empty-cells","enable-background","epub-caption-side","epub-hyphens","epub-text-combine","epub-text-emphasis","epub-text-emphasis-color","epub-text-emphasis-style","epub-text-orientation","epub-text-transform","epub-word-break","epub-writing-mode","fallback","field-sizing","fill","fill-break","fill-color","fill-image","fill-opacity","fill-origin","fill-position","fill-repeat","fill-rule","fill-size","filter","-ms-filter","-webkit-filter","flex","-ms-flex-align","-webkit-flex-align","flex-basis","-webkit-flex-basis","flex-direction","-ms-flex-direction","-webkit-flex-direction","flex-flow","-ms-flex-flow","-webkit-flex-flow","flex-grow","-webkit-flex-grow","-ms-flex-item-align","-webkit-flex-item-align","-ms-flex-line-pack","-webkit-flex-line-pack","-ms-flex","-ms-flex-negative","-ms-flex-order","-webkit-flex-order","-ms-flex-pack","-webkit-flex-pack","-ms-flex-positive","-ms-flex-preferred-size","flex-shrink","-webkit-flex-shrink","-webkit-flex","flex-wrap","-ms-flex-wrap","-webkit-flex-wrap","float","float-defer","-moz-float-edge","float-offset","float-reference","flood-color","flood-opacity","flow","flow-from","-ms-flow-from","-webkit-flow-from","flow-into","-ms-flow-into","-webkit-flow-into","font","font-display","font-family","font-feature-settings","-moz-font-feature-settings","-ms-font-feature-settings","-webkit-font-feature-settings","font-kerning","-webkit-font-kerning","font-language-override","-moz-font-language-override","font-optical-sizing","font-palette","font-size","font-size-adjust","-webkit-font-size-delta","-webkit-font-smoothing","font-stretch","font-style","font-synthesis","font-synthesis-position","font-synthesis-small-caps","font-synthesis-style","font-synthesis-weight","font-variant","font-variant-alternates","font-variant-caps","font-variant-east-asian","font-variant-emoji","font-variant-ligatures","-webkit-font-variant-ligatures","font-variant-numeric","font-variant-position","font-variation-settings","font-weight","font-width","footnote-display","footnote-policy","-moz-force-broken-image-icon","forced-color-adjust","gap","glyph-orientation-horizontal","glyph-orientation-vertical","grid","-webkit-grid-after","grid-area","grid-auto-columns","-webkit-grid-auto-columns","grid-auto-flow","-webkit-grid-auto-flow","grid-auto-rows","-webkit-grid-auto-rows","-webkit-grid-before","grid-column","-ms-grid-column-align","grid-column-end","grid-column-gap","-ms-grid-column","-ms-grid-column-span","grid-column-start","-webkit-grid-column","-ms-grid-columns","-webkit-grid-columns","-webkit-grid-end","grid-gap","grid-row","-ms-grid-row-align","grid-row-end","grid-row-gap","-ms-grid-row","-ms-grid-row-span","grid-row-start","-webkit-grid-row","-ms-grid-rows","-webkit-grid-rows","-webkit-grid-start","grid-template","grid-template-areas","grid-template-columns","grid-template-rows","hanging-punctuation","height","-ms-high-contrast-adjust","-webkit-highlight","hyphenate-character","-webkit-hyphenate-character","-webkit-hyphenate-limit-after","-webkit-hyphenate-limit-before","hyphenate-limit-chars","-ms-hyphenate-limit-chars","hyphenate-limit-last","hyphenate-limit-lines","-ms-hyphenate-limit-lines","-webkit-hyphenate-limit-lines","hyphenate-limit-zone","-ms-hyphenate-limit-zone","hyphens","-moz-hyphens","-ms-hyphens","-webkit-hyphens","image-orientation","-moz-image-region","image-rendering","image-resolution","-ms-ime-align","ime-mode","inherits","initial-letter","initial-letter-align","-webkit-initial-letter","initial-letter-wrap","initial-value","inline-size","inline-sizing","input-format","-wap-input-format","-wap-input-required","input-security","inset","inset-area","inset-block","inset-block-end","inset-block-start","inset-inline","inset-inline-end","inset-inline-start","-ms-interpolation-mode","isolation","justify-content","-webkit-justify-content","justify-items","-webkit-justify-items","justify-self","-webkit-justify-self","kerning","layout-flow","layout-grid","layout-grid-char","layout-grid-line","layout-grid-mode","layout-grid-type","left","letter-spacing","lighting-color","-webkit-line-align","-webkit-line-box-contain","line-break","-webkit-line-break","line-clamp","-webkit-line-clamp","line-gap-override","line-grid","-webkit-line-grid-snap","-webkit-line-grid","line-height","line-height-step","line-increment","line-padding","line-snap","-webkit-line-snap","-o-link","-o-link-source","list-style","list-style-image","list-style-position","list-style-type","-webkit-locale","-webkit-logical-height","-webkit-logical-width","margin","-webkit-margin-after-collapse","-webkit-margin-after","-webkit-margin-before-collapse","-webkit-margin-before","margin-block","margin-block-end","margin-block-start","margin-bottom","-webkit-margin-bottom-collapse","margin-break","-webkit-margin-collapse","-moz-margin-end","-webkit-margin-end","margin-inline","margin-inline-end","margin-inline-start","margin-left","margin-right","-moz-margin-start","-webkit-margin-start","margin-top","-webkit-margin-top-collapse","margin-trim","marker","marker-end","marker-knockout-left","marker-knockout-right","marker-mid","marker-offset","marker-pattern","marker-segment","marker-side","marker-start","marks","-wap-marquee-dir","-webkit-marquee-direction","-webkit-marquee-increment","-wap-marquee-loop","-webkit-marquee-repetition","-wap-marquee-speed","-webkit-marquee-speed","-wap-marquee-style","-webkit-marquee-style","-webkit-marquee","mask","-webkit-mask-attachment","mask-border","mask-border-mode","mask-border-outset","mask-border-repeat","mask-border-slice","mask-border-source","mask-border-width","-webkit-mask-box-image-outset","-webkit-mask-box-image-repeat","-webkit-mask-box-image-slice","-webkit-mask-box-image-source","-webkit-mask-box-image","-webkit-mask-box-image-width","mask-clip","-webkit-mask-clip","mask-composite","-webkit-mask-composite","mask-image","-webkit-mask-image","mask-mode","mask-origin","-webkit-mask-origin","mask-position","-webkit-mask-position","mask-position-x","-webkit-mask-position-x","mask-position-y","-webkit-mask-position-y","mask-repeat","-webkit-mask-repeat","-webkit-mask-repeat-x","-webkit-mask-repeat-y","mask-size","-webkit-mask-size","mask-source-type","-webkit-mask-source-type","mask-type","-webkit-mask","-webkit-match-nearest-mail-blockquote-color","math-depth","math-shift","math-style","max-block-size","max-height","max-inline-size","max-lines","-webkit-max-logical-height","-webkit-max-logical-width","max-width","max-zoom","min-block-size","min-height","min-inline-size","min-intrinsic-sizing","-webkit-min-logical-height","-webkit-min-logical-width","min-width","min-zoom","mix-blend-mode","motion","motion-offset","motion-path","motion-rotation","nav-down","nav-index","nav-left","nav-right","nav-up","-webkit-nbsp-mode","negative","object-fit","-o-object-fit","object-position","-o-object-position","object-view-box","offset","offset-anchor","offset-block-end","offset-block-start","offset-distance","offset-inline-end","offset-inline-start","offset-path","offset-position","offset-rotate","offset-rotation","opacity","-moz-opacity","-webkit-opacity","order","-webkit-order","-moz-orient","orientation","orphans","-moz-osx-font-smoothing","outline","outline-color","-moz-outline-color","-moz-outline","outline-offset","-moz-outline-offset","-moz-outline-radius-bottomleft","-moz-outline-radius-bottomright","-moz-outline-radius","-moz-outline-radius-topleft","-moz-outline-radius-topright","outline-style","-moz-outline-style","outline-width","-moz-outline-width","overflow","overflow-anchor","overflow-block","overflow-clip-margin","overflow-clip-margin-block","overflow-clip-margin-block-end","overflow-clip-margin-block-start","overflow-clip-margin-bottom","overflow-clip-margin-inline","overflow-clip-margin-inline-end","overflow-clip-margin-inline-start","overflow-clip-margin-left","overflow-clip-margin-right","overflow-clip-margin-top","overflow-inline","-webkit-overflow-scrolling","-ms-overflow-style","overflow-wrap","overflow-x","overflow-y","overlay","override-colors","overscroll-behavior","overscroll-behavior-block","overscroll-behavior-inline","overscroll-behavior-x","overscroll-behavior-y","pad","padding","-webkit-padding-after","-webkit-padding-before","padding-block","padding-block-end","padding-block-start","padding-bottom","-moz-padding-end","-webkit-padding-end","padding-inline","padding-inline-end","padding-inline-start","padding-left","padding-right","-moz-padding-start","-webkit-padding-start","padding-top","page","page-break-after","page-break-before","page-break-inside","page-orientation","paint-order","pause","pause-after","pause-before","-apple-pay-button-style","-apple-pay-button-type","pen-action","perspective","-moz-perspective","-ms-perspective","perspective-origin","-moz-perspective-origin","-ms-perspective-origin","-webkit-perspective-origin","perspective-origin-x","-webkit-perspective-origin-x","perspective-origin-y","-webkit-perspective-origin-y","-webkit-perspective","pitch","pitch-range","place-content","place-items","place-self","play-during","pointer-events","position","position-animation","position-fallback","position-fallback-bounds","position-try","position-try-options","position-try-order","prefix","print-color-adjust","-webkit-print-color-adjust","property-name","quotes","r","range","-webkit-region-break-after","-webkit-region-break-before","-webkit-region-break-inside","region-fragment","-webkit-region-fragment","-webkit-region-overflow","resize","rest","rest-after","rest-before","richness","right","rotate","row-gap","-webkit-rtl-ordering","ruby-align","ruby-merge","ruby-overhang","ruby-position","-webkit-ruby-position","running","rx","ry","scale","scroll-behavior","-ms-scroll-chaining","-ms-scroll-limit","-ms-scroll-limit-x-max","-ms-scroll-limit-x-min","-ms-scroll-limit-y-max","-ms-scroll-limit-y-min","scroll-margin","scroll-margin-block","scroll-margin-block-end","scroll-margin-block-start","scroll-margin-bottom","scroll-margin-inline","scroll-margin-inline-end","scroll-margin-inline-start","scroll-margin-left","scroll-margin-right","scroll-margin-top","scroll-padding","scroll-padding-block","scroll-padding-block-end","scroll-padding-block-start","scroll-padding-bottom","scroll-padding-inline","scroll-padding-inline-end","scroll-padding-inline-start","scroll-padding-left","scroll-padding-right","scroll-padding-top","-ms-scroll-rails","scroll-snap-align","scroll-snap-coordinate","-webkit-scroll-snap-coordinate","scroll-snap-destination","-webkit-scroll-snap-destination","scroll-snap-margin","scroll-snap-margin-bottom","scroll-snap-margin-left","scroll-snap-margin-right","scroll-snap-margin-top","scroll-snap-points-x","-ms-scroll-snap-points-x","-webkit-scroll-snap-points-x","scroll-snap-points-y","-ms-scroll-snap-points-y","-webkit-scroll-snap-points-y","scroll-snap-stop","scroll-snap-type","-ms-scroll-snap-type","-webkit-scroll-snap-type","scroll-snap-type-x","scroll-snap-type-y","-ms-scroll-snap-x","-ms-scroll-snap-y","scroll-timeline","scroll-timeline-axis","scroll-timeline-name","-ms-scroll-translation","scrollbar-arrow-color","scrollbar-base-color","scrollbar-color","scrollbar-dark-shadow-color","scrollbar-darkshadow-color","scrollbar-face-color","scrollbar-gutter","scrollbar-highlight-color","scrollbar-shadow-color","scrollbar-track-color","scrollbar-width","scrollbar3d-light-color","scrollbar3dlight-color","shape-image-threshold","-webkit-shape-image-threshold","shape-inside","-webkit-shape-inside","shape-margin","-webkit-shape-margin","shape-outside","-webkit-shape-outside","-webkit-shape-padding","shape-rendering","size","size-adjust","snap-height","solid-color","solid-opacity","spatial-navigation-action","spatial-navigation-contain","spatial-navigation-function","speak","speak-as","speak-header","speak-numeral","speak-punctuation","speech-rate","src","-moz-stack-sizing","stop-color","stop-opacity","stress","string-set","stroke","stroke-align","stroke-alignment","stroke-break","stroke-color","stroke-dash-corner","stroke-dash-justify","stroke-dashadjust","stroke-dasharray","stroke-dashcorner","stroke-dashoffset","stroke-image","stroke-linecap","stroke-linejoin","stroke-miterlimit","stroke-opacity","stroke-origin","stroke-position","stroke-repeat","stroke-size","stroke-width","suffix","supported-color-schemes","-webkit-svg-shadow","symbols","syntax","system","tab-size","-moz-tab-size","-o-tab-size","-o-table-baseline","table-layout","-webkit-tap-highlight-color","text-align","text-align-all","text-align-last","-moz-text-align-last","text-anchor","text-autospace","-moz-text-blink","text-box-edge","text-box-trim","-ms-text-combine-horizontal","text-combine-upright","-webkit-text-combine","text-decoration","text-decoration-blink","text-decoration-color","-moz-text-decoration-color","-webkit-text-decoration-color","text-decoration-line","-moz-text-decoration-line","text-decoration-line-through","-webkit-text-decoration-line","text-decoration-none","text-decoration-overline","text-decoration-skip","text-decoration-skip-box","text-decoration-skip-ink","text-decoration-skip-inset","text-decoration-skip-self","text-decoration-skip-spaces","-webkit-text-decoration-skip","text-decoration-style","-moz-text-decoration-style","-webkit-text-decoration-style","text-decoration-thickness","text-decoration-trim","text-decoration-underline","-webkit-text-decoration","-webkit-text-decorations-in-effect","text-emphasis","text-emphasis-color","-webkit-text-emphasis-color","text-emphasis-position","-webkit-text-emphasis-position","text-emphasis-skip","text-emphasis-style","-webkit-text-emphasis-style","-webkit-text-emphasis","-webkit-text-fill-color","text-group-align","text-indent","text-justify","text-justify-trim","text-kashida","text-kashida-space","text-line-through","text-line-through-color","text-line-through-mode","text-line-through-style","text-line-through-width","text-orientation","-webkit-text-orientation","text-overflow","text-overline","text-overline-color","text-overline-mode","text-overline-style","text-overline-width","text-rendering","-webkit-text-security","text-shadow","text-size-adjust","-moz-text-size-adjust","-ms-text-size-adjust","-webkit-text-size-adjust","text-spacing","text-spacing-trim","-webkit-text-stroke-color","-webkit-text-stroke","-webkit-text-stroke-width","text-transform","text-underline","text-underline-color","text-underline-mode","text-underline-offset","text-underline-position","-webkit-text-underline-position","text-underline-style","text-underline-width","text-wrap","text-wrap-mode","text-wrap-style","-webkit-text-zoom","timeline-scope","top","touch-action","touch-action-delay","-ms-touch-action","-webkit-touch-callout","-ms-touch-select","-apple-trailing-word","transform","transform-box","-moz-transform","-ms-transform","-o-transform","transform-origin","-moz-transform-origin","-ms-transform-origin","-o-transform-origin","-webkit-transform-origin","transform-origin-x","-webkit-transform-origin-x","transform-origin-y","-webkit-transform-origin-y","transform-origin-z","-webkit-transform-origin-z","transform-style","-moz-transform-style","-ms-transform-style","-webkit-transform-style","-webkit-transform","transition","transition-behavior","transition-delay","-moz-transition-delay","-ms-transition-delay","-o-transition-delay","-webkit-transition-delay","transition-duration","-moz-transition-duration","-ms-transition-duration","-o-transition-duration","-webkit-transition-duration","-moz-transition","-ms-transition","-o-transition","transition-property","-moz-transition-property","-ms-transition-property","-o-transition-property","-webkit-transition-property","transition-timing-function","-moz-transition-timing-function","-ms-transition-timing-function","-o-transition-timing-function","-webkit-transition-timing-function","-webkit-transition","translate","uc-alt-skin","uc-skin","unicode-bidi","unicode-range","-webkit-user-drag","-moz-user-focus","-moz-user-input","-moz-user-modify","-webkit-user-modify","user-select","-moz-user-select","-ms-user-select","-webkit-user-select","user-zoom","vector-effect","vertical-align","view-timeline","view-timeline-axis","view-timeline-inset","view-timeline-name","view-transition-name","viewport-fill","viewport-fill-opacity","viewport-fit","visibility","voice-balance","voice-duration","voice-family","voice-pitch","voice-range","voice-rate","voice-stress","voice-volume","volume","white-space","white-space-collapse","white-space-trim","-webkit-widget-region","widows","width","will-change","-moz-window-dragging","-moz-window-shadow","word-break","word-space-transform","word-spacing","word-wrap","wrap-after","wrap-before","wrap-flow","-ms-wrap-flow","-webkit-wrap-flow","wrap-inside","-ms-wrap-margin","-webkit-wrap-margin","-webkit-wrap-padding","-webkit-wrap-shape-inside","-webkit-wrap-shape-outside","wrap-through","-ms-wrap-through","-webkit-wrap-through","-webkit-wrap","writing-mode","-webkit-writing-mode","x","y","z-index","zoom"],nE="property-no-unknown",rE=Z(nE,{rejected:e=>'Unexpected unknown property "'.concat(e,'"')}),oE=(e,t)=>{const n=new Set(tE);return(r,o)=>{if(!re(o,nE,{actual:e},{actual:t,possible:{ignoreProperties:[P,N],checkPrefixed:[A],ignoreSelectors:[P,N],ignoreAtRules:[P,N]},optional:!0}))return;const i=t&&t.checkPrefixed;r.walkDecls((function(e){const r=e.prop;if(!mi(r))return;if(!ai(e))return;if(oi(r))return;if(!i&&xe.prefix(r))return;if(H(t,"ignoreProperties",r))return;const s=e.parent;if(s&&Me(s)&&H(t,"ignoreSelectors",s.selector))return;let a=s;for(;a&&"root"!==a.type;){if(_e(a)&&H(t,"ignoreAtRules",a.name))return;a=a.parent}if(n.has(r.toLowerCase()))return;X({message:rE.rejected,messageArgs:[r],node:e,result:o,ruleName:nE,word:r})}))}};oE.ruleName=nE,oE.messages=rE,oE.meta={url:"https://stylelint.io/user-guide/rules/property-no-unknown"};const iE="property-no-vendor-prefix",sE=Z(iE,{rejected:e=>'Unexpected vendor-prefix "'.concat(e,'"')}),aE=(e,t,n)=>(r,o)=>{re(o,iE,{actual:e},{optional:!0,actual:t,possible:{ignoreProperties:[P,N]}})&&r.walkDecls((e=>{const r=e.prop,i=xe.unprefixed(r);H(t,"ignoreProperties",i)||"-"===r[0]&&"-"!==r[1]&&ft.property(r)&&(n.fix?e.prop=ft.unprefix(e.prop):X({message:sE.rejected,messageArgs:[r],word:r,node:e,result:o,ruleName:iE}))}))};aE.ruleName=iE,aE.messages=sE,aE.meta={url:"https://stylelint.io/user-guide/rules/property-no-vendor-prefix",fixable:!0};const lE="rule-empty-line-before",cE=Z(lE,{expected:"Expected empty line before rule",rejected:"Unexpected empty line before rule"}),uE=(e,t,n)=>(r,o)=>{if(!re(o,lE,{actual:e,possible:["always","never","always-multi-line","never-multi-line"]},{actual:t,possible:{ignore:["after-comment","first-nested","inside-block"],except:["after-rule","after-single-line-comment","first-nested","inside-block-and-after-rule","inside-block"]},optional:!0}))return;const i=e;r.walkRules((e=>{if(!WC(e))return;if(Xe(e))return;if(H(t,"ignore","after-comment")){const t=e.prev();if(t&&"comment"===t.type)return}if(H(t,"ignore","first-nested")&&He(e))return;const r=e.parent&&"root"!==e.parent.type;if(H(t,"ignore","inside-block")&&r)return;if(i.includes("multi-line")&&ii(e.toString()))return;let s=i.includes("always");(H(t,"except","first-nested")&&He(e)||H(t,"except","after-rule")&&dE(e)||H(t,"except","inside-block-and-after-rule")&&r&&dE(e)||H(t,"except","after-single-line-comment")&&function(e){const t=e.prev();return void 0!==t&&"comment"===t.type&&!Ve(t)&&void 0!==t.source&&void 0!==t.source.start&&void 0!==t.source.end&&t.source.start.line===t.source.end.line}(e)||H(t,"except","inside-block")&&r)&&(s=!s);if(s===je(e.raws.before))return;if(n.fix){const t=n.newline;if("string"!=typeof t)throw new Error('The "newline" property must be a string: '.concat(t));return void(s?Ne(e,t):Ze(e,t))}X({message:s?cE.expected:cE.rejected,node:e,result:o,ruleName:lE})}))};function dE(e){const t=Te(e);return null!=t&&"rule"===t.type}uE.ruleName=lE,uE.messages=cE,uE.meta={url:"https://stylelint.io/user-guide/rules/rule-empty-line-before",fixable:!0};const pE="rule-selector-property-disallowed-list",hE=Z(pE,{rejected:(e,t)=>'Unexpected property "'.concat(t,'" for selector "').concat(e,'"')}),fE=(e,t)=>(n,r)=>{if(!re(r,pE,{actual:e,possible:[wt(P,N)]},{actual:t,possible:{ignore:["keyframe-selectors"]},optional:!0}))return;const o=H(t,"ignore","keyframe-selectors"),i=Object.keys(e);n.walkRules((t=>{if(!WC(t))return;if(o&&wz(t))return;const n=i.find((e=>G(t.selector,e)));if(!n)return;const s=e[n];s&&t.walkDecls((e=>{if(!function(e,t){let n=e.parent;for(;n;){if(n===t)return!0;if("rule"===n.type)return!1;n=n.parent}return!1}(e,t))return;const{prop:n}=e;G(n,s)&&X({message:hE.rejected,messageArgs:[t.selector,n],node:e,result:r,ruleName:pE,word:n})}))}))};fE.ruleName=pE,fE.messages=hE,fE.meta={url:"https://stylelint.io/user-guide/rules/rule-selector-property-disallowed-list"};const mE=[...nz.values(),...rz.values()].join("|"),gE=new RegExp("\\b:(?:".concat(mE,")\\("),"i");const bE="selector-anb-no-unmatchable",wE=Z(bE,{rejected:e=>'Unexpected unmatchable An+B selector "'.concat(e,'"')});const yE=e=>(t,n)=>{re(n,bE,{actual:e})&&t.walkRules((e=>{(function(e){return gE.test(e)})(e.selector)&&WC(e)&&e.selectors.forEach((t=>{let r;try{r=Tf(t,{context:"selector",positions:!0})}catch(e){return}!function(t){if("Selector"!==t.type)return;t.children.forEach((t=>{if("PseudoClassSelector"!==t.type||!nz.has(t.name)&&!rz.has(t.name))return;const r=t;null!==r.children&&r.children.forEach((t=>{var o,i;"Nth"===t.type&&"AnPlusB"===t.nth.type&&(function(e){const{a:t,b:n}=e;return!(null!==t&&"0"!==t&&"-0"!==t||null!==n&&"0"!==n&&"-0"!==n)}(t.nth)&&X({message:wE.rejected,messageArgs:[":".concat(r.name)],node:e,index:null===(o=r.loc)||void 0===o?void 0:o.start.column,endIndex:null===(i=r.loc)||void 0===i?void 0:i.end.column,result:n,ruleName:bE}))}))}))}(r)}))}))};yE.ruleName=bE,yE.messages=wE,yE.meta={url:"https://stylelint.io/user-guide/rules/selector-anb-no-unmatchable"};const vE="selector-attribute-name-disallowed-list",kE=Z(vE,{rejected:e=>'Unexpected name "'.concat(e,'"')}),xE=e=>(t,n)=>{re(n,vE,{actual:e,possible:[P,N]})&&t.walkRules((t=>{var r;WC(t)&&t.selector.includes("[")&&(null===(r=YA(t.selector,n,t))||void 0===r||r.walkAttributes((r=>{const o=r.qualifiedAttribute;if(!G(o,e))return;const i=r.sourceIndex+r.offsetOf("attribute"),s=i+o.length;X({message:kE.rejected,messageArgs:[o],node:t,index:i,endIndex:s,result:n,ruleName:vE})})))}))};xE.primaryOptionArray=!0,xE.ruleName=vE,xE.messages=kE,xE.meta={url:"https://stylelint.io/user-guide/rules/selector-attribute-name-disallowed-list"};const SE="selector-attribute-operator-allowed-list",CE=Z(SE,{rejected:e=>'Unexpected operator "'.concat(e,'"')}),OE=e=>(t,n)=>{if(!re(n,SE,{actual:e,possible:[P]}))return;const r=new Set([e].flat());t.walkRules((e=>{var t;if(!WC(e))return;const{selector:o}=e;o.includes("[")&&o.includes("=")&&(null===(t=YA(o,n,e))||void 0===t||t.walkAttributes((t=>{const{operator:o}=t;if(!o||r.has(o))return;const i=t.sourceIndex+t.offsetOf("operator"),s=i+o.length;X({message:CE.rejected,messageArgs:[o],node:e,index:i,endIndex:s,result:n,ruleName:SE})})))}))};OE.primaryOptionArray=!0,OE.ruleName=SE,OE.messages=CE,OE.meta={url:"https://stylelint.io/user-guide/rules/selector-attribute-operator-allowed-list"};const AE="selector-attribute-operator-disallowed-list",zE=Z(AE,{rejected:e=>'Unexpected operator "'.concat(e,'"')}),EE=e=>(t,n)=>{if(!re(n,AE,{actual:e,possible:[P]}))return;const r=new Set([e].flat());t.walkRules((e=>{var t;if(!WC(e))return;const{selector:o}=e;o.includes("[")&&o.includes("=")&&(null===(t=YA(o,n,e))||void 0===t||t.walkAttributes((t=>{const{operator:o}=t;if(!o||!r.has(o))return;const i=t.sourceIndex+t.offsetOf("operator"),s=i+o.length;X({message:zE.rejected,messageArgs:[o],node:e,index:i,endIndex:s,result:n,ruleName:AE})})))}))};function NE(e){const t=e.raws;return t.selector&&t.selector.raw||e.selector}EE.primaryOptionArray=!0,EE.ruleName=AE,EE.messages=zE,EE.meta={url:"https://stylelint.io/user-guide/rules/selector-attribute-operator-disallowed-list"};const PE=/\\[0-9a-f]{1,6}(\\r\\n|[ \t\r\n\f])?/gi,TE=/\\./g,IE=/[^\w-]/,jE=/\d/;const LE="selector-attribute-quotes",ME=Z(LE,{expected:e=>'Expected quotes around "'.concat(e,'"'),rejected:e=>'Unexpected quotes around "'.concat(e,'"')}),_E=(e,t,n)=>(t,r)=>{re(r,LE,{actual:e,possible:["always","never"]})&&t.walkRules((t=>{if(!WC(t))return;const{selector:o}=t;if(!o.includes("[")||!o.includes("="))return;const i=YA(NE(t),r,t);if(!i)return;let s=!1;function a(e,n){const o=n.sourceIndex+n.offsetOf("value");X({message:e,index:o,endIndex:o+(n.raws.value||n.value||"").length,result:r,ruleName:LE,node:t})}i.walkAttributes((t=>{const{operator:r,value:o,quoted:i}=t;if(r&&o&&(i||"always"!==e||(n.fix?(s=!0,t.quoteMark='"'):a(ME.expected(o),t)),i&&"never"===e)){if(!t.raws.value||!function(e){if(!e||""===e.trim())return!1;const t=e.trim().replace(PE,"").replace(TE,"");return!(IE.test(t)||jE.test(t.charAt(0))||"-"===t.charAt(0)&&jE.test(t.charAt(1)))}(t.raws.value.slice(1,-1)))return;n.fix?(s=!0,t.quoteMark=null):a(ME.rejected(o),t)}})),s&&(t.selector=i.toString())}))};function RE(e){return!!bo.has(e)||!!/^(?:\d+|\d*\.\d+)%$/.test(e)}_E.ruleName=LE,_E.messages=ME,_E.meta={url:"https://stylelint.io/user-guide/rules/selector-attribute-quotes",fixable:!0};const FE="selector-class-pattern",DE=Z(FE,{expected:(e,t)=>'Expected "'.concat(e,'" to match pattern "').concat(t,'"')}),UE=(e,t)=>(n,r)=>{if(!re(r,FE,{actual:e,possible:[N,P]},{actual:t,possible:{resolveNestedSelectors:[A]},optional:!0}))return;const o=Boolean(t&&t.resolveNestedSelectors),i=P(e)?new RegExp(e):e;function s(t,n){t.walkClasses((t=>{const{value:o,sourceIndex:s}=t;if(i.test(o))return;const a=String(t),l=s+a.length;X({result:r,ruleName:FE,message:DE.expected,messageArgs:[a,e],node:n,index:s,endIndex:l})}))}n.walkRules((e=>{const{selector:t,selectors:n}=e;if(WC(e)&&!n.some((e=>RE(e))))if(o&&function(e){for(const[t,n]of Array.from(e).entries()){if("&"!==n)continue;const r=e.charAt(t-1);if(r&&!qE(r))return!0;const o=e.charAt(t+1);if(o&&!qE(o))return!0}return!1}(t))for(const n of $A(t,e)){if(!iv(n))continue;const t=YA(n,r,e);t&&s(t,e)}else{const n=YA(t,r,e);n&&s(n,e)}}))};function qE(e){return/[\s+>~]/.test(e)}function WE(e){if("combinator"!==e.type)return!1;if(e.value.startsWith("/")||e.value.endsWith("/"))return!1;if(void 0!==e.parent&&null!==e.parent){const t=e.parent;if(e===t.first)return!1;if(e===t.last)return!1}return!0}UE.ruleName=FE,UE.messages=DE,UE.meta={url:"https://stylelint.io/user-guide/rules/selector-class-pattern"};const BE="selector-combinator-allowed-list",$E=Z(BE,{rejected:e=>'Unexpected combinator "'.concat(e,'"')}),QE=e=>(t,n)=>{re(n,BE,{actual:e,possible:[P]})&&t.walkRules((t=>{var r;if(!WC(t))return;null===(r=YA(t.selector,n,t))||void 0===r||r.walkCombinators((r=>{if(!WE(r))return;const{value:o}=r,i=function(e){return e.replace(/\s+/g," ")}(o);if(e.includes(i))return;const{sourceIndex:s,raws:a}=r,l=s+(a&&a.value||o).length;X({result:n,ruleName:BE,message:$E.rejected,messageArgs:[i],node:t,index:s,endIndex:l})}))}))};QE.primaryOptionArray=!0,QE.ruleName=BE,QE.messages=$E,QE.meta={url:"https://stylelint.io/user-guide/rules/selector-combinator-allowed-list"};const VE="selector-combinator-disallowed-list",GE=Z(VE,{rejected:e=>'Unexpected combinator "'.concat(e,'"')}),YE=e=>(t,n)=>{re(n,VE,{actual:e,possible:[P]})&&t.walkRules((t=>{var r;if(!WC(t))return;null===(r=YA(t.selector,n,t))||void 0===r||r.walkCombinators((r=>{if(!WE(r))return;const{value:o}=r,i=function(e){return e.replace(/\s+/g," ")}(o);if(!e.includes(i))return;const{sourceIndex:s,raws:a}=r,l=s+(a&&a.value||o).length;X({result:n,ruleName:VE,message:GE.rejected,messageArgs:[i],node:t,index:s,endIndex:l})}))}))};YE.primaryOptionArray=!0,YE.ruleName=VE,YE.messages=GE,YE.meta={url:"https://stylelint.io/user-guide/rules/selector-combinator-disallowed-list"};const JE="selector-disallowed-list",KE=Z(JE,{rejected:e=>'Unexpected selector "'.concat(e,'"')}),HE=(e,t)=>(n,r)=>{if(!re(r,JE,{actual:e,possible:[P,N]},{actual:t,possible:{ignore:["inside-block","keyframe-selectors"],splitList:[A]},optional:!0}))return;const o=H(t,"ignore","inside-block"),i=H(t,"ignore","keyframe-selectors"),s=t&&t.splitList;n.walkRules((t=>{if(WC(t)&&(!i||!wz(t))){if(o){const{parent:e}=t;if(e&&"root"!==e.type)return}if(s)t.selectors.forEach((n=>{G(n,e)&&X({result:r,ruleName:JE,message:KE.rejected,messageArgs:[n],node:t,word:n})}));else{const{selector:n,raws:o}=t;if(G(n,e)){const e=o.selector&&o.selector.raw||n;X({result:r,ruleName:JE,message:KE.rejected,messageArgs:[n],node:t,word:e})}}}}))};HE.primaryOptionArray=!0,HE.ruleName=JE,HE.messages=KE,HE.meta={url:"https://stylelint.io/user-guide/rules/selector-disallowed-list"};const XE="selector-id-pattern",ZE=Z(XE,{expected:(e,t)=>'Expected "'.concat(e,'" to match pattern "').concat(t,'"')}),eN=e=>(t,n)=>{if(!re(n,XE,{actual:e,possible:[N,P]}))return;const r=P(e)?new RegExp(e):e;t.walkRules(/#/,(t=>{var o;WC(t)&&(null===(o=YA(t.selector,n,t))||void 0===o||o.walkIds((o=>{if(r.test(o.value))return;const i=String(o);X({result:n,ruleName:XE,message:ZE.expected,messageArgs:[i,e],node:t,word:i})})))}))};function tN(e,t){const n=YA(NE(e),t,e);if(!n)return[];const r=[];for(const o of n.nodes){const n=$A(o.toString(),e);for(const i of n){if(!iv(i))return[];const n=YA(i,t,e);n&&r.push({selector:o,resolvedSelectors:n.nodes})}}return r}function nN(e){if("pseudo"===e.type){const t=e.value.toLowerCase().replace(/:+/,"");return sz.has(t)||rz.has(t)}return!1}function rN(e){return Number.isInteger(e)&&"number"==typeof e&&e>=0}eN.ruleName=XE,eN.messages=ZE,eN.meta={url:"https://stylelint.io/user-guide/rules/selector-id-pattern"};const oN="selector-max-attribute",iN=Z(oN,{expected:(e,t)=>'Expected "'.concat(e,'" to have no more than ').concat(t," attribute ").concat(1===t?"selector":"selectors")}),sN=(e,t)=>(n,r)=>{function o(n,i,s){const a=n.reduce(((e,n)=>(("selector"===n.type||nN(n))&&o(n,i,s),"attribute"!==n.type||H(t,"ignoreAttributes",n.attribute)?e:e+=1)),0);if("root"!==i.type&&"pseudo"!==i.type&&a>e){var l,c;const t=null!==(l=null===(c=i.first)||void 0===c?void 0:c.sourceIndex)&&void 0!==l?l:0,n=i.toString().trim();X({ruleName:oN,result:r,node:s,message:iN.expected,messageArgs:[n,e],index:t,endIndex:t+n.length})}}re(r,oN,{actual:e,possible:rN},{actual:t,possible:{ignoreAttributes:[P,N]},optional:!0})&&n.walkRules((e=>{WC(e)&&iv(e.selector)&&tN(e,r).forEach((({selector:t,resolvedSelectors:n})=>{n.forEach((n=>{o(n,t,e)}))}))}))};sN.ruleName=oN,sN.messages=iN,sN.meta={url:"https://stylelint.io/user-guide/rules/selector-max-attribute"};const aN="selector-max-class",lN=Z(aN,{expected:(e,t)=>'Expected "'.concat(e,'" to have no more than ').concat(t," ").concat(1===t?"class":"classes")}),cN=e=>(t,n)=>{function r(t,o,i){const s=t.reduce(((e,t)=>(("selector"===t.type||nN(t))&&r(t,o,i),"class"===t.type&&(e+=1),e)),0);if("root"!==o.type&&"pseudo"!==o.type&&s>e){var a,l;const t=null!==(a=null===(l=o.first)||void 0===l?void 0:l.sourceIndex)&&void 0!==a?a:0,r=o.toString().trim();X({ruleName:aN,result:n,node:i,message:lN.expected,messageArgs:[r,e],index:t,endIndex:t+r.length})}}re(n,aN,{actual:e,possible:rN})&&t.walkRules((e=>{WC(e)&&iv(e.selector)&&tN(e,n).forEach((({selector:t,resolvedSelectors:n})=>{n.forEach((n=>{r(n,t,e)}))}))}))};cN.ruleName=aN,cN.messages=lN,cN.meta={url:"https://stylelint.io/user-guide/rules/selector-max-class"};const uN="selector-max-combinators",dN=Z(uN,{expected:(e,t)=>'Expected "'.concat(e,'" to have no more than ').concat(t," ").concat(1===t?"combinator":"combinators")}),pN=e=>(t,n)=>{function r(t,o,i){const s=t.reduce(((e,t)=>("selector"===t.type&&r(t,o,i),"combinator"===t.type&&(e+=1),e)),0);if("root"!==o.type&&"pseudo"!==o.type&&s>e){var a,l;const t=null!==(a=null===(l=o.first)||void 0===l?void 0:l.sourceIndex)&&void 0!==a?a:0,r=o.toString().trim();X({ruleName:uN,result:n,node:i,message:dN.expected,messageArgs:[r,e],index:t,endIndex:t+r.length})}}re(n,uN,{actual:e,possible:rN})&&t.walkRules((e=>{WC(e)&&iv(e.selector)&&tN(e,n).forEach((({selector:t,resolvedSelectors:n})=>{n.forEach((n=>{r(n,t,e)}))}))}))};pN.ruleName=uN,pN.messages=dN,pN.meta={url:"https://stylelint.io/user-guide/rules/selector-max-combinators"};const{isCombinator:hN,isPseudo:fN,isRoot:mN,isSelector:gN}=hC,bN="selector-max-compound-selectors",wN=Z(bN,{expected:(e,t)=>{return'Expected "'.concat(e,'" to have no more than ').concat(t," compound ").concat((n="selector",1===t?n:"".concat(n,"s")));var n}}),yN=(e,t)=>(n,r)=>{function o(n,i,s){const a=[];if(n.each((e=>{(gN(e)||nN(e))&&o(e,i,s),function(e){const n=fN(e)?e.value:e.toString();return H(t,"ignoreSelectors",n)}(e)||a.push(e)})),mN(i)||fN(i))return;const l=a.reduce(((e,t,n,r)=>hN(t)?0===n||n===r.length-1||hN(r[n+1])?e:e+1:e),0);if(l+1>e){var c,u;const t=null!==(c=null===(u=i.first)||void 0===u?void 0:u.sourceIndex)&&void 0!==c?c:0,n=i.toString().trim();X({ruleName:bN,result:r,node:s,message:wN.expected,messageArgs:[n,e],index:t,endIndex:t+n.length})}}re(r,bN,{actual:e,possible:rN},{actual:t,possible:{ignoreSelectors:[P,N]},optional:!0})&&n.walkRules((e=>{WC(e)&&iv(e.selector)&&tN(e,r).forEach((({selector:t,resolvedSelectors:n})=>{n.forEach((n=>{o(n,t,e)}))}))}))};yN.ruleName=bN,yN.messages=wN,yN.meta={url:"https://stylelint.io/user-guide/rules/selector-max-compound-selectors"};const vN="selector-max-id",kN=Z(vN,{expected:(e,t)=>'Expected "'.concat(e,'" to have no more than ').concat(t," ID ").concat(1===t?"selector":"selectors")}),xN=(e,t)=>(n,r)=>{function o(n,i,s){const a=n.reduce(((e,n)=>{var r;return("selector"===n.type||"pseudo"===(r=n).type&&H(t,"checkContextFunctionalPseudoClasses",r.value)||function(e){return nN(e)&&!H(t,"ignoreContextFunctionalPseudoClasses",e.value)}(n))&&o(n,i,s),"id"===n.type&&(e+=1),e}),0);if("root"!==i.type&&"pseudo"!==i.type&&a>e){var l,c;const t=null!==(l=null===(c=i.first)||void 0===c?void 0:c.sourceIndex)&&void 0!==l?l:0,n=i.toString().trim();X({ruleName:vN,result:r,node:s,message:kN.expected,messageArgs:[n,e],index:t,endIndex:t+n.length})}}re(r,vN,{actual:e,possible:rN},{actual:t,possible:{ignoreContextFunctionalPseudoClasses:[P,N],checkContextFunctionalPseudoClasses:[P,N]},optional:!0})&&n.walkRules((e=>{WC(e)&&iv(e.selector)&&tN(e,r).forEach((({selector:t,resolvedSelectors:n})=>{n.forEach((n=>{o(n,t,e)}))}))}))};xN.ruleName=vN,xN.messages=kN,xN.meta={url:"https://stylelint.io/user-guide/rules/selector-max-id"};const SN="selector-max-pseudo-class",CN=Z(SN,{expected:(e,t)=>'Expected "'.concat(e,'" to have no more than ').concat(t," pseudo-").concat(1===t?"class":"classes")}),ON=e=>(t,n)=>{function r(t,o,i){if(t.reduce(((e,t)=>(("selector"===t.type||nN(t))&&r(t,o,i),"pseudo"===t.type&&(t.value.includes("::")||HA.has(t.value.toLowerCase().slice(1)))||"pseudo"===t.type&&(e+=1),e)),0)>e){var s,a;const t=null!==(s=null===(a=o.first)||void 0===a?void 0:a.sourceIndex)&&void 0!==s?s:0,r=o.toString().trim();X({ruleName:SN,result:n,node:i,message:CN.expected,messageArgs:[r,e],index:t,endIndex:t+r.length})}}re(n,SN,{actual:e,possible:rN})&&t.walkRules((e=>{WC(e)&&iv(e.selector)&&tN(e,n).forEach((({selector:t,resolvedSelectors:n})=>{n.forEach((n=>{r(n,t,e)}))}))}))};ON.ruleName=SN,ON.messages=CN,ON.meta={url:"https://stylelint.io/user-guide/rules/selector-max-pseudo-class"};const AN="selector-max-specificity",zN=Z(AN,{expected:(e,t)=>'Expected "'.concat(e,'" to have a specificity no more than "').concat(t,'"')}),EN=e=>{const t={a:0,b:0,c:0};for(const{a:n,b:r,c:o}of e)t.a+=n,t.b+=r,t.c+=o;return t},NN=(e,t)=>(n,r)=>{if(!re(r,AN,{actual:e,possible:[e=>P(e)&&/^\d+,\d+,\d+$/.test(e)]},{actual:t,possible:{ignoreSelectors:[P,N]},optional:!0}))return;const o=e=>H(t,"ignoreSelectors",e),i=e=>e.reduce(((e,t)=>{const n=a(t);return qA(n,e)>0?n:e}),{a:0,b:0,c:0}),s=e=>{const t=e.value.toLowerCase();if(":where"===t)return{a:0,b:0,c:0};let n;if(o(t))n={a:0,b:0,c:0};else{if(rz.has(t.replace(/^:/,"")))return WA((e=>{var t,n;const r=e=>"combinator"===(null==e?void 0:e.type)&&" "===e.value,i=null!==(t=null===(n=e.nodes[0])||void 0===n?void 0:n.nodes)&&void 0!==t?t:[],s=i.findIndex(((e,t,n)=>{return r(e)&&"tag"===(null==(o=n[t+1])?void 0:o.type)&&"of"===o.value&&r(n[t+2]);var o})),a=i[s+3];if(!a||!a.value)return e;if(!o(a.value))return e;const l=e.clone(),c=l.nodes[0];return c&&(c.nodes=c.nodes.slice(0,s)),l})(e));n=WA(e.clone({nodes:[]}))}return EN([n,i(e)])},a=e=>{if((e=>{const t=e.parent&&e.parent.parent;if(t&&"pseudo"===t.type&&t.value){const e=t.value.toLowerCase().replace(/^:/,"");return nz.has(e)||iz.has(e)}return!1})(e))return{a:0,b:0,c:0};switch(e.type){case"attribute":case"class":case"id":case"tag":return(e=>o(e.toString())?{a:0,b:0,c:0}:WA(e))(e);case"pseudo":return s(e);case"selector":return EN(e.map((e=>a(e))));default:return{a:0,b:0,c:0}}},[l,c,u]=e.split(",").map((e=>Number.parseFloat(e)));j(l),j(c),j(u);const d={a:l,b:c,c:u};n.walkRules((t=>{if(WC(t))for(const n of t.selectors)for(const o of $A(n,t)){if(!iv(o))continue;const s=YA(o,r,t);s&&(qA(i(s),d)>0&&X({ruleName:AN,result:r,node:t,message:zN.expected,messageArgs:[o,e],word:n}))}}))};NN.ruleName=AN,NN.messages=zN,NN.meta={url:"https://stylelint.io/user-guide/rules/selector-max-specificity"};var PN=["a","altGlyph","altGlyphDef","altGlyphItem","animate","animateColor","animateMotion","animateTransform","circle","clipPath","color-profile","cursor","defs","desc","ellipse","feBlend","feColorMatrix","feComponentTransfer","feComposite","feConvolveMatrix","feDiffuseLighting","feDisplacementMap","feDistantLight","feFlood","feFuncA","feFuncB","feFuncG","feFuncR","feGaussianBlur","feImage","feMerge","feMergeNode","feMorphology","feOffset","fePointLight","feSpecularLighting","feSpotLight","feTile","feTurbulence","filter","font","font-face","font-face-format","font-face-name","font-face-src","font-face-uri","foreignObject","g","glyph","glyphRef","hkern","image","line","linearGradient","marker","mask","metadata","missing-glyph","mpath","path","pattern","polygon","polyline","radialGradient","rect","script","set","stop","style","svg","switch","symbol","text","textPath","title","tref","tspan","use","view","vkern"],TN={__proto__:null,default:["abs","and","annotation","annotation-xml","apply","approx","arccos","arccosh","arccot","arccoth","arccsc","arccsch","arcsec","arcsech","arcsin","arcsinh","arctan","arctanh","arg","bind","bvar","card","cartesianproduct","cbytes","ceiling","cerror","ci","cn","codomain","complexes","compose","condition","conjugate","cos","cosh","cot","coth","cs","csc","csch","csymbol","curl","declare","degree","determinant","diff","divergence","divide","domain","domainofapplication","emptyset","encoding","eq","equivalent","eulergamma","exists","exp","exponentiale","factorial","factorof","false","floor","fn","forall","function","gcd","geq","grad","gt","ident","image","imaginary","imaginaryi","implies","in","infinity","int","integers","intersect","interval","inverse","lambda","laplacian","lcm","leq","limit","list","ln","log","logbase","lowlimit","lt","maction","malign","maligngroup","malignmark","malignscope","math","matrix","matrixrow","max","mean","median","menclose","merror","mfenced","mfrac","mfraction","mglyph","mi","min","minus","mlabeledtr","mlongdiv","mmultiscripts","mn","mo","mode","moment","momentabout","mover","mpadded","mphantom","mprescripts","mroot","mrow","ms","mscarries","mscarry","msgroup","msline","mspace","msqrt","msrow","mstack","mstyle","msub","msubsup","msup","mtable","mtd","mtext","mtr","munder","munderover","naturalnumbers","neq","none","not","notanumber","notin","notprsubset","notsubset","or","otherwise","outerproduct","partialdiff","pi","piece","piecewice","piecewise","plus","power","primes","product","prsubset","quotient","rationals","real","reals","reln","rem","root","scalarproduct","sdev","sec","sech","select","selector","semantics","sep","set","setdiff","share","sin","sinh","span","subset","sum","tan","tanh","tendsto","times","transpose","true","union","uplimit","var","variance","vector","vectorproduct","xor"]};function IN(e){if(!/^[a-z]/.test(e))return!1;if(!e.includes("-"))return!1;const t=e.toLowerCase();return t===e&&(!PN.includes(t)&&!TN.includes(t))}function jN(e){var t;if(!e.parent||!e.parent.parent)return!1;const n=e.parent.parent,r=n.type,o=n.value;if(o){const e=o.toLowerCase().replace(/:+/,"");if("pseudo"===r&&(nz.has(e)||rz.has(e)||iz.has(e)||XA.has(e)))return!1}return"nesting"!==(null===(t=e.prev())||void 0===t?void 0:t.type)&&(!e.value.startsWith("%")&&(!e.value.startsWith("/")||!e.value.endsWith("/")))}const LN="selector-max-type",MN=Z(LN,{expected:(e,t)=>'Expected "'.concat(e,'" to have no more than ').concat(t," type ").concat(1===t?"selector":"selectors")}),_N=(e,t)=>(n,r)=>{if(!re(r,LN,{actual:e,possible:rN},{actual:t,possible:{ignore:["descendant","child","compounded","next-sibling","custom-elements"],ignoreTypes:[P,N]},optional:!0}))return;const o=H(t,"ignore","descendant"),i=H(t,"ignore","child"),s=H(t,"ignore","compounded"),a=H(t,"ignore","next-sibling"),l=H(t,"ignore","custom-elements");function c(n,u,d){const p=n.reduce(((e,n)=>(("selector"===n.type||nN(n))&&c(n,u,d),H(t,"ignoreTypes",n.value)||o&&function(e){if(!e.parent)return!1;const t=e.parent.nodes.indexOf(e);return e.parent.nodes.slice(0,t).some((e=>function(e){return!!e&&(RN(e)&&P(e.value)&&function(e){for(const t of e)if(!Qo(t))return!1;return!0}(e.value))}(e)))}(n)||i&&function(e){if(!e.parent)return!1;const t=e.parent.nodes.indexOf(e);return e.parent.nodes.slice(0,t).some((e=>function(e){return!!e&&(RN(e)&&">"===e.value)}(e)))}(n)||s&&function(e){if(e.prev()&&!RN(e.prev()))return!0;if(e.next()&&!RN(e.next()))return!0;return!1}(n)||a&&function(e){return RN(e)&&"+"===e.value}(n.prev())||l&&n.value&&IN(n.value)?e:("tag"!==n.type||jN(n))&&"tag"===n.type?e+1:e)),0);if("root"!==u.type&&"pseudo"!==u.type&&p>e){var h,f;const t=null!==(h=null===(f=u.first)||void 0===f?void 0:f.sourceIndex)&&void 0!==h?h:0,n=u.toString().trim();X({ruleName:LN,result:r,node:d,message:MN.expected,messageArgs:[n,e],index:t,endIndex:t+n.length})}}n.walkRules((e=>{const t=e.selectors;WC(e)&&(t.some((e=>RE(e)))||iv(e.selector)&&tN(e,r).forEach((({selector:t,resolvedSelectors:n})=>{n.forEach((n=>{c(n,t,e)}))})))}))};function RN(e){return!!e&&"combinator"===e.type}_N.ruleName=LN,_N.messages=MN,_N.meta={url:"https://stylelint.io/user-guide/rules/selector-max-type"};const FN="selector-max-universal",DN=Z(FN,{expected:(e,t)=>'Expected "'.concat(e,'" to have no more than ').concat(t," universal ").concat(1===t?"selector":"selectors")}),UN=(e,t)=>(n,r)=>{function o(n,i,s){const a=n.reduce(((e,n)=>{"selector"===n.type&&o(n,i,s);const r=n.prev(),a=r&&r.value;return"universal"===n.type&&(H(t,"ignoreAfterCombinators",a)||(e+=1)),e}),0);if("root"!==i.type&&"pseudo"!==i.type&&a>e){var l,c;const t=null!==(l=null===(c=i.first)||void 0===c?void 0:c.sourceIndex)&&void 0!==l?l:0,n=i.toString().trim();X({ruleName:FN,result:r,node:s,message:DN.expected,messageArgs:[n,e],index:t,endIndex:t+n.length})}}re(r,FN,{actual:e,possible:rN},{actual:t,possible:{ignoreAfterCombinators:[P]},optional:!0})&&n.walkRules((e=>{WC(e)&&iv(e.selector)&&tN(e,r).forEach((({selector:t,resolvedSelectors:n})=>{n.forEach((n=>{o(n,t,e),n.walk((n=>{"selector"===n.type&&o(n,t,e)}))}))}))}))};UN.ruleName=FN,UN.messages=DN,UN.meta={url:"https://stylelint.io/user-guide/rules/selector-max-universal"};const qN="selector-nested-pattern",WN=Z(qN,{expected:(e,t)=>'Expected "'.concat(e,'" to match pattern "').concat(t,'"')}),BN=(e,t)=>(n,r)=>{if(!re(r,qN,{actual:e,possible:[N,P]},{actual:t,possible:{splitList:[A]},optional:!0}))return;const o=P(e)?new RegExp(e):e,i=t&&t.splitList;n.walkRules((t=>{if(t.parent&&"rule"!==t.parent.type)return;if(!WC(t))return;const n=i?t.selectors:[t.selector];for(const i of n)o.test(i)||X({result:r,ruleName:qN,message:WN.expected,messageArgs:[i,e],node:t,word:i})}))};BN.ruleName=qN,BN.messages=WN,BN.meta={url:"https://stylelint.io/user-guide/rules/selector-nested-pattern"};const $N="selector-no-qualifying-type",QN=Z($N,{rejected:e=>'Unexpected qualifying type selector "'.concat(e,'"')}),VN=["#",".","["];const GN=(e,t)=>(n,r)=>{if(!re(r,$N,{actual:e,possible:[!0]},{actual:t,possible:{ignore:["attribute","class","id"]},optional:!0}))return;const o=H(t,"ignore","id"),i=H(t,"ignore","class"),s=H(t,"ignore","attribute");n.walkRules((e=>{var t;if(WC(e)&&(!wz(e)&&(t=e.selector,VN.some((e=>t.includes(e))))))for(const t of $A(e.selector,e)){if(!iv(t))continue;const a=YA(t,r,e);a&&a.walkTags((e=>{if(!jN(e))return;const t=e.parent;if(t&&1===t.nodes.length)return;const r=function(e){const t=[];let n=e;for(;(n=n.next())&&"combinator"!==n.type;)"id"!==n.type&&"class"!==n.type&&"attribute"!==n.type||t.push(n);return t}(e);for(const t of r)("id"===t.type&&!o||"class"===t.type&&!i||"attribute"===t.type&&!s)&&n([e,...r].join("").trimStart())}))}function n(t){X({ruleName:$N,result:r,node:e,message:QN.rejected,messageArgs:[t],word:t})}}))};GN.ruleName=$N,GN.messages=QN,GN.meta={url:"https://stylelint.io/user-guide/rules/selector-no-qualifying-type"};const YN=new Set(["-webkit-","-moz-","-ms-","-o-","-xv-","-apple-","-wap-","-khtml-"]),JN=new RegExp("(?:".concat([...YN].join("|"),")"),"i");function KN(e){return JN.test(e)}const HN="selector-no-vendor-prefix",XN=Z(HN,{rejected:e=>'Unexpected vendor-prefix "'.concat(e,'"')}),ZN=(e,t,n)=>(r,o)=>{re(o,HN,{actual:e},{actual:t,possible:{ignoreSelectors:[P,N]},optional:!0})&&r.walkRules((e=>{var r;if(!KN(e.selector))return;if(!WC(e))return;const i=e.selector;null===(r=YA(i,o,e))||void 0===r||r.walkPseudos((r=>{const{value:s}=r;ft.selector(s)&&(H(t,"ignoreSelectors",s)||(n.fix?e.selector=ft.unprefix(i):X({result:o,ruleName:HN,message:XN.rejected,messageArgs:[s],node:e,word:s})))}))}))};ZN.ruleName=HN,ZN.messages=XN,ZN.meta={url:"https://stylelint.io/user-guide/rules/selector-no-vendor-prefix",fixable:!0};const{isAttribute:eP,isClassName:tP,isIdentifier:nP,isPseudoClass:rP,isTag:oP,isUniversal:iP}=hC,sP="selector-not-notation",aP=Z(sP,{expected:e=>"Expected ".concat(e," :not() pseudo-class notation")}),lP=e=>rP(e)||eP(e)||tP(e)||iP(e)||nP(e)||oP(e),cP=e=>rP(e)&&void 0!==e.value&&":not"===e.value.toLowerCase(),uP=(e,t,n)=>(t,r)=>{re(r,sP,{actual:e,possible:["simple","complex"]})&&t.walkRules((t=>{if(!WC(t))return;const o=t.selector;if(!o.includes(":not("))return;if(!iv(o))return;const i=YA(o,r,t);i&&(i.walkPseudos((o=>{if(cP(o)){if("complex"===e){const e=o.prev();if(!(e&&cP(e)))return;if(n.fix)return function(e){const t=e=>{for(const t of e)I(t.nodes[0]),t.nodes[0].rawSpaceBefore=" ",t.nodes[0].rawSpaceAfter=""},[n,...r]=e.nodes;let o=e.next();if(null==n||0===n.nodes.length)return;I(n.nodes[0]),n.nodes[0].rawSpaceBefore="",n.nodes[0].rawSpaceAfter="",t(r);for(;cP(o);){const n=o.nodes,r=o;t(n),e.nodes=e.nodes.concat(n),o=o.next(),r.remove()}}(e)}else{const e=o.nodes;if((e=>{if(e.length>1)return!1;I(e[0],"list is never empty");const[t,n]=e[0].nodes;return!t||!n&&lP(t)&&!cP(t)})(e))return;if(n.fix&&e.length>1&&e[1]&&(0===e[1].nodes.length||e.every((({nodes:e})=>1===e.length))))return function(e){const t=e.nodes.filter((({nodes:e})=>e[0]&&lP(e[0]))).map((e=>(I(e.nodes[0]),e.nodes[0].rawSpaceBefore="",e.nodes[0].rawSpaceAfter="",e))),n=t.shift();I(n),I(e.parent),e.empty(),e.nodes.push(n);for(const n of t){const t=dP(e);e.parent.insertAfter(t,t.clone({nodes:[n]}))}}(o)}I(o.source&&o.source.end),X({message:aP.expected,messageArgs:[e],node:t,index:o.sourceIndex,endIndex:o.source.end.column,result:r,ruleName:sP})}})),n.fix&&(t.selector=i.toString()))}))},dP=({parent:e,sourceIndex:t})=>{I(e);const n=e.nodes,r=n.findIndex((e=>e.sourceIndex>=t&&!cP(e))),o=-1===r?n[n.length-1]:n[r-1];return I(o),o};uP.ruleName=sP,uP.messages=aP,uP.meta={url:"https://stylelint.io/user-guide/rules/selector-not-notation",fixable:!0};const pP="selector-pseudo-class-allowed-list",hP=Z(pP,{rejected:e=>'Unexpected pseudo-class "'.concat(e,'"')}),fP=e=>(t,n)=>{re(n,pP,{actual:e,possible:[P,N]})&&t.walkRules((t=>{var r;if(!WC(t))return;const o=t.selector;o.includes(":")&&(null===(r=YA(o,n,t))||void 0===r||r.walkPseudos((r=>{const o=r.value;if("::"===o.slice(0,2))return;const i=o.slice(1);G(i,e)||G(xe.unprefixed(i),e)||X({word:o,message:hP.rejected,messageArgs:[o],node:t,result:n,ruleName:pP})})))}))};fP.primaryOptionArray=!0,fP.ruleName=pP,fP.messages=hP,fP.meta={url:"https://stylelint.io/user-guide/rules/selector-pseudo-class-allowed-list"};const mP="selector-pseudo-class-disallowed-list",gP=Z(mP,{rejected:e=>'Unexpected pseudo-class "'.concat(e,'"')}),bP=e=>(t,n)=>{re(n,mP,{actual:e,possible:[P,N]})&&t.walkRules((t=>{var r;if(!WC(t))return;const o=t.selector;o.includes(":")&&(null===(r=YA(o,n,t))||void 0===r||r.walkPseudos((r=>{const o=r.value;if("::"===o.slice(0,2))return;const i=o.slice(1);G(xe.unprefixed(i),e)&&X({word:o,message:gP.rejected,messageArgs:[o],node:t,result:n,ruleName:mP})})))}))};bP.primaryOptionArray=!0,bP.ruleName=mP,bP.messages=gP,bP.meta={url:"https://stylelint.io/user-guide/rules/selector-pseudo-class-disallowed-list"};const wP="selector-pseudo-class-no-unknown",yP=Z(wP,{rejected:e=>'Unexpected unknown pseudo-class selector "'.concat(e,'"')}),vP=(e,t)=>(n,r)=>{re(r,wP,{actual:e},{actual:t,possible:{ignorePseudoClasses:[P,N]},optional:!0})&&n.walk((e=>{let n=null;if("rule"===e.type){if(!WC(e))return;n=e.selector}else if(_e(e)&&"page"===e.name&&e.params){if(!ke(e))return;n=e.params}n&&n.includes(":")&&function(e,n){var o;null===(o=YA(e,r,n))||void 0===o||o.walkPseudos((e=>{const o=e.value;if(!iv(o))return;if(function(e){return e.startsWith(":--")}(o))return;if(o.startsWith("::"))return;const i=o.replace(/^:*/,"").toLowerCase();if(HA.has(i))return;if(H(t,"ignorePseudoClasses",e.value.slice(1)))return;const s=xe.prefix(i);let a=null;if(_e(n)&&"page"===n.name){if(oz.has(i))return;a=Zo(n)+e.sourceIndex}else if(tz.has(i)&&!s)a=e.sourceIndex;else{if(s||uz.has(i))return;let t=e;do{if(t=t.prev(),t&&"::"===t.value.slice(0,2))break}while(t);if(t){const e=t.value.toLowerCase().slice(2);if(ZA.has(e)&&lz.has(i))return}a=e.sourceIndex}X({message:yP.rejected,messageArgs:[o],node:n,index:a,ruleName:wP,result:r,word:o})}))}(n,e)}))};vP.ruleName=wP,vP.messages=yP,vP.meta={url:"https://stylelint.io/user-guide/rules/selector-pseudo-class-no-unknown"};const kP="selector-pseudo-element-allowed-list",xP=Z(kP,{rejected:e=>'Unexpected pseudo-element "'.concat(e,'"')}),SP=e=>(t,n)=>{re(n,kP,{actual:e,possible:[P,N]})&&t.walkRules((t=>{var r;if(!WC(t))return;const o=t.selector;o.includes("::")&&(null===(r=YA(o,n,t))||void 0===r||r.walkPseudos((r=>{const o=r.value;if(":"!==o.charAt(1))return;const i=o.slice(2);G(i,e)||G(xe.unprefixed(i),e)||X({index:r.sourceIndex,message:xP.rejected,messageArgs:[o],node:t,word:o,result:n,ruleName:kP})})))}))};SP.primaryOptionArray=!0,SP.ruleName=kP,SP.messages=xP,SP.meta={url:"https://stylelint.io/user-guide/rules/selector-pseudo-element-allowed-list"};const CP="selector-pseudo-element-colon-notation",OP=Z(CP,{expected:e=>"Expected ".concat(e," colon pseudo-element notation")}),AP=(e,t,n)=>(t,r)=>{if(!re(r,CP,{actual:e,possible:["single","double"]}))return;let o="";"single"===e?o=":":"double"===e&&(o="::"),t.walkRules((t=>{if(!WC(t))return;const i=t.selector;if(!i.includes(":"))return;const s=YA(i,r,t);s&&(s.walkPseudos((i=>{const s=i.value.replaceAll(":","");if(!HA.has(s.toLowerCase()))return;const a=i.value.startsWith("::");("single"!==e||a)&&("double"===e&&a||(n.fix?i.replaceWith(i.clone({value:o+s})):X({message:OP.expected(e),node:t,index:i.sourceIndex,endIndex:i.sourceIndex+(a?2:1),result:r,ruleName:CP})))})),n.fix&&(t.selector=s.toString()))}))};AP.ruleName=CP,AP.messages=OP,AP.meta={url:"https://stylelint.io/user-guide/rules/selector-pseudo-element-colon-notation",fixable:!0};const zP="selector-pseudo-element-disallowed-list",EP=Z(zP,{rejected:e=>'Unexpected pseudo-element "'.concat(e,'"')}),NP=e=>(t,n)=>{re(n,zP,{actual:e,possible:[P,N]})&&t.walkRules((t=>{var r;if(!WC(t))return;const o=t.selector;o.includes("::")&&(null===(r=YA(o,n,t))||void 0===r||r.walkPseudos((r=>{const o=r.value;if(":"!==o.charAt(1))return;const i=o.slice(2);G(xe.unprefixed(i),e)&&X({index:r.sourceIndex,message:EP.rejected,messageArgs:[o],node:t,word:o,result:n,ruleName:zP})})))}))};NP.primaryOptionArray=!0,NP.ruleName=zP,NP.messages=EP,NP.meta={url:"https://stylelint.io/user-guide/rules/selector-pseudo-element-disallowed-list"};const PP="selector-pseudo-element-no-unknown",TP=Z(PP,{rejected:e=>'Unexpected unknown pseudo-element selector "'.concat(e,'"')}),IP=(e,t)=>(n,r)=>{re(r,PP,{actual:e},{actual:t,possible:{ignorePseudoElements:[P,N]},optional:!0})&&n.walkRules((e=>{var n;const o=e.selector;o.includes(":")&&WC(e)&&(null===(n=YA(o,r,e))||void 0===n||n.walkPseudos((n=>{const o=n.value;if(!iv(o))return;if("::"!==o.slice(0,2))return;if(H(t,"ignorePseudoElements",n.value.slice(2)))return;const i=o.slice(2);xe.prefix(i)||tz.has(i.toLowerCase())||X({message:TP.rejected,messageArgs:[o],node:e,index:n.sourceIndex,ruleName:PP,result:r,word:o})})))}))};IP.ruleName=PP,IP.messages=TP,IP.meta={url:"https://stylelint.io/user-guide/rules/selector-pseudo-element-no-unknown"};const jP="selector-type-case",LP=Z(jP,{expected:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),MP=/(?:[^.#[:a-z-]|^)[a-z]/i,_P=/[A-Z]/,RP=/[a-z]/,FP=(e,t,n)=>(r,o)=>{re(o,jP,{actual:e,possible:["lower","upper"]},{actual:t,possible:{ignoreTypes:[P,N]},optional:!0})&&r.walkRules((r=>{var i;let s=r.raws.selector&&r.raws.selector.raw;const a=s||r.selector;if(!MP.test(a))return;if("lower"===e&&!_P.test(a))return;if("upper"===e&&!RP.test(a))return;if(!WC(r))return;const{selectors:l}=r;l.some((e=>RE(e)))||null===(i=YA(a,o,r))||void 0===i||i.walkTags((i=>{if(!jN(i))return;if(KA.has(i.value))return;if(H(t,"ignoreTypes",i.value))return;const a=i.sourceIndex,l=i.value,c="lower"===e?l.toLowerCase():l.toUpperCase();if(l!==c)if(n.fix)if(s){if(s=s.slice(0,a)+c+s.slice(a+l.length),null==r.raws.selector)throw new Error("The `raw` property must be present");r.raws.selector.raw=s}else r.selector=r.selector.slice(0,a)+c+r.selector.slice(a+l.length);else X({message:LP.expected,messageArgs:[l,c],node:r,index:a,ruleName:jP,result:o})}))}))};FP.ruleName=jP,FP.messages=LP,FP.meta={url:"https://stylelint.io/user-guide/rules/selector-type-case",fixable:!0};const DP="selector-type-no-unknown",UP=Z(DP,{rejected:e=>'Unexpected unknown type selector "'.concat(e,'"')}),qP=/(?:[^.#[:a-z-]|^)[a-z]/i,WP=(e,t)=>(n,r)=>{re(r,DP,{actual:e},{actual:t,possible:{ignore:["custom-elements","default-namespace"],ignoreNamespaces:[P,N],ignoreTypes:[P,N]},optional:!0})&&n.walkRules((e=>{var n;const{selector:o}=e;if(!qP.test(o))return;if(!WC(e))return;const{selectors:i}=e;i.some((e=>RE(e)))||null===(n=YA(o,r,e))||void 0===n||n.walkTags((n=>{if(!jN(n))return;if(H(t,"ignore","custom-elements")&&IN(n.value))return;if(H(t,"ignore","default-namespace")&&"string"!=typeof n.namespace)return;if(H(t,"ignoreNamespaces",n.namespace))return;if(H(t,"ignoreTypes",n.value))return;const o=n.value,i=o.toLowerCase();JA.has(i)||PN.includes(o)||TN.includes(i)||X({message:UP.rejected,messageArgs:[o],node:e,index:n.sourceIndex,ruleName:DP,result:r,word:o})}))}))};WP.ruleName=DP,WP.messages=UP,WP.meta={url:"https://stylelint.io/user-guide/rules/selector-type-no-unknown"};const BP="shorthand-property-no-redundant-values",$P=Z(BP,{rejected:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),QP=new Set(["margin","padding","border-color","border-radius","border-style","border-width","grid-gap","inset"]);const VP=(e,t,n)=>(t,r)=>{re(r,BP,{actual:e})&&t.walkDecls((e=>{if(!ai(e))return;const{prop:t,value:o}=e;if(!mi(t))return;if(!V(o))return;const i=xe.unprefixed(t.toLowerCase());if(s=i,!QP.has(s))return;var s;const a=[];for(const e of S(o).nodes){if("div"===e.type)return;if(De(e)&&"var"===e.value.toLowerCase())return;(qe(e)||De(e))&&a.push(S.stringify(e))}if(a.length<=1||a.length>4)return;const[l,c,u,d]=a,p=function(e,t,n,r){const o=e.toLowerCase(),i=t.toLowerCase(),s=n&&n.toLowerCase(),a=r&&r.toLowerCase();return function(e,t,n,r){return e===t&&(e===n&&(n===r||!r)||!n&&!r)}(o,i,s,a)?[e]:function(e,t,n,r){return e===n&&t===r||e===n&&!r&&e!==t}(o,i,s,a)?[e,t]:function(e,t,n,r){return t===r}(0,i,0,a)?[e,t,n]:[e,t,n,r]}(null!=l?l:"",null!=c?c:"",null!=u?u:"",null!=d?d:""),h=p.filter(Boolean).join(" "),f=a.join(" ");h.toLowerCase()!==f.toLowerCase()&&(n.fix?e.value=e.value.replace(o,h):X({message:$P.rejected,messageArgs:[o,h],node:e,result:r,ruleName:BP}))}))};VP.ruleName=BP,VP.messages=$P,VP.meta={url:"https://stylelint.io/user-guide/rules/shorthand-property-no-redundant-values",fixable:!0};const GP="string-no-newline",YP=/\r?\n/,JP=Z(GP,{rejected:"Unexpected newline in string"}),KP=e=>(t,n)=>{function r(e,t,r){YP.test(t)&&S(t).walk((t=>{if("string"!==t.type)return;if(!YP.test(t.value))return;const o=r(e);X({message:JP.rejected,node:e,index:o+t.sourceIndex,endIndex:o+t.sourceEndIndex,result:n,ruleName:GP})}))}re(n,GP,{actual:e})&&t.walk((e=>{switch(e.type){case"atrule":r(e,e.params,Zo);break;case"decl":r(e,e.value,M);break;case"rule":!function(e){var t;if(!YP.test(e.selector))return;if(!iv(e.selector))return;null===(t=YA(e.selector,n,e))||void 0===t||t.walkAttributes((t=>{const{value:r,quoteMark:o}=t;if(!r||!YP.test(r))return;const i=[t.attribute,t.operator||""].reduce(((e,t)=>e+t.length),t.sourceIndex+1),s=r.length+2*(o||"").length;X({message:JP.rejected,node:e,index:i,endIndex:i+s,result:n,ruleName:GP})}))}(e)}}))};KP.ruleName=GP,KP.messages=JP,KP.meta={url:"https://stylelint.io/user-guide/rules/string-no-newline"};const HP="time-min-milliseconds",XP=Z(HP,{expected:e=>"Expected a minimum of ".concat(e," milliseconds")}),ZP=new Set(["animation-delay","transition-delay"]),eT=(e,t)=>(n,r)=>{if(!re(r,HP,{actual:e,possible:z},{actual:t,possible:{ignore:["delay"]},optional:!0}))return;const o=e,i=H(t,"ignore","delay");function s(e){const{unit:t,number:n}=e;if(null===t||null===n)return!0;const r=Number(n);if(r<=0)return!0;const i=t.toLowerCase();return!("ms"===i&&r<o)&&!("s"===i&&1e3*r<o)}function a(e,t,n){const i=M(e)+t,s=i+n;X({result:r,ruleName:HP,message:XP.expected,messageArgs:[o],index:i,endIndex:s,node:e})}n.walkDecls((e=>{const t=xe.unprefixed(e.prop.toLowerCase()),n=e.value,r=S(_(e));let o=0;r.walk((r=>{const{value:l,sourceIndex:c}=r,u=wm(r);!pn.has(t)||function(e){if(i&&ZP.has(e))return!0;return!1}(t)||s(u)||a(e,0,n.length),hn.has(t)&&(o=function(e,t,n){const{unit:r}=e;null!==r&&n++;","===t&&(n=0);return n}(u,l,o),s(u)||i&&1!==o||a(e,c,l.length))}))}))};eT.ruleName=HP,eT.messages=XP,eT.meta={url:"https://stylelint.io/user-guide/rules/time-min-milliseconds"};const tT="unit-allowed-list",nT=Z(tT,{rejected:e=>'Unexpected unit "'.concat(e,'"')}),rT=(e,t)=>(n,r)=>{if(!re(r,tT,{actual:e,possible:[P]},{optional:!0,actual:t,possible:{ignoreFunctions:[P,N],ignoreProperties:[wt(P,N)]}}))return;const o=[e].flat();function i(e,n,i){S(n=n.replaceAll("*",",")).walk((n=>{if("function"===n.type){const e=n.value.toLowerCase();if("url"===e)return!1;if(H(t,"ignoreFunctions",e))return!1}const{number:s,unit:a}=wm(n);if(!s||!a||o.includes(a.toLowerCase()))return;if("prop"in e&&t&&H(t.ignoreProperties,a.toLowerCase(),e.prop))return;const l=i(e);X({index:l+n.sourceIndex+s.length,endIndex:l+n.sourceEndIndex,message:nT.rejected,messageArgs:[a],node:e,result:r,ruleName:tT})}))}n.walkAtRules(/^media$/i,(e=>i(e,e.params,Zo))),n.walkDecls((e=>i(e,e.value,M)))};rT.primaryOptionArray=!0,rT.ruleName=tT,rT.messages=nT,rT.meta={url:"https://stylelint.io/user-guide/rules/unit-allowed-list"};const oT=/\d[%\w-]/;function iT(e){return oT.test(e)}const sT=/^unicode-range$/i,aT=/^font-face$/i;function lT(e){if(!sT.test(e.prop))return!1;const t=e.parent;return!(!t||!_e(t))&&aT.test(t.name)}const cT="unit-disallowed-list",uT=Z(cT,{rejected:e=>'Unexpected unit "'.concat(e,'"')}),dT=(e,t)=>(n,r)=>{if(!re(r,cT,{actual:e,possible:[P]},{optional:!0,actual:t,possible:{ignoreFunctions:[P,N],ignoreProperties:[wt(P,N)],ignoreMediaFeatureNames:[wt(P,N)]}}))return;const o=[e].flat();function i(e,t,n,i,s){if(!Oy(n))return;if(n.value[0]!==Rw.Dimension)return;const[,,,a,{unit:l}]=n.value,c=l.toLowerCase();if(!o.includes(c))return;if(s&&H(s,c,i))return;const u=t(e)+(a+1)-l.length;X({index:u,endIndex:u+l.length,message:uT.rejected,messageArgs:[l],node:e,result:r,ruleName:cT})}n.walkAtRules(/^media$/i,(e=>{const n=_y(e);iT(n)&&UO(pT(n)).forEach((n=>{const r={mediaFeatureName:void 0};n.walk((({node:n,state:r})=>{r&&(GO(n)&&(r.mediaFeatureName=n.getName().toLowerCase()),r.mediaFeatureName&&Oy(n)&&i(e,Zo,n,r.mediaFeatureName,null==t?void 0:t.ignoreMediaFeatureNames))}),r)}))})),n.walkDecls((e=>{if(lT(e))return;const n=_(e);if(!iT(n))return;vy(wy(pT(n)),(({node:n,state:r})=>{r&&(r.ignored||(Oy(n)?i(e,M,n,e.prop,null==t?void 0:t.ignoreProperties):function(e){if(!xy(e))return!1;const n=e.getName().toLowerCase();return"url"===n||H(t,"ignoreFunctions",n)}(n)&&(r.ignored=!0)))}),{ignored:!1})}))};function pT(e){return Vw({css:e}).map((e=>e[0]!==Rw.Percentage?e:[Rw.Dimension,e[1],e[2],e[3],{value:e[4].value,unit:"%",type:Fw.Number}]))}dT.primaryOptionArray=!0,dT.ruleName=cT,dT.messages=uT,dT.meta={url:"https://stylelint.io/user-guide/rules/unit-disallowed-list"};const hT=new Set(Fm);hT.delete("x");const fT="unit-no-unknown",mT=Z(fT,{rejected:e=>'Unexpected unknown unit "'.concat(e,'"')}),gT=/^(?:min-|max-)?resolution$/i,bT=(e,t)=>(n,r)=>{if(!re(r,fT,{actual:e},{actual:t,possible:{ignoreUnits:[P,N],ignoreFunctions:[P,N]},optional:!0}))return;const o=e=>{if(!iT(e))return;const t=Vw({css:e});return t.some((e=>e[0]===Rw.Dimension&&!hT.has(e[4].unit.toLowerCase())))?t:void 0},i=(e,n,o,i)=>{if(xy(o)){const e=o.getName(),n=e.toLowerCase();return"url"===n||H(t,"ignoreFunctions",e)?void(i.ignored=!0):"image-set"===xe.unprefixed(n)?void(i.allowX=!0):void 0}const[s,,,a,l]=o.value;if(s!==Rw.Dimension)return;if(H(t,"ignoreUnits",l.unit))return;const c=l.unit.toLowerCase();if("x"===c&&i.allowX)return;if(hT.has(c)&&"x"!==c)return;const u=n(e)+(a+1)-c.length;X({message:mT.rejected,messageArgs:[l.unit],node:e,index:u,endIndex:u+c.length,result:r,ruleName:fT})};n.walkAtRules(/^media$/i,(e=>{if(!ke(e))return;const t=_y(e),n=o(t);n&&UO(n).forEach((t=>{t.walk((({node:t,state:n})=>{if(n&&!n.ignored)if(GO(t)){const e=t.getName();gT.test(e)&&(n.allowX=!0)}else(xy(t)||Oy(t))&&i(e,Zo,t,n)}),{ignored:!1,allowX:!1})}))})),n.walkDecls((e=>{if(!ai(e))return;if(lT(e))return;const t=_(e);if(!V(t))return;const n=o(t);if(!n)return;const r={ignored:!1,allowX:"image-resolution"===e.prop.toLowerCase()};vy(wy(n),(({node:t,state:n})=>{n&&(n.ignored||(xy(t)||Oy(t))&&i(e,M,t,n))}),r)}))};bT.ruleName=fT,bT.messages=mT,bT.meta={url:"https://stylelint.io/user-guide/rules/unit-no-unknown"};const wT="value-keyword-case",yT=Z(wT,{expected:(e,t)=>'Expected "'.concat(e,'" to be "').concat(t,'"')}),vT=new Set(["+","-","/","*","%"]),kT=new Set(["grid-row","grid-row-start","grid-row-end"]),xT=new Set(["grid-column","grid-column-start","grid-column-end"]),ST=new Map;for(const e of go)ST.set(e.toLowerCase(),e);const CT=(e,t,n)=>(r,o)=>{re(o,wT,{actual:e,possible:["lower","upper"]},{actual:t,possible:{ignoreProperties:[P,N],ignoreKeywords:[P,N],ignoreFunctions:[P,N],camelCaseSvgKeywords:[A]},optional:!0})&&r.walkDecls((r=>{const i=r.prop,s=r.prop.toLowerCase(),a=r.value;if(!V(a))return;const l=S(_(r));let c=!1;l.walk((l=>{const u=l.value,d=u.toLowerCase();if(wo.has(d))return;if("function"===l.type&&("url"===d||"var"===d||"counter"===d||"counters"===d||"attr"===d))return!1;if("function"===l.type&&H(t,"ignoreFunctions",u))return!1;const{unit:p}=wm(l);if("word"!==l.type||!V(u)||a.includes("#")||vT.has(u)||p)return;if("animation"===s&&!io.has(d)&&!Zr.has(d))return;if("animation-name"===s&&!Zr.has(d))return;if("font"===s&&!Xr.has(d)&&!qr.has(d))return;if("font-family"===s&&!qr.has(d))return;if("counter-increment"===s&&function(e){const t=e.toLowerCase();return!co.has(t)&&!Number.isFinite(Number.parseInt(t,10))}(d))return;if("counter-reset"===s&&function(e){const t=e.toLowerCase();return!uo.has(t)&&!Number.isFinite(Number.parseInt(t,10))}(d))return;if(kT.has(s)&&!so.has(d))return;if(xT.has(s)&&!ao.has(d))return;if("grid-area"===s&&!lo.has(d))return;if("list-style"===s&&!mo.has(d)&&!po.has(d))return;if("list-style-type"===s&&!po.has(d))return;if(H(t,"ignoreKeywords",u))return;if(H(t,"ignoreProperties",i))return;const h=u.toLocaleLowerCase();let f=null;const m=t&&t.camelCaseSvgKeywords||!1;return f="lower"===e&&ST.has(h)&&m?ST.get(h):"lower"===e?u.toLowerCase():u.toUpperCase(),u!==f?n.fix?(c=!0,void(l.value=f)):void X({message:yT.expected,messageArgs:[u,f],node:r,index:M(r)+l.sourceIndex,result:o,ruleName:wT}):void 0})),n.fix&&c&&(r.value=l.toString())}))};CT.ruleName=wT,CT.messages=yT,CT.meta={url:"https://stylelint.io/user-guide/rules/value-keyword-case",fixable:!0};const OT="value-no-vendor-prefix",AT=Z(OT,{rejected:e=>'Unexpected vendor-prefix "'.concat(e,'"')}),zT=(e,t,n)=>(r,o)=>{var i;if(!re(o,OT,{actual:e},{optional:!0,actual:t,possible:{ignoreValues:[P,N]}}))return;const s={raw:[],unprefixed:[]};null==t||null===(i=t.ignoreValues)||void 0===i||i.forEach((e=>{const t=N(e)||e.startsWith("/")&&e.match(/\/i?$/);s[t?"raw":"unprefixed"].push(e)})),r.walkDecls((e=>{const{value:t}=e;if(!KN(t))return;if(!ai(e)||!mi(e.prop))return;if(H(s,"raw",t))return;if(H(s,"unprefixed",xe.unprefixed(t)))return;const r=S(t);r.walk((t=>{if(!ft.propertyValue(t.value))return;if(n.fix)return void(t.value=ft.unprefix(t.value));const r=e.prop.length+(e.raws.between||"").length+t.sourceIndex;X({message:AT.rejected,messageArgs:[t.value],node:e,index:r,endIndex:r+t.value.length,result:o,ruleName:OT})})),ee(e,r.toString())}))};zT.ruleName=OT,zT.messages=AT,zT.meta={url:"https://stylelint.io/user-guide/rules/value-no-vendor-prefix",fixable:!0};const ET={"alpha-value-notation":he,"annotation-no-unknown":ve,"at-rule-allowed-list":Oe,"at-rule-disallowed-list":Ee,"at-rule-empty-line-before":nt,"at-rule-no-unknown":ct,"at-rule-no-vendor-prefix":bt,"at-rule-property-required-list":kt,"block-no-empty":jt,"color-function-notation":qt,"color-hex-alpha":Xt,"color-hex-length":sn,"color-named":Oo,"color-no-hex":Po,"color-no-invalid-hex":Lo,"comment-empty-line-before":Fo,"comment-no-empty":qo,"comment-pattern":$o,"comment-whitespace-inside":Yo,"comment-word-disallowed-list":Xo,"custom-media-pattern":ni,"custom-property-empty-line-before":ui,"custom-property-no-missing-var-function":fi,"custom-property-pattern":yi,"declaration-block-no-duplicate-custom-properties":Si,"declaration-block-no-duplicate-properties":Vf,"declaration-block-no-redundant-longhand-properties":Xf,"declaration-block-no-shorthand-property-overrides":tm,"declaration-block-single-line-max-declarations":om,"declaration-empty-line-before":lm,"declaration-no-important":pm,"declaration-property-max-values":bm,"declaration-property-unit-allowed-list":km,"declaration-property-unit-disallowed-list":Cm,"declaration-property-value-allowed-list":zm,"declaration-property-value-disallowed-list":Pm,"declaration-property-value-no-unknown":Lm,"font-family-name-quotes":Vm,"font-family-no-duplicate-names":Jm,"font-family-no-missing-generic-family-keyword":Eb,"font-weight-notation":jb,"function-allowed-list":Fb,"function-calc-no-unspaced-operator":Gb,"function-disallowed-list":Xb,"function-linear-gradient-no-nonstandard-direction":fw,"function-name-case":ww,"function-no-unknown":Ny,"function-url-no-scheme-relative":My,"function-url-quotes":Uy,"function-url-scheme-allowed-list":$y,"function-url-scheme-disallowed-list":Gy,"hue-degree-notation":ev,"import-notation":ov,"keyframe-block-no-duplicate-selectors":lv,"keyframe-declaration-no-important":dv,"keyframe-selector-notation":AC,"keyframes-name-pattern":PC,"length-zero-no-unit":jC,"lightness-notation":UC,"max-nesting-depth":QC,"media-feature-name-allowed-list":tA,"media-feature-name-disallowed-list":oA,"media-feature-name-no-unknown":fA,"media-feature-name-no-vendor-prefix":bA,"media-feature-name-unit-allowed-list":kA,"media-feature-name-value-allowed-list":CA,"media-feature-name-value-no-unknown":EA,"media-feature-range-notation":TA,"media-query-no-invalid":_A,"named-grid-areas-no-invalid":UA,"no-descending-specificity":hz,"no-duplicate-at-import-rules":gz,"no-duplicate-selectors":kz,"no-empty-source":Oz,"no-invalid-double-slash-comments":Ez,"no-invalid-position-at-import-rule":Tz,"no-irregular-whitespace":Mz,"no-unknown-animations":Fz,"no-unknown-custom-media":Wz,"no-unknown-custom-properties":Qz,"number-max-precision":Yz,"property-allowed-list":Hz,"property-disallowed-list":eE,"property-no-unknown":oE,"property-no-vendor-prefix":aE,"rule-empty-line-before":uE,"rule-selector-property-disallowed-list":fE,"selector-anb-no-unmatchable":yE,"selector-attribute-name-disallowed-list":xE,"selector-attribute-operator-allowed-list":OE,"selector-attribute-operator-disallowed-list":EE,"selector-attribute-quotes":_E,"selector-class-pattern":UE,"selector-combinator-allowed-list":QE,"selector-combinator-disallowed-list":YE,"selector-disallowed-list":HE,"selector-id-pattern":eN,"selector-max-attribute":sN,"selector-max-class":cN,"selector-max-combinators":pN,"selector-max-compound-selectors":yN,"selector-max-id":xN,"selector-max-pseudo-class":ON,"selector-max-specificity":NN,"selector-max-type":_N,"selector-max-universal":UN,"selector-nested-pattern":BN,"selector-no-qualifying-type":GN,"selector-no-vendor-prefix":ZN,"selector-not-notation":uP,"selector-pseudo-class-allowed-list":fP,"selector-pseudo-class-disallowed-list":bP,"selector-pseudo-class-no-unknown":vP,"selector-pseudo-element-allowed-list":SP,"selector-pseudo-element-colon-notation":AP,"selector-pseudo-element-disallowed-list":NP,"selector-pseudo-element-no-unknown":IP,"selector-type-case":FP,"selector-type-no-unknown":WP,"shorthand-property-no-redundant-values":VP,"string-no-newline":KP,"time-min-milliseconds":eT,"unit-allowed-list":rT,"unit-disallowed-list":dT,"unit-no-unknown":bT,"value-keyword-case":CT,"value-no-vendor-prefix":zT};function NT(e,t){var n;return function(e){return e in ET}(e)?ET[e]:Promise.resolve(null==t||null===(n=t.pluginFunctions)||void 0===n?void 0:n[e])}function PT(e,t){if(null==e)return null;if(!Array.isArray(e))return[e];const[n,r]=e;return e.length>0&&null==n?null:t&&!t.primaryOptionArray||1===e.length&&Array.isArray(n)||2===e.length&&!T(n)&&T(r)?e:[e]}function TT(e,t,n=sg.cwd()){let r=sg();if(r||(r=sg()),r||(r=sg()),!r)throw function(e){const t=new Error(e);return t.code=78,t}('Could not find "'.concat(t,'". Do you need to install the package or use the "configBasedir" option?'));return r}async function IT(e){if(!e.rules)return e;const t={};for(const[n,r]of Object.entries(e.rules)){const o=await NT(n,e);t[n]=o?PT(r,o):[]}return e.rules=t,e}function jT(e={}){const t=e.cwd||sg.cwd();return{_options:mn(mn({},e),{},{cwd:t}),_extendExplorer:void 0,_specifiedConfigCache:new Map,_postcssResultCache:new Map,_fileCache:new sg(e.cacheLocation,e.cacheStrategy)}}"test"===sg.env.NODE_ENV&&sg.cwd();const LT={json:function(e){const t=e.map((e=>Object.entries(e).filter((([e])=>!e.startsWith("_"))).reduce(((e,[t,n])=>(e[t]=n,e)),{})));return JSON.stringify(t)}};function MT({rule:e,message:t,severity:n,commentNode:r,postcssResult:o}){const{source:i}=r;if(null!=i&&i.start)switch(o.warn(t,{rule:e,severity:n,node:r,start:i.start,end:i.end}),n){case"error":o.stylelint.stylelintError=!0;break;case"warning":o.stylelint.stylelintWarning=!0}}function _T(e,t){const n=e.stylelint;if(!n.config)return[];const r=n.config[t];let o,i;Array.isArray(r)?(o=r[0],i=r[1]||{}):(o=r||!1,i={});return re(e,t,{actual:o,possible:[!0,!1]},{actual:i,possible:{except:[P,N]}})&&(o||i.except)?[o,{except:i.except||[],severity:i.severity||n.config.defaultSeverity||"error"}]:[]}var RT=async e=>({config:await IT(e._options.config)});const FT=yb();async function DT(e,{customSyntax:t,filePath:n,code:r}={}){const o=n?e._postcssResultCache.get(n):void 0;if(o)return o;const i=await(t?async function(e,t){if("string"==typeof e){const o=t?TT(0,e):e;let i;try{var n;i=await(r=o,import(sg()?ag(r).toString():r)),i=null!==(n=i.default)&&void 0!==n?n:i}catch(t){if(t&&"object"==typeof t&&"code"in t&&("MODULE_NOT_FOUND"===t.code||"ERR_MODULE_NOT_FOUND"===t.code)&&"message"in t&&"string"==typeof t.message&&t.message.includes(e))throw new Error('Cannot resolve custom syntax module "'.concat(e,'". Check that module "').concat(e,'" is available and spelled correctly.\n\nCaused by: ').concat(t));throw t}return i.parse||(i={parse:i,stringify:yb.stringify}),i}var r;if("object"==typeof e){if("function"==typeof e.parse)return mn({},e);throw new TypeError('An object provided to the "customSyntax" option must have a "parse" property. Ensure the "parse" property exists and its value is a function.')}throw new Error("Custom syntax must be a string or a Syntax object")}(t,e._options.configBasedir):async function(e){const t=await(e?Promise.resolve().then((function(){return MI})).then((e=>e.default)):yb.parse);return{parse:t,stringify:yb.stringify}}(e._options.fix)),s={from:n,syntax:i};let a;if(void 0!==r&&(a=r),void 0===a)throw new Error("code or filePath required");return await new hb(FT,a,s)}function UT(e){return"code"in e&&"ENOENT"===e.code}const qT="all";function WT(e,t,n,r,o,i){return{comment:e,start:t,end:o||void 0,strictStart:n,strictEnd:"boolean"==typeof i?i:void 0,description:r}}function BT(e,t){var n;t.stylelint=t.stylelint||{disabledRanges:{},ruleSeverities:{},customMessages:{},ruleMetadata:{}};const r={[qT]:[]};let o;t.stylelint.disabledRanges=r;const i=null===(n=t.stylelint.config)||void 0===n?void 0:n.configurationComment;return e.walkComments((e=>{if(o)return void(o===e&&(o=null));const t=e.next();if(Mo(e)||!Pt(e,i)||!t||"comment"!==t.type||!e.text.includes("--")&&!t.text.startsWith("--"))return void a(e);let n=e.source&&e.source.end&&e.source.end.line||0;const r=e.clone();let s=t;for(;!Mo(s)&&!Pt(s,i);){const e=s.source&&s.source.end&&s.source.end.line||0;if(n+1!==e)break;r.text+="\n".concat(s.text),r.source&&s.source&&(r.source.end=s.source.end),o=s;const t=s.next();if(!t||"comment"!==t.type)break;s=t,n=e}a(r)})),t;function s(e,t,n,o){if(p(qT))throw e.error("All rules have already been disabled",{plugin:"stylelint"});if(n===qT)for(const n of Object.keys(r)){if(p(n))continue;const r=n===qT;u(e,t,n,r,o),d(t,n,r)}else{if(p(n))throw e.error('"'.concat(n,'" has already been disabled'),{plugin:"stylelint"});u(e,t,n,!0,o),d(t,n,!0)}}function a(e){if(Pt(e,i))switch(Nt(e,i)){case Ct:!function(e){if(e.source&&e.source.start){const t=e.source.start.line,n=c(e.text);for(const r of l(Ct,e.text))s(e,t,r,n)}}(e);break;case Ot:!function(e){if(e.source&&e.source.end){const t=e.source.end.line,n=c(e.text);for(const r of l(Ot,e.text))s(e,t+1,r,n)}}(e);break;case St:!function(e){const t=c(e.text);for(const n of l(St,e.text)){const o=n===qT;if(p(n))throw e.error(o?"All rules have already been disabled":'"'.concat(n,'" has already been disabled'),{plugin:"stylelint"});if(e.source&&e.source.start){const i=e.source.start.line;if(o)for(const n of Object.keys(r))u(e,i,n,n===qT,t);else u(e,i,n,!0,t)}}}(e);break;case At:!function(e){for(const t of l(At,e.text)){const n=e.source&&e.source.end&&e.source.end.line;if(j(n),t!==qT)if(p(qT)&&void 0===r[t])r[t]=r.all.map((({start:t,end:n,description:r})=>WT(e,t,!1,r,n,!1))),d(n,t,!0);else{if(!p(t))throw e.error('"'.concat(t,'" has not been disabled'),{plugin:"stylelint"});d(n,t,!0)}else{if(Object.values(r).every((e=>{if(0===e.length)return!0;const t=e[e.length-1];return t&&"number"==typeof t.end})))throw e.error("No rules have been disabled",{plugin:"stylelint"});for(const[e,t]of Object.entries(r)){const r=t[t.length-1];r&&r.end||d(n,e,e===qT)}}}}(e)}}function l(e,t){const n=function(e,t="stylelint"){return"".concat(t).concat(e)}(e,i),r=t.slice(n.length).split(/\s-{2,}\s/u)[0];L(r);const o=r.trim().split(",").filter(Boolean).map((e=>e.trim()));return 0===o.length?[qT]:o}function c(e){const t=e.indexOf("--");if(-1!==t)return e.slice(t+2).trim()}function u(e,t,n,o,i){const s=WT(e,t,o,i);!function(e){r[e]||(r[e]=r.all.map((({comment:e,start:t,end:n,description:r})=>WT(e,t,!1,r,n,!1))))}(n);const a=r[n];I(a),a.push(s)}function d(e,t,n){const o=r[t],i=o?o[o.length-1]:null;i&&(i.end=e,i.strictEnd=n)}function p(e){const t=r[e];if(!t)return!1;const n=t[t.length-1];return!!n&&!n.end}}const $T=new Uint32Array(65536),QT=(e,t)=>{if(e.length<t.length){const n=t;t=e,e=n}return 0===t.length?e.length:e.length<=32?((e,t)=>{const n=e.length,r=t.length,o=1<<n-1;let i=-1,s=0,a=n,l=n;for(;l--;)$T[e.charCodeAt(l)]|=1<<l;for(l=0;l<r;l++){let e=$T[t.charCodeAt(l)];const n=e|s;e|=(e&i)+i^i,s|=~(e|i),i&=e,s&o&&a++,i&o&&a--,s=s<<1|1,i=i<<1|~(n|s),s&=n}for(l=n;l--;)$T[e.charCodeAt(l)]=0;return a})(e,t):((e,t)=>{const n=t.length,r=e.length,o=[],i=[],s=Math.ceil(n/32),a=Math.ceil(r/32);for(let e=0;e<s;e++)i[e]=-1,o[e]=0;let l=0;for(;l<a-1;l++){let s=0,a=-1;const c=32*l,u=Math.min(32,r)+c;for(let t=c;t<u;t++)$T[e.charCodeAt(t)]|=1<<t;for(let e=0;e<n;e++){const n=$T[t.charCodeAt(e)],r=i[e/32|0]>>>e&1,l=o[e/32|0]>>>e&1,c=n|s,u=((n|l)&a)+a^a|n|l;let d=s|~(u|a),p=a&u;d>>>31^r&&(i[e/32|0]^=1<<e),p>>>31^l&&(o[e/32|0]^=1<<e),d=d<<1|r,p=p<<1|l,a=p|~(c|d),s=d&c}for(let t=c;t<u;t++)$T[e.charCodeAt(t)]=0}let c=0,u=-1;const d=32*l,p=Math.min(32,r-d)+d;for(let t=d;t<p;t++)$T[e.charCodeAt(t)]|=1<<t;let h=r;for(let e=0;e<n;e++){const n=$T[t.charCodeAt(e)],s=i[e/32|0]>>>e&1,a=o[e/32|0]>>>e&1,l=n|c,d=((n|a)&u)+u^u|n|a;let p=c|~(d|u),f=u&d;h+=p>>>r-1&1,h-=f>>>r-1&1,p>>>31^s&&(i[e/32|0]^=1<<e),f>>>31^a&&(o[e/32|0]^=1<<e),p=p<<1|s,f=f<<1|a,u=f|~(l|p),c=p&l}for(let t=d;t<p;t++)$T[e.charCodeAt(t)]=0;return h})(e,t)};const VT=new Map;function GT(e,t,n){const r=VT.has(e)?VT.get(e):function(e){const t=Array.from({length:6});for(let e=0;e<t.length;e++)t[e]=[];for(const n of Object.keys(ET)){const r=QT(n,e);r<=6&&t[r-1].push(n)}let n=[];for(const[e,r]of t.entries())if(r.length>0){if(e<3)return r.slice(0,3);n=n.concat(r)}return n.slice(0,3)}(e);VT.set(e,r),n.warn(function(e,t=[]){return"Unknown rule ".concat(e,".").concat(t.length>0?" Did you mean ".concat(t.join(", "),"?"):"")}(e,r),{severity:"error",rule:e,node:t,index:0})}function YT(e,t){e.warn('The "'.concat(t,'" rule is deprecated.'),{stylelintType:"deprecation"})}function JT(e,t,n){if(e.has(t))return e.get(t);const r=n();return e.set(t,r),r}function KT(e,t){const n=e.line;return t.start<=n&&(void 0!==t.end&&t.end>=n||void 0===t.end)}function HT(e){return!(!e||!e[1])&&Boolean(e[1].reportDisables)}async function XT(e,t={}){if(!t.filePath&&void 0===t.code&&!t.existingPostcssResult)return Promise.reject(new Error("You must provide filePath, code, or existingPostcssResult"));const n=void 0!==t.code,r=n?t.codeFilename:t.filePath;if(void 0!==r&&!sg())return n?Promise.reject(new Error("codeFilename must be an absolute path")):Promise.reject(new Error("filePath must be an absolute path"));if(await(async()=>!1)().catch((e=>{if(n&&UT(e))return!1;throw e})))return t.existingPostcssResult?Object.assign(t.existingPostcssResult,{stylelint:{ruleSeverities:{},customMessages:{},ruleMetadata:{},disabledRanges:{},ignored:!0,stylelintError:!1,stylelintWarning:!1}}):ZT(r);e._options.configFile;let o;e._options.cwd;try{o=await RT(e)}catch(t){if(!n||!UT(t))throw t;o=await RT(e)}if(!o)return Promise.reject(new Error("Config file not found"));const i=o.config,s=t.existingPostcssResult;if(t.cache&&(e._fileCache.calcHashOfConfig(i),t.filePath&&!e._fileCache.hasFileChanged(t.filePath)))return s?Object.assign(s,{stylelint:{ruleSeverities:{},customMessages:{},ruleMetadata:{},disabledRanges:{},ignored:!0,stylelintError:!1,stylelintWarning:!1}}):ZT(r);const a=s||await DT(e,{code:t.code,codeFilename:t.codeFilename,filePath:r,customSyntax:i.customSyntax}),l=Object.assign(a,{stylelint:{ruleSeverities:{},customMessages:{},ruleMetadata:{},disabledRanges:{}}});return await async function(e,t,n){let r;t.stylelint.ruleSeverities={},t.stylelint.customMessages={},t.stylelint.ruleMetadata={},t.stylelint.stylelintError=!1,t.stylelint.stylelintWarning=!1,t.stylelint.quiet=n.quiet,t.stylelint.config=n;const o=t.root;if(o){if(!("type"in o))throw new Error("Unexpected Postcss root object!");const e=o.source&&o.source.input.css.match(/\r?\n/);r=e?e[0]:"\n",BT(o,t)}const i=function({stylelint:e}){return!e.disabledRanges.all||!e.disabledRanges.all.length}(t);i||(t.stylelint.disableWritingFix=!0);const s=o&&"Document"===o.constructor.name?o.nodes:[o],a=[],l=Object.keys(ET),c=n.rules?Object.keys(n.rules).sort(((e,t)=>l.indexOf(e)-l.indexOf(t))):[];for(const o of c){const l=await NT(o,n);if(void 0===l){a.push(Promise.all(s.map((e=>GT(o,e,t)))));continue}const c=n.rules&&n.rules[o];if(null===c||null===c[0])continue;l.meta&&l.meta.deprecated&&!e.quietDeprecationWarnings&&YT(t,o);const u=c[0],d=c[1],p=n.defaultSeverity||"error",h=d&&!0===d.disableFix||!1;t.stylelint.ruleSeverities[o]=d&&d.severity||p,t.stylelint.customMessages[o]=d&&d.message,t.stylelint.ruleMetadata[o]=l.meta||{},a.push(Promise.all(s.map((e=>l(u,d,{configurationComment:n.configurationComment||Et,fix:!h&&n.fix&&i&&!t.stylelint.disabledRanges[o],newline:r})(e,t)))))}return Promise.all(a)}(e._options,l,i),function(e){var t;const n=e.stylelint.disabledRanges,r=null===(t=e.stylelint.config)||void 0===t?void 0:t.rules;if(r&&Object.values(r).some((e=>HT(e))))for(const[t,o]of Object.entries(n))for(const n of o)r[t]&&HT(r[t])&&MT({rule:"reportDisables",message:'Rule "'.concat(t,'" may not be disabled'),severity:"error",commentNode:n.comment,postcssResult:e})}(l),function(e){const[t,n]=_T(e,"reportNeedlessDisables");if(!n)return;const r=e.stylelint.disabledRanges,o=e.stylelint.disabledWarnings||[],i=new Map;for(const e of o){const t=e.rule,n=r[t];if(n)for(const r of n)KT(e,r)&&JT(i,r.comment,(()=>new Set)).add(t);for(const n of r.all||[])KT(e,n)&&JT(i,n.comment,(()=>new Set)).add(t)}const s=new Set((r.all||[]).map((e=>e.comment)));for(const[o,a]of Object.entries(r))for(const r of a){const a=r.comment;if("all"!==o&&s.has(a))continue;if(t===H(n,"except",o))continue;const l=i.get(a)||new Set;("all"===o?0!==l.size:l.has(o))||MT({rule:"--report-needless-disables",message:'Needless disable for "'.concat(o,'"'),severity:n.severity,commentNode:a,postcssResult:e})}}(l),function(e){var t;const[n,r]=_T(e,"reportInvalidScopeDisables");if(!r)return;const o=null===(t=e.stylelint.config)||void 0===t?void 0:t.rules;if(!o)return;const i=new Set(Object.keys(o));i.add("all");for(const[t,o]of Object.entries(e.stylelint.disabledRanges))if(!i.has(t)&&n!==H(r,"except",t))for(const n of o)(n.strictStart||n.strictEnd)&&MT({rule:"--report-invalid-scope-disables",message:'Rule "'.concat(t,"\" isn't enabled"),severity:r.severity,commentNode:n.comment,postcssResult:e})}(l),function(e){const[t,n]=_T(e,"reportDescriptionlessDisables");if(!n)return;const r=new Set;for(const[o,i]of Object.entries(e.stylelint.disabledRanges))for(const s of i){if(s.description)continue;const i=s.comment;r.has(i)||(t!==H(n,"except",o)?(r.add(i),MT({rule:"--report-descriptionless-disables",message:'Disable for "'.concat(o,'" is missing a description'),severity:n.severity,commentNode:i,postcssResult:e})):t||"all"!==o||r.add(i))}}(l),l}function ZT(e){return{root:{source:{input:{file:e}}},messages:[],opts:void 0,stylelint:{ruleSeverities:{},customMessages:{},ruleMetadata:{},disabledRanges:{},ignored:!0,stylelintError:!1,stylelintWarning:!1},warn:()=>{}}}function eI(e={}){const[t,n]=function(e){return"rules"in e}(e)?[sg.cwd(),{config:e}]:["cwd"in e&&P(e.cwd)&&e.cwd||sg.cwd(),e],r=jT(n);return{postcssPlugin:"stylelint",async Once(e,{result:t}){let n=e.source&&e.source.input.file;n&&!sg()&&(n=sg()),await XT(r,{filePath:n,existingPostcssResult:t})}}}function tI(e,t){let n,r;if(e&&e.root){e.root.source&&(r=e.root.source.input.file,!r&&"id"in e.root.source.input&&(r=e.root.source.input.id));const t=e.messages.filter((e=>"deprecation"===e.stylelintType)).map((e=>({text:e.text,reference:e.stylelintReference}))),o=e.messages.filter((e=>"invalidOption"===e.stylelintType)).map((e=>({text:e.text}))),i=e.messages.filter((e=>"parseError"===e.stylelintType));e.messages=e.messages.filter((e=>"deprecation"!==e.stylelintType&&"invalidOption"!==e.stylelintType&&"parseError"!==e.stylelintType)),n={source:r,deprecations:t,invalidOptionWarnings:o,parseErrors:i,errored:e.stylelint.stylelintError,warnings:e.messages.map((e=>({line:e.line,column:e.column,endLine:e.endLine,endColumn:e.endColumn,rule:e.rule,severity:e.severity,text:e.text}))),ignored:e.stylelint.ignored,_postcssResult:e}}else{if(!t)throw new Error("createPartialStylelintResult must be called with either postcssResult or CssSyntaxError");if("CssSyntaxError"!==t.name)throw t;n={source:t.file||"<input css 1>",deprecations:[],invalidOptionWarnings:[],parseErrors:[],errored:!0,warnings:[{line:t.line,column:t.column,endLine:t.endLine,endColumn:t.endColumn,rule:t.name,severity:"error",text:"".concat(t.reason," (").concat(t.name,")")}]}}return n}function nI(e){const[t]=e;return void 0===t||void 0===t._postcssResult?{}:t._postcssResult.stylelint.ruleMetadata}eI.postcss=!0,sg.default;const rI=Object.assign(eI,{lint:async function({allowEmptyInput:e,cache:t,cacheLocation:n,cacheStrategy:r,code:o,codeFilename:i,config:s,configBasedir:a,configFile:l,customSyntax:c,cwd:u=sg.cwd(),disableDefaultIgnores:d,files:p,fix:h,formatter:f,globbyOptions:m,ignoreDisables:g,ignorePath:b,ignorePattern:w,maxWarnings:y,quiet:v,quietDeprecationWarnings:k=!1,reportDescriptionlessDisables:x,reportInvalidScopeDisables:S,reportNeedlessDisables:C}){if(!(p&&!P(o)||!p&&P(o)))return Promise.reject(new Error("You must pass stylelint a `files` glob or a `code` string, though not both"));let O,A;try{O=sg()}catch(e){return Promise.reject(e)}try{A=await function(e){if("string"==typeof e){const t=LT[e];if(void 0===t){const e=function(e,t=""){return Object.keys(LT).map((e=>"".concat(t).concat(e).concat(t))).join(e)}(", ",'"');throw new Error("You must use a valid formatter option: ".concat(e," or a function"))}return t}if("function"==typeof e)return Promise.resolve(e);return LT.json}(f)}catch(e){return Promise.reject(e)}const z=jT({cacheLocation:n,cacheStrategy:r,config:s,configFile:l,configBasedir:a,cwd:u,ignoreDisables:g,ignorePath:b,reportNeedlessDisables:C,reportInvalidScopeDisables:S,reportDescriptionlessDisables:x,customSyntax:c,fix:h,quiet:v,quietDeprecationWarnings:k});if(!p){var E;L(o);const e=!1;let t;try{t=tI(await XT(z,{code:o,codeFilename:e}))}catch(e){t=function(e){if(e instanceof Error&&"CssSyntaxError"===e.name)return tI(void 0,e);throw e}(e)}await async function(e,t,n){const r=await RT(e),o=null===r?{}:r.config;if(!o._processorFunctions)return;for(let e of o._processorFunctions.values()){var i;null==e||e(t,null===(i=t._postcssResult)||void 0===i?void 0:i.root)}}(z,t);const n=t._postcssResult,r=function(e,t,n,r){let o=!1;for(const t of e)(t.errored||t.parseErrors.length>0||t.warnings.some((e=>"error"===e.severity)))&&(o=!0,t.errored=!0);const i={cwd:r,errored:o,results:[],report:"",get output(){var e;return this._outputWarned||(sg.emitWarning("`output` is deprecated.",{type:"DeprecationWarning",code:"stylelint:003",detail:"Use `report` or `code` instead."}),this._outputWarned=!0),null!==(e=this._output)&&void 0!==e?e:""},reportedDisables:[],ruleMetadata:nI(e)};if(Object.defineProperty(i,"_output",{value:"",writable:!0}),Object.defineProperty(i,"_outputWarned",{value:!1,writable:!0}),void 0!==t){const n=e.reduce(((e,t)=>e+t.warnings.length),0);n>t&&(i.maxWarningsExceeded={maxWarnings:t,foundWarnings:n})}return i.report=n(e,i),i._output=i.report,i.results=e,i}([t],y,A,u);return null!==(E=null!=h?h:null==s?void 0:s.fix)&&void 0!==E&&E&&n&&!n.stylelint.ignored&&(r.code=!n.stylelint.disableWritingFix&&n.opts?n.root.toString(n.opts.syntax):o,r._output=r.code),r}},rules:ET,formatters:LT,createPlugin:function(e,t){return{ruleName:e,rule:t}},resolveConfig:async function(e,{cwd:t=sg.cwd(),config:n,configBasedir:r,configFile:o}={}){if(!e)return;const i=jT({config:n,configFile:o,configBasedir:r,cwd:t});sg(),sg(),i._options.configFile;const s=await RT(i);return s?s.config:void 0},_createLinter:jT,utils:{report:X,ruleMessages:Z,validateOptions:re,checkAgainstRule:async function(e,n){var r;if(!T(e))throw new Error("Expected an options object");if(!n)throw new Error("Expected a callback function");const{ruleName:o,ruleSettings:i,root:s,result:a,context:l={}}=e;if(!o)throw new Error('Expected a "ruleName" option');const c=await NT(o,null==a||null===(r=a.stylelint)||void 0===r?void 0:r.config);if(!c)throw new Error('Rule "'.concat(o,'" does not exist'));if(!i)throw new Error('Expected a "ruleSettings" option');if(!s)throw new Error('Expected a "root" option');const u=PT(i,c);if(!u)return;const d=new t(void 0,void 0,void 0),[p,h]=u;c(p,h||{},l)(s,d);for(const e of d.warnings())n(e)}},reference:{longhandSubPropertiesOfShorthandProperties:dn}}),oI=": ",iI="  ",sI=" ",aI=" ";function lI(e,t,n){throw e.error("Mixed tabs and spaces are not allowed",t,n+1)}const cI="'".charCodeAt(0),uI='"'.charCodeAt(0),dI="\\".charCodeAt(0),pI="/".charCodeAt(0),hI="\n".charCodeAt(0),fI=" ".charCodeAt(0),mI="\f".charCodeAt(0),gI="\t".charCodeAt(0),bI="\r".charCodeAt(0),wI="(".charCodeAt(0),yI=")".charCodeAt(0),vI="{".charCodeAt(0),kI="}".charCodeAt(0),xI=";".charCodeAt(0),SI="*".charCodeAt(0),CI=":".charCodeAt(0),OI="@".charCodeAt(0),AI=",".charCodeAt(0),zI=/[\t\n\f\r "'()/;\\{]/g,EI=/[\n\f\r]/g,NI=/[\t\n\f\r !"'(),:;@\\{}]|\/(?=\*)/g,PI=/.[\n"'(/\\]/;var TI=class{constructor(e){this.input=e,this.pos=0,this.root=new Ob,this.current=this.root,this.spaces="",this.extraIndent=!1,this.prevIndent=void 0,this.step=void 0,this.root.source={input:e,start:{line:1,column:1}}}loop(){let e;for(;this.pos<this.parts.length;){if(e=this.parts[this.pos],e.comment)this.comment(e);else if(e.atrule)this.atrule(e);else if(e.colon){let t=this.nextNonComment(this.pos);if(t.end||t.atrule)this.decl(e);else{let n=t.indent.length>e.indent.length;n?n&&t.colon?this.rule(e):n&&!t.colon&&this.decl(e):this.decl(e)}}else e.end?this.root.raws.after=e.before:this.rule(e);this.pos+=1}for(let e=this.tokens.length-1;e>=0;e--)if(this.tokens[e].length>3){let t=this.tokens[e];this.root.source.end={line:t[4]||t[2],column:t[5]||t[3]};break}}comment(e){let t=e.tokens[0],n=new kb;this.init(n,e),n.source.end={line:t[4],column:t[5]},this.commentText(n,t)}atrule(e){let t=e.tokens[0],n=e.tokens.slice(1),r=new xb;for(r.name=t[1].slice(1),this.init(r,e),""===r.name&&this.unnamedAtrule(t);!e.end&&e.lastComma;)this.pos+=1,e=this.parts[this.pos],n.push(["space",e.before+e.indent]),n=n.concat(e.tokens);r.raws.afterName=this.firstSpaces(n),this.keepTrailingSpace(r,n),this.checkSemicolon(n),this.checkCurly(n),this.raw(r,"params",n,t)}decl(e){let t=new vb;this.init(t,e);let n="",r=0,o=[],i="";for(let t=0;t<e.tokens.length;t++){let s=e.tokens[t];if(":"===s[0]){n+=s[1],r=s,o=e.tokens.slice(t+1);break}"comment"===s[0]||"space"===s[0]?n+=s[1]:""!==n?this.badProp(s):i+=s[1]}""===i&&this.unnamedDecl(e.tokens[0]),t.prop=i;let s=this.parts[this.pos+1];for(;!s.end&&!s.atrule&&!s.colon&&s.indent.length>e.indent.length;)o.push(["space",s.before+s.indent]),o=o.concat(s.tokens),this.pos+=1,s=this.parts[this.pos+1];let a=o[o.length-1];if(a&&"comment"===a[0]){o.pop();let e=new kb;this.current.push(e),e.source={input:this.input,start:{line:a[2],column:a[3]},end:{line:a[4],column:a[5]}};let t=o[o.length-1];t&&"space"===t[0]&&(o.pop(),e.raws.before=t[1]),this.commentText(e,a)}for(let e=o.length-1;e>0;e--){let n=o[e][0];if("word"===n&&"!important"===o[e][1]){t.important=!0,e>0&&"space"===o[e-1][0]?(t.raws.important=o[e-1][1]+"!important",o.splice(e-1,2)):(t.raws.important="!important",o.splice(e,1));break}if("space"!==n&&"newline"!==n&&"comment"!==n)break}t.raws.between=n+this.firstSpaces(o),this.checkSemicolon(o),this.raw(t,"value",o,r)}rule(e){let t=new Cb;this.init(t,e);let n=e.tokens,r=this.parts[this.pos+1];for(;!r.end&&r.indent.length===e.indent.length;)n.push(["space",r.before+r.indent]),n=n.concat(r.tokens),this.pos+=1,r=this.parts[this.pos+1];this.keepTrailingSpace(t,n),this.checkCurly(n),this.raw(t,"selector",n)}indent(e){let t=e.indent.length,n=void 0!==this.prevIndent;if(!n&&t&&this.indentedFirstLine(e),!this.step&&t&&(this.step=t,this.root.raws.indent=e.indent),n&&this.prevIndent!==t){let n=t-this.prevIndent;if(n>0)if(n!==this.step)this.wrongIndent(this.prevIndent+this.step,t,e);else if(this.current.last.push)this.current=this.current.last;else{this.extraIndent="";for(let e=0;e<n;e++)this.extraIndent+=" "}else if(n%this.step!=0){let r=t+n%this.step;this.wrongIndent("".concat(r," or ").concat(r+this.step),t,e)}else for(let e=0;e<-n/this.step;e++)this.current=this.current.parent}this.prevIndent=t}init(e,t){this.indent(t),this.current.nodes||(this.current.nodes=[]),this.current.push(e),e.raws.before=t.before+t.indent,this.extraIndent&&(e.raws.extraIndent=this.extraIndent,this.extraIndent=!1),e.source={start:{line:t.tokens[0][2],column:t.tokens[0][3]},input:this.input}}checkCurly(e){for(let t of e)"{"===t[0]&&this.error("Unnecessary curly bracket",t[2],t[3])}checkSemicolon(e){for(let t of e)";"===t[0]&&this.error("Unnecessary semicolon",t[2],t[3])}keepTrailingSpace(e,t){let n=t[t.length-1];n&&"space"===n[0]&&(t.pop(),e.raws.sssBetween=n[1])}firstSpaces(e){let t="";for(let n=0;n<e.length&&("space"===e[n][0]||"newline"===e[n][0]);n++)t+=e.shift()[1],n-=1;return t}raw(e,t,n,r){let o,i,s,a=n.length,l="",c=!0;for(let e=0;e<a;e+=1)o=n[e],i=o[0],"comment"===i||"space"===i&&e===a-1?c=!1:l+=o[1];if(!c){let r=n.reduce(((e,t)=>e+t[1]),""),o=n.reduce(((e,t)=>"comment"===t[0]&&"inline"===t[6]?e+"/* "+t[1].slice(2).trim()+" */":e+t[1]),"");e.raws[t]={value:l,raw:o},r!==o&&(e.raws[t].sss=r)}e[t]=l;for(let e=n.length-1;e>=0;e--)if(n[e].length>2){s=n[e];break}s||(s=r),e.source.end={line:s[4]||s[2],column:s[5]||s[3]}}nextNonComment(e){let t,n=e;for(;n<this.parts.length&&(n+=1,t=this.parts[n],!t.end&&t.comment););return t}commentText(e,t){let n=t[1];"inline"===t[6]?(e.raws.inline=!0,n=n.slice(2)):n=n.slice(2,-2);let r=n.match(/^(\s*)([^]*\S)(\s*)\n?$/);r?(e.text=r[2],e.raws.left=r[1],e.raws.inlineRight=r[3]):(e.text="",e.raws.left="",e.raws.inlineRight="")}error(e,t,n){throw this.input.error(e,t,n)}unnamedAtrule(e){this.error("At-rule without name",e[2],e[3])}unnamedDecl(e){this.error("Declaration without name",e[2],e[3])}indentedFirstLine(e){this.error("First line should not have indent",e.number,1)}wrongIndent(e,t,n){let r="Expected ".concat(e," indent, but get ").concat(t);this.error(r,n.number,1)}badProp(e){this.error("Unexpected separator in property",e[2],e[3])}},II={stringify:function(e,t){let n=new class{constructor(e){this.builder=e}stringify(e,t){this[e.type](e,t)}root(e){this.body(e),e.raws.after&&this.builder(e.raws.after)}comment(e){let t=sI,n=aI;this.has(e.raws.left)&&(t=e.raws.left),e.raws.inline?(n=this.has(e.raws.inlineRight)?e.raws.inlineRight:"",e.raws.extraIndent&&this.builder(e.raws.extraIndent),this.builder("//"+t+e.text+n,e)):(this.has(e.raws.right)&&(n=e.raws.right),this.builder("/*"+t+e.text+n+"*/",e))}decl(e){let t=e.raws.between||oI,n=e.prop+t+this.rawValue(e,"value");e.important&&(n+=e.raws.important||" !important"),this.builder(n,e)}rule(e){this.block(e,this.rawValue(e,"selector"))}atrule(e){let t="@"+e.name,n=e.params?this.rawValue(e,"params"):"";this.has(e.raws.afterName)?t+=e.raws.afterName:n&&(t+=" "),this.block(e,t+n)}body(e){let t=e.root().raws.indent||iI;for(let n=0;n<e.nodes.length;n++){let r=e.nodes[n],o=r.raws.before.replace(/[^\n]*$/,"")+this.indent(e,t);"comment"!==r.type||r.raws.before.includes("\n")||(o=r.raws.before),o&&this.builder(o),this.stringify(r)}}block(e,t){let n=e.raws.sssBetween||"";this.builder(t+n,e,"start"),this.has(e.nodes)&&this.body(e)}indent(e,t){let n="";for(;e.parent;)n+=t,e=e.parent;return n}has(e){return void 0!==e}rawValue(e,t){let n=e[t],r=e.raws[t];return r&&r.value===n?r.sss||r.raw:n}}(t);n.stringify(e)},parse:function(e,t){let n=new Sb(e,t),r=new TI(n);return r.tokens=function(e){let t,n,r,o,i,s,a,l,c,u,d,p,h,f=[],m=e.css.valueOf(),g=m.length,b=-1,w=1,y=0;function v(t){throw e.error("Unclosed "+t,w,y-b)}for(;y<g;){switch(t=m.charCodeAt(y),(t===hI||t===mI||t===bI&&m.charCodeAt(y+1)!==hI)&&(b=y,w+=1),t){case bI:m.charCodeAt(y+1)===hI?(b=y,w+=1,y+=1,f.push(["newline","\r\n",w-1])):f.push(["newline","\r",w-1]);break;case mI:case hI:f.push(["newline",m.slice(y,y+1),w-1]);break;case fI:case gI:n=y;do{n+=1,t=m.charCodeAt(n)}while(t===fI||t===gI);f.push(["space",m.slice(y,n)]),y=n-1;break;case vI:f.push(["{","{",w,y-b]);break;case kI:f.push(["}","}",w,y-b]);break;case CI:f.push([":",":",w,y-b]);break;case xI:f.push([";",";",w,y-b]);break;case AI:f.push([",",",",w,y-b]);break;case wI:if(p=f.length?f[f.length-1][1]:"",h=m.charCodeAt(y+1),"url"===p&&h!==cI&&h!==uI&&h!==fI&&h!==hI&&h!==gI&&h!==mI&&h!==bI){n=y;do{for(u=!1,n=m.indexOf(")",n+1),-1===n&&v("bracket"),d=n;m.charCodeAt(d-1)===dI;)d-=1,u=!u}while(u);f.push(["brackets",m.slice(y,n+1),w,y-b,w,n-b]),y=n}else n=m.indexOf(")",y+1),s=m.slice(y,n+1),-1===n||PI.test(s)?f.push(["(","(",w,y-b]):(f.push(["brackets",s,w,y-b,w,n-b]),y=n);break;case yI:f.push([")",")",w,y-b]);break;case cI:case uI:r=t===cI?"'":'"',n=y;do{for(u=!1,n=m.indexOf(r,n+1),-1===n&&v("quote"),d=n;m.charCodeAt(d-1)===dI;)d-=1,u=!u}while(u);s=m.slice(y,n+1),o=s.split("\n"),i=o.length-1,i>0?(l=w+i,c=n-o[i].length):(l=w,c=b),f.push(["string",m.slice(y,n+1),w,y-b,l,n-c]),b=c,w=l,y=n;break;case OI:zI.lastIndex=y+1,zI.test(m),n=0===zI.lastIndex?m.length-1:zI.lastIndex-2,f.push(["at-word",m.slice(y,n+1),w,y-b,w,n-b]),y=n;break;case dI:for(n=y,a=!0,l=w;m.charCodeAt(n+1)===dI;)n+=1,a=!a;t=m.charCodeAt(n+1),a&&(t===bI&&m.charCodeAt(n+2)===hI?(n+=2,l+=1,c=n):t===bI||t===hI||t===mI?(n+=1,l+=1,c=n):n+=1),f.push(["word",m.slice(y,n+1),w,y-b,w,n-b]),l!==w&&(w=l,b=c),y=n;break;default:h=m.charCodeAt(y+1),t===pI&&h===SI?(n=m.indexOf("*/",y+2)+1,0===n&&v("comment"),s=m.slice(y,n+1),o=s.split("\n"),i=o.length-1,i>0?(l=w+i,c=n-o[i].length):(l=w,c=b),f.push(["comment",s,w,y-b,l,n-c]),b=c,w=l,y=n):t===pI&&h===pI?(EI.lastIndex=y+1,EI.test(m),n=0===EI.lastIndex?m.length-1:EI.lastIndex-2,s=m.slice(y,n+1),f.push(["comment",s,w,y-b,w,n-b,"inline"]),y=n):(NI.lastIndex=y+1,NI.test(m),n=0===NI.lastIndex?m.length-1:NI.lastIndex-2,f.push(["word",m.slice(y,n+1),w,y-b,w,n-b]),y=n)}y++}return f}(n),r.parts=function(e,t){let n,r=0,o=t.map((t=>{let o=!1,i=!1,s=r+1,a=!1,l="",c=[],u=!1;if(t.length>0){if("space"===t[0][0]?(l=t[0][1],c=t.slice(1)):(l="",c=t),!n&&l.length&&(n=" "===l[0]?"space":"tab"),"space"===n?l.includes("\t")&&lI(e,s,l.indexOf("\t")):"tab"===n&&l.includes(" ")&&lI(e,s,l.indexOf(" ")),c.length){for(let e=c.length-1;e>=0;e--){let t=c[e][0];if(","===t){o=!0;break}if("space"!==t&&"comment"!==t&&"newline"!==t)break}i="comment"===c[0][0],a="at-word"===c[0][0];let e=0;for(let t=0;t<c.length-1;t++){let n=c[t][0],r=c[t+1][0];"("===n?e+=1:")"===n?e-=1:":"!==n||0!==e||"space"!==r&&"newline"!==r||(u=!0)}}let d=c[c.length-1];d&&"newline"===d[0]&&(r=d[2])}return{number:s,indent:l,colon:u,tokens:c,atrule:a,comment:i,lastComma:o,before:""}}));return o=o.reduceRight(((e,t)=>{if(!t.tokens.length||t.tokens.every((e=>"newline"===e[0]))){let n=e[0],r=t.indent+t.tokens.map((e=>e[1])).join("");n.before=r+n.before}else e.unshift(t);return e}),[{end:!0,before:""}]),o.forEach(((e,t)=>{if(0===t)return;let n=o[t-1],r=n.tokens[n.tokens.length-1];r&&"newline"===r[0]&&(e.before=r[1]+e.before,n.tokens.pop())})),o}(n,function(e){let t=[],n=[t],r=0;for(let o of e)t.push(o),"("===o[0]?r+=1:")"===o[0]?r-=1:"newline"===o[0]&&0===r&&(t=[],n.push(t));return n}(r.tokens)),r.loop(),r.root}};const jI=rI.lint;rI.lint=e=>{var t;return"sugarss"===(null==e||null===(t=e.config)||void 0===t?void 0:t.customSyntax)&&(e.config.customSyntax=II),jI.call(rI,e)},rI.SugarSSParser=TI;var LI=class extends rb{checkMissedSemicolon(){}comment(e){let t=new bg;this.init(t,e[2]);let n=this.input.fromOffset(e[3])||this.input.fromOffset(this.input.css.length-1);t.source.end={column:n.col,line:n.line,offset:e[3]+1};let r=e[1].slice(2);if("*/"===r.slice(-2)&&(r=r.slice(0,-2)),/^\s*$/.test(r))t.text="",t.raws.left=r,t.raws.right="";else{let e=r.match(/^(\s*)([^]*\S)(\s*)$/);t.text=e[2],t.raws.left=e[1],t.raws.right=e[3]}}createTokenizer(){this.tokenizer=Jg(this.input,{ignoreErrors:!0})}decl(e){e.length>1&&e.some((e=>"word"===e[0]))&&super.decl(e)}doubleColon(){}endFile(){for(this.current.nodes&&this.current.nodes.length&&(this.current.raws.semicolon=this.semicolon),this.current.raws.after=(this.current.raws.after||"")+this.spaces;this.current.parent;)this.current=this.current.parent,this.current.raws.after="";this.root.source.end=this.getPosition(this.tokenizer.position())}precheckMissedSemicolon(e){let t,n,r=this.colon(e);if(!1===r)return;for(t=r-1;t>=0&&"word"!==e[t][0];t--);if(0===t)return;for(n=t-1;n>=0;n--)if("space"!==e[n][0]){n+=1;break}let o=e.slice(t),i=e.slice(n,t);e.splice(n,e.length-n),this.spaces=i.map((e=>e[1])).join(""),this.decl(o)}unclosedBracket(){}unexpectedClose(){this.current.raws.after+="}"}unknownWord(e){this.spaces+=e.map((e=>e[1])).join("")}unnamedAtrule(e){e.name=""}},MI={__proto__:null,default:function(e,t){let n=new Sb(e,t),r=new LI(n);return r.parse(),r.root}};return rI}();
